goog.provide('cljs.core');
goog.require('goog.array');
goog.require('goog.object');
goog.require('goog.string.StringBuffer');
goog.require('goog.string');
cljs.core._STAR_unchecked_if_STAR_ = false;
/**
* Each runtime environment provides a diffenent way to print output.
* Whatever function *print-fn* is bound to will be passed any
* Strings which should be printed.
*/
cljs.core._STAR_print_fn_STAR_ = (function _STAR_print_fn_STAR_(_){
throw (new Error("No *print-fn* fn set for evaluation environment"));
});
void 0;
void 0;
void 0;
void 0;
void 0;
void 0;
/**
* Internal - do not use!
*/
cljs.core.truth_ = (function truth_(x){
return (x != null && x !== false);
});
void 0;/**
* Internal - do not use!
*/
cljs.core.type_satisfies_ = (function type_satisfies_(p,x){
if((p[goog.typeOf(x)]))
{return true;
} else
{if((p["_"]))
{return true;
} else
{if("\uFDD0'else")
{return false;
} else
{return null;
}
}
}
});
void 0;cljs.core.is_proto_ = (function is_proto_(x){
return (x.constructor.prototype === x);
});
/**
* When compiled for a command-line target, whatever
* function *main-fn* is set to will be called with the command-line
* argv as arguments
*/
cljs.core._STAR_main_cli_fn_STAR_ = null;
cljs.core.missing_protocol = (function missing_protocol(proto,obj){
return Error(["No protocol method ",proto," defined for type ",goog.typeOf(obj),": ",obj].join(""));
});
/**
* Returns a javascript array, cloned from the passed in array
*/
cljs.core.aclone = (function aclone(array_like){
return array_like.slice();
});
/**
* Creates a new javascript array.
* @param {...*} var_args
*/
cljs.core.array = (function array(var_args){
return Array.prototype.slice.call(arguments);
});
cljs.core.make_array = (function() {
var make_array = null;
var make_array__1 = (function (size){
return (new Array(size));
});
var make_array__2 = (function (type,size){
return make_array.call(null,size);
});
make_array = function(type,size){
switch(arguments.length){
case 1:
return make_array__1.call(this,type);
case 2:
return make_array__2.call(this,type,size);
}
throw('Invalid arity: ' + arguments.length);
};
make_array.cljs$lang$arity$1 = make_array__1;
make_array.cljs$lang$arity$2 = make_array__2;
return make_array;
})()
;
void 0;
/**
* Returns the value at the index.
* @param {...*} var_args
*/
cljs.core.aget = (function() {
var aget = null;
var aget__2 = (function (array,i){
return (array[i]);
});
var aget__3 = (function() { 
var G__8285__delegate = function (array,i,idxs){
return cljs.core.apply.call(null,aget,aget.call(null,array,i),idxs);
};
var G__8285 = function (array,i,var_args){
var idxs = null;
if (goog.isDef(var_args)) {
  idxs = cljs.core.array_seq(Array.prototype.slice.call(arguments, 2),0);
} 
return G__8285__delegate.call(this, array, i, idxs);
};
G__8285.cljs$lang$maxFixedArity = 2;
G__8285.cljs$lang$applyTo = (function (arglist__8286){
var array = cljs.core.first(arglist__8286);
var i = cljs.core.first(cljs.core.next(arglist__8286));
var idxs = cljs.core.rest(cljs.core.next(arglist__8286));
return G__8285__delegate(array, i, idxs);
});
G__8285.cljs$lang$arity$variadic = G__8285__delegate;
return G__8285;
})()
;
aget = function(array,i,var_args){
var idxs = var_args;
switch(arguments.length){
case 2:
return aget__2.call(this,array,i);
default:
return aget__3.cljs$lang$arity$variadic(array,i, cljs.core.array_seq(arguments, 2));
}
throw('Invalid arity: ' + arguments.length);
};
aget.cljs$lang$maxFixedArity = 2;
aget.cljs$lang$applyTo = aget__3.cljs$lang$applyTo;
aget.cljs$lang$arity$2 = aget__2;
aget.cljs$lang$arity$variadic = aget__3.cljs$lang$arity$variadic;
return aget;
})()
;
/**
* Sets the value at the index.
*/
cljs.core.aset = (function aset(array,i,val){
return (array[i] = val);
});
/**
* Returns the length of the array. Works on arrays of all types.
*/
cljs.core.alength = (function alength(array){
return array.length;
});
void 0;
cljs.core.into_array = (function() {
var into_array = null;
var into_array__1 = (function (aseq){
return into_array.call(null,null,aseq);
});
var into_array__2 = (function (type,aseq){
return cljs.core.reduce.call(null,(function (a,x){
a.push(x);
return a;
}),[],aseq);
});
into_array = function(type,aseq){
switch(arguments.length){
case 1:
return into_array__1.call(this,type);
case 2:
return into_array__2.call(this,type,aseq);
}
throw('Invalid arity: ' + arguments.length);
};
into_array.cljs$lang$arity$1 = into_array__1;
into_array.cljs$lang$arity$2 = into_array__2;
return into_array;
})()
;
void 0;cljs.core.IFn = {};
cljs.core._invoke = (function() {
var _invoke = null;
var _invoke__1 = (function (this$){
if((function (){var and__3822__auto____8350 = this$;
if(and__3822__auto____8350)
{return this$.cljs$core$IFn$_invoke$arity$1;
} else
{return and__3822__auto____8350;
}
})())
{return this$.cljs$core$IFn$_invoke$arity$1(this$);
} else
{return (function (){var or__3824__auto____8351 = (cljs.core._invoke[goog.typeOf(this$)]);
if(or__3824__auto____8351)
{return or__3824__auto____8351;
} else
{var or__3824__auto____8352 = (cljs.core._invoke["_"]);
if(or__3824__auto____8352)
{return or__3824__auto____8352;
} else
{throw cljs.core.missing_protocol.call(null,"IFn.-invoke",this$);
}
}
})().call(null,this$);
}
});
var _invoke__2 = (function (this$,a){
if((function (){var and__3822__auto____8353 = this$;
if(and__3822__auto____8353)
{return this$.cljs$core$IFn$_invoke$arity$2;
} else
{return and__3822__auto____8353;
}
})())
{return this$.cljs$core$IFn$_invoke$arity$2(this$,a);
} else
{return (function (){var or__3824__auto____8354 = (cljs.core._invoke[goog.typeOf(this$)]);
if(or__3824__auto____8354)
{return or__3824__auto____8354;
} else
{var or__3824__auto____8355 = (cljs.core._invoke["_"]);
if(or__3824__auto____8355)
{return or__3824__auto____8355;
} else
{throw cljs.core.missing_protocol.call(null,"IFn.-invoke",this$);
}
}
})().call(null,this$,a);
}
});
var _invoke__3 = (function (this$,a,b){
if((function (){var and__3822__auto____8356 = this$;
if(and__3822__auto____8356)
{return this$.cljs$core$IFn$_invoke$arity$3;
} else
{return and__3822__auto____8356;
}
})())
{return this$.cljs$core$IFn$_invoke$arity$3(this$,a,b);
} else
{return (function (){var or__3824__auto____8357 = (cljs.core._invoke[goog.typeOf(this$)]);
if(or__3824__auto____8357)
{return or__3824__auto____8357;
} else
{var or__3824__auto____8358 = (cljs.core._invoke["_"]);
if(or__3824__auto____8358)
{return or__3824__auto____8358;
} else
{throw cljs.core.missing_protocol.call(null,"IFn.-invoke",this$);
}
}
})().call(null,this$,a,b);
}
});
var _invoke__4 = (function (this$,a,b,c){
if((function (){var and__3822__auto____8359 = this$;
if(and__3822__auto____8359)
{return this$.cljs$core$IFn$_invoke$arity$4;
} else
{return and__3822__auto____8359;
}
})())
{return this$.cljs$core$IFn$_invoke$arity$4(this$,a,b,c);
} else
{return (function (){var or__3824__auto____8360 = (cljs.core._invoke[goog.typeOf(this$)]);
if(or__3824__auto____8360)
{return or__3824__auto____8360;
} else
{var or__3824__auto____8361 = (cljs.core._invoke["_"]);
if(or__3824__auto____8361)
{return or__3824__auto____8361;
} else
{throw cljs.core.missing_protocol.call(null,"IFn.-invoke",this$);
}
}
})().call(null,this$,a,b,c);
}
});
var _invoke__5 = (function (this$,a,b,c,d){
if((function (){var and__3822__auto____8362 = this$;
if(and__3822__auto____8362)
{return this$.cljs$core$IFn$_invoke$arity$5;
} else
{return and__3822__auto____8362;
}
})())
{return this$.cljs$core$IFn$_invoke$arity$5(this$,a,b,c,d);
} else
{return (function (){var or__3824__auto____8363 = (cljs.core._invoke[goog.typeOf(this$)]);
if(or__3824__auto____8363)
{return or__3824__auto____8363;
} else
{var or__3824__auto____8364 = (cljs.core._invoke["_"]);
if(or__3824__auto____8364)
{return or__3824__auto____8364;
} else
{throw cljs.core.missing_protocol.call(null,"IFn.-invoke",this$);
}
}
})().call(null,this$,a,b,c,d);
}
});
var _invoke__6 = (function (this$,a,b,c,d,e){
if((function (){var and__3822__auto____8365 = this$;
if(and__3822__auto____8365)
{return this$.cljs$core$IFn$_invoke$arity$6;
} else
{return and__3822__auto____8365;
}
})())
{return this$.cljs$core$IFn$_invoke$arity$6(this$,a,b,c,d,e);
} else
{return (function (){var or__3824__auto____8366 = (cljs.core._invoke[goog.typeOf(this$)]);
if(or__3824__auto____8366)
{return or__3824__auto____8366;
} else
{var or__3824__auto____8367 = (cljs.core._invoke["_"]);
if(or__3824__auto____8367)
{return or__3824__auto____8367;
} else
{throw cljs.core.missing_protocol.call(null,"IFn.-invoke",this$);
}
}
})().call(null,this$,a,b,c,d,e);
}
});
var _invoke__7 = (function (this$,a,b,c,d,e,f){
if((function (){var and__3822__auto____8368 = this$;
if(and__3822__auto____8368)
{return this$.cljs$core$IFn$_invoke$arity$7;
} else
{return and__3822__auto____8368;
}
})())
{return this$.cljs$core$IFn$_invoke$arity$7(this$,a,b,c,d,e,f);
} else
{return (function (){var or__3824__auto____8369 = (cljs.core._invoke[goog.typeOf(this$)]);
if(or__3824__auto____8369)
{return or__3824__auto____8369;
} else
{var or__3824__auto____8370 = (cljs.core._invoke["_"]);
if(or__3824__auto____8370)
{return or__3824__auto____8370;
} else
{throw cljs.core.missing_protocol.call(null,"IFn.-invoke",this$);
}
}
})().call(null,this$,a,b,c,d,e,f);
}
});
var _invoke__8 = (function (this$,a,b,c,d,e,f,g){
if((function (){var and__3822__auto____8371 = this$;
if(and__3822__auto____8371)
{return this$.cljs$core$IFn$_invoke$arity$8;
} else
{return and__3822__auto____8371;
}
})())
{return this$.cljs$core$IFn$_invoke$arity$8(this$,a,b,c,d,e,f,g);
} else
{return (function (){var or__3824__auto____8372 = (cljs.core._invoke[goog.typeOf(this$)]);
if(or__3824__auto____8372)
{return or__3824__auto____8372;
} else
{var or__3824__auto____8373 = (cljs.core._invoke["_"]);
if(or__3824__auto____8373)
{return or__3824__auto____8373;
} else
{throw cljs.core.missing_protocol.call(null,"IFn.-invoke",this$);
}
}
})().call(null,this$,a,b,c,d,e,f,g);
}
});
var _invoke__9 = (function (this$,a,b,c,d,e,f,g,h){
if((function (){var and__3822__auto____8374 = this$;
if(and__3822__auto____8374)
{return this$.cljs$core$IFn$_invoke$arity$9;
} else
{return and__3822__auto____8374;
}
})())
{return this$.cljs$core$IFn$_invoke$arity$9(this$,a,b,c,d,e,f,g,h);
} else
{return (function (){var or__3824__auto____8375 = (cljs.core._invoke[goog.typeOf(this$)]);
if(or__3824__auto____8375)
{return or__3824__auto____8375;
} else
{var or__3824__auto____8376 = (cljs.core._invoke["_"]);
if(or__3824__auto____8376)
{return or__3824__auto____8376;
} else
{throw cljs.core.missing_protocol.call(null,"IFn.-invoke",this$);
}
}
})().call(null,this$,a,b,c,d,e,f,g,h);
}
});
var _invoke__10 = (function (this$,a,b,c,d,e,f,g,h,i){
if((function (){var and__3822__auto____8377 = this$;
if(and__3822__auto____8377)
{return this$.cljs$core$IFn$_invoke$arity$10;
} else
{return and__3822__auto____8377;
}
})())
{return this$.cljs$core$IFn$_invoke$arity$10(this$,a,b,c,d,e,f,g,h,i);
} else
{return (function (){var or__3824__auto____8378 = (cljs.core._invoke[goog.typeOf(this$)]);
if(or__3824__auto____8378)
{return or__3824__auto____8378;
} else
{var or__3824__auto____8379 = (cljs.core._invoke["_"]);
if(or__3824__auto____8379)
{return or__3824__auto____8379;
} else
{throw cljs.core.missing_protocol.call(null,"IFn.-invoke",this$);
}
}
})().call(null,this$,a,b,c,d,e,f,g,h,i);
}
});
var _invoke__11 = (function (this$,a,b,c,d,e,f,g,h,i,j){
if((function (){var and__3822__auto____8380 = this$;
if(and__3822__auto____8380)
{return this$.cljs$core$IFn$_invoke$arity$11;
} else
{return and__3822__auto____8380;
}
})())
{return this$.cljs$core$IFn$_invoke$arity$11(this$,a,b,c,d,e,f,g,h,i,j);
} else
{return (function (){var or__3824__auto____8381 = (cljs.core._invoke[goog.typeOf(this$)]);
if(or__3824__auto____8381)
{return or__3824__auto____8381;
} else
{var or__3824__auto____8382 = (cljs.core._invoke["_"]);
if(or__3824__auto____8382)
{return or__3824__auto____8382;
} else
{throw cljs.core.missing_protocol.call(null,"IFn.-invoke",this$);
}
}
})().call(null,this$,a,b,c,d,e,f,g,h,i,j);
}
});
var _invoke__12 = (function (this$,a,b,c,d,e,f,g,h,i,j,k){
if((function (){var and__3822__auto____8383 = this$;
if(and__3822__auto____8383)
{return this$.cljs$core$IFn$_invoke$arity$12;
} else
{return and__3822__auto____8383;
}
})())
{return this$.cljs$core$IFn$_invoke$arity$12(this$,a,b,c,d,e,f,g,h,i,j,k);
} else
{return (function (){var or__3824__auto____8384 = (cljs.core._invoke[goog.typeOf(this$)]);
if(or__3824__auto____8384)
{return or__3824__auto____8384;
} else
{var or__3824__auto____8385 = (cljs.core._invoke["_"]);
if(or__3824__auto____8385)
{return or__3824__auto____8385;
} else
{throw cljs.core.missing_protocol.call(null,"IFn.-invoke",this$);
}
}
})().call(null,this$,a,b,c,d,e,f,g,h,i,j,k);
}
});
var _invoke__13 = (function (this$,a,b,c,d,e,f,g,h,i,j,k,l){
if((function (){var and__3822__auto____8386 = this$;
if(and__3822__auto____8386)
{return this$.cljs$core$IFn$_invoke$arity$13;
} else
{return and__3822__auto____8386;
}
})())
{return this$.cljs$core$IFn$_invoke$arity$13(this$,a,b,c,d,e,f,g,h,i,j,k,l);
} else
{return (function (){var or__3824__auto____8387 = (cljs.core._invoke[goog.typeOf(this$)]);
if(or__3824__auto____8387)
{return or__3824__auto____8387;
} else
{var or__3824__auto____8388 = (cljs.core._invoke["_"]);
if(or__3824__auto____8388)
{return or__3824__auto____8388;
} else
{throw cljs.core.missing_protocol.call(null,"IFn.-invoke",this$);
}
}
})().call(null,this$,a,b,c,d,e,f,g,h,i,j,k,l);
}
});
var _invoke__14 = (function (this$,a,b,c,d,e,f,g,h,i,j,k,l,m){
if((function (){var and__3822__auto____8389 = this$;
if(and__3822__auto____8389)
{return this$.cljs$core$IFn$_invoke$arity$14;
} else
{return and__3822__auto____8389;
}
})())
{return this$.cljs$core$IFn$_invoke$arity$14(this$,a,b,c,d,e,f,g,h,i,j,k,l,m);
} else
{return (function (){var or__3824__auto____8390 = (cljs.core._invoke[goog.typeOf(this$)]);
if(or__3824__auto____8390)
{return or__3824__auto____8390;
} else
{var or__3824__auto____8391 = (cljs.core._invoke["_"]);
if(or__3824__auto____8391)
{return or__3824__auto____8391;
} else
{throw cljs.core.missing_protocol.call(null,"IFn.-invoke",this$);
}
}
})().call(null,this$,a,b,c,d,e,f,g,h,i,j,k,l,m);
}
});
var _invoke__15 = (function (this$,a,b,c,d,e,f,g,h,i,j,k,l,m,n){
if((function (){var and__3822__auto____8392 = this$;
if(and__3822__auto____8392)
{return this$.cljs$core$IFn$_invoke$arity$15;
} else
{return and__3822__auto____8392;
}
})())
{return this$.cljs$core$IFn$_invoke$arity$15(this$,a,b,c,d,e,f,g,h,i,j,k,l,m,n);
} else
{return (function (){var or__3824__auto____8393 = (cljs.core._invoke[goog.typeOf(this$)]);
if(or__3824__auto____8393)
{return or__3824__auto____8393;
} else
{var or__3824__auto____8394 = (cljs.core._invoke["_"]);
if(or__3824__auto____8394)
{return or__3824__auto____8394;
} else
{throw cljs.core.missing_protocol.call(null,"IFn.-invoke",this$);
}
}
})().call(null,this$,a,b,c,d,e,f,g,h,i,j,k,l,m,n);
}
});
var _invoke__16 = (function (this$,a,b,c,d,e,f,g,h,i,j,k,l,m,n,o){
if((function (){var and__3822__auto____8395 = this$;
if(and__3822__auto____8395)
{return this$.cljs$core$IFn$_invoke$arity$16;
} else
{return and__3822__auto____8395;
}
})())
{return this$.cljs$core$IFn$_invoke$arity$16(this$,a,b,c,d,e,f,g,h,i,j,k,l,m,n,o);
} else
{return (function (){var or__3824__auto____8396 = (cljs.core._invoke[goog.typeOf(this$)]);
if(or__3824__auto____8396)
{return or__3824__auto____8396;
} else
{var or__3824__auto____8397 = (cljs.core._invoke["_"]);
if(or__3824__auto____8397)
{return or__3824__auto____8397;
} else
{throw cljs.core.missing_protocol.call(null,"IFn.-invoke",this$);
}
}
})().call(null,this$,a,b,c,d,e,f,g,h,i,j,k,l,m,n,o);
}
});
var _invoke__17 = (function (this$,a,b,c,d,e,f,g,h,i,j,k,l,m,n,o,p){
if((function (){var and__3822__auto____8398 = this$;
if(and__3822__auto____8398)
{return this$.cljs$core$IFn$_invoke$arity$17;
} else
{return and__3822__auto____8398;
}
})())
{return this$.cljs$core$IFn$_invoke$arity$17(this$,a,b,c,d,e,f,g,h,i,j,k,l,m,n,o,p);
} else
{return (function (){var or__3824__auto____8399 = (cljs.core._invoke[goog.typeOf(this$)]);
if(or__3824__auto____8399)
{return or__3824__auto____8399;
} else
{var or__3824__auto____8400 = (cljs.core._invoke["_"]);
if(or__3824__auto____8400)
{return or__3824__auto____8400;
} else
{throw cljs.core.missing_protocol.call(null,"IFn.-invoke",this$);
}
}
})().call(null,this$,a,b,c,d,e,f,g,h,i,j,k,l,m,n,o,p);
}
});
var _invoke__18 = (function (this$,a,b,c,d,e,f,g,h,i,j,k,l,m,n,o,p,q){
if((function (){var and__3822__auto____8401 = this$;
if(and__3822__auto____8401)
{return this$.cljs$core$IFn$_invoke$arity$18;
} else
{return and__3822__auto____8401;
}
})())
{return this$.cljs$core$IFn$_invoke$arity$18(this$,a,b,c,d,e,f,g,h,i,j,k,l,m,n,o,p,q);
} else
{return (function (){var or__3824__auto____8402 = (cljs.core._invoke[goog.typeOf(this$)]);
if(or__3824__auto____8402)
{return or__3824__auto____8402;
} else
{var or__3824__auto____8403 = (cljs.core._invoke["_"]);
if(or__3824__auto____8403)
{return or__3824__auto____8403;
} else
{throw cljs.core.missing_protocol.call(null,"IFn.-invoke",this$);
}
}
})().call(null,this$,a,b,c,d,e,f,g,h,i,j,k,l,m,n,o,p,q);
}
});
var _invoke__19 = (function (this$,a,b,c,d,e,f,g,h,i,j,k,l,m,n,o,p,q,s){
if((function (){var and__3822__auto____8404 = this$;
if(and__3822__auto____8404)
{return this$.cljs$core$IFn$_invoke$arity$19;
} else
{return and__3822__auto____8404;
}
})())
{return this$.cljs$core$IFn$_invoke$arity$19(this$,a,b,c,d,e,f,g,h,i,j,k,l,m,n,o,p,q,s);
} else
{return (function (){var or__3824__auto____8405 = (cljs.core._invoke[goog.typeOf(this$)]);
if(or__3824__auto____8405)
{return or__3824__auto____8405;
} else
{var or__3824__auto____8406 = (cljs.core._invoke["_"]);
if(or__3824__auto____8406)
{return or__3824__auto____8406;
} else
{throw cljs.core.missing_protocol.call(null,"IFn.-invoke",this$);
}
}
})().call(null,this$,a,b,c,d,e,f,g,h,i,j,k,l,m,n,o,p,q,s);
}
});
var _invoke__20 = (function (this$,a,b,c,d,e,f,g,h,i,j,k,l,m,n,o,p,q,s,t){
if((function (){var and__3822__auto____8407 = this$;
if(and__3822__auto____8407)
{return this$.cljs$core$IFn$_invoke$arity$20;
} else
{return and__3822__auto____8407;
}
})())
{return this$.cljs$core$IFn$_invoke$arity$20(this$,a,b,c,d,e,f,g,h,i,j,k,l,m,n,o,p,q,s,t);
} else
{return (function (){var or__3824__auto____8408 = (cljs.core._invoke[goog.typeOf(this$)]);
if(or__3824__auto____8408)
{return or__3824__auto____8408;
} else
{var or__3824__auto____8409 = (cljs.core._invoke["_"]);
if(or__3824__auto____8409)
{return or__3824__auto____8409;
} else
{throw cljs.core.missing_protocol.call(null,"IFn.-invoke",this$);
}
}
})().call(null,this$,a,b,c,d,e,f,g,h,i,j,k,l,m,n,o,p,q,s,t);
}
});
var _invoke__21 = (function (this$,a,b,c,d,e,f,g,h,i,j,k,l,m,n,o,p,q,s,t,rest){
if((function (){var and__3822__auto____8410 = this$;
if(and__3822__auto____8410)
{return this$.cljs$core$IFn$_invoke$arity$21;
} else
{return and__3822__auto____8410;
}
})())
{return this$.cljs$core$IFn$_invoke$arity$21(this$,a,b,c,d,e,f,g,h,i,j,k,l,m,n,o,p,q,s,t,rest);
} else
{return (function (){var or__3824__auto____8411 = (cljs.core._invoke[goog.typeOf(this$)]);
if(or__3824__auto____8411)
{return or__3824__auto____8411;
} else
{var or__3824__auto____8412 = (cljs.core._invoke["_"]);
if(or__3824__auto____8412)
{return or__3824__auto____8412;
} else
{throw cljs.core.missing_protocol.call(null,"IFn.-invoke",this$);
}
}
})().call(null,this$,a,b,c,d,e,f,g,h,i,j,k,l,m,n,o,p,q,s,t,rest);
}
});
_invoke = function(this$,a,b,c,d,e,f,g,h,i,j,k,l,m,n,o,p,q,s,t,rest){
switch(arguments.length){
case 1:
return _invoke__1.call(this,this$);
case 2:
return _invoke__2.call(this,this$,a);
case 3:
return _invoke__3.call(this,this$,a,b);
case 4:
return _invoke__4.call(this,this$,a,b,c);
case 5:
return _invoke__5.call(this,this$,a,b,c,d);
case 6:
return _invoke__6.call(this,this$,a,b,c,d,e);
case 7:
return _invoke__7.call(this,this$,a,b,c,d,e,f);
case 8:
return _invoke__8.call(this,this$,a,b,c,d,e,f,g);
case 9:
return _invoke__9.call(this,this$,a,b,c,d,e,f,g,h);
case 10:
return _invoke__10.call(this,this$,a,b,c,d,e,f,g,h,i);
case 11:
return _invoke__11.call(this,this$,a,b,c,d,e,f,g,h,i,j);
case 12:
return _invoke__12.call(this,this$,a,b,c,d,e,f,g,h,i,j,k);
case 13:
return _invoke__13.call(this,this$,a,b,c,d,e,f,g,h,i,j,k,l);
case 14:
return _invoke__14.call(this,this$,a,b,c,d,e,f,g,h,i,j,k,l,m);
case 15:
return _invoke__15.call(this,this$,a,b,c,d,e,f,g,h,i,j,k,l,m,n);
case 16:
return _invoke__16.call(this,this$,a,b,c,d,e,f,g,h,i,j,k,l,m,n,o);
case 17:
return _invoke__17.call(this,this$,a,b,c,d,e,f,g,h,i,j,k,l,m,n,o,p);
case 18:
return _invoke__18.call(this,this$,a,b,c,d,e,f,g,h,i,j,k,l,m,n,o,p,q);
case 19:
return _invoke__19.call(this,this$,a,b,c,d,e,f,g,h,i,j,k,l,m,n,o,p,q,s);
case 20:
return _invoke__20.call(this,this$,a,b,c,d,e,f,g,h,i,j,k,l,m,n,o,p,q,s,t);
case 21:
return _invoke__21.call(this,this$,a,b,c,d,e,f,g,h,i,j,k,l,m,n,o,p,q,s,t,rest);
}
throw('Invalid arity: ' + arguments.length);
};
_invoke.cljs$lang$arity$1 = _invoke__1;
_invoke.cljs$lang$arity$2 = _invoke__2;
_invoke.cljs$lang$arity$3 = _invoke__3;
_invoke.cljs$lang$arity$4 = _invoke__4;
_invoke.cljs$lang$arity$5 = _invoke__5;
_invoke.cljs$lang$arity$6 = _invoke__6;
_invoke.cljs$lang$arity$7 = _invoke__7;
_invoke.cljs$lang$arity$8 = _invoke__8;
_invoke.cljs$lang$arity$9 = _invoke__9;
_invoke.cljs$lang$arity$10 = _invoke__10;
_invoke.cljs$lang$arity$11 = _invoke__11;
_invoke.cljs$lang$arity$12 = _invoke__12;
_invoke.cljs$lang$arity$13 = _invoke__13;
_invoke.cljs$lang$arity$14 = _invoke__14;
_invoke.cljs$lang$arity$15 = _invoke__15;
_invoke.cljs$lang$arity$16 = _invoke__16;
_invoke.cljs$lang$arity$17 = _invoke__17;
_invoke.cljs$lang$arity$18 = _invoke__18;
_invoke.cljs$lang$arity$19 = _invoke__19;
_invoke.cljs$lang$arity$20 = _invoke__20;
_invoke.cljs$lang$arity$21 = _invoke__21;
return _invoke;
})()
;
void 0;void 0;cljs.core.ICounted = {};
cljs.core._count = (function _count(coll){
if((function (){var and__3822__auto____8416 = coll;
if(and__3822__auto____8416)
{return coll.cljs$core$ICounted$_count$arity$1;
} else
{return and__3822__auto____8416;
}
})())
{return coll.cljs$core$ICounted$_count$arity$1(coll);
} else
{return (function (){var or__3824__auto____8417 = (cljs.core._count[goog.typeOf(coll)]);
if(or__3824__auto____8417)
{return or__3824__auto____8417;
} else
{var or__3824__auto____8418 = (cljs.core._count["_"]);
if(or__3824__auto____8418)
{return or__3824__auto____8418;
} else
{throw cljs.core.missing_protocol.call(null,"ICounted.-count",coll);
}
}
})().call(null,coll);
}
});
void 0;void 0;cljs.core.IEmptyableCollection = {};
cljs.core._empty = (function _empty(coll){
if((function (){var and__3822__auto____8422 = coll;
if(and__3822__auto____8422)
{return coll.cljs$core$IEmptyableCollection$_empty$arity$1;
} else
{return and__3822__auto____8422;
}
})())
{return coll.cljs$core$IEmptyableCollection$_empty$arity$1(coll);
} else
{return (function (){var or__3824__auto____8423 = (cljs.core._empty[goog.typeOf(coll)]);
if(or__3824__auto____8423)
{return or__3824__auto____8423;
} else
{var or__3824__auto____8424 = (cljs.core._empty["_"]);
if(or__3824__auto____8424)
{return or__3824__auto____8424;
} else
{throw cljs.core.missing_protocol.call(null,"IEmptyableCollection.-empty",coll);
}
}
})().call(null,coll);
}
});
void 0;void 0;cljs.core.ICollection = {};
cljs.core._conj = (function _conj(coll,o){
if((function (){var and__3822__auto____8428 = coll;
if(and__3822__auto____8428)
{return coll.cljs$core$ICollection$_conj$arity$2;
} else
{return and__3822__auto____8428;
}
})())
{return coll.cljs$core$ICollection$_conj$arity$2(coll,o);
} else
{return (function (){var or__3824__auto____8429 = (cljs.core._conj[goog.typeOf(coll)]);
if(or__3824__auto____8429)
{return or__3824__auto____8429;
} else
{var or__3824__auto____8430 = (cljs.core._conj["_"]);
if(or__3824__auto____8430)
{return or__3824__auto____8430;
} else
{throw cljs.core.missing_protocol.call(null,"ICollection.-conj",coll);
}
}
})().call(null,coll,o);
}
});
void 0;void 0;cljs.core.IIndexed = {};
cljs.core._nth = (function() {
var _nth = null;
var _nth__2 = (function (coll,n){
if((function (){var and__3822__auto____8437 = coll;
if(and__3822__auto____8437)
{return coll.cljs$core$IIndexed$_nth$arity$2;
} else
{return and__3822__auto____8437;
}
})())
{return coll.cljs$core$IIndexed$_nth$arity$2(coll,n);
} else
{return (function (){var or__3824__auto____8438 = (cljs.core._nth[goog.typeOf(coll)]);
if(or__3824__auto____8438)
{return or__3824__auto____8438;
} else
{var or__3824__auto____8439 = (cljs.core._nth["_"]);
if(or__3824__auto____8439)
{return or__3824__auto____8439;
} else
{throw cljs.core.missing_protocol.call(null,"IIndexed.-nth",coll);
}
}
})().call(null,coll,n);
}
});
var _nth__3 = (function (coll,n,not_found){
if((function (){var and__3822__auto____8440 = coll;
if(and__3822__auto____8440)
{return coll.cljs$core$IIndexed$_nth$arity$3;
} else
{return and__3822__auto____8440;
}
})())
{return coll.cljs$core$IIndexed$_nth$arity$3(coll,n,not_found);
} else
{return (function (){var or__3824__auto____8441 = (cljs.core._nth[goog.typeOf(coll)]);
if(or__3824__auto____8441)
{return or__3824__auto____8441;
} else
{var or__3824__auto____8442 = (cljs.core._nth["_"]);
if(or__3824__auto____8442)
{return or__3824__auto____8442;
} else
{throw cljs.core.missing_protocol.call(null,"IIndexed.-nth",coll);
}
}
})().call(null,coll,n,not_found);
}
});
_nth = function(coll,n,not_found){
switch(arguments.length){
case 2:
return _nth__2.call(this,coll,n);
case 3:
return _nth__3.call(this,coll,n,not_found);
}
throw('Invalid arity: ' + arguments.length);
};
_nth.cljs$lang$arity$2 = _nth__2;
_nth.cljs$lang$arity$3 = _nth__3;
return _nth;
})()
;
void 0;void 0;cljs.core.ASeq = {};
void 0;void 0;cljs.core.ISeq = {};
cljs.core._first = (function _first(coll){
if((function (){var and__3822__auto____8446 = coll;
if(and__3822__auto____8446)
{return coll.cljs$core$ISeq$_first$arity$1;
} else
{return and__3822__auto____8446;
}
})())
{return coll.cljs$core$ISeq$_first$arity$1(coll);
} else
{return (function (){var or__3824__auto____8447 = (cljs.core._first[goog.typeOf(coll)]);
if(or__3824__auto____8447)
{return or__3824__auto____8447;
} else
{var or__3824__auto____8448 = (cljs.core._first["_"]);
if(or__3824__auto____8448)
{return or__3824__auto____8448;
} else
{throw cljs.core.missing_protocol.call(null,"ISeq.-first",coll);
}
}
})().call(null,coll);
}
});
cljs.core._rest = (function _rest(coll){
if((function (){var and__3822__auto____8452 = coll;
if(and__3822__auto____8452)
{return coll.cljs$core$ISeq$_rest$arity$1;
} else
{return and__3822__auto____8452;
}
})())
{return coll.cljs$core$ISeq$_rest$arity$1(coll);
} else
{return (function (){var or__3824__auto____8453 = (cljs.core._rest[goog.typeOf(coll)]);
if(or__3824__auto____8453)
{return or__3824__auto____8453;
} else
{var or__3824__auto____8454 = (cljs.core._rest["_"]);
if(or__3824__auto____8454)
{return or__3824__auto____8454;
} else
{throw cljs.core.missing_protocol.call(null,"ISeq.-rest",coll);
}
}
})().call(null,coll);
}
});
void 0;void 0;cljs.core.INext = {};
cljs.core._next = (function _next(coll){
if((function (){var and__3822__auto____8458 = coll;
if(and__3822__auto____8458)
{return coll.cljs$core$INext$_next$arity$1;
} else
{return and__3822__auto____8458;
}
})())
{return coll.cljs$core$INext$_next$arity$1(coll);
} else
{return (function (){var or__3824__auto____8459 = (cljs.core._next[goog.typeOf(coll)]);
if(or__3824__auto____8459)
{return or__3824__auto____8459;
} else
{var or__3824__auto____8460 = (cljs.core._next["_"]);
if(or__3824__auto____8460)
{return or__3824__auto____8460;
} else
{throw cljs.core.missing_protocol.call(null,"INext.-next",coll);
}
}
})().call(null,coll);
}
});
void 0;void 0;cljs.core.ILookup = {};
cljs.core._lookup = (function() {
var _lookup = null;
var _lookup__2 = (function (o,k){
if((function (){var and__3822__auto____8467 = o;
if(and__3822__auto____8467)
{return o.cljs$core$ILookup$_lookup$arity$2;
} else
{return and__3822__auto____8467;
}
})())
{return o.cljs$core$ILookup$_lookup$arity$2(o,k);
} else
{return (function (){var or__3824__auto____8468 = (cljs.core._lookup[goog.typeOf(o)]);
if(or__3824__auto____8468)
{return or__3824__auto____8468;
} else
{var or__3824__auto____8469 = (cljs.core._lookup["_"]);
if(or__3824__auto____8469)
{return or__3824__auto____8469;
} else
{throw cljs.core.missing_protocol.call(null,"ILookup.-lookup",o);
}
}
})().call(null,o,k);
}
});
var _lookup__3 = (function (o,k,not_found){
if((function (){var and__3822__auto____8470 = o;
if(and__3822__auto____8470)
{return o.cljs$core$ILookup$_lookup$arity$3;
} else
{return and__3822__auto____8470;
}
})())
{return o.cljs$core$ILookup$_lookup$arity$3(o,k,not_found);
} else
{return (function (){var or__3824__auto____8471 = (cljs.core._lookup[goog.typeOf(o)]);
if(or__3824__auto____8471)
{return or__3824__auto____8471;
} else
{var or__3824__auto____8472 = (cljs.core._lookup["_"]);
if(or__3824__auto____8472)
{return or__3824__auto____8472;
} else
{throw cljs.core.missing_protocol.call(null,"ILookup.-lookup",o);
}
}
})().call(null,o,k,not_found);
}
});
_lookup = function(o,k,not_found){
switch(arguments.length){
case 2:
return _lookup__2.call(this,o,k);
case 3:
return _lookup__3.call(this,o,k,not_found);
}
throw('Invalid arity: ' + arguments.length);
};
_lookup.cljs$lang$arity$2 = _lookup__2;
_lookup.cljs$lang$arity$3 = _lookup__3;
return _lookup;
})()
;
void 0;void 0;cljs.core.IAssociative = {};
cljs.core._contains_key_QMARK_ = (function _contains_key_QMARK_(coll,k){
if((function (){var and__3822__auto____8476 = coll;
if(and__3822__auto____8476)
{return coll.cljs$core$IAssociative$_contains_key_QMARK_$arity$2;
} else
{return and__3822__auto____8476;
}
})())
{return coll.cljs$core$IAssociative$_contains_key_QMARK_$arity$2(coll,k);
} else
{return (function (){var or__3824__auto____8477 = (cljs.core._contains_key_QMARK_[goog.typeOf(coll)]);
if(or__3824__auto____8477)
{return or__3824__auto____8477;
} else
{var or__3824__auto____8478 = (cljs.core._contains_key_QMARK_["_"]);
if(or__3824__auto____8478)
{return or__3824__auto____8478;
} else
{throw cljs.core.missing_protocol.call(null,"IAssociative.-contains-key?",coll);
}
}
})().call(null,coll,k);
}
});
cljs.core._assoc = (function _assoc(coll,k,v){
if((function (){var and__3822__auto____8482 = coll;
if(and__3822__auto____8482)
{return coll.cljs$core$IAssociative$_assoc$arity$3;
} else
{return and__3822__auto____8482;
}
})())
{return coll.cljs$core$IAssociative$_assoc$arity$3(coll,k,v);
} else
{return (function (){var or__3824__auto____8483 = (cljs.core._assoc[goog.typeOf(coll)]);
if(or__3824__auto____8483)
{return or__3824__auto____8483;
} else
{var or__3824__auto____8484 = (cljs.core._assoc["_"]);
if(or__3824__auto____8484)
{return or__3824__auto____8484;
} else
{throw cljs.core.missing_protocol.call(null,"IAssociative.-assoc",coll);
}
}
})().call(null,coll,k,v);
}
});
void 0;void 0;cljs.core.IMap = {};
cljs.core._dissoc = (function _dissoc(coll,k){
if((function (){var and__3822__auto____8488 = coll;
if(and__3822__auto____8488)
{return coll.cljs$core$IMap$_dissoc$arity$2;
} else
{return and__3822__auto____8488;
}
})())
{return coll.cljs$core$IMap$_dissoc$arity$2(coll,k);
} else
{return (function (){var or__3824__auto____8489 = (cljs.core._dissoc[goog.typeOf(coll)]);
if(or__3824__auto____8489)
{return or__3824__auto____8489;
} else
{var or__3824__auto____8490 = (cljs.core._dissoc["_"]);
if(or__3824__auto____8490)
{return or__3824__auto____8490;
} else
{throw cljs.core.missing_protocol.call(null,"IMap.-dissoc",coll);
}
}
})().call(null,coll,k);
}
});
void 0;void 0;cljs.core.IMapEntry = {};
cljs.core._key = (function _key(coll){
if((function (){var and__3822__auto____8494 = coll;
if(and__3822__auto____8494)
{return coll.cljs$core$IMapEntry$_key$arity$1;
} else
{return and__3822__auto____8494;
}
})())
{return coll.cljs$core$IMapEntry$_key$arity$1(coll);
} else
{return (function (){var or__3824__auto____8495 = (cljs.core._key[goog.typeOf(coll)]);
if(or__3824__auto____8495)
{return or__3824__auto____8495;
} else
{var or__3824__auto____8496 = (cljs.core._key["_"]);
if(or__3824__auto____8496)
{return or__3824__auto____8496;
} else
{throw cljs.core.missing_protocol.call(null,"IMapEntry.-key",coll);
}
}
})().call(null,coll);
}
});
cljs.core._val = (function _val(coll){
if((function (){var and__3822__auto____8500 = coll;
if(and__3822__auto____8500)
{return coll.cljs$core$IMapEntry$_val$arity$1;
} else
{return and__3822__auto____8500;
}
})())
{return coll.cljs$core$IMapEntry$_val$arity$1(coll);
} else
{return (function (){var or__3824__auto____8501 = (cljs.core._val[goog.typeOf(coll)]);
if(or__3824__auto____8501)
{return or__3824__auto____8501;
} else
{var or__3824__auto____8502 = (cljs.core._val["_"]);
if(or__3824__auto____8502)
{return or__3824__auto____8502;
} else
{throw cljs.core.missing_protocol.call(null,"IMapEntry.-val",coll);
}
}
})().call(null,coll);
}
});
void 0;void 0;cljs.core.ISet = {};
cljs.core._disjoin = (function _disjoin(coll,v){
if((function (){var and__3822__auto____8506 = coll;
if(and__3822__auto____8506)
{return coll.cljs$core$ISet$_disjoin$arity$2;
} else
{return and__3822__auto____8506;
}
})())
{return coll.cljs$core$ISet$_disjoin$arity$2(coll,v);
} else
{return (function (){var or__3824__auto____8507 = (cljs.core._disjoin[goog.typeOf(coll)]);
if(or__3824__auto____8507)
{return or__3824__auto____8507;
} else
{var or__3824__auto____8508 = (cljs.core._disjoin["_"]);
if(or__3824__auto____8508)
{return or__3824__auto____8508;
} else
{throw cljs.core.missing_protocol.call(null,"ISet.-disjoin",coll);
}
}
})().call(null,coll,v);
}
});
void 0;void 0;cljs.core.IStack = {};
cljs.core._peek = (function _peek(coll){
if((function (){var and__3822__auto____8512 = coll;
if(and__3822__auto____8512)
{return coll.cljs$core$IStack$_peek$arity$1;
} else
{return and__3822__auto____8512;
}
})())
{return coll.cljs$core$IStack$_peek$arity$1(coll);
} else
{return (function (){var or__3824__auto____8513 = (cljs.core._peek[goog.typeOf(coll)]);
if(or__3824__auto____8513)
{return or__3824__auto____8513;
} else
{var or__3824__auto____8514 = (cljs.core._peek["_"]);
if(or__3824__auto____8514)
{return or__3824__auto____8514;
} else
{throw cljs.core.missing_protocol.call(null,"IStack.-peek",coll);
}
}
})().call(null,coll);
}
});
cljs.core._pop = (function _pop(coll){
if((function (){var and__3822__auto____8518 = coll;
if(and__3822__auto____8518)
{return coll.cljs$core$IStack$_pop$arity$1;
} else
{return and__3822__auto____8518;
}
})())
{return coll.cljs$core$IStack$_pop$arity$1(coll);
} else
{return (function (){var or__3824__auto____8519 = (cljs.core._pop[goog.typeOf(coll)]);
if(or__3824__auto____8519)
{return or__3824__auto____8519;
} else
{var or__3824__auto____8520 = (cljs.core._pop["_"]);
if(or__3824__auto____8520)
{return or__3824__auto____8520;
} else
{throw cljs.core.missing_protocol.call(null,"IStack.-pop",coll);
}
}
})().call(null,coll);
}
});
void 0;void 0;cljs.core.IVector = {};
cljs.core._assoc_n = (function _assoc_n(coll,n,val){
if((function (){var and__3822__auto____8524 = coll;
if(and__3822__auto____8524)
{return coll.cljs$core$IVector$_assoc_n$arity$3;
} else
{return and__3822__auto____8524;
}
})())
{return coll.cljs$core$IVector$_assoc_n$arity$3(coll,n,val);
} else
{return (function (){var or__3824__auto____8525 = (cljs.core._assoc_n[goog.typeOf(coll)]);
if(or__3824__auto____8525)
{return or__3824__auto____8525;
} else
{var or__3824__auto____8526 = (cljs.core._assoc_n["_"]);
if(or__3824__auto____8526)
{return or__3824__auto____8526;
} else
{throw cljs.core.missing_protocol.call(null,"IVector.-assoc-n",coll);
}
}
})().call(null,coll,n,val);
}
});
void 0;void 0;cljs.core.IDeref = {};
cljs.core._deref = (function _deref(o){
if((function (){var and__3822__auto____8530 = o;
if(and__3822__auto____8530)
{return o.cljs$core$IDeref$_deref$arity$1;
} else
{return and__3822__auto____8530;
}
})())
{return o.cljs$core$IDeref$_deref$arity$1(o);
} else
{return (function (){var or__3824__auto____8531 = (cljs.core._deref[goog.typeOf(o)]);
if(or__3824__auto____8531)
{return or__3824__auto____8531;
} else
{var or__3824__auto____8532 = (cljs.core._deref["_"]);
if(or__3824__auto____8532)
{return or__3824__auto____8532;
} else
{throw cljs.core.missing_protocol.call(null,"IDeref.-deref",o);
}
}
})().call(null,o);
}
});
void 0;void 0;cljs.core.IDerefWithTimeout = {};
cljs.core._deref_with_timeout = (function _deref_with_timeout(o,msec,timeout_val){
if((function (){var and__3822__auto____8536 = o;
if(and__3822__auto____8536)
{return o.cljs$core$IDerefWithTimeout$_deref_with_timeout$arity$3;
} else
{return and__3822__auto____8536;
}
})())
{return o.cljs$core$IDerefWithTimeout$_deref_with_timeout$arity$3(o,msec,timeout_val);
} else
{return (function (){var or__3824__auto____8537 = (cljs.core._deref_with_timeout[goog.typeOf(o)]);
if(or__3824__auto____8537)
{return or__3824__auto____8537;
} else
{var or__3824__auto____8538 = (cljs.core._deref_with_timeout["_"]);
if(or__3824__auto____8538)
{return or__3824__auto____8538;
} else
{throw cljs.core.missing_protocol.call(null,"IDerefWithTimeout.-deref-with-timeout",o);
}
}
})().call(null,o,msec,timeout_val);
}
});
void 0;void 0;cljs.core.IMeta = {};
cljs.core._meta = (function _meta(o){
if((function (){var and__3822__auto____8542 = o;
if(and__3822__auto____8542)
{return o.cljs$core$IMeta$_meta$arity$1;
} else
{return and__3822__auto____8542;
}
})())
{return o.cljs$core$IMeta$_meta$arity$1(o);
} else
{return (function (){var or__3824__auto____8543 = (cljs.core._meta[goog.typeOf(o)]);
if(or__3824__auto____8543)
{return or__3824__auto____8543;
} else
{var or__3824__auto____8544 = (cljs.core._meta["_"]);
if(or__3824__auto____8544)
{return or__3824__auto____8544;
} else
{throw cljs.core.missing_protocol.call(null,"IMeta.-meta",o);
}
}
})().call(null,o);
}
});
void 0;void 0;cljs.core.IWithMeta = {};
cljs.core._with_meta = (function _with_meta(o,meta){
if((function (){var and__3822__auto____8548 = o;
if(and__3822__auto____8548)
{return o.cljs$core$IWithMeta$_with_meta$arity$2;
} else
{return and__3822__auto____8548;
}
})())
{return o.cljs$core$IWithMeta$_with_meta$arity$2(o,meta);
} else
{return (function (){var or__3824__auto____8549 = (cljs.core._with_meta[goog.typeOf(o)]);
if(or__3824__auto____8549)
{return or__3824__auto____8549;
} else
{var or__3824__auto____8550 = (cljs.core._with_meta["_"]);
if(or__3824__auto____8550)
{return or__3824__auto____8550;
} else
{throw cljs.core.missing_protocol.call(null,"IWithMeta.-with-meta",o);
}
}
})().call(null,o,meta);
}
});
void 0;void 0;cljs.core.IReduce = {};
cljs.core._reduce = (function() {
var _reduce = null;
var _reduce__2 = (function (coll,f){
if((function (){var and__3822__auto____8557 = coll;
if(and__3822__auto____8557)
{return coll.cljs$core$IReduce$_reduce$arity$2;
} else
{return and__3822__auto____8557;
}
})())
{return coll.cljs$core$IReduce$_reduce$arity$2(coll,f);
} else
{return (function (){var or__3824__auto____8558 = (cljs.core._reduce[goog.typeOf(coll)]);
if(or__3824__auto____8558)
{return or__3824__auto____8558;
} else
{var or__3824__auto____8559 = (cljs.core._reduce["_"]);
if(or__3824__auto____8559)
{return or__3824__auto____8559;
} else
{throw cljs.core.missing_protocol.call(null,"IReduce.-reduce",coll);
}
}
})().call(null,coll,f);
}
});
var _reduce__3 = (function (coll,f,start){
if((function (){var and__3822__auto____8560 = coll;
if(and__3822__auto____8560)
{return coll.cljs$core$IReduce$_reduce$arity$3;
} else
{return and__3822__auto____8560;
}
})())
{return coll.cljs$core$IReduce$_reduce$arity$3(coll,f,start);
} else
{return (function (){var or__3824__auto____8561 = (cljs.core._reduce[goog.typeOf(coll)]);
if(or__3824__auto____8561)
{return or__3824__auto____8561;
} else
{var or__3824__auto____8562 = (cljs.core._reduce["_"]);
if(or__3824__auto____8562)
{return or__3824__auto____8562;
} else
{throw cljs.core.missing_protocol.call(null,"IReduce.-reduce",coll);
}
}
})().call(null,coll,f,start);
}
});
_reduce = function(coll,f,start){
switch(arguments.length){
case 2:
return _reduce__2.call(this,coll,f);
case 3:
return _reduce__3.call(this,coll,f,start);
}
throw('Invalid arity: ' + arguments.length);
};
_reduce.cljs$lang$arity$2 = _reduce__2;
_reduce.cljs$lang$arity$3 = _reduce__3;
return _reduce;
})()
;
void 0;void 0;cljs.core.IKVReduce = {};
cljs.core._kv_reduce = (function _kv_reduce(coll,f,init){
if((function (){var and__3822__auto____8566 = coll;
if(and__3822__auto____8566)
{return coll.cljs$core$IKVReduce$_kv_reduce$arity$3;
} else
{return and__3822__auto____8566;
}
})())
{return coll.cljs$core$IKVReduce$_kv_reduce$arity$3(coll,f,init);
} else
{return (function (){var or__3824__auto____8567 = (cljs.core._kv_reduce[goog.typeOf(coll)]);
if(or__3824__auto____8567)
{return or__3824__auto____8567;
} else
{var or__3824__auto____8568 = (cljs.core._kv_reduce["_"]);
if(or__3824__auto____8568)
{return or__3824__auto____8568;
} else
{throw cljs.core.missing_protocol.call(null,"IKVReduce.-kv-reduce",coll);
}
}
})().call(null,coll,f,init);
}
});
void 0;void 0;cljs.core.IEquiv = {};
cljs.core._equiv = (function _equiv(o,other){
if((function (){var and__3822__auto____8572 = o;
if(and__3822__auto____8572)
{return o.cljs$core$IEquiv$_equiv$arity$2;
} else
{return and__3822__auto____8572;
}
})())
{return o.cljs$core$IEquiv$_equiv$arity$2(o,other);
} else
{return (function (){var or__3824__auto____8573 = (cljs.core._equiv[goog.typeOf(o)]);
if(or__3824__auto____8573)
{return or__3824__auto____8573;
} else
{var or__3824__auto____8574 = (cljs.core._equiv["_"]);
if(or__3824__auto____8574)
{return or__3824__auto____8574;
} else
{throw cljs.core.missing_protocol.call(null,"IEquiv.-equiv",o);
}
}
})().call(null,o,other);
}
});
void 0;void 0;cljs.core.IHash = {};
cljs.core._hash = (function _hash(o){
if((function (){var and__3822__auto____8578 = o;
if(and__3822__auto____8578)
{return o.cljs$core$IHash$_hash$arity$1;
} else
{return and__3822__auto____8578;
}
})())
{return o.cljs$core$IHash$_hash$arity$1(o);
} else
{return (function (){var or__3824__auto____8579 = (cljs.core._hash[goog.typeOf(o)]);
if(or__3824__auto____8579)
{return or__3824__auto____8579;
} else
{var or__3824__auto____8580 = (cljs.core._hash["_"]);
if(or__3824__auto____8580)
{return or__3824__auto____8580;
} else
{throw cljs.core.missing_protocol.call(null,"IHash.-hash",o);
}
}
})().call(null,o);
}
});
void 0;void 0;cljs.core.ISeqable = {};
cljs.core._seq = (function _seq(o){
if((function (){var and__3822__auto____8584 = o;
if(and__3822__auto____8584)
{return o.cljs$core$ISeqable$_seq$arity$1;
} else
{return and__3822__auto____8584;
}
})())
{return o.cljs$core$ISeqable$_seq$arity$1(o);
} else
{return (function (){var or__3824__auto____8585 = (cljs.core._seq[goog.typeOf(o)]);
if(or__3824__auto____8585)
{return or__3824__auto____8585;
} else
{var or__3824__auto____8586 = (cljs.core._seq["_"]);
if(or__3824__auto____8586)
{return or__3824__auto____8586;
} else
{throw cljs.core.missing_protocol.call(null,"ISeqable.-seq",o);
}
}
})().call(null,o);
}
});
void 0;void 0;cljs.core.ISequential = {};
void 0;void 0;cljs.core.IList = {};
void 0;void 0;cljs.core.IRecord = {};
void 0;void 0;cljs.core.IReversible = {};
cljs.core._rseq = (function _rseq(coll){
if((function (){var and__3822__auto____8590 = coll;
if(and__3822__auto____8590)
{return coll.cljs$core$IReversible$_rseq$arity$1;
} else
{return and__3822__auto____8590;
}
})())
{return coll.cljs$core$IReversible$_rseq$arity$1(coll);
} else
{return (function (){var or__3824__auto____8591 = (cljs.core._rseq[goog.typeOf(coll)]);
if(or__3824__auto____8591)
{return or__3824__auto____8591;
} else
{var or__3824__auto____8592 = (cljs.core._rseq["_"]);
if(or__3824__auto____8592)
{return or__3824__auto____8592;
} else
{throw cljs.core.missing_protocol.call(null,"IReversible.-rseq",coll);
}
}
})().call(null,coll);
}
});
void 0;void 0;cljs.core.ISorted = {};
cljs.core._sorted_seq = (function _sorted_seq(coll,ascending_QMARK_){
if((function (){var and__3822__auto____8596 = coll;
if(and__3822__auto____8596)
{return coll.cljs$core$ISorted$_sorted_seq$arity$2;
} else
{return and__3822__auto____8596;
}
})())
{return coll.cljs$core$ISorted$_sorted_seq$arity$2(coll,ascending_QMARK_);
} else
{return (function (){var or__3824__auto____8597 = (cljs.core._sorted_seq[goog.typeOf(coll)]);
if(or__3824__auto____8597)
{return or__3824__auto____8597;
} else
{var or__3824__auto____8598 = (cljs.core._sorted_seq["_"]);
if(or__3824__auto____8598)
{return or__3824__auto____8598;
} else
{throw cljs.core.missing_protocol.call(null,"ISorted.-sorted-seq",coll);
}
}
})().call(null,coll,ascending_QMARK_);
}
});
cljs.core._sorted_seq_from = (function _sorted_seq_from(coll,k,ascending_QMARK_){
if((function (){var and__3822__auto____8602 = coll;
if(and__3822__auto____8602)
{return coll.cljs$core$ISorted$_sorted_seq_from$arity$3;
} else
{return and__3822__auto____8602;
}
})())
{return coll.cljs$core$ISorted$_sorted_seq_from$arity$3(coll,k,ascending_QMARK_);
} else
{return (function (){var or__3824__auto____8603 = (cljs.core._sorted_seq_from[goog.typeOf(coll)]);
if(or__3824__auto____8603)
{return or__3824__auto____8603;
} else
{var or__3824__auto____8604 = (cljs.core._sorted_seq_from["_"]);
if(or__3824__auto____8604)
{return or__3824__auto____8604;
} else
{throw cljs.core.missing_protocol.call(null,"ISorted.-sorted-seq-from",coll);
}
}
})().call(null,coll,k,ascending_QMARK_);
}
});
cljs.core._entry_key = (function _entry_key(coll,entry){
if((function (){var and__3822__auto____8608 = coll;
if(and__3822__auto____8608)
{return coll.cljs$core$ISorted$_entry_key$arity$2;
} else
{return and__3822__auto____8608;
}
})())
{return coll.cljs$core$ISorted$_entry_key$arity$2(coll,entry);
} else
{return (function (){var or__3824__auto____8609 = (cljs.core._entry_key[goog.typeOf(coll)]);
if(or__3824__auto____8609)
{return or__3824__auto____8609;
} else
{var or__3824__auto____8610 = (cljs.core._entry_key["_"]);
if(or__3824__auto____8610)
{return or__3824__auto____8610;
} else
{throw cljs.core.missing_protocol.call(null,"ISorted.-entry-key",coll);
}
}
})().call(null,coll,entry);
}
});
cljs.core._comparator = (function _comparator(coll){
if((function (){var and__3822__auto____8614 = coll;
if(and__3822__auto____8614)
{return coll.cljs$core$ISorted$_comparator$arity$1;
} else
{return and__3822__auto____8614;
}
})())
{return coll.cljs$core$ISorted$_comparator$arity$1(coll);
} else
{return (function (){var or__3824__auto____8615 = (cljs.core._comparator[goog.typeOf(coll)]);
if(or__3824__auto____8615)
{return or__3824__auto____8615;
} else
{var or__3824__auto____8616 = (cljs.core._comparator["_"]);
if(or__3824__auto____8616)
{return or__3824__auto____8616;
} else
{throw cljs.core.missing_protocol.call(null,"ISorted.-comparator",coll);
}
}
})().call(null,coll);
}
});
void 0;void 0;cljs.core.IPrintable = {};
cljs.core._pr_seq = (function _pr_seq(o,opts){
if((function (){var and__3822__auto____8643 = o;
if(and__3822__auto____8643)
{return o.cljs$core$IPrintable$_pr_seq$arity$2;
} else
{return and__3822__auto____8643;
}
})())
{return o.cljs$core$IPrintable$_pr_seq$arity$2(o,opts);
} else
{return (function (){var or__3824__auto____8644 = (cljs.core._pr_seq[goog.typeOf(o)]);
if(or__3824__auto____8644)
{return or__3824__auto____8644;
} else
{var or__3824__auto____8645 = (cljs.core._pr_seq["_"]);
if(or__3824__auto____8645)
{return or__3824__auto____8645;
} else
{throw cljs.core.missing_protocol.call(null,"IPrintable.-pr-seq",o);
}
}
})().call(null,o,opts);
}
});
void 0;void 0;cljs.core.IPending = {};
cljs.core._realized_QMARK_ = (function _realized_QMARK_(d){
if((function (){var and__3822__auto____8651 = d;
if(and__3822__auto____8651)
{return d.cljs$core$IPending$_realized_QMARK_$arity$1;
} else
{return and__3822__auto____8651;
}
})())
{return d.cljs$core$IPending$_realized_QMARK_$arity$1(d);
} else
{return (function (){var or__3824__auto____8653 = (cljs.core._realized_QMARK_[goog.typeOf(d)]);
if(or__3824__auto____8653)
{return or__3824__auto____8653;
} else
{var or__3824__auto____8654 = (cljs.core._realized_QMARK_["_"]);
if(or__3824__auto____8654)
{return or__3824__auto____8654;
} else
{throw cljs.core.missing_protocol.call(null,"IPending.-realized?",d);
}
}
})().call(null,d);
}
});
void 0;void 0;cljs.core.IWatchable = {};
cljs.core._notify_watches = (function _notify_watches(this$,oldval,newval){
if((function (){var and__3822__auto____8670 = this$;
if(and__3822__auto____8670)
{return this$.cljs$core$IWatchable$_notify_watches$arity$3;
} else
{return and__3822__auto____8670;
}
})())
{return this$.cljs$core$IWatchable$_notify_watches$arity$3(this$,oldval,newval);
} else
{return (function (){var or__3824__auto____8672 = (cljs.core._notify_watches[goog.typeOf(this$)]);
if(or__3824__auto____8672)
{return or__3824__auto____8672;
} else
{var or__3824__auto____8673 = (cljs.core._notify_watches["_"]);
if(or__3824__auto____8673)
{return or__3824__auto____8673;
} else
{throw cljs.core.missing_protocol.call(null,"IWatchable.-notify-watches",this$);
}
}
})().call(null,this$,oldval,newval);
}
});
cljs.core._add_watch = (function _add_watch(this$,key,f){
if((function (){var and__3822__auto____8677 = this$;
if(and__3822__auto____8677)
{return this$.cljs$core$IWatchable$_add_watch$arity$3;
} else
{return and__3822__auto____8677;
}
})())
{return this$.cljs$core$IWatchable$_add_watch$arity$3(this$,key,f);
} else
{return (function (){var or__3824__auto____8679 = (cljs.core._add_watch[goog.typeOf(this$)]);
if(or__3824__auto____8679)
{return or__3824__auto____8679;
} else
{var or__3824__auto____8680 = (cljs.core._add_watch["_"]);
if(or__3824__auto____8680)
{return or__3824__auto____8680;
} else
{throw cljs.core.missing_protocol.call(null,"IWatchable.-add-watch",this$);
}
}
})().call(null,this$,key,f);
}
});
cljs.core._remove_watch = (function _remove_watch(this$,key){
if((function (){var and__3822__auto____8685 = this$;
if(and__3822__auto____8685)
{return this$.cljs$core$IWatchable$_remove_watch$arity$2;
} else
{return and__3822__auto____8685;
}
})())
{return this$.cljs$core$IWatchable$_remove_watch$arity$2(this$,key);
} else
{return (function (){var or__3824__auto____8686 = (cljs.core._remove_watch[goog.typeOf(this$)]);
if(or__3824__auto____8686)
{return or__3824__auto____8686;
} else
{var or__3824__auto____8687 = (cljs.core._remove_watch["_"]);
if(or__3824__auto____8687)
{return or__3824__auto____8687;
} else
{throw cljs.core.missing_protocol.call(null,"IWatchable.-remove-watch",this$);
}
}
})().call(null,this$,key);
}
});
void 0;void 0;cljs.core.IEditableCollection = {};
cljs.core._as_transient = (function _as_transient(coll){
if((function (){var and__3822__auto____8701 = coll;
if(and__3822__auto____8701)
{return coll.cljs$core$IEditableCollection$_as_transient$arity$1;
} else
{return and__3822__auto____8701;
}
})())
{return coll.cljs$core$IEditableCollection$_as_transient$arity$1(coll);
} else
{return (function (){var or__3824__auto____8702 = (cljs.core._as_transient[goog.typeOf(coll)]);
if(or__3824__auto____8702)
{return or__3824__auto____8702;
} else
{var or__3824__auto____8703 = (cljs.core._as_transient["_"]);
if(or__3824__auto____8703)
{return or__3824__auto____8703;
} else
{throw cljs.core.missing_protocol.call(null,"IEditableCollection.-as-transient",coll);
}
}
})().call(null,coll);
}
});
void 0;void 0;cljs.core.ITransientCollection = {};
cljs.core._conj_BANG_ = (function _conj_BANG_(tcoll,val){
if((function (){var and__3822__auto____8714 = tcoll;
if(and__3822__auto____8714)
{return tcoll.cljs$core$ITransientCollection$_conj_BANG_$arity$2;
} else
{return and__3822__auto____8714;
}
})())
{return tcoll.cljs$core$ITransientCollection$_conj_BANG_$arity$2(tcoll,val);
} else
{return (function (){var or__3824__auto____8715 = (cljs.core._conj_BANG_[goog.typeOf(tcoll)]);
if(or__3824__auto____8715)
{return or__3824__auto____8715;
} else
{var or__3824__auto____8716 = (cljs.core._conj_BANG_["_"]);
if(or__3824__auto____8716)
{return or__3824__auto____8716;
} else
{throw cljs.core.missing_protocol.call(null,"ITransientCollection.-conj!",tcoll);
}
}
})().call(null,tcoll,val);
}
});
cljs.core._persistent_BANG_ = (function _persistent_BANG_(tcoll){
if((function (){var and__3822__auto____8720 = tcoll;
if(and__3822__auto____8720)
{return tcoll.cljs$core$ITransientCollection$_persistent_BANG_$arity$1;
} else
{return and__3822__auto____8720;
}
})())
{return tcoll.cljs$core$ITransientCollection$_persistent_BANG_$arity$1(tcoll);
} else
{return (function (){var or__3824__auto____8721 = (cljs.core._persistent_BANG_[goog.typeOf(tcoll)]);
if(or__3824__auto____8721)
{return or__3824__auto____8721;
} else
{var or__3824__auto____8722 = (cljs.core._persistent_BANG_["_"]);
if(or__3824__auto____8722)
{return or__3824__auto____8722;
} else
{throw cljs.core.missing_protocol.call(null,"ITransientCollection.-persistent!",tcoll);
}
}
})().call(null,tcoll);
}
});
void 0;void 0;cljs.core.ITransientAssociative = {};
cljs.core._assoc_BANG_ = (function _assoc_BANG_(tcoll,key,val){
if((function (){var and__3822__auto____8732 = tcoll;
if(and__3822__auto____8732)
{return tcoll.cljs$core$ITransientAssociative$_assoc_BANG_$arity$3;
} else
{return and__3822__auto____8732;
}
})())
{return tcoll.cljs$core$ITransientAssociative$_assoc_BANG_$arity$3(tcoll,key,val);
} else
{return (function (){var or__3824__auto____8733 = (cljs.core._assoc_BANG_[goog.typeOf(tcoll)]);
if(or__3824__auto____8733)
{return or__3824__auto____8733;
} else
{var or__3824__auto____8734 = (cljs.core._assoc_BANG_["_"]);
if(or__3824__auto____8734)
{return or__3824__auto____8734;
} else
{throw cljs.core.missing_protocol.call(null,"ITransientAssociative.-assoc!",tcoll);
}
}
})().call(null,tcoll,key,val);
}
});
void 0;void 0;cljs.core.ITransientMap = {};
cljs.core._dissoc_BANG_ = (function _dissoc_BANG_(tcoll,key){
if((function (){var and__3822__auto____8745 = tcoll;
if(and__3822__auto____8745)
{return tcoll.cljs$core$ITransientMap$_dissoc_BANG_$arity$2;
} else
{return and__3822__auto____8745;
}
})())
{return tcoll.cljs$core$ITransientMap$_dissoc_BANG_$arity$2(tcoll,key);
} else
{return (function (){var or__3824__auto____8746 = (cljs.core._dissoc_BANG_[goog.typeOf(tcoll)]);
if(or__3824__auto____8746)
{return or__3824__auto____8746;
} else
{var or__3824__auto____8747 = (cljs.core._dissoc_BANG_["_"]);
if(or__3824__auto____8747)
{return or__3824__auto____8747;
} else
{throw cljs.core.missing_protocol.call(null,"ITransientMap.-dissoc!",tcoll);
}
}
})().call(null,tcoll,key);
}
});
void 0;void 0;cljs.core.ITransientVector = {};
cljs.core._assoc_n_BANG_ = (function _assoc_n_BANG_(tcoll,n,val){
if((function (){var and__3822__auto____8758 = tcoll;
if(and__3822__auto____8758)
{return tcoll.cljs$core$ITransientVector$_assoc_n_BANG_$arity$3;
} else
{return and__3822__auto____8758;
}
})())
{return tcoll.cljs$core$ITransientVector$_assoc_n_BANG_$arity$3(tcoll,n,val);
} else
{return (function (){var or__3824__auto____8759 = (cljs.core._assoc_n_BANG_[goog.typeOf(tcoll)]);
if(or__3824__auto____8759)
{return or__3824__auto____8759;
} else
{var or__3824__auto____8760 = (cljs.core._assoc_n_BANG_["_"]);
if(or__3824__auto____8760)
{return or__3824__auto____8760;
} else
{throw cljs.core.missing_protocol.call(null,"ITransientVector.-assoc-n!",tcoll);
}
}
})().call(null,tcoll,n,val);
}
});
cljs.core._pop_BANG_ = (function _pop_BANG_(tcoll){
if((function (){var and__3822__auto____8764 = tcoll;
if(and__3822__auto____8764)
{return tcoll.cljs$core$ITransientVector$_pop_BANG_$arity$1;
} else
{return and__3822__auto____8764;
}
})())
{return tcoll.cljs$core$ITransientVector$_pop_BANG_$arity$1(tcoll);
} else
{return (function (){var or__3824__auto____8765 = (cljs.core._pop_BANG_[goog.typeOf(tcoll)]);
if(or__3824__auto____8765)
{return or__3824__auto____8765;
} else
{var or__3824__auto____8766 = (cljs.core._pop_BANG_["_"]);
if(or__3824__auto____8766)
{return or__3824__auto____8766;
} else
{throw cljs.core.missing_protocol.call(null,"ITransientVector.-pop!",tcoll);
}
}
})().call(null,tcoll);
}
});
void 0;void 0;cljs.core.ITransientSet = {};
cljs.core._disjoin_BANG_ = (function _disjoin_BANG_(tcoll,v){
if((function (){var and__3822__auto____8775 = tcoll;
if(and__3822__auto____8775)
{return tcoll.cljs$core$ITransientSet$_disjoin_BANG_$arity$2;
} else
{return and__3822__auto____8775;
}
})())
{return tcoll.cljs$core$ITransientSet$_disjoin_BANG_$arity$2(tcoll,v);
} else
{return (function (){var or__3824__auto____8776 = (cljs.core._disjoin_BANG_[goog.typeOf(tcoll)]);
if(or__3824__auto____8776)
{return or__3824__auto____8776;
} else
{var or__3824__auto____8778 = (cljs.core._disjoin_BANG_["_"]);
if(or__3824__auto____8778)
{return or__3824__auto____8778;
} else
{throw cljs.core.missing_protocol.call(null,"ITransientSet.-disjoin!",tcoll);
}
}
})().call(null,tcoll,v);
}
});
void 0;void 0;cljs.core.IComparable = {};
cljs.core._compare = (function _compare(x,y){
if((function (){var and__3822__auto____8786 = x;
if(and__3822__auto____8786)
{return x.cljs$core$IComparable$_compare$arity$2;
} else
{return and__3822__auto____8786;
}
})())
{return x.cljs$core$IComparable$_compare$arity$2(x,y);
} else
{return (function (){var or__3824__auto____8787 = (cljs.core._compare[goog.typeOf(x)]);
if(or__3824__auto____8787)
{return or__3824__auto____8787;
} else
{var or__3824__auto____8788 = (cljs.core._compare["_"]);
if(or__3824__auto____8788)
{return or__3824__auto____8788;
} else
{throw cljs.core.missing_protocol.call(null,"IComparable.-compare",x);
}
}
})().call(null,x,y);
}
});
void 0;void 0;cljs.core.IChunk = {};
cljs.core._drop_first = (function _drop_first(coll){
if((function (){var and__3822__auto____8795 = coll;
if(and__3822__auto____8795)
{return coll.cljs$core$IChunk$_drop_first$arity$1;
} else
{return and__3822__auto____8795;
}
})())
{return coll.cljs$core$IChunk$_drop_first$arity$1(coll);
} else
{return (function (){var or__3824__auto____8796 = (cljs.core._drop_first[goog.typeOf(coll)]);
if(or__3824__auto____8796)
{return or__3824__auto____8796;
} else
{var or__3824__auto____8797 = (cljs.core._drop_first["_"]);
if(or__3824__auto____8797)
{return or__3824__auto____8797;
} else
{throw cljs.core.missing_protocol.call(null,"IChunk.-drop-first",coll);
}
}
})().call(null,coll);
}
});
void 0;void 0;cljs.core.IChunkedSeq = {};
cljs.core._chunked_first = (function _chunked_first(coll){
if((function (){var and__3822__auto____8801 = coll;
if(and__3822__auto____8801)
{return coll.cljs$core$IChunkedSeq$_chunked_first$arity$1;
} else
{return and__3822__auto____8801;
}
})())
{return coll.cljs$core$IChunkedSeq$_chunked_first$arity$1(coll);
} else
{return (function (){var or__3824__auto____8802 = (cljs.core._chunked_first[goog.typeOf(coll)]);
if(or__3824__auto____8802)
{return or__3824__auto____8802;
} else
{var or__3824__auto____8803 = (cljs.core._chunked_first["_"]);
if(or__3824__auto____8803)
{return or__3824__auto____8803;
} else
{throw cljs.core.missing_protocol.call(null,"IChunkedSeq.-chunked-first",coll);
}
}
})().call(null,coll);
}
});
cljs.core._chunked_rest = (function _chunked_rest(coll){
if((function (){var and__3822__auto____8807 = coll;
if(and__3822__auto____8807)
{return coll.cljs$core$IChunkedSeq$_chunked_rest$arity$1;
} else
{return and__3822__auto____8807;
}
})())
{return coll.cljs$core$IChunkedSeq$_chunked_rest$arity$1(coll);
} else
{return (function (){var or__3824__auto____8808 = (cljs.core._chunked_rest[goog.typeOf(coll)]);
if(or__3824__auto____8808)
{return or__3824__auto____8808;
} else
{var or__3824__auto____8809 = (cljs.core._chunked_rest["_"]);
if(or__3824__auto____8809)
{return or__3824__auto____8809;
} else
{throw cljs.core.missing_protocol.call(null,"IChunkedSeq.-chunked-rest",coll);
}
}
})().call(null,coll);
}
});
void 0;void 0;cljs.core.IChunkedNext = {};
cljs.core._chunked_next = (function _chunked_next(coll){
if((function (){var and__3822__auto____8813 = coll;
if(and__3822__auto____8813)
{return coll.cljs$core$IChunkedNext$_chunked_next$arity$1;
} else
{return and__3822__auto____8813;
}
})())
{return coll.cljs$core$IChunkedNext$_chunked_next$arity$1(coll);
} else
{return (function (){var or__3824__auto____8814 = (cljs.core._chunked_next[goog.typeOf(coll)]);
if(or__3824__auto____8814)
{return or__3824__auto____8814;
} else
{var or__3824__auto____8815 = (cljs.core._chunked_next["_"]);
if(or__3824__auto____8815)
{return or__3824__auto____8815;
} else
{throw cljs.core.missing_protocol.call(null,"IChunkedNext.-chunked-next",coll);
}
}
})().call(null,coll);
}
});
void 0;/**
* Tests if 2 arguments are the same object
*/
cljs.core.identical_QMARK_ = (function identical_QMARK_(x,y){
return (x === y);
});
void 0;
void 0;
/**
* Equality. Returns true if x equals y, false if not. Compares
* numbers and collections in a type-independent manner.  Clojure's immutable data
* structures define -equiv (and thus =) as a value, not an identity,
* comparison.
* @param {...*} var_args
*/
cljs.core._EQ_ = (function() {
var _EQ_ = null;
var _EQ___1 = (function (x){
return true;
});
var _EQ___2 = (function (x,y){
var or__3824__auto____8817 = (x === y);
if(or__3824__auto____8817)
{return or__3824__auto____8817;
} else
{return cljs.core._equiv.call(null,x,y);
}
});
var _EQ___3 = (function() { 
var G__8818__delegate = function (x,y,more){
while(true){
if(cljs.core.truth_(_EQ_.call(null,x,y)))
{if(cljs.core.next.call(null,more))
{{
var G__8819 = y;
var G__8820 = cljs.core.first.call(null,more);
var G__8821 = cljs.core.next.call(null,more);
x = G__8819;
y = G__8820;
more = G__8821;
continue;
}
} else
{return _EQ_.call(null,y,cljs.core.first.call(null,more));
}
} else
{return false;
}
break;
}
};
var G__8818 = function (x,y,var_args){
var more = null;
if (goog.isDef(var_args)) {
  more = cljs.core.array_seq(Array.prototype.slice.call(arguments, 2),0);
} 
return G__8818__delegate.call(this, x, y, more);
};
G__8818.cljs$lang$maxFixedArity = 2;
G__8818.cljs$lang$applyTo = (function (arglist__8827){
var x = cljs.core.first(arglist__8827);
var y = cljs.core.first(cljs.core.next(arglist__8827));
var more = cljs.core.rest(cljs.core.next(arglist__8827));
return G__8818__delegate(x, y, more);
});
G__8818.cljs$lang$arity$variadic = G__8818__delegate;
return G__8818;
})()
;
_EQ_ = function(x,y,var_args){
var more = var_args;
switch(arguments.length){
case 1:
return _EQ___1.call(this,x);
case 2:
return _EQ___2.call(this,x,y);
default:
return _EQ___3.cljs$lang$arity$variadic(x,y, cljs.core.array_seq(arguments, 2));
}
throw('Invalid arity: ' + arguments.length);
};
_EQ_.cljs$lang$maxFixedArity = 2;
_EQ_.cljs$lang$applyTo = _EQ___3.cljs$lang$applyTo;
_EQ_.cljs$lang$arity$1 = _EQ___1;
_EQ_.cljs$lang$arity$2 = _EQ___2;
_EQ_.cljs$lang$arity$variadic = _EQ___3.cljs$lang$arity$variadic;
return _EQ_;
})()
;
/**
* Returns true if x is nil, false otherwise.
*/
cljs.core.nil_QMARK_ = (function nil_QMARK_(x){
return (x == null);
});
cljs.core.type = (function type(x){
if((x == null))
{return null;
} else
{return x.constructor;
}
});
cljs.core.instance_QMARK_ = (function instance_QMARK_(t,o){
return (o instanceof t);
});
void 0;
void 0;
void 0;
(cljs.core.IHash["null"] = true);
(cljs.core._hash["null"] = (function (o){
return 0;
}));
(cljs.core.ILookup["null"] = true);
(cljs.core._lookup["null"] = (function() {
var G__8828 = null;
var G__8828__2 = (function (o,k){
return null;
});
var G__8828__3 = (function (o,k,not_found){
return not_found;
});
G__8828 = function(o,k,not_found){
switch(arguments.length){
case 2:
return G__8828__2.call(this,o,k);
case 3:
return G__8828__3.call(this,o,k,not_found);
}
throw('Invalid arity: ' + arguments.length);
};
return G__8828;
})()
);
(cljs.core.IAssociative["null"] = true);
(cljs.core._assoc["null"] = (function (_,k,v){
return cljs.core.hash_map.call(null,k,v);
}));
(cljs.core.INext["null"] = true);
(cljs.core._next["null"] = (function (_){
return null;
}));
(cljs.core.ICollection["null"] = true);
(cljs.core._conj["null"] = (function (_,o){
return cljs.core.list.call(null,o);
}));
(cljs.core.IReduce["null"] = true);
(cljs.core._reduce["null"] = (function() {
var G__8829 = null;
var G__8829__2 = (function (_,f){
return f.call(null);
});
var G__8829__3 = (function (_,f,start){
return start;
});
G__8829 = function(_,f,start){
switch(arguments.length){
case 2:
return G__8829__2.call(this,_,f);
case 3:
return G__8829__3.call(this,_,f,start);
}
throw('Invalid arity: ' + arguments.length);
};
return G__8829;
})()
);
(cljs.core.IPrintable["null"] = true);
(cljs.core._pr_seq["null"] = (function (o){
return cljs.core.list.call(null,"nil");
}));
(cljs.core.ISet["null"] = true);
(cljs.core._disjoin["null"] = (function (_,v){
return null;
}));
(cljs.core.ICounted["null"] = true);
(cljs.core._count["null"] = (function (_){
return 0;
}));
(cljs.core.IStack["null"] = true);
(cljs.core._peek["null"] = (function (_){
return null;
}));
(cljs.core._pop["null"] = (function (_){
return null;
}));
(cljs.core.ISeq["null"] = true);
(cljs.core._first["null"] = (function (_){
return null;
}));
(cljs.core._rest["null"] = (function (_){
return cljs.core.list.call(null);
}));
(cljs.core.IEquiv["null"] = true);
(cljs.core._equiv["null"] = (function (_,o){
return (o == null);
}));
(cljs.core.IWithMeta["null"] = true);
(cljs.core._with_meta["null"] = (function (_,meta){
return null;
}));
(cljs.core.IMeta["null"] = true);
(cljs.core._meta["null"] = (function (_){
return null;
}));
(cljs.core.IIndexed["null"] = true);
(cljs.core._nth["null"] = (function() {
var G__8846 = null;
var G__8846__2 = (function (_,n){
return null;
});
var G__8846__3 = (function (_,n,not_found){
return not_found;
});
G__8846 = function(_,n,not_found){
switch(arguments.length){
case 2:
return G__8846__2.call(this,_,n);
case 3:
return G__8846__3.call(this,_,n,not_found);
}
throw('Invalid arity: ' + arguments.length);
};
return G__8846;
})()
);
(cljs.core.IEmptyableCollection["null"] = true);
(cljs.core._empty["null"] = (function (_){
return null;
}));
(cljs.core.IMap["null"] = true);
(cljs.core._dissoc["null"] = (function (_,k){
return null;
}));
Date.prototype.cljs$core$IEquiv$ = true;
Date.prototype.cljs$core$IEquiv$_equiv$arity$2 = (function (o,other){
var and__3822__auto____8854 = cljs.core.instance_QMARK_.call(null,Date,other);
if(and__3822__auto____8854)
{return (o.toString() === other.toString());
} else
{return and__3822__auto____8854;
}
});
(cljs.core.IHash["number"] = true);
(cljs.core._hash["number"] = (function (o){
return o;
}));
(cljs.core.IEquiv["number"] = true);
(cljs.core._equiv["number"] = (function (x,o){
return (x === o);
}));
(cljs.core.IHash["boolean"] = true);
(cljs.core._hash["boolean"] = (function (o){
if((o === true))
{return 1;
} else
{return 0;
}
}));
(cljs.core.IHash["_"] = true);
(cljs.core._hash["_"] = (function (o){
return goog.getUid(o);
}));
/**
* Returns a number one greater than num.
*/
cljs.core.inc = (function inc(x){
return (x + 1);
});
void 0;
void 0;
/**
* Accepts any collection which satisfies the ICount and IIndexed protocols and
* reduces them without incurring seq initialization
*/
cljs.core.ci_reduce = (function() {
var ci_reduce = null;
var ci_reduce__2 = (function (cicoll,f){
var cnt__8893 = cljs.core._count.call(null,cicoll);
if((cnt__8893 === 0))
{return f.call(null);
} else
{var val__8894 = cljs.core._nth.call(null,cicoll,0);
var n__8895 = 1;
while(true){
if((n__8895 < cnt__8893))
{var nval__8896 = f.call(null,val__8894,cljs.core._nth.call(null,cicoll,n__8895));
if(cljs.core.truth_(cljs.core.reduced_QMARK_.call(null,nval__8896)))
{return cljs.core.deref.call(null,nval__8896);
} else
{{
var G__8921 = nval__8896;
var G__8922 = (n__8895 + 1);
val__8894 = G__8921;
n__8895 = G__8922;
continue;
}
}
} else
{return val__8894;
}
break;
}
}
});
var ci_reduce__3 = (function (cicoll,f,val){
var cnt__8900 = cljs.core._count.call(null,cicoll);
var val__8901 = val;
var n__8902 = 0;
while(true){
if((n__8902 < cnt__8900))
{var nval__8904 = f.call(null,val__8901,cljs.core._nth.call(null,cicoll,n__8902));
if(cljs.core.truth_(cljs.core.reduced_QMARK_.call(null,nval__8904)))
{return cljs.core.deref.call(null,nval__8904);
} else
{{
var G__8934 = nval__8904;
var G__8935 = (n__8902 + 1);
val__8901 = G__8934;
n__8902 = G__8935;
continue;
}
}
} else
{return val__8901;
}
break;
}
});
var ci_reduce__4 = (function (cicoll,f,val,idx){
var cnt__8905 = cljs.core._count.call(null,cicoll);
var val__8907 = val;
var n__8909 = idx;
while(true){
if((n__8909 < cnt__8905))
{var nval__8911 = f.call(null,val__8907,cljs.core._nth.call(null,cicoll,n__8909));
if(cljs.core.truth_(cljs.core.reduced_QMARK_.call(null,nval__8911)))
{return cljs.core.deref.call(null,nval__8911);
} else
{{
var G__8947 = nval__8911;
var G__8948 = (n__8909 + 1);
val__8907 = G__8947;
n__8909 = G__8948;
continue;
}
}
} else
{return val__8907;
}
break;
}
});
ci_reduce = function(cicoll,f,val,idx){
switch(arguments.length){
case 2:
return ci_reduce__2.call(this,cicoll,f);
case 3:
return ci_reduce__3.call(this,cicoll,f,val);
case 4:
return ci_reduce__4.call(this,cicoll,f,val,idx);
}
throw('Invalid arity: ' + arguments.length);
};
ci_reduce.cljs$lang$arity$2 = ci_reduce__2;
ci_reduce.cljs$lang$arity$3 = ci_reduce__3;
ci_reduce.cljs$lang$arity$4 = ci_reduce__4;
return ci_reduce;
})()
;
cljs.core.array_reduce = (function() {
var array_reduce = null;
var array_reduce__2 = (function (arr,f){
var cnt__8963 = arr.length;
if((arr.length === 0))
{return f.call(null);
} else
{var val__8964 = (arr[0]);
var n__8965 = 1;
while(true){
if((n__8965 < cnt__8963))
{var nval__8966 = f.call(null,val__8964,(arr[n__8965]));
if(cljs.core.truth_(cljs.core.reduced_QMARK_.call(null,nval__8966)))
{return cljs.core.deref.call(null,nval__8966);
} else
{{
var G__8983 = nval__8966;
var G__8984 = (n__8965 + 1);
val__8964 = G__8983;
n__8965 = G__8984;
continue;
}
}
} else
{return val__8964;
}
break;
}
}
});
var array_reduce__3 = (function (arr,f,val){
var cnt__8967 = arr.length;
var val__8968 = val;
var n__8969 = 0;
while(true){
if((n__8969 < cnt__8967))
{var nval__8970 = f.call(null,val__8968,(arr[n__8969]));
if(cljs.core.truth_(cljs.core.reduced_QMARK_.call(null,nval__8970)))
{return cljs.core.deref.call(null,nval__8970);
} else
{{
var G__8996 = nval__8970;
var G__8997 = (n__8969 + 1);
val__8968 = G__8996;
n__8969 = G__8997;
continue;
}
}
} else
{return val__8968;
}
break;
}
});
var array_reduce__4 = (function (arr,f,val,idx){
var cnt__8972 = arr.length;
var val__8974 = val;
var n__8975 = idx;
while(true){
if((n__8975 < cnt__8972))
{var nval__8976 = f.call(null,val__8974,(arr[n__8975]));
if(cljs.core.truth_(cljs.core.reduced_QMARK_.call(null,nval__8976)))
{return cljs.core.deref.call(null,nval__8976);
} else
{{
var G__9007 = nval__8976;
var G__9008 = (n__8975 + 1);
val__8974 = G__9007;
n__8975 = G__9008;
continue;
}
}
} else
{return val__8974;
}
break;
}
});
array_reduce = function(arr,f,val,idx){
switch(arguments.length){
case 2:
return array_reduce__2.call(this,arr,f);
case 3:
return array_reduce__3.call(this,arr,f,val);
case 4:
return array_reduce__4.call(this,arr,f,val,idx);
}
throw('Invalid arity: ' + arguments.length);
};
array_reduce.cljs$lang$arity$2 = array_reduce__2;
array_reduce.cljs$lang$arity$3 = array_reduce__3;
array_reduce.cljs$lang$arity$4 = array_reduce__4;
return array_reduce;
})()
;
void 0;
void 0;
void 0;
void 0;
void 0;

/**
* @constructor
*/
cljs.core.IndexedSeq = (function (a,i){
this.a = a;
this.i = i;
this.cljs$lang$protocol_mask$partition1$ = 0;
this.cljs$lang$protocol_mask$partition0$ = 166199546;
})
cljs.core.IndexedSeq.cljs$lang$type = true;
cljs.core.IndexedSeq.cljs$lang$ctorPrSeq = (function (this__4682__auto__){
return cljs.core.list.call(null,"cljs.core/IndexedSeq");
});
cljs.core.IndexedSeq.prototype.cljs$core$IHash$_hash$arity$1 = (function (coll){
var this__9027 = this;
return cljs.core.hash_coll.call(null,coll);
});
cljs.core.IndexedSeq.prototype.cljs$core$INext$_next$arity$1 = (function (_){
var this__9028 = this;
if(((this__9028.i + 1) < this__9028.a.length))
{return (new cljs.core.IndexedSeq(this__9028.a,(this__9028.i + 1)));
} else
{return null;
}
});
cljs.core.IndexedSeq.prototype.cljs$core$ICollection$_conj$arity$2 = (function (coll,o){
var this__9029 = this;
return cljs.core.cons.call(null,o,coll);
});
cljs.core.IndexedSeq.prototype.cljs$core$IReversible$_rseq$arity$1 = (function (coll){
var this__9030 = this;
var c__9032 = cljs.core._count.call(null,coll);
if((c__9032 > 0))
{return (new cljs.core.RSeq(coll,(c__9032 - 1),null));
} else
{return cljs.core.List.EMPTY;
}
});
cljs.core.IndexedSeq.prototype.toString = (function (){
var this__9033 = this;
var this__9034 = this;
return cljs.core.pr_str.call(null,this__9034);
});
cljs.core.IndexedSeq.prototype.cljs$core$IReduce$_reduce$arity$2 = (function (coll,f){
var this__9036 = this;
if(cljs.core.truth_(cljs.core.counted_QMARK_.call(null,this__9036.a)))
{return cljs.core.ci_reduce.call(null,this__9036.a,f,(this__9036.a[this__9036.i]),(this__9036.i + 1));
} else
{return cljs.core.ci_reduce.call(null,coll,f,(this__9036.a[this__9036.i]),0);
}
});
cljs.core.IndexedSeq.prototype.cljs$core$IReduce$_reduce$arity$3 = (function (coll,f,start){
var this__9037 = this;
if(cljs.core.truth_(cljs.core.counted_QMARK_.call(null,this__9037.a)))
{return cljs.core.ci_reduce.call(null,this__9037.a,f,start,this__9037.i);
} else
{return cljs.core.ci_reduce.call(null,coll,f,start,0);
}
});
cljs.core.IndexedSeq.prototype.cljs$core$ISeqable$_seq$arity$1 = (function (this$){
var this__9038 = this;
return this$;
});
cljs.core.IndexedSeq.prototype.cljs$core$ICounted$_count$arity$1 = (function (_){
var this__9040 = this;
return (this__9040.a.length - this__9040.i);
});
cljs.core.IndexedSeq.prototype.cljs$core$ISeq$_first$arity$1 = (function (_){
var this__9045 = this;
return (this__9045.a[this__9045.i]);
});
cljs.core.IndexedSeq.prototype.cljs$core$ISeq$_rest$arity$1 = (function (_){
var this__9047 = this;
if(((this__9047.i + 1) < this__9047.a.length))
{return (new cljs.core.IndexedSeq(this__9047.a,(this__9047.i + 1)));
} else
{return cljs.core.list.call(null);
}
});
cljs.core.IndexedSeq.prototype.cljs$core$IEquiv$_equiv$arity$2 = (function (coll,other){
var this__9050 = this;
return cljs.core.equiv_sequential.call(null,coll,other);
});
cljs.core.IndexedSeq.prototype.cljs$core$IIndexed$_nth$arity$2 = (function (coll,n){
var this__9051 = this;
var i__9052 = (n + this__9051.i);
if((i__9052 < this__9051.a.length))
{return (this__9051.a[i__9052]);
} else
{return null;
}
});
cljs.core.IndexedSeq.prototype.cljs$core$IIndexed$_nth$arity$3 = (function (coll,n,not_found){
var this__9054 = this;
var i__9055 = (n + this__9054.i);
if((i__9055 < this__9054.a.length))
{return (this__9054.a[i__9055]);
} else
{return not_found;
}
});
cljs.core.IndexedSeq;
cljs.core.prim_seq = (function() {
var prim_seq = null;
var prim_seq__1 = (function (prim){
return prim_seq.call(null,prim,0);
});
var prim_seq__2 = (function (prim,i){
if((prim.length === 0))
{return null;
} else
{return (new cljs.core.IndexedSeq(prim,i));
}
});
prim_seq = function(prim,i){
switch(arguments.length){
case 1:
return prim_seq__1.call(this,prim);
case 2:
return prim_seq__2.call(this,prim,i);
}
throw('Invalid arity: ' + arguments.length);
};
prim_seq.cljs$lang$arity$1 = prim_seq__1;
prim_seq.cljs$lang$arity$2 = prim_seq__2;
return prim_seq;
})()
;
cljs.core.array_seq = (function() {
var array_seq = null;
var array_seq__1 = (function (array){
return cljs.core.prim_seq.call(null,array,0);
});
var array_seq__2 = (function (array,i){
return cljs.core.prim_seq.call(null,array,i);
});
array_seq = function(array,i){
switch(arguments.length){
case 1:
return array_seq__1.call(this,array);
case 2:
return array_seq__2.call(this,array,i);
}
throw('Invalid arity: ' + arguments.length);
};
array_seq.cljs$lang$arity$1 = array_seq__1;
array_seq.cljs$lang$arity$2 = array_seq__2;
return array_seq;
})()
;
(cljs.core.IReduce["array"] = true);
(cljs.core._reduce["array"] = (function() {
var G__9157 = null;
var G__9157__2 = (function (array,f){
return cljs.core.ci_reduce.call(null,array,f);
});
var G__9157__3 = (function (array,f,start){
return cljs.core.ci_reduce.call(null,array,f,start);
});
G__9157 = function(array,f,start){
switch(arguments.length){
case 2:
return G__9157__2.call(this,array,f);
case 3:
return G__9157__3.call(this,array,f,start);
}
throw('Invalid arity: ' + arguments.length);
};
return G__9157;
})()
);
(cljs.core.ILookup["array"] = true);
(cljs.core._lookup["array"] = (function() {
var G__9161 = null;
var G__9161__2 = (function (array,k){
return (array[k]);
});
var G__9161__3 = (function (array,k,not_found){
return cljs.core._nth.call(null,array,k,not_found);
});
G__9161 = function(array,k,not_found){
switch(arguments.length){
case 2:
return G__9161__2.call(this,array,k);
case 3:
return G__9161__3.call(this,array,k,not_found);
}
throw('Invalid arity: ' + arguments.length);
};
return G__9161;
})()
);
(cljs.core.IIndexed["array"] = true);
(cljs.core._nth["array"] = (function() {
var G__9167 = null;
var G__9167__2 = (function (array,n){
if((n < array.length))
{return (array[n]);
} else
{return null;
}
});
var G__9167__3 = (function (array,n,not_found){
if((n < array.length))
{return (array[n]);
} else
{return not_found;
}
});
G__9167 = function(array,n,not_found){
switch(arguments.length){
case 2:
return G__9167__2.call(this,array,n);
case 3:
return G__9167__3.call(this,array,n,not_found);
}
throw('Invalid arity: ' + arguments.length);
};
return G__9167;
})()
);
(cljs.core.ICounted["array"] = true);
(cljs.core._count["array"] = (function (a){
return a.length;
}));
(cljs.core.ISeqable["array"] = true);
(cljs.core._seq["array"] = (function (array){
return cljs.core.array_seq.call(null,array,0);
}));

/**
* @constructor
*/
cljs.core.RSeq = (function (ci,i,meta){
this.ci = ci;
this.i = i;
this.meta = meta;
this.cljs$lang$protocol_mask$partition1$ = 0;
this.cljs$lang$protocol_mask$partition0$ = 31850570;
})
cljs.core.RSeq.cljs$lang$type = true;
cljs.core.RSeq.cljs$lang$ctorPrSeq = (function (this__4682__auto__){
return cljs.core.list.call(null,"cljs.core/RSeq");
});
cljs.core.RSeq.prototype.cljs$core$IHash$_hash$arity$1 = (function (coll){
var this__9168 = this;
return cljs.core.hash_coll.call(null,coll);
});
cljs.core.RSeq.prototype.cljs$core$ICollection$_conj$arity$2 = (function (coll,o){
var this__9169 = this;
return cljs.core.cons.call(null,o,coll);
});
cljs.core.RSeq.prototype.toString = (function (){
var this__9170 = this;
var this__9171 = this;
return cljs.core.pr_str.call(null,this__9171);
});
cljs.core.RSeq.prototype.cljs$core$ISeqable$_seq$arity$1 = (function (coll){
var this__9172 = this;
return coll;
});
cljs.core.RSeq.prototype.cljs$core$ICounted$_count$arity$1 = (function (coll){
var this__9173 = this;
return (this__9173.i + 1);
});
cljs.core.RSeq.prototype.cljs$core$ISeq$_first$arity$1 = (function (coll){
var this__9174 = this;
return cljs.core._nth.call(null,this__9174.ci,this__9174.i);
});
cljs.core.RSeq.prototype.cljs$core$ISeq$_rest$arity$1 = (function (coll){
var this__9175 = this;
if((this__9175.i > 0))
{return (new cljs.core.RSeq(this__9175.ci,(this__9175.i - 1),null));
} else
{return cljs.core.List.EMPTY;
}
});
cljs.core.RSeq.prototype.cljs$core$IEquiv$_equiv$arity$2 = (function (coll,other){
var this__9176 = this;
return cljs.core.equiv_sequential.call(null,coll,other);
});
cljs.core.RSeq.prototype.cljs$core$IWithMeta$_with_meta$arity$2 = (function (coll,new_meta){
var this__9177 = this;
return (new cljs.core.RSeq(this__9177.ci,this__9177.i,new_meta));
});
cljs.core.RSeq.prototype.cljs$core$IMeta$_meta$arity$1 = (function (coll){
var this__9178 = this;
return this__9178.meta;
});
cljs.core.RSeq;
/**
* Returns a seq on the collection. If the collection is
* empty, returns nil.  (seq nil) returns nil. seq also works on
* Strings.
*/
cljs.core.seq = (function seq(coll){
if((coll == null))
{return null;
} else
{if(cljs.core.truth_((function (){var G__9182__9183 = coll;
if(G__9182__9183)
{if((function (){var or__3824__auto____9184 = (G__9182__9183.cljs$lang$protocol_mask$partition0$ & 32);
if(or__3824__auto____9184)
{return or__3824__auto____9184;
} else
{return G__9182__9183.cljs$core$ASeq$;
}
})())
{return true;
} else
{if((!G__9182__9183.cljs$lang$protocol_mask$partition0$))
{return cljs.core.type_satisfies_.call(null,cljs.core.ASeq,G__9182__9183);
} else
{return false;
}
}
} else
{return cljs.core.type_satisfies_.call(null,cljs.core.ASeq,G__9182__9183);
}
})()))
{return coll;
} else
{return cljs.core._seq.call(null,coll);
}
}
});
/**
* Returns the first item in the collection. Calls seq on its
* argument. If coll is nil, returns nil.
*/
cljs.core.first = (function first(coll){
if((coll == null))
{return null;
} else
{if(cljs.core.truth_((function (){var G__9195__9196 = coll;
if(G__9195__9196)
{if((function (){var or__3824__auto____9197 = (G__9195__9196.cljs$lang$protocol_mask$partition0$ & 64);
if(or__3824__auto____9197)
{return or__3824__auto____9197;
} else
{return G__9195__9196.cljs$core$ISeq$;
}
})())
{return true;
} else
{if((!G__9195__9196.cljs$lang$protocol_mask$partition0$))
{return cljs.core.type_satisfies_.call(null,cljs.core.ISeq,G__9195__9196);
} else
{return false;
}
}
} else
{return cljs.core.type_satisfies_.call(null,cljs.core.ISeq,G__9195__9196);
}
})()))
{return cljs.core._first.call(null,coll);
} else
{var s__9198 = cljs.core.seq.call(null,coll);
if((s__9198 == null))
{return null;
} else
{return cljs.core._first.call(null,s__9198);
}
}
}
});
/**
* Returns a possibly empty seq of the items after the first. Calls seq on its
* argument.
*/
cljs.core.rest = (function rest(coll){
if(cljs.core.truth_(!((coll == null))))
{if(cljs.core.truth_((function (){var G__9203__9204 = coll;
if(G__9203__9204)
{if((function (){var or__3824__auto____9205 = (G__9203__9204.cljs$lang$protocol_mask$partition0$ & 64);
if(or__3824__auto____9205)
{return or__3824__auto____9205;
} else
{return G__9203__9204.cljs$core$ISeq$;
}
})())
{return true;
} else
{if((!G__9203__9204.cljs$lang$protocol_mask$partition0$))
{return cljs.core.type_satisfies_.call(null,cljs.core.ISeq,G__9203__9204);
} else
{return false;
}
}
} else
{return cljs.core.type_satisfies_.call(null,cljs.core.ISeq,G__9203__9204);
}
})()))
{return cljs.core._rest.call(null,coll);
} else
{var s__9206 = cljs.core.seq.call(null,coll);
if(cljs.core.truth_(!((s__9206 == null))))
{return cljs.core._rest.call(null,s__9206);
} else
{return cljs.core.List.EMPTY;
}
}
} else
{return cljs.core.List.EMPTY;
}
});
/**
* Returns a seq of the items after the first. Calls seq on its
* argument.  If there are no more items, returns nil
*/
cljs.core.next = (function next(coll){
if((coll == null))
{return null;
} else
{if(cljs.core.truth_((function (){var G__9210__9211 = coll;
if(G__9210__9211)
{if((function (){var or__3824__auto____9212 = (G__9210__9211.cljs$lang$protocol_mask$partition0$ & 128);
if(or__3824__auto____9212)
{return or__3824__auto____9212;
} else
{return G__9210__9211.cljs$core$INext$;
}
})())
{return true;
} else
{if((!G__9210__9211.cljs$lang$protocol_mask$partition0$))
{return cljs.core.type_satisfies_.call(null,cljs.core.INext,G__9210__9211);
} else
{return false;
}
}
} else
{return cljs.core.type_satisfies_.call(null,cljs.core.INext,G__9210__9211);
}
})()))
{return cljs.core._next.call(null,coll);
} else
{return cljs.core.seq.call(null,cljs.core.rest.call(null,coll));
}
}
});
/**
* Same as (first (next x))
*/
cljs.core.second = (function second(coll){
return cljs.core.first.call(null,cljs.core.next.call(null,coll));
});
/**
* Same as (first (first x))
*/
cljs.core.ffirst = (function ffirst(coll){
return cljs.core.first.call(null,cljs.core.first.call(null,coll));
});
/**
* Same as (next (first x))
*/
cljs.core.nfirst = (function nfirst(coll){
return cljs.core.next.call(null,cljs.core.first.call(null,coll));
});
/**
* Same as (first (next x))
*/
cljs.core.fnext = (function fnext(coll){
return cljs.core.first.call(null,cljs.core.next.call(null,coll));
});
/**
* Same as (next (next x))
*/
cljs.core.nnext = (function nnext(coll){
return cljs.core.next.call(null,cljs.core.next.call(null,coll));
});
/**
* Return the last item in coll, in linear time
*/
cljs.core.last = (function last(s){
while(true){
var sn__9214 = cljs.core.next.call(null,s);
if(cljs.core.truth_(!((sn__9214 == null))))
{{
var G__9215 = sn__9214;
s = G__9215;
continue;
}
} else
{return cljs.core.first.call(null,s);
}
break;
}
});
(cljs.core.IEquiv["_"] = true);
(cljs.core._equiv["_"] = (function (x,o){
return (x === o);
}));
/**
* Returns true if x is logical false, false otherwise.
*/
cljs.core.not = (function not(x){
if(cljs.core.truth_(x))
{return false;
} else
{return true;
}
});
/**
* conj[oin]. Returns a new collection with the xs
* 'added'. (conj nil item) returns (item).  The 'addition' may
* happen at different 'places' depending on the concrete type.
* @param {...*} var_args
*/
cljs.core.conj = (function() {
var conj = null;
var conj__2 = (function (coll,x){
return cljs.core._conj.call(null,coll,x);
});
var conj__3 = (function() { 
var G__9216__delegate = function (coll,x,xs){
while(true){
if(cljs.core.truth_(xs))
{{
var G__9217 = conj.call(null,coll,x);
var G__9218 = cljs.core.first.call(null,xs);
var G__9219 = cljs.core.next.call(null,xs);
coll = G__9217;
x = G__9218;
xs = G__9219;
continue;
}
} else
{return conj.call(null,coll,x);
}
break;
}
};
var G__9216 = function (coll,x,var_args){
var xs = null;
if (goog.isDef(var_args)) {
  xs = cljs.core.array_seq(Array.prototype.slice.call(arguments, 2),0);
} 
return G__9216__delegate.call(this, coll, x, xs);
};
G__9216.cljs$lang$maxFixedArity = 2;
G__9216.cljs$lang$applyTo = (function (arglist__9220){
var coll = cljs.core.first(arglist__9220);
var x = cljs.core.first(cljs.core.next(arglist__9220));
var xs = cljs.core.rest(cljs.core.next(arglist__9220));
return G__9216__delegate(coll, x, xs);
});
G__9216.cljs$lang$arity$variadic = G__9216__delegate;
return G__9216;
})()
;
conj = function(coll,x,var_args){
var xs = var_args;
switch(arguments.length){
case 2:
return conj__2.call(this,coll,x);
default:
return conj__3.cljs$lang$arity$variadic(coll,x, cljs.core.array_seq(arguments, 2));
}
throw('Invalid arity: ' + arguments.length);
};
conj.cljs$lang$maxFixedArity = 2;
conj.cljs$lang$applyTo = conj__3.cljs$lang$applyTo;
conj.cljs$lang$arity$2 = conj__2;
conj.cljs$lang$arity$variadic = conj__3.cljs$lang$arity$variadic;
return conj;
})()
;
/**
* Returns an empty collection of the same category as coll, or nil
*/
cljs.core.empty = (function empty(coll){
return cljs.core._empty.call(null,coll);
});
void 0;
cljs.core.accumulating_seq_count = (function accumulating_seq_count(coll){
var s__9223 = cljs.core.seq.call(null,coll);
var acc__9224 = 0;
while(true){
if(cljs.core.truth_(cljs.core.counted_QMARK_.call(null,s__9223)))
{return (acc__9224 + cljs.core._count.call(null,s__9223));
} else
{{
var G__9228 = cljs.core.next.call(null,s__9223);
var G__9230 = (acc__9224 + 1);
s__9223 = G__9228;
acc__9224 = G__9230;
continue;
}
}
break;
}
});
/**
* Returns the number of items in the collection. (count nil) returns
* 0.  Also works on strings, arrays, and Maps
*/
cljs.core.count = (function count(coll){
if(cljs.core.truth_(cljs.core.counted_QMARK_.call(null,coll)))
{return cljs.core._count.call(null,coll);
} else
{return cljs.core.accumulating_seq_count.call(null,coll);
}
});
void 0;
cljs.core.linear_traversal_nth = (function() {
var linear_traversal_nth = null;
var linear_traversal_nth__2 = (function (coll,n){
if((coll == null))
{throw (new Error("Index out of bounds"));
} else
{if((n === 0))
{if(cljs.core.seq.call(null,coll))
{return cljs.core.first.call(null,coll);
} else
{throw (new Error("Index out of bounds"));
}
} else
{if(cljs.core.truth_(cljs.core.indexed_QMARK_.call(null,coll)))
{return cljs.core._nth.call(null,coll,n);
} else
{if(cljs.core.seq.call(null,coll))
{return linear_traversal_nth.call(null,cljs.core.next.call(null,coll),(n - 1));
} else
{if("\uFDD0'else")
{throw (new Error("Index out of bounds"));
} else
{return null;
}
}
}
}
}
});
var linear_traversal_nth__3 = (function (coll,n,not_found){
if((coll == null))
{return not_found;
} else
{if((n === 0))
{if(cljs.core.seq.call(null,coll))
{return cljs.core.first.call(null,coll);
} else
{return not_found;
}
} else
{if(cljs.core.truth_(cljs.core.indexed_QMARK_.call(null,coll)))
{return cljs.core._nth.call(null,coll,n,not_found);
} else
{if(cljs.core.seq.call(null,coll))
{return linear_traversal_nth.call(null,cljs.core.next.call(null,coll),(n - 1),not_found);
} else
{if("\uFDD0'else")
{return not_found;
} else
{return null;
}
}
}
}
}
});
linear_traversal_nth = function(coll,n,not_found){
switch(arguments.length){
case 2:
return linear_traversal_nth__2.call(this,coll,n);
case 3:
return linear_traversal_nth__3.call(this,coll,n,not_found);
}
throw('Invalid arity: ' + arguments.length);
};
linear_traversal_nth.cljs$lang$arity$2 = linear_traversal_nth__2;
linear_traversal_nth.cljs$lang$arity$3 = linear_traversal_nth__3;
return linear_traversal_nth;
})()
;
/**
* Returns the value at the index. get returns nil if index out of
* bounds, nth throws an exception unless not-found is supplied.  nth
* also works for strings, arrays, regex Matchers and Lists, and,
* in O(n) time, for sequences.
*/
cljs.core.nth = (function() {
var nth = null;
var nth__2 = (function (coll,n){
if((coll == null))
{return null;
} else
{if(cljs.core.truth_((function (){var G__9281__9282 = coll;
if(G__9281__9282)
{if((function (){var or__3824__auto____9283 = (G__9281__9282.cljs$lang$protocol_mask$partition0$ & 16);
if(or__3824__auto____9283)
{return or__3824__auto____9283;
} else
{return G__9281__9282.cljs$core$IIndexed$;
}
})())
{return true;
} else
{if((!G__9281__9282.cljs$lang$protocol_mask$partition0$))
{return cljs.core.type_satisfies_.call(null,cljs.core.IIndexed,G__9281__9282);
} else
{return false;
}
}
} else
{return cljs.core.type_satisfies_.call(null,cljs.core.IIndexed,G__9281__9282);
}
})()))
{return cljs.core._nth.call(null,coll,Math.floor(n));
} else
{return cljs.core.linear_traversal_nth.call(null,coll,Math.floor(n));
}
}
});
var nth__3 = (function (coll,n,not_found){
if(!((coll == null)))
{if(cljs.core.truth_((function (){var G__9284__9285 = coll;
if(G__9284__9285)
{if((function (){var or__3824__auto____9286 = (G__9284__9285.cljs$lang$protocol_mask$partition0$ & 16);
if(or__3824__auto____9286)
{return or__3824__auto____9286;
} else
{return G__9284__9285.cljs$core$IIndexed$;
}
})())
{return true;
} else
{if((!G__9284__9285.cljs$lang$protocol_mask$partition0$))
{return cljs.core.type_satisfies_.call(null,cljs.core.IIndexed,G__9284__9285);
} else
{return false;
}
}
} else
{return cljs.core.type_satisfies_.call(null,cljs.core.IIndexed,G__9284__9285);
}
})()))
{return cljs.core._nth.call(null,coll,Math.floor(n),not_found);
} else
{return cljs.core.linear_traversal_nth.call(null,coll,Math.floor(n),not_found);
}
} else
{return not_found;
}
});
nth = function(coll,n,not_found){
switch(arguments.length){
case 2:
return nth__2.call(this,coll,n);
case 3:
return nth__3.call(this,coll,n,not_found);
}
throw('Invalid arity: ' + arguments.length);
};
nth.cljs$lang$arity$2 = nth__2;
nth.cljs$lang$arity$3 = nth__3;
return nth;
})()
;
/**
* Returns the value mapped to key, not-found or nil if key not present.
*/
cljs.core.get = (function() {
var get = null;
var get__2 = (function (o,k){
return cljs.core._lookup.call(null,o,k);
});
var get__3 = (function (o,k,not_found){
return cljs.core._lookup.call(null,o,k,not_found);
});
get = function(o,k,not_found){
switch(arguments.length){
case 2:
return get__2.call(this,o,k);
case 3:
return get__3.call(this,o,k,not_found);
}
throw('Invalid arity: ' + arguments.length);
};
get.cljs$lang$arity$2 = get__2;
get.cljs$lang$arity$3 = get__3;
return get;
})()
;
/**
* assoc[iate]. When applied to a map, returns a new map of the
* same (hashed/sorted) type, that contains the mapping of key(s) to
* val(s). When applied to a vector, returns a new vector that
* contains val at index.
* @param {...*} var_args
*/
cljs.core.assoc = (function() {
var assoc = null;
var assoc__3 = (function (coll,k,v){
return cljs.core._assoc.call(null,coll,k,v);
});
var assoc__4 = (function() { 
var G__9289__delegate = function (coll,k,v,kvs){
while(true){
var ret__9288 = assoc.call(null,coll,k,v);
if(cljs.core.truth_(kvs))
{{
var G__9290 = ret__9288;
var G__9291 = cljs.core.first.call(null,kvs);
var G__9292 = cljs.core.second.call(null,kvs);
var G__9293 = cljs.core.nnext.call(null,kvs);
coll = G__9290;
k = G__9291;
v = G__9292;
kvs = G__9293;
continue;
}
} else
{return ret__9288;
}
break;
}
};
var G__9289 = function (coll,k,v,var_args){
var kvs = null;
if (goog.isDef(var_args)) {
  kvs = cljs.core.array_seq(Array.prototype.slice.call(arguments, 3),0);
} 
return G__9289__delegate.call(this, coll, k, v, kvs);
};
G__9289.cljs$lang$maxFixedArity = 3;
G__9289.cljs$lang$applyTo = (function (arglist__9294){
var coll = cljs.core.first(arglist__9294);
var k = cljs.core.first(cljs.core.next(arglist__9294));
var v = cljs.core.first(cljs.core.next(cljs.core.next(arglist__9294)));
var kvs = cljs.core.rest(cljs.core.next(cljs.core.next(arglist__9294)));
return G__9289__delegate(coll, k, v, kvs);
});
G__9289.cljs$lang$arity$variadic = G__9289__delegate;
return G__9289;
})()
;
assoc = function(coll,k,v,var_args){
var kvs = var_args;
switch(arguments.length){
case 3:
return assoc__3.call(this,coll,k,v);
default:
return assoc__4.cljs$lang$arity$variadic(coll,k,v, cljs.core.array_seq(arguments, 3));
}
throw('Invalid arity: ' + arguments.length);
};
assoc.cljs$lang$maxFixedArity = 3;
assoc.cljs$lang$applyTo = assoc__4.cljs$lang$applyTo;
assoc.cljs$lang$arity$3 = assoc__3;
assoc.cljs$lang$arity$variadic = assoc__4.cljs$lang$arity$variadic;
return assoc;
})()
;
/**
* dissoc[iate]. Returns a new map of the same (hashed/sorted) type,
* that does not contain a mapping for key(s).
* @param {...*} var_args
*/
cljs.core.dissoc = (function() {
var dissoc = null;
var dissoc__1 = (function (coll){
return coll;
});
var dissoc__2 = (function (coll,k){
return cljs.core._dissoc.call(null,coll,k);
});
var dissoc__3 = (function() { 
var G__9297__delegate = function (coll,k,ks){
while(true){
var ret__9296 = dissoc.call(null,coll,k);
if(cljs.core.truth_(ks))
{{
var G__9298 = ret__9296;
var G__9299 = cljs.core.first.call(null,ks);
var G__9300 = cljs.core.next.call(null,ks);
coll = G__9298;
k = G__9299;
ks = G__9300;
continue;
}
} else
{return ret__9296;
}
break;
}
};
var G__9297 = function (coll,k,var_args){
var ks = null;
if (goog.isDef(var_args)) {
  ks = cljs.core.array_seq(Array.prototype.slice.call(arguments, 2),0);
} 
return G__9297__delegate.call(this, coll, k, ks);
};
G__9297.cljs$lang$maxFixedArity = 2;
G__9297.cljs$lang$applyTo = (function (arglist__9303){
var coll = cljs.core.first(arglist__9303);
var k = cljs.core.first(cljs.core.next(arglist__9303));
var ks = cljs.core.rest(cljs.core.next(arglist__9303));
return G__9297__delegate(coll, k, ks);
});
G__9297.cljs$lang$arity$variadic = G__9297__delegate;
return G__9297;
})()
;
dissoc = function(coll,k,var_args){
var ks = var_args;
switch(arguments.length){
case 1:
return dissoc__1.call(this,coll);
case 2:
return dissoc__2.call(this,coll,k);
default:
return dissoc__3.cljs$lang$arity$variadic(coll,k, cljs.core.array_seq(arguments, 2));
}
throw('Invalid arity: ' + arguments.length);
};
dissoc.cljs$lang$maxFixedArity = 2;
dissoc.cljs$lang$applyTo = dissoc__3.cljs$lang$applyTo;
dissoc.cljs$lang$arity$1 = dissoc__1;
dissoc.cljs$lang$arity$2 = dissoc__2;
dissoc.cljs$lang$arity$variadic = dissoc__3.cljs$lang$arity$variadic;
return dissoc;
})()
;
/**
* Returns an object of the same type and value as obj, with
* map m as its metadata.
*/
cljs.core.with_meta = (function with_meta(o,meta){
return cljs.core._with_meta.call(null,o,meta);
});
/**
* Returns the metadata of obj, returns nil if there is no metadata.
*/
cljs.core.meta = (function meta(o){
if(cljs.core.truth_((function (){var G__9312__9314 = o;
if(G__9312__9314)
{if((function (){var or__3824__auto____9317 = (G__9312__9314.cljs$lang$protocol_mask$partition0$ & 131072);
if(or__3824__auto____9317)
{return or__3824__auto____9317;
} else
{return G__9312__9314.cljs$core$IMeta$;
}
})())
{return true;
} else
{if((!G__9312__9314.cljs$lang$protocol_mask$partition0$))
{return cljs.core.type_satisfies_.call(null,cljs.core.IMeta,G__9312__9314);
} else
{return false;
}
}
} else
{return cljs.core.type_satisfies_.call(null,cljs.core.IMeta,G__9312__9314);
}
})()))
{return cljs.core._meta.call(null,o);
} else
{return null;
}
});
/**
* For a list or queue, same as first, for a vector, same as, but much
* more efficient than, last. If the collection is empty, returns nil.
*/
cljs.core.peek = (function peek(coll){
return cljs.core._peek.call(null,coll);
});
/**
* For a list or queue, returns a new list/queue without the first
* item, for a vector, returns a new vector without the last item.
* Note - not the same as next/butlast.
*/
cljs.core.pop = (function pop(coll){
return cljs.core._pop.call(null,coll);
});
/**
* disj[oin]. Returns a new set of the same (hashed/sorted) type, that
* does not contain key(s).
* @param {...*} var_args
*/
cljs.core.disj = (function() {
var disj = null;
var disj__1 = (function (coll){
return coll;
});
var disj__2 = (function (coll,k){
return cljs.core._disjoin.call(null,coll,k);
});
var disj__3 = (function() { 
var G__9384__delegate = function (coll,k,ks){
while(true){
var ret__9383 = disj.call(null,coll,k);
if(cljs.core.truth_(ks))
{{
var G__9385 = ret__9383;
var G__9386 = cljs.core.first.call(null,ks);
var G__9387 = cljs.core.next.call(null,ks);
coll = G__9385;
k = G__9386;
ks = G__9387;
continue;
}
} else
{return ret__9383;
}
break;
}
};
var G__9384 = function (coll,k,var_args){
var ks = null;
if (goog.isDef(var_args)) {
  ks = cljs.core.array_seq(Array.prototype.slice.call(arguments, 2),0);
} 
return G__9384__delegate.call(this, coll, k, ks);
};
G__9384.cljs$lang$maxFixedArity = 2;
G__9384.cljs$lang$applyTo = (function (arglist__9388){
var coll = cljs.core.first(arglist__9388);
var k = cljs.core.first(cljs.core.next(arglist__9388));
var ks = cljs.core.rest(cljs.core.next(arglist__9388));
return G__9384__delegate(coll, k, ks);
});
G__9384.cljs$lang$arity$variadic = G__9384__delegate;
return G__9384;
})()
;
disj = function(coll,k,var_args){
var ks = var_args;
switch(arguments.length){
case 1:
return disj__1.call(this,coll);
case 2:
return disj__2.call(this,coll,k);
default:
return disj__3.cljs$lang$arity$variadic(coll,k, cljs.core.array_seq(arguments, 2));
}
throw('Invalid arity: ' + arguments.length);
};
disj.cljs$lang$maxFixedArity = 2;
disj.cljs$lang$applyTo = disj__3.cljs$lang$applyTo;
disj.cljs$lang$arity$1 = disj__1;
disj.cljs$lang$arity$2 = disj__2;
disj.cljs$lang$arity$variadic = disj__3.cljs$lang$arity$variadic;
return disj;
})()
;
cljs.core.string_hash_cache = {};
cljs.core.string_hash_cache_count = 0;
cljs.core.add_to_string_hash_cache = (function add_to_string_hash_cache(k){
var h__9402 = goog.string.hashCode(k);
(cljs.core.string_hash_cache[k] = h__9402);
cljs.core.string_hash_cache_count = (cljs.core.string_hash_cache_count + 1);
return h__9402;
});
cljs.core.check_string_hash_cache = (function check_string_hash_cache(k){
if((cljs.core.string_hash_cache_count > 255))
{cljs.core.string_hash_cache = {};
cljs.core.string_hash_cache_count = 0;
} else
{}
var h__9408 = (cljs.core.string_hash_cache[k]);
if(!((h__9408 == null)))
{return h__9408;
} else
{return cljs.core.add_to_string_hash_cache.call(null,k);
}
});
cljs.core.hash = (function() {
var hash = null;
var hash__1 = (function (o){
return hash.call(null,o,true);
});
var hash__2 = (function (o,check_cache){
if((function (){var and__3822__auto____9416 = goog.isString(o);
if(and__3822__auto____9416)
{return check_cache;
} else
{return and__3822__auto____9416;
}
})())
{return cljs.core.check_string_hash_cache.call(null,o);
} else
{return cljs.core._hash.call(null,o);
}
});
hash = function(o,check_cache){
switch(arguments.length){
case 1:
return hash__1.call(this,o);
case 2:
return hash__2.call(this,o,check_cache);
}
throw('Invalid arity: ' + arguments.length);
};
hash.cljs$lang$arity$1 = hash__1;
hash.cljs$lang$arity$2 = hash__2;
return hash;
})()
;
/**
* Returns true if coll has no items - same as (not (seq coll)).
* Please use the idiom (seq x) rather than (not (empty? x))
*/
cljs.core.empty_QMARK_ = (function empty_QMARK_(coll){
return cljs.core.not.call(null,cljs.core.seq.call(null,coll));
});
/**
* Returns true if x satisfies ICollection
*/
cljs.core.coll_QMARK_ = (function coll_QMARK_(x){
if((x == null))
{return false;
} else
{var G__9448__9451 = x;
if(G__9448__9451)
{if((function (){var or__3824__auto____9453 = (G__9448__9451.cljs$lang$protocol_mask$partition0$ & 8);
if(or__3824__auto____9453)
{return or__3824__auto____9453;
} else
{return G__9448__9451.cljs$core$ICollection$;
}
})())
{return true;
} else
{if((!G__9448__9451.cljs$lang$protocol_mask$partition0$))
{return cljs.core.type_satisfies_.call(null,cljs.core.ICollection,G__9448__9451);
} else
{return false;
}
}
} else
{return cljs.core.type_satisfies_.call(null,cljs.core.ICollection,G__9448__9451);
}
}
});
/**
* Returns true if x satisfies ISet
*/
cljs.core.set_QMARK_ = (function set_QMARK_(x){
if((x == null))
{return false;
} else
{var G__9458__9459 = x;
if(G__9458__9459)
{if((function (){var or__3824__auto____9460 = (G__9458__9459.cljs$lang$protocol_mask$partition0$ & 4096);
if(or__3824__auto____9460)
{return or__3824__auto____9460;
} else
{return G__9458__9459.cljs$core$ISet$;
}
})())
{return true;
} else
{if((!G__9458__9459.cljs$lang$protocol_mask$partition0$))
{return cljs.core.type_satisfies_.call(null,cljs.core.ISet,G__9458__9459);
} else
{return false;
}
}
} else
{return cljs.core.type_satisfies_.call(null,cljs.core.ISet,G__9458__9459);
}
}
});
/**
* Returns true if coll implements Associative
*/
cljs.core.associative_QMARK_ = (function associative_QMARK_(x){
var G__9471__9472 = x;
if(G__9471__9472)
{if((function (){var or__3824__auto____9473 = (G__9471__9472.cljs$lang$protocol_mask$partition0$ & 512);
if(or__3824__auto____9473)
{return or__3824__auto____9473;
} else
{return G__9471__9472.cljs$core$IAssociative$;
}
})())
{return true;
} else
{if((!G__9471__9472.cljs$lang$protocol_mask$partition0$))
{return cljs.core.type_satisfies_.call(null,cljs.core.IAssociative,G__9471__9472);
} else
{return false;
}
}
} else
{return cljs.core.type_satisfies_.call(null,cljs.core.IAssociative,G__9471__9472);
}
});
/**
* Returns true if coll satisfies ISequential
*/
cljs.core.sequential_QMARK_ = (function sequential_QMARK_(x){
var G__9477__9478 = x;
if(G__9477__9478)
{if((function (){var or__3824__auto____9479 = (G__9477__9478.cljs$lang$protocol_mask$partition0$ & 16777216);
if(or__3824__auto____9479)
{return or__3824__auto____9479;
} else
{return G__9477__9478.cljs$core$ISequential$;
}
})())
{return true;
} else
{if((!G__9477__9478.cljs$lang$protocol_mask$partition0$))
{return cljs.core.type_satisfies_.call(null,cljs.core.ISequential,G__9477__9478);
} else
{return false;
}
}
} else
{return cljs.core.type_satisfies_.call(null,cljs.core.ISequential,G__9477__9478);
}
});
/**
* Returns true if coll implements count in constant time
*/
cljs.core.counted_QMARK_ = (function counted_QMARK_(x){
var G__9483__9484 = x;
if(G__9483__9484)
{if((function (){var or__3824__auto____9485 = (G__9483__9484.cljs$lang$protocol_mask$partition0$ & 2);
if(or__3824__auto____9485)
{return or__3824__auto____9485;
} else
{return G__9483__9484.cljs$core$ICounted$;
}
})())
{return true;
} else
{if((!G__9483__9484.cljs$lang$protocol_mask$partition0$))
{return cljs.core.type_satisfies_.call(null,cljs.core.ICounted,G__9483__9484);
} else
{return false;
}
}
} else
{return cljs.core.type_satisfies_.call(null,cljs.core.ICounted,G__9483__9484);
}
});
/**
* Returns true if coll implements nth in constant time
*/
cljs.core.indexed_QMARK_ = (function indexed_QMARK_(x){
var G__9489__9490 = x;
if(G__9489__9490)
{if((function (){var or__3824__auto____9491 = (G__9489__9490.cljs$lang$protocol_mask$partition0$ & 16);
if(or__3824__auto____9491)
{return or__3824__auto____9491;
} else
{return G__9489__9490.cljs$core$IIndexed$;
}
})())
{return true;
} else
{if((!G__9489__9490.cljs$lang$protocol_mask$partition0$))
{return cljs.core.type_satisfies_.call(null,cljs.core.IIndexed,G__9489__9490);
} else
{return false;
}
}
} else
{return cljs.core.type_satisfies_.call(null,cljs.core.IIndexed,G__9489__9490);
}
});
/**
* Returns true if coll satisfies IReduce
*/
cljs.core.reduceable_QMARK_ = (function reduceable_QMARK_(x){
var G__9497__9499 = x;
if(G__9497__9499)
{if((function (){var or__3824__auto____9502 = (G__9497__9499.cljs$lang$protocol_mask$partition0$ & 524288);
if(or__3824__auto____9502)
{return or__3824__auto____9502;
} else
{return G__9497__9499.cljs$core$IReduce$;
}
})())
{return true;
} else
{if((!G__9497__9499.cljs$lang$protocol_mask$partition0$))
{return cljs.core.type_satisfies_.call(null,cljs.core.IReduce,G__9497__9499);
} else
{return false;
}
}
} else
{return cljs.core.type_satisfies_.call(null,cljs.core.IReduce,G__9497__9499);
}
});
/**
* Return true if x satisfies IMap
*/
cljs.core.map_QMARK_ = (function map_QMARK_(x){
if((x == null))
{return false;
} else
{var G__9507__9508 = x;
if(G__9507__9508)
{if((function (){var or__3824__auto____9509 = (G__9507__9508.cljs$lang$protocol_mask$partition0$ & 1024);
if(or__3824__auto____9509)
{return or__3824__auto____9509;
} else
{return G__9507__9508.cljs$core$IMap$;
}
})())
{return true;
} else
{if((!G__9507__9508.cljs$lang$protocol_mask$partition0$))
{return cljs.core.type_satisfies_.call(null,cljs.core.IMap,G__9507__9508);
} else
{return false;
}
}
} else
{return cljs.core.type_satisfies_.call(null,cljs.core.IMap,G__9507__9508);
}
}
});
/**
* Return true if x satisfies IVector
*/
cljs.core.vector_QMARK_ = (function vector_QMARK_(x){
var G__9536__9537 = x;
if(G__9536__9537)
{if((function (){var or__3824__auto____9540 = (G__9536__9537.cljs$lang$protocol_mask$partition0$ & 16384);
if(or__3824__auto____9540)
{return or__3824__auto____9540;
} else
{return G__9536__9537.cljs$core$IVector$;
}
})())
{return true;
} else
{if((!G__9536__9537.cljs$lang$protocol_mask$partition0$))
{return cljs.core.type_satisfies_.call(null,cljs.core.IVector,G__9536__9537);
} else
{return false;
}
}
} else
{return cljs.core.type_satisfies_.call(null,cljs.core.IVector,G__9536__9537);
}
});
cljs.core.chunked_seq_QMARK_ = (function chunked_seq_QMARK_(x){
var G__9564__9565 = x;
if(G__9564__9565)
{if(cljs.core.truth_((function (){var or__3824__auto____9566 = null;
if(cljs.core.truth_(or__3824__auto____9566))
{return or__3824__auto____9566;
} else
{return G__9564__9565.cljs$core$IChunkedSeq$;
}
})()))
{return true;
} else
{if((!G__9564__9565.cljs$lang$protocol_mask$partition$))
{return cljs.core.type_satisfies_.call(null,cljs.core.IChunkedSeq,G__9564__9565);
} else
{return false;
}
}
} else
{return cljs.core.type_satisfies_.call(null,cljs.core.IChunkedSeq,G__9564__9565);
}
});
/**
* @param {...*} var_args
*/
cljs.core.js_obj = (function() {
var js_obj = null;
var js_obj__0 = (function (){
return {};
});
var js_obj__1 = (function() { 
var G__9580__delegate = function (keyvals){
return cljs.core.apply.call(null,gobject.create,keyvals);
};
var G__9580 = function (var_args){
var keyvals = null;
if (goog.isDef(var_args)) {
  keyvals = cljs.core.array_seq(Array.prototype.slice.call(arguments, 0),0);
} 
return G__9580__delegate.call(this, keyvals);
};
G__9580.cljs$lang$maxFixedArity = 0;
G__9580.cljs$lang$applyTo = (function (arglist__9586){
var keyvals = cljs.core.seq(arglist__9586);;
return G__9580__delegate(keyvals);
});
G__9580.cljs$lang$arity$variadic = G__9580__delegate;
return G__9580;
})()
;
js_obj = function(var_args){
var keyvals = var_args;
switch(arguments.length){
case 0:
return js_obj__0.call(this);
default:
return js_obj__1.cljs$lang$arity$variadic(falsecljs.core.array_seq(arguments, 0));
}
throw('Invalid arity: ' + arguments.length);
};
js_obj.cljs$lang$maxFixedArity = 0;
js_obj.cljs$lang$applyTo = js_obj__1.cljs$lang$applyTo;
js_obj.cljs$lang$arity$0 = js_obj__0;
js_obj.cljs$lang$arity$variadic = js_obj__1.cljs$lang$arity$variadic;
return js_obj;
})()
;
cljs.core.js_keys = (function js_keys(obj){
var keys__9588 = [];
goog.object.forEach(obj,(function (val,key,obj){
return keys__9588.push(key);
}));
return keys__9588;
});
cljs.core.js_delete = (function js_delete(obj,key){
return delete obj[key];
});
cljs.core.array_copy = (function array_copy(from,i,to,j,len){
var i__9592 = i;
var j__9593 = j;
var len__9594 = len;
while(true){
if((len__9594 === 0))
{return to;
} else
{(to[j__9593] = (from[i__9592]));
{
var G__9595 = (i__9592 + 1);
var G__9596 = (j__9593 + 1);
var G__9597 = (len__9594 - 1);
i__9592 = G__9595;
j__9593 = G__9596;
len__9594 = G__9597;
continue;
}
}
break;
}
});
cljs.core.array_copy_downward = (function array_copy_downward(from,i,to,j,len){
var i__9601 = (i + (len - 1));
var j__9602 = (j + (len - 1));
var len__9603 = len;
while(true){
if((len__9603 === 0))
{return to;
} else
{(to[j__9602] = (from[i__9601]));
{
var G__9604 = (i__9601 - 1);
var G__9605 = (j__9602 - 1);
var G__9606 = (len__9603 - 1);
i__9601 = G__9604;
j__9602 = G__9605;
len__9603 = G__9606;
continue;
}
}
break;
}
});
cljs.core.lookup_sentinel = {};
/**
* Returns true if x is the value false, false otherwise.
*/
cljs.core.false_QMARK_ = (function false_QMARK_(x){
return x === false;
});
/**
* Returns true if x is the value true, false otherwise.
*/
cljs.core.true_QMARK_ = (function true_QMARK_(x){
return x === true;
});
cljs.core.undefined_QMARK_ = (function undefined_QMARK_(x){
return (void 0 === x);
});
/**
* Return true if s satisfies ISeq
*/
cljs.core.seq_QMARK_ = (function seq_QMARK_(s){
if((s == null))
{return false;
} else
{var G__9610__9611 = s;
if(G__9610__9611)
{if((function (){var or__3824__auto____9612 = (G__9610__9611.cljs$lang$protocol_mask$partition0$ & 64);
if(or__3824__auto____9612)
{return or__3824__auto____9612;
} else
{return G__9610__9611.cljs$core$ISeq$;
}
})())
{return true;
} else
{if((!G__9610__9611.cljs$lang$protocol_mask$partition0$))
{return cljs.core.type_satisfies_.call(null,cljs.core.ISeq,G__9610__9611);
} else
{return false;
}
}
} else
{return cljs.core.type_satisfies_.call(null,cljs.core.ISeq,G__9610__9611);
}
}
});
/**
* Return true if s satisfies ISeqable
*/
cljs.core.seqable_QMARK_ = (function seqable_QMARK_(s){
var G__9616__9617 = s;
if(G__9616__9617)
{if((function (){var or__3824__auto____9618 = (G__9616__9617.cljs$lang$protocol_mask$partition0$ & 8388608);
if(or__3824__auto____9618)
{return or__3824__auto____9618;
} else
{return G__9616__9617.cljs$core$ISeqable$;
}
})())
{return true;
} else
{if((!G__9616__9617.cljs$lang$protocol_mask$partition0$))
{return cljs.core.type_satisfies_.call(null,cljs.core.ISeqable,G__9616__9617);
} else
{return false;
}
}
} else
{return cljs.core.type_satisfies_.call(null,cljs.core.ISeqable,G__9616__9617);
}
});
cljs.core.boolean$ = (function boolean$(x){
if(cljs.core.truth_(x))
{return true;
} else
{return false;
}
});
cljs.core.string_QMARK_ = (function string_QMARK_(x){
var and__3822__auto____9621 = goog.isString(x);
if(and__3822__auto____9621)
{return !((function (){var or__3824__auto____9622 = (x.charAt(0) === "\uFDD0");
if(or__3824__auto____9622)
{return or__3824__auto____9622;
} else
{return (x.charAt(0) === "\uFDD1");
}
})());
} else
{return and__3822__auto____9621;
}
});
cljs.core.keyword_QMARK_ = (function keyword_QMARK_(x){
var and__3822__auto____9624 = goog.isString(x);
if(and__3822__auto____9624)
{return (x.charAt(0) === "\uFDD0");
} else
{return and__3822__auto____9624;
}
});
cljs.core.symbol_QMARK_ = (function symbol_QMARK_(x){
var and__3822__auto____9626 = goog.isString(x);
if(and__3822__auto____9626)
{return (x.charAt(0) === "\uFDD1");
} else
{return and__3822__auto____9626;
}
});
cljs.core.number_QMARK_ = (function number_QMARK_(n){
return goog.isNumber(n);
});
cljs.core.fn_QMARK_ = (function fn_QMARK_(f){
return goog.isFunction(f);
});
cljs.core.ifn_QMARK_ = (function ifn_QMARK_(f){
var or__3824__auto____9631 = cljs.core.fn_QMARK_.call(null,f);
if(or__3824__auto____9631)
{return or__3824__auto____9631;
} else
{var G__9633__9634 = f;
if(G__9633__9634)
{if((function (){var or__3824__auto____9635 = (G__9633__9634.cljs$lang$protocol_mask$partition0$ & 1);
if(or__3824__auto____9635)
{return or__3824__auto____9635;
} else
{return G__9633__9634.cljs$core$IFn$;
}
})())
{return true;
} else
{if((!G__9633__9634.cljs$lang$protocol_mask$partition0$))
{return cljs.core.type_satisfies_.call(null,cljs.core.IFn,G__9633__9634);
} else
{return false;
}
}
} else
{return cljs.core.type_satisfies_.call(null,cljs.core.IFn,G__9633__9634);
}
}
});
/**
* Returns true if n is an integer.  Warning: returns true on underflow condition.
*/
cljs.core.integer_QMARK_ = (function integer_QMARK_(n){
var and__3822__auto____9637 = cljs.core.number_QMARK_.call(null,n);
if(and__3822__auto____9637)
{return (n == n.toFixed());
} else
{return and__3822__auto____9637;
}
});
/**
* Returns true if key is present in the given collection, otherwise
* returns false.  Note that for numerically indexed collections like
* vectors and arrays, this tests if the numeric key is within the
* range of indexes. 'contains?' operates constant or logarithmic time;
* it will not perform a linear search for a value.  See also 'some'.
*/
cljs.core.contains_QMARK_ = (function contains_QMARK_(coll,v){
if((cljs.core._lookup.call(null,coll,v,cljs.core.lookup_sentinel) === cljs.core.lookup_sentinel))
{return false;
} else
{return true;
}
});
/**
* Returns the map entry for key, or nil if key not present.
*/
cljs.core.find = (function find(coll,k){
if(cljs.core.truth_((function (){var and__3822__auto____9645 = coll;
if(cljs.core.truth_(and__3822__auto____9645))
{var and__3822__auto____9646 = cljs.core.associative_QMARK_.call(null,coll);
if(and__3822__auto____9646)
{return cljs.core.contains_QMARK_.call(null,coll,k);
} else
{return and__3822__auto____9646;
}
} else
{return and__3822__auto____9645;
}
})()))
{return cljs.core.PersistentVector.fromArray([k,cljs.core._lookup.call(null,coll,k)], true);
} else
{return null;
}
});
/**
* Returns true if no two of the arguments are =
* @param {...*} var_args
*/
cljs.core.distinct_QMARK_ = (function() {
var distinct_QMARK_ = null;
var distinct_QMARK___1 = (function (x){
return true;
});
var distinct_QMARK___2 = (function (x,y){
return !(cljs.core._EQ_.call(null,x,y));
});
var distinct_QMARK___3 = (function() { 
var G__9660__delegate = function (x,y,more){
if(!(cljs.core._EQ_.call(null,x,y)))
{var s__9656 = cljs.core.set([y,x]);
var xs__9657 = more;
while(true){
var x__9658 = cljs.core.first.call(null,xs__9657);
var etc__9659 = cljs.core.next.call(null,xs__9657);
if(cljs.core.truth_(xs__9657))
{if(cljs.core.contains_QMARK_.call(null,s__9656,x__9658))
{return false;
} else
{{
var G__9661 = cljs.core.conj.call(null,s__9656,x__9658);
var G__9662 = etc__9659;
s__9656 = G__9661;
xs__9657 = G__9662;
continue;
}
}
} else
{return true;
}
break;
}
} else
{return false;
}
};
var G__9660 = function (x,y,var_args){
var more = null;
if (goog.isDef(var_args)) {
  more = cljs.core.array_seq(Array.prototype.slice.call(arguments, 2),0);
} 
return G__9660__delegate.call(this, x, y, more);
};
G__9660.cljs$lang$maxFixedArity = 2;
G__9660.cljs$lang$applyTo = (function (arglist__9663){
var x = cljs.core.first(arglist__9663);
var y = cljs.core.first(cljs.core.next(arglist__9663));
var more = cljs.core.rest(cljs.core.next(arglist__9663));
return G__9660__delegate(x, y, more);
});
G__9660.cljs$lang$arity$variadic = G__9660__delegate;
return G__9660;
})()
;
distinct_QMARK_ = function(x,y,var_args){
var more = var_args;
switch(arguments.length){
case 1:
return distinct_QMARK___1.call(this,x);
case 2:
return distinct_QMARK___2.call(this,x,y);
default:
return distinct_QMARK___3.cljs$lang$arity$variadic(x,y, cljs.core.array_seq(arguments, 2));
}
throw('Invalid arity: ' + arguments.length);
};
distinct_QMARK_.cljs$lang$maxFixedArity = 2;
distinct_QMARK_.cljs$lang$applyTo = distinct_QMARK___3.cljs$lang$applyTo;
distinct_QMARK_.cljs$lang$arity$1 = distinct_QMARK___1;
distinct_QMARK_.cljs$lang$arity$2 = distinct_QMARK___2;
distinct_QMARK_.cljs$lang$arity$variadic = distinct_QMARK___3.cljs$lang$arity$variadic;
return distinct_QMARK_;
})()
;
/**
* Comparator. Returns a negative number, zero, or a positive number
* when x is logically 'less than', 'equal to', or 'greater than'
* y. Uses IComparable if available and google.array.defaultCompare for objects
* of the same type and special-cases nil to be less than any other object.
*/
cljs.core.compare = (function compare(x,y){
if((x === y))
{return 0;
} else
{if((x == null))
{return -1;
} else
{if((y == null))
{return 1;
} else
{if((cljs.core.type.call(null,x) === cljs.core.type.call(null,y)))
{if(cljs.core.truth_((function (){var G__9667__9668 = x;
if(G__9667__9668)
{if(cljs.core.truth_((function (){var or__3824__auto____9669 = null;
if(cljs.core.truth_(or__3824__auto____9669))
{return or__3824__auto____9669;
} else
{return G__9667__9668.cljs$core$IComparable$;
}
})()))
{return true;
} else
{if((!G__9667__9668.cljs$lang$protocol_mask$partition$))
{return cljs.core.type_satisfies_.call(null,cljs.core.IComparable,G__9667__9668);
} else
{return false;
}
}
} else
{return cljs.core.type_satisfies_.call(null,cljs.core.IComparable,G__9667__9668);
}
})()))
{return cljs.core._compare.call(null,x,y);
} else
{return garray.defaultCompare.call(null,x,y);
}
} else
{if("\uFDD0'else")
{throw (new Error("compare on non-nil objects of different types"));
} else
{return null;
}
}
}
}
}
});
/**
* Compare indexed collection.
*/
cljs.core.compare_indexed = (function() {
var compare_indexed = null;
var compare_indexed__2 = (function (xs,ys){
var xl__9674 = cljs.core.count.call(null,xs);
var yl__9675 = cljs.core.count.call(null,ys);
if((xl__9674 < yl__9675))
{return -1;
} else
{if((xl__9674 > yl__9675))
{return 1;
} else
{if("\uFDD0'else")
{return compare_indexed.call(null,xs,ys,xl__9674,0);
} else
{return null;
}
}
}
});
var compare_indexed__4 = (function (xs,ys,len,n){
while(true){
var d__9676 = cljs.core.compare.call(null,cljs.core.nth.call(null,xs,n),cljs.core.nth.call(null,ys,n));
if((function (){var and__3822__auto____9677 = (d__9676 === 0);
if(and__3822__auto____9677)
{return ((n + 1) < len);
} else
{return and__3822__auto____9677;
}
})())
{{
var G__9678 = xs;
var G__9679 = ys;
var G__9680 = len;
var G__9681 = (n + 1);
xs = G__9678;
ys = G__9679;
len = G__9680;
n = G__9681;
continue;
}
} else
{return d__9676;
}
break;
}
});
compare_indexed = function(xs,ys,len,n){
switch(arguments.length){
case 2:
return compare_indexed__2.call(this,xs,ys);
case 4:
return compare_indexed__4.call(this,xs,ys,len,n);
}
throw('Invalid arity: ' + arguments.length);
};
compare_indexed.cljs$lang$arity$2 = compare_indexed__2;
compare_indexed.cljs$lang$arity$4 = compare_indexed__4;
return compare_indexed;
})()
;
/**
* Given a fn that might be boolean valued or a comparator,
* return a fn that is a comparator.
*/
cljs.core.fn__GT_comparator = (function fn__GT_comparator(f){
if(cljs.core._EQ_.call(null,f,cljs.core.compare))
{return cljs.core.compare;
} else
{return (function (x,y){
var r__9683 = f.call(null,x,y);
if(cljs.core.number_QMARK_.call(null,r__9683))
{return r__9683;
} else
{if(cljs.core.truth_(r__9683))
{return -1;
} else
{if(cljs.core.truth_(f.call(null,y,x)))
{return 1;
} else
{return 0;
}
}
}
});
}
});
void 0;
/**
* Returns a sorted sequence of the items in coll. Comp can be
* boolean-valued comparison funcion, or a -/0/+ valued comparator.
* Comp defaults to compare.
*/
cljs.core.sort = (function() {
var sort = null;
var sort__1 = (function (coll){
return sort.call(null,cljs.core.compare,coll);
});
var sort__2 = (function (comp,coll){
if(cljs.core.seq.call(null,coll))
{var a__9685 = cljs.core.to_array.call(null,coll);
garray.stableSort.call(null,a__9685,cljs.core.fn__GT_comparator.call(null,comp));
return cljs.core.seq.call(null,a__9685);
} else
{return cljs.core.List.EMPTY;
}
});
sort = function(comp,coll){
switch(arguments.length){
case 1:
return sort__1.call(this,comp);
case 2:
return sort__2.call(this,comp,coll);
}
throw('Invalid arity: ' + arguments.length);
};
sort.cljs$lang$arity$1 = sort__1;
sort.cljs$lang$arity$2 = sort__2;
return sort;
})()
;
/**
* Returns a sorted sequence of the items in coll, where the sort
* order is determined by comparing (keyfn item).  Comp can be
* boolean-valued comparison funcion, or a -/0/+ valued comparator.
* Comp defaults to compare.
*/
cljs.core.sort_by = (function() {
var sort_by = null;
var sort_by__2 = (function (keyfn,coll){
return sort_by.call(null,keyfn,cljs.core.compare,coll);
});
var sort_by__3 = (function (keyfn,comp,coll){
return cljs.core.sort.call(null,(function (x,y){
return cljs.core.fn__GT_comparator.call(null,comp).call(null,keyfn.call(null,x),keyfn.call(null,y));
}),coll);
});
sort_by = function(keyfn,comp,coll){
switch(arguments.length){
case 2:
return sort_by__2.call(this,keyfn,comp);
case 3:
return sort_by__3.call(this,keyfn,comp,coll);
}
throw('Invalid arity: ' + arguments.length);
};
sort_by.cljs$lang$arity$2 = sort_by__2;
sort_by.cljs$lang$arity$3 = sort_by__3;
return sort_by;
})()
;
cljs.core.seq_reduce = (function() {
var seq_reduce = null;
var seq_reduce__2 = (function (f,coll){
var temp__3971__auto____9691 = cljs.core.seq.call(null,coll);
if(temp__3971__auto____9691)
{var s__9692 = temp__3971__auto____9691;
return cljs.core.reduce.call(null,f,cljs.core.first.call(null,s__9692),cljs.core.next.call(null,s__9692));
} else
{return f.call(null);
}
});
var seq_reduce__3 = (function (f,val,coll){
var val__9693 = val;
var coll__9694 = cljs.core.seq.call(null,coll);
while(true){
if(coll__9694)
{var nval__9695 = f.call(null,val__9693,cljs.core.first.call(null,coll__9694));
if(cljs.core.truth_(cljs.core.reduced_QMARK_.call(null,nval__9695)))
{return cljs.core.deref.call(null,nval__9695);
} else
{{
var G__9696 = nval__9695;
var G__9697 = cljs.core.next.call(null,coll__9694);
val__9693 = G__9696;
coll__9694 = G__9697;
continue;
}
}
} else
{return val__9693;
}
break;
}
});
seq_reduce = function(f,val,coll){
switch(arguments.length){
case 2:
return seq_reduce__2.call(this,f,val);
case 3:
return seq_reduce__3.call(this,f,val,coll);
}
throw('Invalid arity: ' + arguments.length);
};
seq_reduce.cljs$lang$arity$2 = seq_reduce__2;
seq_reduce.cljs$lang$arity$3 = seq_reduce__3;
return seq_reduce;
})()
;
void 0;
/**
* Return a random permutation of coll
*/
cljs.core.shuffle = (function shuffle(coll){
var a__9699 = cljs.core.to_array.call(null,coll);
garray.shuffle.call(null,a__9699);
return cljs.core.vec.call(null,a__9699);
});
/**
* f should be a function of 2 arguments. If val is not supplied,
* returns the result of applying f to the first 2 items in coll, then
* applying f to that result and the 3rd item, etc. If coll contains no
* items, f must accept no arguments as well, and reduce returns the
* result of calling f with no arguments.  If coll has only 1 item, it
* is returned and f is not called.  If val is supplied, returns the
* result of applying f to val and the first item in coll, then
* applying f to that result and the 2nd item, etc. If coll contains no
* items, returns val and f is not called.
*/
cljs.core.reduce = (function() {
var reduce = null;
var reduce__2 = (function (f,coll){
if(cljs.core.truth_((function (){var G__9706__9707 = coll;
if(G__9706__9707)
{if((function (){var or__3824__auto____9708 = (G__9706__9707.cljs$lang$protocol_mask$partition0$ & 524288);
if(or__3824__auto____9708)
{return or__3824__auto____9708;
} else
{return G__9706__9707.cljs$core$IReduce$;
}
})())
{return true;
} else
{if((!G__9706__9707.cljs$lang$protocol_mask$partition0$))
{return cljs.core.type_satisfies_.call(null,cljs.core.IReduce,G__9706__9707);
} else
{return false;
}
}
} else
{return cljs.core.type_satisfies_.call(null,cljs.core.IReduce,G__9706__9707);
}
})()))
{return cljs.core._reduce.call(null,coll,f);
} else
{return cljs.core.seq_reduce.call(null,f,coll);
}
});
var reduce__3 = (function (f,val,coll){
if(cljs.core.truth_((function (){var G__9709__9710 = coll;
if(G__9709__9710)
{if((function (){var or__3824__auto____9711 = (G__9709__9710.cljs$lang$protocol_mask$partition0$ & 524288);
if(or__3824__auto____9711)
{return or__3824__auto____9711;
} else
{return G__9709__9710.cljs$core$IReduce$;
}
})())
{return true;
} else
{if((!G__9709__9710.cljs$lang$protocol_mask$partition0$))
{return cljs.core.type_satisfies_.call(null,cljs.core.IReduce,G__9709__9710);
} else
{return false;
}
}
} else
{return cljs.core.type_satisfies_.call(null,cljs.core.IReduce,G__9709__9710);
}
})()))
{return cljs.core._reduce.call(null,coll,f,val);
} else
{return cljs.core.seq_reduce.call(null,f,val,coll);
}
});
reduce = function(f,val,coll){
switch(arguments.length){
case 2:
return reduce__2.call(this,f,val);
case 3:
return reduce__3.call(this,f,val,coll);
}
throw('Invalid arity: ' + arguments.length);
};
reduce.cljs$lang$arity$2 = reduce__2;
reduce.cljs$lang$arity$3 = reduce__3;
return reduce;
})()
;
/**
* Reduces an associative collection. f should be a function of 3
* arguments. Returns the result of applying f to init, the first key
* and the first value in coll, then applying f to that result and the
* 2nd key and value, etc. If coll contains no entries, returns init
* and f is not called. Note that reduce-kv is supported on vectors,
* where the keys will be the ordinals.
*/
cljs.core.reduce_kv = (function reduce_kv(f,init,coll){
return cljs.core._kv_reduce.call(null,coll,f,init);
});

/**
* @constructor
*/
cljs.core.Reduced = (function (val){
this.val = val;
this.cljs$lang$protocol_mask$partition1$ = 0;
this.cljs$lang$protocol_mask$partition0$ = 32768;
})
cljs.core.Reduced.cljs$lang$type = true;
cljs.core.Reduced.cljs$lang$ctorPrSeq = (function (this__4682__auto__){
return cljs.core.list.call(null,"cljs.core/Reduced");
});
cljs.core.Reduced.prototype.cljs$core$IDeref$_deref$arity$1 = (function (o){
var this__9760 = this;
return this__9760.val;
});
cljs.core.Reduced;
/**
* Returns true if x is the result of a call to reduced
*/
cljs.core.reduced_QMARK_ = (function reduced_QMARK_(r){
return cljs.core.instance_QMARK_.call(null,cljs.core.Reduced,r);
});
/**
* Wraps x in a way such that a reduce will terminate with the value x
*/
cljs.core.reduced = (function reduced(x){
return (new cljs.core.Reduced(x));
});
/**
* Returns the sum of nums. (+) returns 0.
* @param {...*} var_args
*/
cljs.core._PLUS_ = (function() {
var _PLUS_ = null;
var _PLUS___0 = (function (){
return 0;
});
var _PLUS___1 = (function (x){
return x;
});
var _PLUS___2 = (function (x,y){
return (x + y);
});
var _PLUS___3 = (function() { 
var G__9778__delegate = function (x,y,more){
return cljs.core.reduce.call(null,_PLUS_,(x + y),more);
};
var G__9778 = function (x,y,var_args){
var more = null;
if (goog.isDef(var_args)) {
  more = cljs.core.array_seq(Array.prototype.slice.call(arguments, 2),0);
} 
return G__9778__delegate.call(this, x, y, more);
};
G__9778.cljs$lang$maxFixedArity = 2;
G__9778.cljs$lang$applyTo = (function (arglist__9784){
var x = cljs.core.first(arglist__9784);
var y = cljs.core.first(cljs.core.next(arglist__9784));
var more = cljs.core.rest(cljs.core.next(arglist__9784));
return G__9778__delegate(x, y, more);
});
G__9778.cljs$lang$arity$variadic = G__9778__delegate;
return G__9778;
})()
;
_PLUS_ = function(x,y,var_args){
var more = var_args;
switch(arguments.length){
case 0:
return _PLUS___0.call(this);
case 1:
return _PLUS___1.call(this,x);
case 2:
return _PLUS___2.call(this,x,y);
default:
return _PLUS___3.cljs$lang$arity$variadic(x,y, cljs.core.array_seq(arguments, 2));
}
throw('Invalid arity: ' + arguments.length);
};
_PLUS_.cljs$lang$maxFixedArity = 2;
_PLUS_.cljs$lang$applyTo = _PLUS___3.cljs$lang$applyTo;
_PLUS_.cljs$lang$arity$0 = _PLUS___0;
_PLUS_.cljs$lang$arity$1 = _PLUS___1;
_PLUS_.cljs$lang$arity$2 = _PLUS___2;
_PLUS_.cljs$lang$arity$variadic = _PLUS___3.cljs$lang$arity$variadic;
return _PLUS_;
})()
;
/**
* If no ys are supplied, returns the negation of x, else subtracts
* the ys from x and returns the result.
* @param {...*} var_args
*/
cljs.core._ = (function() {
var _ = null;
var ___1 = (function (x){
return (- x);
});
var ___2 = (function (x,y){
return (x - y);
});
var ___3 = (function() { 
var G__9800__delegate = function (x,y,more){
return cljs.core.reduce.call(null,_,(x - y),more);
};
var G__9800 = function (x,y,var_args){
var more = null;
if (goog.isDef(var_args)) {
  more = cljs.core.array_seq(Array.prototype.slice.call(arguments, 2),0);
} 
return G__9800__delegate.call(this, x, y, more);
};
G__9800.cljs$lang$maxFixedArity = 2;
G__9800.cljs$lang$applyTo = (function (arglist__9803){
var x = cljs.core.first(arglist__9803);
var y = cljs.core.first(cljs.core.next(arglist__9803));
var more = cljs.core.rest(cljs.core.next(arglist__9803));
return G__9800__delegate(x, y, more);
});
G__9800.cljs$lang$arity$variadic = G__9800__delegate;
return G__9800;
})()
;
_ = function(x,y,var_args){
var more = var_args;
switch(arguments.length){
case 1:
return ___1.call(this,x);
case 2:
return ___2.call(this,x,y);
default:
return ___3.cljs$lang$arity$variadic(x,y, cljs.core.array_seq(arguments, 2));
}
throw('Invalid arity: ' + arguments.length);
};
_.cljs$lang$maxFixedArity = 2;
_.cljs$lang$applyTo = ___3.cljs$lang$applyTo;
_.cljs$lang$arity$1 = ___1;
_.cljs$lang$arity$2 = ___2;
_.cljs$lang$arity$variadic = ___3.cljs$lang$arity$variadic;
return _;
})()
;
/**
* Returns the product of nums. (*) returns 1.
* @param {...*} var_args
*/
cljs.core._STAR_ = (function() {
var _STAR_ = null;
var _STAR___0 = (function (){
return 1;
});
var _STAR___1 = (function (x){
return x;
});
var _STAR___2 = (function (x,y){
return (x * y);
});
var _STAR___3 = (function() { 
var G__9815__delegate = function (x,y,more){
return cljs.core.reduce.call(null,_STAR_,(x * y),more);
};
var G__9815 = function (x,y,var_args){
var more = null;
if (goog.isDef(var_args)) {
  more = cljs.core.array_seq(Array.prototype.slice.call(arguments, 2),0);
} 
return G__9815__delegate.call(this, x, y, more);
};
G__9815.cljs$lang$maxFixedArity = 2;
G__9815.cljs$lang$applyTo = (function (arglist__9816){
var x = cljs.core.first(arglist__9816);
var y = cljs.core.first(cljs.core.next(arglist__9816));
var more = cljs.core.rest(cljs.core.next(arglist__9816));
return G__9815__delegate(x, y, more);
});
G__9815.cljs$lang$arity$variadic = G__9815__delegate;
return G__9815;
})()
;
_STAR_ = function(x,y,var_args){
var more = var_args;
switch(arguments.length){
case 0:
return _STAR___0.call(this);
case 1:
return _STAR___1.call(this,x);
case 2:
return _STAR___2.call(this,x,y);
default:
return _STAR___3.cljs$lang$arity$variadic(x,y, cljs.core.array_seq(arguments, 2));
}
throw('Invalid arity: ' + arguments.length);
};
_STAR_.cljs$lang$maxFixedArity = 2;
_STAR_.cljs$lang$applyTo = _STAR___3.cljs$lang$applyTo;
_STAR_.cljs$lang$arity$0 = _STAR___0;
_STAR_.cljs$lang$arity$1 = _STAR___1;
_STAR_.cljs$lang$arity$2 = _STAR___2;
_STAR_.cljs$lang$arity$variadic = _STAR___3.cljs$lang$arity$variadic;
return _STAR_;
})()
;
/**
* If no denominators are supplied, returns 1/numerator,
* else returns numerator divided by all of the denominators.
* @param {...*} var_args
*/
cljs.core._SLASH_ = (function() {
var _SLASH_ = null;
var _SLASH___1 = (function (x){
return _SLASH_.call(null,1,x);
});
var _SLASH___2 = (function (x,y){
return (x / y);
});
var _SLASH___3 = (function() { 
var G__9832__delegate = function (x,y,more){
return cljs.core.reduce.call(null,_SLASH_,_SLASH_.call(null,x,y),more);
};
var G__9832 = function (x,y,var_args){
var more = null;
if (goog.isDef(var_args)) {
  more = cljs.core.array_seq(Array.prototype.slice.call(arguments, 2),0);
} 
return G__9832__delegate.call(this, x, y, more);
};
G__9832.cljs$lang$maxFixedArity = 2;
G__9832.cljs$lang$applyTo = (function (arglist__9837){
var x = cljs.core.first(arglist__9837);
var y = cljs.core.first(cljs.core.next(arglist__9837));
var more = cljs.core.rest(cljs.core.next(arglist__9837));
return G__9832__delegate(x, y, more);
});
G__9832.cljs$lang$arity$variadic = G__9832__delegate;
return G__9832;
})()
;
_SLASH_ = function(x,y,var_args){
var more = var_args;
switch(arguments.length){
case 1:
return _SLASH___1.call(this,x);
case 2:
return _SLASH___2.call(this,x,y);
default:
return _SLASH___3.cljs$lang$arity$variadic(x,y, cljs.core.array_seq(arguments, 2));
}
throw('Invalid arity: ' + arguments.length);
};
_SLASH_.cljs$lang$maxFixedArity = 2;
_SLASH_.cljs$lang$applyTo = _SLASH___3.cljs$lang$applyTo;
_SLASH_.cljs$lang$arity$1 = _SLASH___1;
_SLASH_.cljs$lang$arity$2 = _SLASH___2;
_SLASH_.cljs$lang$arity$variadic = _SLASH___3.cljs$lang$arity$variadic;
return _SLASH_;
})()
;
/**
* Returns non-nil if nums are in monotonically increasing order,
* otherwise false.
* @param {...*} var_args
*/
cljs.core._LT_ = (function() {
var _LT_ = null;
var _LT___1 = (function (x){
return true;
});
var _LT___2 = (function (x,y){
return (x < y);
});
var _LT___3 = (function() { 
var G__9840__delegate = function (x,y,more){
while(true){
if((x < y))
{if(cljs.core.next.call(null,more))
{{
var G__9841 = y;
var G__9842 = cljs.core.first.call(null,more);
var G__9843 = cljs.core.next.call(null,more);
x = G__9841;
y = G__9842;
more = G__9843;
continue;
}
} else
{return (y < cljs.core.first.call(null,more));
}
} else
{return false;
}
break;
}
};
var G__9840 = function (x,y,var_args){
var more = null;
if (goog.isDef(var_args)) {
  more = cljs.core.array_seq(Array.prototype.slice.call(arguments, 2),0);
} 
return G__9840__delegate.call(this, x, y, more);
};
G__9840.cljs$lang$maxFixedArity = 2;
G__9840.cljs$lang$applyTo = (function (arglist__9844){
var x = cljs.core.first(arglist__9844);
var y = cljs.core.first(cljs.core.next(arglist__9844));
var more = cljs.core.rest(cljs.core.next(arglist__9844));
return G__9840__delegate(x, y, more);
});
G__9840.cljs$lang$arity$variadic = G__9840__delegate;
return G__9840;
})()
;
_LT_ = function(x,y,var_args){
var more = var_args;
switch(arguments.length){
case 1:
return _LT___1.call(this,x);
case 2:
return _LT___2.call(this,x,y);
default:
return _LT___3.cljs$lang$arity$variadic(x,y, cljs.core.array_seq(arguments, 2));
}
throw('Invalid arity: ' + arguments.length);
};
_LT_.cljs$lang$maxFixedArity = 2;
_LT_.cljs$lang$applyTo = _LT___3.cljs$lang$applyTo;
_LT_.cljs$lang$arity$1 = _LT___1;
_LT_.cljs$lang$arity$2 = _LT___2;
_LT_.cljs$lang$arity$variadic = _LT___3.cljs$lang$arity$variadic;
return _LT_;
})()
;
/**
* Returns non-nil if nums are in monotonically non-decreasing order,
* otherwise false.
* @param {...*} var_args
*/
cljs.core._LT__EQ_ = (function() {
var _LT__EQ_ = null;
var _LT__EQ___1 = (function (x){
return true;
});
var _LT__EQ___2 = (function (x,y){
return (x <= y);
});
var _LT__EQ___3 = (function() { 
var G__9845__delegate = function (x,y,more){
while(true){
if((x <= y))
{if(cljs.core.next.call(null,more))
{{
var G__9846 = y;
var G__9847 = cljs.core.first.call(null,more);
var G__9848 = cljs.core.next.call(null,more);
x = G__9846;
y = G__9847;
more = G__9848;
continue;
}
} else
{return (y <= cljs.core.first.call(null,more));
}
} else
{return false;
}
break;
}
};
var G__9845 = function (x,y,var_args){
var more = null;
if (goog.isDef(var_args)) {
  more = cljs.core.array_seq(Array.prototype.slice.call(arguments, 2),0);
} 
return G__9845__delegate.call(this, x, y, more);
};
G__9845.cljs$lang$maxFixedArity = 2;
G__9845.cljs$lang$applyTo = (function (arglist__9849){
var x = cljs.core.first(arglist__9849);
var y = cljs.core.first(cljs.core.next(arglist__9849));
var more = cljs.core.rest(cljs.core.next(arglist__9849));
return G__9845__delegate(x, y, more);
});
G__9845.cljs$lang$arity$variadic = G__9845__delegate;
return G__9845;
})()
;
_LT__EQ_ = function(x,y,var_args){
var more = var_args;
switch(arguments.length){
case 1:
return _LT__EQ___1.call(this,x);
case 2:
return _LT__EQ___2.call(this,x,y);
default:
return _LT__EQ___3.cljs$lang$arity$variadic(x,y, cljs.core.array_seq(arguments, 2));
}
throw('Invalid arity: ' + arguments.length);
};
_LT__EQ_.cljs$lang$maxFixedArity = 2;
_LT__EQ_.cljs$lang$applyTo = _LT__EQ___3.cljs$lang$applyTo;
_LT__EQ_.cljs$lang$arity$1 = _LT__EQ___1;
_LT__EQ_.cljs$lang$arity$2 = _LT__EQ___2;
_LT__EQ_.cljs$lang$arity$variadic = _LT__EQ___3.cljs$lang$arity$variadic;
return _LT__EQ_;
})()
;
/**
* Returns non-nil if nums are in monotonically decreasing order,
* otherwise false.
* @param {...*} var_args
*/
cljs.core._GT_ = (function() {
var _GT_ = null;
var _GT___1 = (function (x){
return true;
});
var _GT___2 = (function (x,y){
return (x > y);
});
var _GT___3 = (function() { 
var G__9855__delegate = function (x,y,more){
while(true){
if((x > y))
{if(cljs.core.next.call(null,more))
{{
var G__9856 = y;
var G__9857 = cljs.core.first.call(null,more);
var G__9858 = cljs.core.next.call(null,more);
x = G__9856;
y = G__9857;
more = G__9858;
continue;
}
} else
{return (y > cljs.core.first.call(null,more));
}
} else
{return false;
}
break;
}
};
var G__9855 = function (x,y,var_args){
var more = null;
if (goog.isDef(var_args)) {
  more = cljs.core.array_seq(Array.prototype.slice.call(arguments, 2),0);
} 
return G__9855__delegate.call(this, x, y, more);
};
G__9855.cljs$lang$maxFixedArity = 2;
G__9855.cljs$lang$applyTo = (function (arglist__9863){
var x = cljs.core.first(arglist__9863);
var y = cljs.core.first(cljs.core.next(arglist__9863));
var more = cljs.core.rest(cljs.core.next(arglist__9863));
return G__9855__delegate(x, y, more);
});
G__9855.cljs$lang$arity$variadic = G__9855__delegate;
return G__9855;
})()
;
_GT_ = function(x,y,var_args){
var more = var_args;
switch(arguments.length){
case 1:
return _GT___1.call(this,x);
case 2:
return _GT___2.call(this,x,y);
default:
return _GT___3.cljs$lang$arity$variadic(x,y, cljs.core.array_seq(arguments, 2));
}
throw('Invalid arity: ' + arguments.length);
};
_GT_.cljs$lang$maxFixedArity = 2;
_GT_.cljs$lang$applyTo = _GT___3.cljs$lang$applyTo;
_GT_.cljs$lang$arity$1 = _GT___1;
_GT_.cljs$lang$arity$2 = _GT___2;
_GT_.cljs$lang$arity$variadic = _GT___3.cljs$lang$arity$variadic;
return _GT_;
})()
;
/**
* Returns non-nil if nums are in monotonically non-increasing order,
* otherwise false.
* @param {...*} var_args
*/
cljs.core._GT__EQ_ = (function() {
var _GT__EQ_ = null;
var _GT__EQ___1 = (function (x){
return true;
});
var _GT__EQ___2 = (function (x,y){
return (x >= y);
});
var _GT__EQ___3 = (function() { 
var G__9867__delegate = function (x,y,more){
while(true){
if((x >= y))
{if(cljs.core.next.call(null,more))
{{
var G__9868 = y;
var G__9869 = cljs.core.first.call(null,more);
var G__9870 = cljs.core.next.call(null,more);
x = G__9868;
y = G__9869;
more = G__9870;
continue;
}
} else
{return (y >= cljs.core.first.call(null,more));
}
} else
{return false;
}
break;
}
};
var G__9867 = function (x,y,var_args){
var more = null;
if (goog.isDef(var_args)) {
  more = cljs.core.array_seq(Array.prototype.slice.call(arguments, 2),0);
} 
return G__9867__delegate.call(this, x, y, more);
};
G__9867.cljs$lang$maxFixedArity = 2;
G__9867.cljs$lang$applyTo = (function (arglist__9875){
var x = cljs.core.first(arglist__9875);
var y = cljs.core.first(cljs.core.next(arglist__9875));
var more = cljs.core.rest(cljs.core.next(arglist__9875));
return G__9867__delegate(x, y, more);
});
G__9867.cljs$lang$arity$variadic = G__9867__delegate;
return G__9867;
})()
;
_GT__EQ_ = function(x,y,var_args){
var more = var_args;
switch(arguments.length){
case 1:
return _GT__EQ___1.call(this,x);
case 2:
return _GT__EQ___2.call(this,x,y);
default:
return _GT__EQ___3.cljs$lang$arity$variadic(x,y, cljs.core.array_seq(arguments, 2));
}
throw('Invalid arity: ' + arguments.length);
};
_GT__EQ_.cljs$lang$maxFixedArity = 2;
_GT__EQ_.cljs$lang$applyTo = _GT__EQ___3.cljs$lang$applyTo;
_GT__EQ_.cljs$lang$arity$1 = _GT__EQ___1;
_GT__EQ_.cljs$lang$arity$2 = _GT__EQ___2;
_GT__EQ_.cljs$lang$arity$variadic = _GT__EQ___3.cljs$lang$arity$variadic;
return _GT__EQ_;
})()
;
/**
* Returns a number one less than num.
*/
cljs.core.dec = (function dec(x){
return (x - 1);
});
/**
* Returns the greatest of the nums.
* @param {...*} var_args
*/
cljs.core.max = (function() {
var max = null;
var max__1 = (function (x){
return x;
});
var max__2 = (function (x,y){
return ((x > y) ? x : y);
});
var max__3 = (function() { 
var G__9878__delegate = function (x,y,more){
return cljs.core.reduce.call(null,max,((x > y) ? x : y),more);
};
var G__9878 = function (x,y,var_args){
var more = null;
if (goog.isDef(var_args)) {
  more = cljs.core.array_seq(Array.prototype.slice.call(arguments, 2),0);
} 
return G__9878__delegate.call(this, x, y, more);
};
G__9878.cljs$lang$maxFixedArity = 2;
G__9878.cljs$lang$applyTo = (function (arglist__9883){
var x = cljs.core.first(arglist__9883);
var y = cljs.core.first(cljs.core.next(arglist__9883));
var more = cljs.core.rest(cljs.core.next(arglist__9883));
return G__9878__delegate(x, y, more);
});
G__9878.cljs$lang$arity$variadic = G__9878__delegate;
return G__9878;
})()
;
max = function(x,y,var_args){
var more = var_args;
switch(arguments.length){
case 1:
return max__1.call(this,x);
case 2:
return max__2.call(this,x,y);
default:
return max__3.cljs$lang$arity$variadic(x,y, cljs.core.array_seq(arguments, 2));
}
throw('Invalid arity: ' + arguments.length);
};
max.cljs$lang$maxFixedArity = 2;
max.cljs$lang$applyTo = max__3.cljs$lang$applyTo;
max.cljs$lang$arity$1 = max__1;
max.cljs$lang$arity$2 = max__2;
max.cljs$lang$arity$variadic = max__3.cljs$lang$arity$variadic;
return max;
})()
;
/**
* Returns the least of the nums.
* @param {...*} var_args
*/
cljs.core.min = (function() {
var min = null;
var min__1 = (function (x){
return x;
});
var min__2 = (function (x,y){
return ((x < y) ? x : y);
});
var min__3 = (function() { 
var G__9885__delegate = function (x,y,more){
return cljs.core.reduce.call(null,min,((x < y) ? x : y),more);
};
var G__9885 = function (x,y,var_args){
var more = null;
if (goog.isDef(var_args)) {
  more = cljs.core.array_seq(Array.prototype.slice.call(arguments, 2),0);
} 
return G__9885__delegate.call(this, x, y, more);
};
G__9885.cljs$lang$maxFixedArity = 2;
G__9885.cljs$lang$applyTo = (function (arglist__9886){
var x = cljs.core.first(arglist__9886);
var y = cljs.core.first(cljs.core.next(arglist__9886));
var more = cljs.core.rest(cljs.core.next(arglist__9886));
return G__9885__delegate(x, y, more);
});
G__9885.cljs$lang$arity$variadic = G__9885__delegate;
return G__9885;
})()
;
min = function(x,y,var_args){
var more = var_args;
switch(arguments.length){
case 1:
return min__1.call(this,x);
case 2:
return min__2.call(this,x,y);
default:
return min__3.cljs$lang$arity$variadic(x,y, cljs.core.array_seq(arguments, 2));
}
throw('Invalid arity: ' + arguments.length);
};
min.cljs$lang$maxFixedArity = 2;
min.cljs$lang$applyTo = min__3.cljs$lang$applyTo;
min.cljs$lang$arity$1 = min__1;
min.cljs$lang$arity$2 = min__2;
min.cljs$lang$arity$variadic = min__3.cljs$lang$arity$variadic;
return min;
})()
;
cljs.core.fix = (function fix(q){
if((q >= 0))
{return Math.floor.call(null,q);
} else
{return Math.ceil.call(null,q);
}
});
/**
* Coerce to int by stripping decimal places.
*/
cljs.core.int$ = (function int$(x){
return cljs.core.fix.call(null,x);
});
/**
* Coerce to long by stripping decimal places. Identical to `int'.
*/
cljs.core.long$ = (function long$(x){
return cljs.core.fix.call(null,x);
});
/**
* Modulus of num and div. Truncates toward negative infinity.
*/
cljs.core.mod = (function mod(n,d){
return (n % d);
});
/**
* quot[ient] of dividing numerator by denominator.
*/
cljs.core.quot = (function quot(n,d){
var rem__9888 = (n % d);
return cljs.core.fix.call(null,((n - rem__9888) / d));
});
/**
* remainder of dividing numerator by denominator.
*/
cljs.core.rem = (function rem(n,d){
var q__9893 = cljs.core.quot.call(null,n,d);
return (n - (d * q__9893));
});
/**
* Returns a random floating point number between 0 (inclusive) and n (default 1) (exclusive).
*/
cljs.core.rand = (function() {
var rand = null;
var rand__0 = (function (){
return Math.random.call(null);
});
var rand__1 = (function (n){
return (n * rand.call(null));
});
rand = function(n){
switch(arguments.length){
case 0:
return rand__0.call(this);
case 1:
return rand__1.call(this,n);
}
throw('Invalid arity: ' + arguments.length);
};
rand.cljs$lang$arity$0 = rand__0;
rand.cljs$lang$arity$1 = rand__1;
return rand;
})()
;
/**
* Returns a random integer between 0 (inclusive) and n (exclusive).
*/
cljs.core.rand_int = (function rand_int(n){
return cljs.core.fix.call(null,cljs.core.rand.call(null,n));
});
/**
* Bitwise exclusive or
*/
cljs.core.bit_xor = (function bit_xor(x,y){
return (x ^ y);
});
/**
* Bitwise and
*/
cljs.core.bit_and = (function bit_and(x,y){
return (x & y);
});
/**
* Bitwise or
*/
cljs.core.bit_or = (function bit_or(x,y){
return (x | y);
});
/**
* Bitwise and
*/
cljs.core.bit_and_not = (function bit_and_not(x,y){
return (x & ~y);
});
/**
* Clear bit at index n
*/
cljs.core.bit_clear = (function bit_clear(x,n){
return (x & ~(1 << n));
});
/**
* Flip bit at index n
*/
cljs.core.bit_flip = (function bit_flip(x,n){
return (x ^ (1 << n));
});
/**
* Bitwise complement
*/
cljs.core.bit_not = (function bit_not(x){
return (~ x);
});
/**
* Set bit at index n
*/
cljs.core.bit_set = (function bit_set(x,n){
return (x | (1 << n));
});
/**
* Test bit at index n
*/
cljs.core.bit_test = (function bit_test(x,n){
return ((x & (1 << n)) != 0);
});
/**
* Bitwise shift left
*/
cljs.core.bit_shift_left = (function bit_shift_left(x,n){
return (x << n);
});
/**
* Bitwise shift right
*/
cljs.core.bit_shift_right = (function bit_shift_right(x,n){
return (x >> n);
});
/**
* Bitwise shift right with zero fill
*/
cljs.core.bit_shift_right_zero_fill = (function bit_shift_right_zero_fill(x,n){
return (x >>> n);
});
/**
* Counts the number of bits set in n
*/
cljs.core.bit_count = (function bit_count(v){
var v__9918 = (v - ((v >> 1) & 1431655765));
var v__9919 = ((v__9918 & 858993459) + ((v__9918 >> 2) & 858993459));
return ((((v__9919 + (v__9919 >> 4)) & 252645135) * 16843009) >> 24);
});
/**
* Returns non-nil if nums all have the equivalent
* value, otherwise false. Behavior on non nums is
* undefined.
* @param {...*} var_args
*/
cljs.core._EQ__EQ_ = (function() {
var _EQ__EQ_ = null;
var _EQ__EQ___1 = (function (x){
return true;
});
var _EQ__EQ___2 = (function (x,y){
return cljs.core._equiv.call(null,x,y);
});
var _EQ__EQ___3 = (function() { 
var G__9927__delegate = function (x,y,more){
while(true){
if(cljs.core.truth_(_EQ__EQ_.call(null,x,y)))
{if(cljs.core.next.call(null,more))
{{
var G__9928 = y;
var G__9929 = cljs.core.first.call(null,more);
var G__9930 = cljs.core.next.call(null,more);
x = G__9928;
y = G__9929;
more = G__9930;
continue;
}
} else
{return _EQ__EQ_.call(null,y,cljs.core.first.call(null,more));
}
} else
{return false;
}
break;
}
};
var G__9927 = function (x,y,var_args){
var more = null;
if (goog.isDef(var_args)) {
  more = cljs.core.array_seq(Array.prototype.slice.call(arguments, 2),0);
} 
return G__9927__delegate.call(this, x, y, more);
};
G__9927.cljs$lang$maxFixedArity = 2;
G__9927.cljs$lang$applyTo = (function (arglist__9933){
var x = cljs.core.first(arglist__9933);
var y = cljs.core.first(cljs.core.next(arglist__9933));
var more = cljs.core.rest(cljs.core.next(arglist__9933));
return G__9927__delegate(x, y, more);
});
G__9927.cljs$lang$arity$variadic = G__9927__delegate;
return G__9927;
})()
;
_EQ__EQ_ = function(x,y,var_args){
var more = var_args;
switch(arguments.length){
case 1:
return _EQ__EQ___1.call(this,x);
case 2:
return _EQ__EQ___2.call(this,x,y);
default:
return _EQ__EQ___3.cljs$lang$arity$variadic(x,y, cljs.core.array_seq(arguments, 2));
}
throw('Invalid arity: ' + arguments.length);
};
_EQ__EQ_.cljs$lang$maxFixedArity = 2;
_EQ__EQ_.cljs$lang$applyTo = _EQ__EQ___3.cljs$lang$applyTo;
_EQ__EQ_.cljs$lang$arity$1 = _EQ__EQ___1;
_EQ__EQ_.cljs$lang$arity$2 = _EQ__EQ___2;
_EQ__EQ_.cljs$lang$arity$variadic = _EQ__EQ___3.cljs$lang$arity$variadic;
return _EQ__EQ_;
})()
;
/**
* Returns true if num is greater than zero, else false
*/
cljs.core.pos_QMARK_ = (function pos_QMARK_(n){
return (n > 0);
});
cljs.core.zero_QMARK_ = (function zero_QMARK_(n){
return (n === 0);
});
/**
* Returns true if num is less than zero, else false
*/
cljs.core.neg_QMARK_ = (function neg_QMARK_(x){
return (x < 0);
});
/**
* Returns the nth next of coll, (seq coll) when n is 0.
*/
cljs.core.nthnext = (function nthnext(coll,n){
var n__9946 = n;
var xs__9947 = cljs.core.seq.call(null,coll);
while(true){
if(cljs.core.truth_((function (){var and__3822__auto____9948 = xs__9947;
if(and__3822__auto____9948)
{return (n__9946 > 0);
} else
{return and__3822__auto____9948;
}
})()))
{{
var G__9953 = (n__9946 - 1);
var G__9954 = cljs.core.next.call(null,xs__9947);
n__9946 = G__9953;
xs__9947 = G__9954;
continue;
}
} else
{return xs__9947;
}
break;
}
});
/**
* Internal - do not use!
* @param {...*} var_args
*/
cljs.core.str_STAR_ = (function() {
var str_STAR_ = null;
var str_STAR___0 = (function (){
return "";
});
var str_STAR___1 = (function (x){
if((x == null))
{return "";
} else
{if("\uFDD0'else")
{return x.toString();
} else
{return null;
}
}
});
var str_STAR___2 = (function() { 
var G__9963__delegate = function (x,ys){
return (function (sb,more){
while(true){
if(cljs.core.truth_(more))
{{
var G__9964 = sb.append(str_STAR_.call(null,cljs.core.first.call(null,more)));
var G__9965 = cljs.core.next.call(null,more);
sb = G__9964;
more = G__9965;
continue;
}
} else
{return str_STAR_.call(null,sb);
}
break;
}
}).call(null,(new gstring.StringBuffer(str_STAR_.call(null,x))),ys);
};
var G__9963 = function (x,var_args){
var ys = null;
if (goog.isDef(var_args)) {
  ys = cljs.core.array_seq(Array.prototype.slice.call(arguments, 1),0);
} 
return G__9963__delegate.call(this, x, ys);
};
G__9963.cljs$lang$maxFixedArity = 1;
G__9963.cljs$lang$applyTo = (function (arglist__9971){
var x = cljs.core.first(arglist__9971);
var ys = cljs.core.rest(arglist__9971);
return G__9963__delegate(x, ys);
});
G__9963.cljs$lang$arity$variadic = G__9963__delegate;
return G__9963;
})()
;
str_STAR_ = function(x,var_args){
var ys = var_args;
switch(arguments.length){
case 0:
return str_STAR___0.call(this);
case 1:
return str_STAR___1.call(this,x);
default:
return str_STAR___2.cljs$lang$arity$variadic(x, cljs.core.array_seq(arguments, 1));
}
throw('Invalid arity: ' + arguments.length);
};
str_STAR_.cljs$lang$maxFixedArity = 1;
str_STAR_.cljs$lang$applyTo = str_STAR___2.cljs$lang$applyTo;
str_STAR_.cljs$lang$arity$0 = str_STAR___0;
str_STAR_.cljs$lang$arity$1 = str_STAR___1;
str_STAR_.cljs$lang$arity$variadic = str_STAR___2.cljs$lang$arity$variadic;
return str_STAR_;
})()
;
/**
* With no args, returns the empty string. With one arg x, returns
* x.toString().  (str nil) returns the empty string. With more than
* one arg, returns the concatenation of the str values of the args.
* @param {...*} var_args
*/
cljs.core.str = (function() {
var str = null;
var str__0 = (function (){
return "";
});
var str__1 = (function (x){
if(cljs.core.symbol_QMARK_.call(null,x))
{return x.substring(2,x.length);
} else
{if(cljs.core.keyword_QMARK_.call(null,x))
{return cljs.core.str_STAR_.call(null,":",x.substring(2,x.length));
} else
{if((x == null))
{return "";
} else
{if("\uFDD0'else")
{return x.toString();
} else
{return null;
}
}
}
}
});
var str__2 = (function() { 
var G__9982__delegate = function (x,ys){
return (function (sb,more){
while(true){
if(cljs.core.truth_(more))
{{
var G__9983 = sb.append(str.call(null,cljs.core.first.call(null,more)));
var G__9984 = cljs.core.next.call(null,more);
sb = G__9983;
more = G__9984;
continue;
}
} else
{return cljs.core.str_STAR_.call(null,sb);
}
break;
}
}).call(null,(new gstring.StringBuffer(str.call(null,x))),ys);
};
var G__9982 = function (x,var_args){
var ys = null;
if (goog.isDef(var_args)) {
  ys = cljs.core.array_seq(Array.prototype.slice.call(arguments, 1),0);
} 
return G__9982__delegate.call(this, x, ys);
};
G__9982.cljs$lang$maxFixedArity = 1;
G__9982.cljs$lang$applyTo = (function (arglist__9985){
var x = cljs.core.first(arglist__9985);
var ys = cljs.core.rest(arglist__9985);
return G__9982__delegate(x, ys);
});
G__9982.cljs$lang$arity$variadic = G__9982__delegate;
return G__9982;
})()
;
str = function(x,var_args){
var ys = var_args;
switch(arguments.length){
case 0:
return str__0.call(this);
case 1:
return str__1.call(this,x);
default:
return str__2.cljs$lang$arity$variadic(x, cljs.core.array_seq(arguments, 1));
}
throw('Invalid arity: ' + arguments.length);
};
str.cljs$lang$maxFixedArity = 1;
str.cljs$lang$applyTo = str__2.cljs$lang$applyTo;
str.cljs$lang$arity$0 = str__0;
str.cljs$lang$arity$1 = str__1;
str.cljs$lang$arity$variadic = str__2.cljs$lang$arity$variadic;
return str;
})()
;
/**
* Returns the substring of s beginning at start inclusive, and ending
* at end (defaults to length of string), exclusive.
*/
cljs.core.subs = (function() {
var subs = null;
var subs__2 = (function (s,start){
return s.substring(start);
});
var subs__3 = (function (s,start,end){
return s.substring(start,end);
});
subs = function(s,start,end){
switch(arguments.length){
case 2:
return subs__2.call(this,s,start);
case 3:
return subs__3.call(this,s,start,end);
}
throw('Invalid arity: ' + arguments.length);
};
subs.cljs$lang$arity$2 = subs__2;
subs.cljs$lang$arity$3 = subs__3;
return subs;
})()
;
/**
* Returns a Symbol with the given namespace and name.
*/
cljs.core.symbol = (function() {
var symbol = null;
var symbol__1 = (function (name){
if(cljs.core.symbol_QMARK_.call(null,name))
{name;
} else
{if(cljs.core.keyword_QMARK_.call(null,name))
{cljs.core.str_STAR_.call(null,"\uFDD1","'",cljs.core.subs.call(null,name,2));
} else
{}
}
return cljs.core.str_STAR_.call(null,"\uFDD1","'",name);
});
var symbol__2 = (function (ns,name){
return symbol.call(null,cljs.core.str_STAR_.call(null,ns,"/",name));
});
symbol = function(ns,name){
switch(arguments.length){
case 1:
return symbol__1.call(this,ns);
case 2:
return symbol__2.call(this,ns,name);
}
throw('Invalid arity: ' + arguments.length);
};
symbol.cljs$lang$arity$1 = symbol__1;
symbol.cljs$lang$arity$2 = symbol__2;
return symbol;
})()
;
/**
* Returns a Keyword with the given namespace and name.  Do not use :
* in the keyword strings, it will be added automatically.
*/
cljs.core.keyword = (function() {
var keyword = null;
var keyword__1 = (function (name){
if(cljs.core.keyword_QMARK_.call(null,name))
{return name;
} else
{if(cljs.core.symbol_QMARK_.call(null,name))
{return cljs.core.str_STAR_.call(null,"\uFDD0","'",cljs.core.subs.call(null,name,2));
} else
{if("\uFDD0'else")
{return cljs.core.str_STAR_.call(null,"\uFDD0","'",name);
} else
{return null;
}
}
}
});
var keyword__2 = (function (ns,name){
return keyword.call(null,cljs.core.str_STAR_.call(null,ns,"/",name));
});
keyword = function(ns,name){
switch(arguments.length){
case 1:
return keyword__1.call(this,ns);
case 2:
return keyword__2.call(this,ns,name);
}
throw('Invalid arity: ' + arguments.length);
};
keyword.cljs$lang$arity$1 = keyword__1;
keyword.cljs$lang$arity$2 = keyword__2;
return keyword;
})()
;
/**
* Assumes x is sequential. Returns true if x equals y, otherwise
* returns false.
*/
cljs.core.equiv_sequential = (function equiv_sequential(x,y){
return cljs.core.boolean$.call(null,((cljs.core.sequential_QMARK_.call(null,y))?(function (){var xs__9988 = cljs.core.seq.call(null,x);
var ys__9989 = cljs.core.seq.call(null,y);
while(true){
if((xs__9988 == null))
{return (ys__9989 == null);
} else
{if((ys__9989 == null))
{return false;
} else
{if(cljs.core._EQ_.call(null,cljs.core.first.call(null,xs__9988),cljs.core.first.call(null,ys__9989)))
{{
var G__10000 = cljs.core.next.call(null,xs__9988);
var G__10001 = cljs.core.next.call(null,ys__9989);
xs__9988 = G__10000;
ys__9989 = G__10001;
continue;
}
} else
{if("\uFDD0'else")
{return false;
} else
{return null;
}
}
}
}
break;
}
})():null));
});
cljs.core.hash_combine = (function hash_combine(seed,hash){
return (seed ^ (((hash + 2654435769) + (seed << 6)) + (seed >> 2)));
});
cljs.core.hash_coll = (function hash_coll(coll){
return cljs.core.reduce.call(null,(function (p1__10007_SHARP_,p2__10008_SHARP_){
return cljs.core.hash_combine.call(null,p1__10007_SHARP_,cljs.core.hash.call(null,p2__10008_SHARP_,false));
}),cljs.core.hash.call(null,cljs.core.first.call(null,coll),false),cljs.core.next.call(null,coll));
});
void 0;
void 0;
cljs.core.hash_imap = (function hash_imap(m){
var h__10030 = 0;
var s__10031 = cljs.core.seq.call(null,m);
while(true){
if(s__10031)
{var e__10032 = cljs.core.first.call(null,s__10031);
{
var G__10036 = ((h__10030 + (cljs.core.hash.call(null,cljs.core.key.call(null,e__10032)) ^ cljs.core.hash.call(null,cljs.core.val.call(null,e__10032)))) % 4503599627370496);
var G__10037 = cljs.core.next.call(null,s__10031);
h__10030 = G__10036;
s__10031 = G__10037;
continue;
}
} else
{return h__10030;
}
break;
}
});
cljs.core.hash_iset = (function hash_iset(s){
var h__10050 = 0;
var s__10051 = cljs.core.seq.call(null,s);
while(true){
if(s__10051)
{var e__10052 = cljs.core.first.call(null,s__10051);
{
var G__10056 = ((h__10050 + cljs.core.hash.call(null,e__10052)) % 4503599627370496);
var G__10057 = cljs.core.next.call(null,s__10051);
h__10050 = G__10056;
s__10051 = G__10057;
continue;
}
} else
{return h__10050;
}
break;
}
});
void 0;
/**
* Takes a JavaScript object and a map of names to functions and
* attaches said functions as methods on the object.  Any references to
* JavaScript's implict this (via the this-as macro) will resolve to the
* object that the function is attached.
*/
cljs.core.extend_object_BANG_ = (function extend_object_BANG_(obj,fn_map){
var G__10086__10087 = cljs.core.seq.call(null,fn_map);
if(G__10086__10087)
{var G__10089__10092 = cljs.core.first.call(null,G__10086__10087);
var vec__10090__10093 = G__10089__10092;
var key_name__10095 = cljs.core.nth.call(null,vec__10090__10093,0,null);
var f__10096 = cljs.core.nth.call(null,vec__10090__10093,1,null);
var G__10086__10097 = G__10086__10087;
var G__10089__10098 = G__10089__10092;
var G__10086__10099 = G__10086__10097;
while(true){
var vec__10100__10101 = G__10089__10098;
var key_name__10102 = cljs.core.nth.call(null,vec__10100__10101,0,null);
var f__10104 = cljs.core.nth.call(null,vec__10100__10101,1,null);
var G__10086__10106 = G__10086__10099;
var str_name__10107 = cljs.core.name.call(null,key_name__10102);
(obj[str_name__10107] = f__10104);
var temp__3974__auto____10108 = cljs.core.next.call(null,G__10086__10106);
if(temp__3974__auto____10108)
{var G__10086__10109 = temp__3974__auto____10108;
{
var G__10113 = cljs.core.first.call(null,G__10086__10109);
var G__10114 = G__10086__10109;
G__10089__10098 = G__10113;
G__10086__10099 = G__10114;
continue;
}
} else
{}
break;
}
} else
{}
return obj;
});

/**
* @constructor
*/
cljs.core.List = (function (meta,first,rest,count,__hash){
this.meta = meta;
this.first = first;
this.rest = rest;
this.count = count;
this.__hash = __hash;
this.cljs$lang$protocol_mask$partition1$ = 0;
this.cljs$lang$protocol_mask$partition0$ = 65413358;
})
cljs.core.List.cljs$lang$type = true;
cljs.core.List.cljs$lang$ctorPrSeq = (function (this__4682__auto__){
return cljs.core.list.call(null,"cljs.core/List");
});
cljs.core.List.prototype.cljs$core$IHash$_hash$arity$1 = (function (coll){
var this__10124 = this;
var h__4565__auto____10126 = this__10124.__hash;
if(!((h__4565__auto____10126 == null)))
{return h__4565__auto____10126;
} else
{var h__4565__auto____10127 = cljs.core.hash_coll.call(null,coll);
this__10124.__hash = h__4565__auto____10127;
return h__4565__auto____10127;
}
});
cljs.core.List.prototype.cljs$core$INext$_next$arity$1 = (function (coll){
var this__10130 = this;
if((this__10130.count === 1))
{return null;
} else
{return this__10130.rest;
}
});
cljs.core.List.prototype.cljs$core$ICollection$_conj$arity$2 = (function (coll,o){
var this__10131 = this;
return (new cljs.core.List(this__10131.meta,o,coll,(this__10131.count + 1),null));
});
cljs.core.List.prototype.toString = (function (){
var this__10133 = this;
var this__10134 = this;
return cljs.core.pr_str.call(null,this__10134);
});
cljs.core.List.prototype.cljs$core$ISeqable$_seq$arity$1 = (function (coll){
var this__10135 = this;
return coll;
});
cljs.core.List.prototype.cljs$core$ICounted$_count$arity$1 = (function (coll){
var this__10136 = this;
return this__10136.count;
});
cljs.core.List.prototype.cljs$core$IStack$_peek$arity$1 = (function (coll){
var this__10137 = this;
return this__10137.first;
});
cljs.core.List.prototype.cljs$core$IStack$_pop$arity$1 = (function (coll){
var this__10138 = this;
return cljs.core._rest.call(null,coll);
});
cljs.core.List.prototype.cljs$core$ISeq$_first$arity$1 = (function (coll){
var this__10139 = this;
return this__10139.first;
});
cljs.core.List.prototype.cljs$core$ISeq$_rest$arity$1 = (function (coll){
var this__10140 = this;
if((this__10140.count === 1))
{return cljs.core.List.EMPTY;
} else
{return this__10140.rest;
}
});
cljs.core.List.prototype.cljs$core$IEquiv$_equiv$arity$2 = (function (coll,other){
var this__10141 = this;
return cljs.core.equiv_sequential.call(null,coll,other);
});
cljs.core.List.prototype.cljs$core$IWithMeta$_with_meta$arity$2 = (function (coll,meta){
var this__10142 = this;
return (new cljs.core.List(meta,this__10142.first,this__10142.rest,this__10142.count,this__10142.__hash));
});
cljs.core.List.prototype.cljs$core$IMeta$_meta$arity$1 = (function (coll){
var this__10143 = this;
return this__10143.meta;
});
cljs.core.List.prototype.cljs$core$IEmptyableCollection$_empty$arity$1 = (function (coll){
var this__10144 = this;
return cljs.core.List.EMPTY;
});
cljs.core.List;

/**
* @constructor
*/
cljs.core.EmptyList = (function (meta){
this.meta = meta;
this.cljs$lang$protocol_mask$partition1$ = 0;
this.cljs$lang$protocol_mask$partition0$ = 65413326;
})
cljs.core.EmptyList.cljs$lang$type = true;
cljs.core.EmptyList.cljs$lang$ctorPrSeq = (function (this__4682__auto__){
return cljs.core.list.call(null,"cljs.core/EmptyList");
});
cljs.core.EmptyList.prototype.cljs$core$IHash$_hash$arity$1 = (function (coll){
var this__10171 = this;
return 0;
});
cljs.core.EmptyList.prototype.cljs$core$INext$_next$arity$1 = (function (coll){
var this__10172 = this;
return null;
});
cljs.core.EmptyList.prototype.cljs$core$ICollection$_conj$arity$2 = (function (coll,o){
var this__10173 = this;
return (new cljs.core.List(this__10173.meta,o,null,1,null));
});
cljs.core.EmptyList.prototype.toString = (function (){
var this__10174 = this;
var this__10175 = this;
return cljs.core.pr_str.call(null,this__10175);
});
cljs.core.EmptyList.prototype.cljs$core$ISeqable$_seq$arity$1 = (function (coll){
var this__10176 = this;
return null;
});
cljs.core.EmptyList.prototype.cljs$core$ICounted$_count$arity$1 = (function (coll){
var this__10177 = this;
return 0;
});
cljs.core.EmptyList.prototype.cljs$core$IStack$_peek$arity$1 = (function (coll){
var this__10178 = this;
return null;
});
cljs.core.EmptyList.prototype.cljs$core$IStack$_pop$arity$1 = (function (coll){
var this__10179 = this;
throw (new Error("Can't pop empty list"));
});
cljs.core.EmptyList.prototype.cljs$core$ISeq$_first$arity$1 = (function (coll){
var this__10180 = this;
return null;
});
cljs.core.EmptyList.prototype.cljs$core$ISeq$_rest$arity$1 = (function (coll){
var this__10181 = this;
return cljs.core.List.EMPTY;
});
cljs.core.EmptyList.prototype.cljs$core$IEquiv$_equiv$arity$2 = (function (coll,other){
var this__10182 = this;
return cljs.core.equiv_sequential.call(null,coll,other);
});
cljs.core.EmptyList.prototype.cljs$core$IWithMeta$_with_meta$arity$2 = (function (coll,meta){
var this__10183 = this;
return (new cljs.core.EmptyList(meta));
});
cljs.core.EmptyList.prototype.cljs$core$IMeta$_meta$arity$1 = (function (coll){
var this__10184 = this;
return this__10184.meta;
});
cljs.core.EmptyList.prototype.cljs$core$IEmptyableCollection$_empty$arity$1 = (function (coll){
var this__10185 = this;
return coll;
});
cljs.core.EmptyList;
cljs.core.List.EMPTY = (new cljs.core.EmptyList(null));
cljs.core.reversible_QMARK_ = (function reversible_QMARK_(coll){
var G__10201__10202 = coll;
if(G__10201__10202)
{if((function (){var or__3824__auto____10203 = (G__10201__10202.cljs$lang$protocol_mask$partition0$ & 134217728);
if(or__3824__auto____10203)
{return or__3824__auto____10203;
} else
{return G__10201__10202.cljs$core$IReversible$;
}
})())
{return true;
} else
{if((!G__10201__10202.cljs$lang$protocol_mask$partition0$))
{return cljs.core.type_satisfies_.call(null,cljs.core.IReversible,G__10201__10202);
} else
{return false;
}
}
} else
{return cljs.core.type_satisfies_.call(null,cljs.core.IReversible,G__10201__10202);
}
});
cljs.core.rseq = (function rseq(coll){
return cljs.core._rseq.call(null,coll);
});
/**
* Returns a seq of the items in coll in reverse order. Not lazy.
*/
cljs.core.reverse = (function reverse(coll){
if(cljs.core.reversible_QMARK_.call(null,coll))
{return cljs.core.rseq.call(null,coll);
} else
{return cljs.core.reduce.call(null,cljs.core.conj,cljs.core.List.EMPTY,coll);
}
});
/**
* @param {...*} var_args
*/
cljs.core.list = (function() {
var list = null;
var list__0 = (function (){
return cljs.core.List.EMPTY;
});
var list__1 = (function (x){
return cljs.core.conj.call(null,cljs.core.List.EMPTY,x);
});
var list__2 = (function (x,y){
return cljs.core.conj.call(null,list.call(null,y),x);
});
var list__3 = (function (x,y,z){
return cljs.core.conj.call(null,list.call(null,y,z),x);
});
var list__4 = (function() { 
var G__10226__delegate = function (x,y,z,items){
return cljs.core.conj.call(null,cljs.core.conj.call(null,cljs.core.conj.call(null,cljs.core.reduce.call(null,cljs.core.conj,cljs.core.List.EMPTY,cljs.core.reverse.call(null,items)),z),y),x);
};
var G__10226 = function (x,y,z,var_args){
var items = null;
if (goog.isDef(var_args)) {
  items = cljs.core.array_seq(Array.prototype.slice.call(arguments, 3),0);
} 
return G__10226__delegate.call(this, x, y, z, items);
};
G__10226.cljs$lang$maxFixedArity = 3;
G__10226.cljs$lang$applyTo = (function (arglist__10231){
var x = cljs.core.first(arglist__10231);
var y = cljs.core.first(cljs.core.next(arglist__10231));
var z = cljs.core.first(cljs.core.next(cljs.core.next(arglist__10231)));
var items = cljs.core.rest(cljs.core.next(cljs.core.next(arglist__10231)));
return G__10226__delegate(x, y, z, items);
});
G__10226.cljs$lang$arity$variadic = G__10226__delegate;
return G__10226;
})()
;
list = function(x,y,z,var_args){
var items = var_args;
switch(arguments.length){
case 0:
return list__0.call(this);
case 1:
return list__1.call(this,x);
case 2:
return list__2.call(this,x,y);
case 3:
return list__3.call(this,x,y,z);
default:
return list__4.cljs$lang$arity$variadic(x,y,z, cljs.core.array_seq(arguments, 3));
}
throw('Invalid arity: ' + arguments.length);
};
list.cljs$lang$maxFixedArity = 3;
list.cljs$lang$applyTo = list__4.cljs$lang$applyTo;
list.cljs$lang$arity$0 = list__0;
list.cljs$lang$arity$1 = list__1;
list.cljs$lang$arity$2 = list__2;
list.cljs$lang$arity$3 = list__3;
list.cljs$lang$arity$variadic = list__4.cljs$lang$arity$variadic;
return list;
})()
;

/**
* @constructor
*/
cljs.core.Cons = (function (meta,first,rest,__hash){
this.meta = meta;
this.first = first;
this.rest = rest;
this.__hash = __hash;
this.cljs$lang$protocol_mask$partition1$ = 0;
this.cljs$lang$protocol_mask$partition0$ = 65405164;
})
cljs.core.Cons.cljs$lang$type = true;
cljs.core.Cons.cljs$lang$ctorPrSeq = (function (this__4682__auto__){
return cljs.core.list.call(null,"cljs.core/Cons");
});
cljs.core.Cons.prototype.cljs$core$IHash$_hash$arity$1 = (function (coll){
var this__10234 = this;
var h__4565__auto____10236 = this__10234.__hash;
if(!((h__4565__auto____10236 == null)))
{return h__4565__auto____10236;
} else
{var h__4565__auto____10237 = cljs.core.hash_coll.call(null,coll);
this__10234.__hash = h__4565__auto____10237;
return h__4565__auto____10237;
}
});
cljs.core.Cons.prototype.cljs$core$INext$_next$arity$1 = (function (coll){
var this__10238 = this;
if((this__10238.rest == null))
{return null;
} else
{return cljs.core._seq.call(null,this__10238.rest);
}
});
cljs.core.Cons.prototype.cljs$core$ICollection$_conj$arity$2 = (function (coll,o){
var this__10239 = this;
return (new cljs.core.Cons(null,o,coll,this__10239.__hash));
});
cljs.core.Cons.prototype.toString = (function (){
var this__10242 = this;
var this__10243 = this;
return cljs.core.pr_str.call(null,this__10243);
});
cljs.core.Cons.prototype.cljs$core$ISeqable$_seq$arity$1 = (function (coll){
var this__10246 = this;
return coll;
});
cljs.core.Cons.prototype.cljs$core$ISeq$_first$arity$1 = (function (coll){
var this__10247 = this;
return this__10247.first;
});
cljs.core.Cons.prototype.cljs$core$ISeq$_rest$arity$1 = (function (coll){
var this__10248 = this;
if((this__10248.rest == null))
{return cljs.core.List.EMPTY;
} else
{return this__10248.rest;
}
});
cljs.core.Cons.prototype.cljs$core$IEquiv$_equiv$arity$2 = (function (coll,other){
var this__10249 = this;
return cljs.core.equiv_sequential.call(null,coll,other);
});
cljs.core.Cons.prototype.cljs$core$IWithMeta$_with_meta$arity$2 = (function (coll,meta){
var this__10250 = this;
return (new cljs.core.Cons(meta,this__10250.first,this__10250.rest,this__10250.__hash));
});
cljs.core.Cons.prototype.cljs$core$IMeta$_meta$arity$1 = (function (coll){
var this__10252 = this;
return this__10252.meta;
});
cljs.core.Cons.prototype.cljs$core$IEmptyableCollection$_empty$arity$1 = (function (coll){
var this__10253 = this;
return cljs.core.with_meta.call(null,cljs.core.List.EMPTY,this__10253.meta);
});
cljs.core.Cons;
/**
* Returns a new seq where x is the first element and seq is the rest.
*/
cljs.core.cons = (function cons(x,coll){
if(cljs.core.truth_((function (){var or__3824__auto____10278 = (coll == null);
if(or__3824__auto____10278)
{return or__3824__auto____10278;
} else
{var G__10279__10280 = coll;
if(G__10279__10280)
{if((function (){var or__3824__auto____10281 = (G__10279__10280.cljs$lang$protocol_mask$partition0$ & 64);
if(or__3824__auto____10281)
{return or__3824__auto____10281;
} else
{return G__10279__10280.cljs$core$ISeq$;
}
})())
{return true;
} else
{if((!G__10279__10280.cljs$lang$protocol_mask$partition0$))
{return cljs.core.type_satisfies_.call(null,cljs.core.ISeq,G__10279__10280);
} else
{return false;
}
}
} else
{return cljs.core.type_satisfies_.call(null,cljs.core.ISeq,G__10279__10280);
}
}
})()))
{return (new cljs.core.Cons(null,x,coll,null));
} else
{return (new cljs.core.Cons(null,x,cljs.core.seq.call(null,coll),null));
}
});
cljs.core.list_QMARK_ = (function list_QMARK_(x){
var G__10292__10293 = x;
if(G__10292__10293)
{if((function (){var or__3824__auto____10294 = (G__10292__10293.cljs$lang$protocol_mask$partition0$ & 33554432);
if(or__3824__auto____10294)
{return or__3824__auto____10294;
} else
{return G__10292__10293.cljs$core$IList$;
}
})())
{return true;
} else
{if((!G__10292__10293.cljs$lang$protocol_mask$partition0$))
{return cljs.core.type_satisfies_.call(null,cljs.core.IList,G__10292__10293);
} else
{return false;
}
}
} else
{return cljs.core.type_satisfies_.call(null,cljs.core.IList,G__10292__10293);
}
});
(cljs.core.IReduce["string"] = true);
(cljs.core._reduce["string"] = (function() {
var G__10307 = null;
var G__10307__2 = (function (string,f){
return cljs.core.ci_reduce.call(null,string,f);
});
var G__10307__3 = (function (string,f,start){
return cljs.core.ci_reduce.call(null,string,f,start);
});
G__10307 = function(string,f,start){
switch(arguments.length){
case 2:
return G__10307__2.call(this,string,f);
case 3:
return G__10307__3.call(this,string,f,start);
}
throw('Invalid arity: ' + arguments.length);
};
return G__10307;
})()
);
(cljs.core.ILookup["string"] = true);
(cljs.core._lookup["string"] = (function() {
var G__10308 = null;
var G__10308__2 = (function (string,k){
return cljs.core._nth.call(null,string,k);
});
var G__10308__3 = (function (string,k,not_found){
return cljs.core._nth.call(null,string,k,not_found);
});
G__10308 = function(string,k,not_found){
switch(arguments.length){
case 2:
return G__10308__2.call(this,string,k);
case 3:
return G__10308__3.call(this,string,k,not_found);
}
throw('Invalid arity: ' + arguments.length);
};
return G__10308;
})()
);
(cljs.core.IIndexed["string"] = true);
(cljs.core._nth["string"] = (function() {
var G__10309 = null;
var G__10309__2 = (function (string,n){
if((n < cljs.core._count.call(null,string)))
{return string.charAt(n);
} else
{return null;
}
});
var G__10309__3 = (function (string,n,not_found){
if((n < cljs.core._count.call(null,string)))
{return string.charAt(n);
} else
{return not_found;
}
});
G__10309 = function(string,n,not_found){
switch(arguments.length){
case 2:
return G__10309__2.call(this,string,n);
case 3:
return G__10309__3.call(this,string,n,not_found);
}
throw('Invalid arity: ' + arguments.length);
};
return G__10309;
})()
);
(cljs.core.ICounted["string"] = true);
(cljs.core._count["string"] = (function (s){
return s.length;
}));
(cljs.core.ISeqable["string"] = true);
(cljs.core._seq["string"] = (function (string){
return cljs.core.prim_seq.call(null,string,0);
}));
(cljs.core.IHash["string"] = true);
(cljs.core._hash["string"] = (function (o){
return goog.string.hashCode(o);
}));

/**
* @constructor
*/
cljs.core.Keyword = (function (k){
this.k = k;
this.cljs$lang$protocol_mask$partition1$ = 0;
this.cljs$lang$protocol_mask$partition0$ = 1;
})
cljs.core.Keyword.cljs$lang$type = true;
cljs.core.Keyword.cljs$lang$ctorPrSeq = (function (this__4682__auto__){
return cljs.core.list.call(null,"cljs.core/Keyword");
});
cljs.core.Keyword.prototype.call = (function (this_sym10361,coll){
var this__10362 = this;
var this_sym10361__10364 = this;
var ___10365 = this_sym10361__10364;
if((coll == null))
{return null;
} else
{var strobj__10366 = coll.strobj;
if((strobj__10366 == null))
{return cljs.core._lookup.call(null,coll,this__10362.k,null);
} else
{return (strobj__10366[this__10362.k]);
}
}
});
cljs.core.Keyword.prototype.apply = (function (this_sym10358,args10359){
var this__10367 = this;
return this_sym10358.call.apply(this_sym10358,[this_sym10358].concat(args10359.slice()));
});
cljs.core.Keyword;
String.prototype.cljs$core$IFn$ = true;
String.prototype.call = (function() {
var G__10383 = null;
var G__10383__2 = (function (this_sym10377,coll){
var this_sym10377__10379 = this;
var this__10380 = this_sym10377__10379;
return cljs.core._lookup.call(null,coll,this__10380.toString(),null);
});
var G__10383__3 = (function (this_sym10378,coll,not_found){
var this_sym10378__10381 = this;
var this__10382 = this_sym10378__10381;
return cljs.core._lookup.call(null,coll,this__10382.toString(),not_found);
});
G__10383 = function(this_sym10378,coll,not_found){
switch(arguments.length){
case 2:
return G__10383__2.call(this,this_sym10378,coll);
case 3:
return G__10383__3.call(this,this_sym10378,coll,not_found);
}
throw('Invalid arity: ' + arguments.length);
};
return G__10383;
})()
;
String.prototype.apply = (function (this_sym10375,args10376){
return this_sym10375.call.apply(this_sym10375,[this_sym10375].concat(args10376.slice()));
});
String.prototype.apply = (function (s,args){
if((cljs.core.count.call(null,args) < 2))
{return cljs.core._lookup.call(null,(args[0]),s,null);
} else
{return cljs.core._lookup.call(null,(args[0]),s,(args[1]));
}
});
cljs.core.lazy_seq_value = (function lazy_seq_value(lazy_seq){
var x__10435 = lazy_seq.x;
if(lazy_seq.realized)
{return x__10435;
} else
{lazy_seq.x = x__10435.call(null);
lazy_seq.realized = true;
return lazy_seq.x;
}
});

/**
* @constructor
*/
cljs.core.LazySeq = (function (meta,realized,x,__hash){
this.meta = meta;
this.realized = realized;
this.x = x;
this.__hash = __hash;
this.cljs$lang$protocol_mask$partition1$ = 0;
this.cljs$lang$protocol_mask$partition0$ = 31850700;
})
cljs.core.LazySeq.cljs$lang$type = true;
cljs.core.LazySeq.cljs$lang$ctorPrSeq = (function (this__4682__auto__){
return cljs.core.list.call(null,"cljs.core/LazySeq");
});
cljs.core.LazySeq.prototype.cljs$core$IHash$_hash$arity$1 = (function (coll){
var this__10454 = this;
var h__4565__auto____10455 = this__10454.__hash;
if(!((h__4565__auto____10455 == null)))
{return h__4565__auto____10455;
} else
{var h__4565__auto____10456 = cljs.core.hash_coll.call(null,coll);
this__10454.__hash = h__4565__auto____10456;
return h__4565__auto____10456;
}
});
cljs.core.LazySeq.prototype.cljs$core$INext$_next$arity$1 = (function (coll){
var this__10457 = this;
return cljs.core._seq.call(null,cljs.core._rest.call(null,coll));
});
cljs.core.LazySeq.prototype.cljs$core$ICollection$_conj$arity$2 = (function (coll,o){
var this__10458 = this;
return cljs.core.cons.call(null,o,coll);
});
cljs.core.LazySeq.prototype.toString = (function (){
var this__10461 = this;
var this__10463 = this;
return cljs.core.pr_str.call(null,this__10463);
});
cljs.core.LazySeq.prototype.cljs$core$ISeqable$_seq$arity$1 = (function (coll){
var this__10465 = this;
return cljs.core.seq.call(null,cljs.core.lazy_seq_value.call(null,coll));
});
cljs.core.LazySeq.prototype.cljs$core$ISeq$_first$arity$1 = (function (coll){
var this__10466 = this;
return cljs.core.first.call(null,cljs.core.lazy_seq_value.call(null,coll));
});
cljs.core.LazySeq.prototype.cljs$core$ISeq$_rest$arity$1 = (function (coll){
var this__10468 = this;
return cljs.core.rest.call(null,cljs.core.lazy_seq_value.call(null,coll));
});
cljs.core.LazySeq.prototype.cljs$core$IEquiv$_equiv$arity$2 = (function (coll,other){
var this__10469 = this;
return cljs.core.equiv_sequential.call(null,coll,other);
});
cljs.core.LazySeq.prototype.cljs$core$IWithMeta$_with_meta$arity$2 = (function (coll,meta){
var this__10471 = this;
return (new cljs.core.LazySeq(meta,this__10471.realized,this__10471.x,this__10471.__hash));
});
cljs.core.LazySeq.prototype.cljs$core$IMeta$_meta$arity$1 = (function (coll){
var this__10472 = this;
return this__10472.meta;
});
cljs.core.LazySeq.prototype.cljs$core$IEmptyableCollection$_empty$arity$1 = (function (coll){
var this__10473 = this;
return cljs.core.with_meta.call(null,cljs.core.List.EMPTY,this__10473.meta);
});
cljs.core.LazySeq;
void 0;

/**
* @constructor
*/
cljs.core.ChunkBuffer = (function (buf,end){
this.buf = buf;
this.end = end;
this.cljs$lang$protocol_mask$partition1$ = 0;
this.cljs$lang$protocol_mask$partition0$ = 2;
})
cljs.core.ChunkBuffer.cljs$lang$type = true;
cljs.core.ChunkBuffer.cljs$lang$ctorPrSeq = (function (this__4682__auto__){
return cljs.core.list.call(null,"cljs.core/ChunkBuffer");
});
cljs.core.ChunkBuffer.prototype.cljs$core$ICounted$_count$arity$1 = (function (_){
var this__10523 = this;
return this__10523.end;
});
cljs.core.ChunkBuffer.prototype.add = (function (o){
var this__10524 = this;
var ___10525 = this;
(this__10524.buf[this__10524.end] = o);
return this__10524.end = (this__10524.end + 1);
});
cljs.core.ChunkBuffer.prototype.chunk = (function (o){
var this__10526 = this;
var ___10532 = this;
var ret__10537 = (new cljs.core.ArrayChunk(this__10526.buf,0,this__10526.end));
this__10526.buf = null;
return ret__10537;
});
cljs.core.ChunkBuffer;
cljs.core.chunk_buffer = (function chunk_buffer(capacity){
return (new cljs.core.ChunkBuffer(cljs.core.make_array.call(null,capacity),0));
});

/**
* @constructor
*/
cljs.core.ArrayChunk = (function (arr,off,end){
this.arr = arr;
this.off = off;
this.end = end;
this.cljs$lang$protocol_mask$partition1$ = 0;
this.cljs$lang$protocol_mask$partition0$ = 524306;
})
cljs.core.ArrayChunk.cljs$lang$type = true;
cljs.core.ArrayChunk.cljs$lang$ctorPrSeq = (function (this__4682__auto__){
return cljs.core.list.call(null,"cljs.core/ArrayChunk");
});
cljs.core.ArrayChunk.prototype.cljs$core$IReduce$_reduce$arity$2 = (function (coll,f){
var this__10550 = this;
return cljs.core.ci_reduce.call(null,coll,f,(this__10550.arr[this__10550.off]),(this__10550.off + 1));
});
cljs.core.ArrayChunk.prototype.cljs$core$IReduce$_reduce$arity$3 = (function (coll,f,start){
var this__10551 = this;
return cljs.core.ci_reduce.call(null,coll,f,start,this__10551.off);
});
cljs.core.ArrayChunk.prototype.cljs$core$IChunk$ = true;
cljs.core.ArrayChunk.prototype.cljs$core$IChunk$_drop_first$arity$1 = (function (coll){
var this__10552 = this;
if((this__10552.off === this__10552.end))
{throw (new Error("-drop-first of empty chunk"));
} else
{return (new cljs.core.ArrayChunk(this__10552.arr,(this__10552.off + 1),this__10552.end));
}
});
cljs.core.ArrayChunk.prototype.cljs$core$IIndexed$_nth$arity$2 = (function (coll,i){
var this__10554 = this;
return (this__10554.arr[(this__10554.off + i)]);
});
cljs.core.ArrayChunk.prototype.cljs$core$IIndexed$_nth$arity$3 = (function (coll,i,not_found){
var this__10555 = this;
if((function (){var and__3822__auto____10556 = (i >= 0);
if(and__3822__auto____10556)
{return (i < (this__10555.end - this__10555.off));
} else
{return and__3822__auto____10556;
}
})())
{return (this__10555.arr[(this__10555.off + i)]);
} else
{return not_found;
}
});
cljs.core.ArrayChunk.prototype.cljs$core$ICounted$_count$arity$1 = (function (_){
var this__10558 = this;
return (this__10558.end - this__10558.off);
});
cljs.core.ArrayChunk;
cljs.core.array_chunk = (function() {
var array_chunk = null;
var array_chunk__1 = (function (arr){
return array_chunk.call(null,arr,0,arr.length);
});
var array_chunk__2 = (function (arr,off){
return array_chunk.call(null,arr,off,arr.length);
});
var array_chunk__3 = (function (arr,off,end){
return (new cljs.core.ArrayChunk(arr,off,end));
});
array_chunk = function(arr,off,end){
switch(arguments.length){
case 1:
return array_chunk__1.call(this,arr);
case 2:
return array_chunk__2.call(this,arr,off);
case 3:
return array_chunk__3.call(this,arr,off,end);
}
throw('Invalid arity: ' + arguments.length);
};
array_chunk.cljs$lang$arity$1 = array_chunk__1;
array_chunk.cljs$lang$arity$2 = array_chunk__2;
array_chunk.cljs$lang$arity$3 = array_chunk__3;
return array_chunk;
})()
;

/**
* @constructor
*/
cljs.core.ChunkedCons = (function (chunk,more,meta){
this.chunk = chunk;
this.more = more;
this.meta = meta;
this.cljs$lang$protocol_mask$partition1$ = 0;
this.cljs$lang$protocol_mask$partition0$ = 27656296;
})
cljs.core.ChunkedCons.cljs$lang$type = true;
cljs.core.ChunkedCons.cljs$lang$ctorPrSeq = (function (this__4682__auto__){
return cljs.core.list.call(null,"cljs.core/ChunkedCons");
});
cljs.core.ChunkedCons.prototype.cljs$core$ICollection$_conj$arity$2 = (function (this$,o){
var this__10575 = this;
return cljs.core.cons.call(null,o,this$);
});
cljs.core.ChunkedCons.prototype.cljs$core$ISeqable$_seq$arity$1 = (function (coll){
var this__10577 = this;
return coll;
});
cljs.core.ChunkedCons.prototype.cljs$core$ISeq$_first$arity$1 = (function (coll){
var this__10579 = this;
return cljs.core._nth.call(null,this__10579.chunk,0);
});
cljs.core.ChunkedCons.prototype.cljs$core$ISeq$_rest$arity$1 = (function (coll){
var this__10581 = this;
if((cljs.core._count.call(null,this__10581.chunk) > 1))
{return (new cljs.core.ChunkedCons(cljs.core._drop_first.call(null,this__10581.chunk),this__10581.more,this__10581.meta));
} else
{if((this__10581.more == null))
{return cljs.core.List.EMPTY;
} else
{return this__10581.more;
}
}
});
cljs.core.ChunkedCons.prototype.cljs$core$IChunkedNext$ = true;
cljs.core.ChunkedCons.prototype.cljs$core$IChunkedNext$_chunked_next$arity$1 = (function (coll){
var this__10584 = this;
if((this__10584.more == null))
{return null;
} else
{return this__10584.more;
}
});
cljs.core.ChunkedCons.prototype.cljs$core$IEquiv$_equiv$arity$2 = (function (coll,other){
var this__10585 = this;
return cljs.core.equiv_sequential.call(null,coll,other);
});
cljs.core.ChunkedCons.prototype.cljs$core$IWithMeta$_with_meta$arity$2 = (function (coll,m){
var this__10586 = this;
return (new cljs.core.ChunkedCons(this__10586.chunk,this__10586.more,m));
});
cljs.core.ChunkedCons.prototype.cljs$core$IMeta$_meta$arity$1 = (function (coll){
var this__10588 = this;
return this__10588.meta;
});
cljs.core.ChunkedCons.prototype.cljs$core$IChunkedSeq$ = true;
cljs.core.ChunkedCons.prototype.cljs$core$IChunkedSeq$_chunked_first$arity$1 = (function (coll){
var this__10590 = this;
return this__10590.chunk;
});
cljs.core.ChunkedCons.prototype.cljs$core$IChunkedSeq$_chunked_rest$arity$1 = (function (coll){
var this__10591 = this;
if((this__10591.more == null))
{return cljs.core.List.EMPTY;
} else
{return this__10591.more;
}
});
cljs.core.ChunkedCons;
cljs.core.chunk_cons = (function chunk_cons(chunk,rest){
if((cljs.core._count.call(null,chunk) === 0))
{return rest;
} else
{return (new cljs.core.ChunkedCons(chunk,rest,null));
}
});
cljs.core.chunk_append = (function chunk_append(b,x){
return b.add(x);
});
cljs.core.chunk = (function chunk(b){
return b.chunk();
});
cljs.core.chunk_first = (function chunk_first(s){
return cljs.core._chunked_first.call(null,s);
});
cljs.core.chunk_rest = (function chunk_rest(s){
return cljs.core._chunked_rest.call(null,s);
});
cljs.core.chunk_next = (function chunk_next(s){
if(cljs.core.truth_((function (){var G__10634__10636 = s;
if(G__10634__10636)
{if(cljs.core.truth_((function (){var or__3824__auto____10637 = null;
if(cljs.core.truth_(or__3824__auto____10637))
{return or__3824__auto____10637;
} else
{return G__10634__10636.cljs$core$IChunkedNext$;
}
})()))
{return true;
} else
{if((!G__10634__10636.cljs$lang$protocol_mask$partition$))
{return cljs.core.type_satisfies_.call(null,cljs.core.IChunkedNext,G__10634__10636);
} else
{return false;
}
}
} else
{return cljs.core.type_satisfies_.call(null,cljs.core.IChunkedNext,G__10634__10636);
}
})()))
{return cljs.core._chunked_next.call(null,s);
} else
{return cljs.core.seq.call(null,cljs.core._chunked_rest.call(null,s));
}
});
/**
* Naive impl of to-array as a start.
*/
cljs.core.to_array = (function to_array(s){
var ary__10649 = [];
var s__10650 = s;
while(true){
if(cljs.core.seq.call(null,s__10650))
{ary__10649.push(cljs.core.first.call(null,s__10650));
{
var G__10655 = cljs.core.next.call(null,s__10650);
s__10650 = G__10655;
continue;
}
} else
{return ary__10649;
}
break;
}
});
/**
* Returns a (potentially-ragged) 2-dimensional array
* containing the contents of coll.
*/
cljs.core.to_array_2d = (function to_array_2d(coll){
var ret__10660 = cljs.core.make_array.call(null,cljs.core.count.call(null,coll));
var i__10661 = 0;
var xs__10662 = cljs.core.seq.call(null,coll);
while(true){
if(xs__10662)
{(ret__10660[i__10661] = cljs.core.to_array.call(null,cljs.core.first.call(null,xs__10662)));
{
var G__10663 = (i__10661 + 1);
var G__10664 = cljs.core.next.call(null,xs__10662);
i__10661 = G__10663;
xs__10662 = G__10664;
continue;
}
} else
{}
break;
}
return ret__10660;
});
cljs.core.long_array = (function() {
var long_array = null;
var long_array__1 = (function (size_or_seq){
if(cljs.core.number_QMARK_.call(null,size_or_seq))
{return long_array.call(null,size_or_seq,null);
} else
{if(cljs.core.seq_QMARK_.call(null,size_or_seq))
{return cljs.core.into_array.call(null,size_or_seq);
} else
{if("\uFDD0'else")
{throw (new Error("long-array called with something other than size or ISeq"));
} else
{return null;
}
}
}
});
var long_array__2 = (function (size,init_val_or_seq){
var a__10672 = cljs.core.make_array.call(null,size);
if(cljs.core.seq_QMARK_.call(null,init_val_or_seq))
{var s__10673 = cljs.core.seq.call(null,init_val_or_seq);
var i__10674 = 0;
var s__10675 = s__10673;
while(true){
if(cljs.core.truth_((function (){var and__3822__auto____10676 = s__10675;
if(and__3822__auto____10676)
{return (i__10674 < size);
} else
{return and__3822__auto____10676;
}
})()))
{(a__10672[i__10674] = cljs.core.first.call(null,s__10675));
{
var G__10679 = (i__10674 + 1);
var G__10680 = cljs.core.next.call(null,s__10675);
i__10674 = G__10679;
s__10675 = G__10680;
continue;
}
} else
{return a__10672;
}
break;
}
} else
{var n__4904__auto____10677 = size;
var i__10678 = 0;
while(true){
if((i__10678 < n__4904__auto____10677))
{(a__10672[i__10678] = init_val_or_seq);
{
var G__10681 = (i__10678 + 1);
i__10678 = G__10681;
continue;
}
} else
{}
break;
}
return a__10672;
}
});
long_array = function(size,init_val_or_seq){
switch(arguments.length){
case 1:
return long_array__1.call(this,size);
case 2:
return long_array__2.call(this,size,init_val_or_seq);
}
throw('Invalid arity: ' + arguments.length);
};
long_array.cljs$lang$arity$1 = long_array__1;
long_array.cljs$lang$arity$2 = long_array__2;
return long_array;
})()
;
cljs.core.double_array = (function() {
var double_array = null;
var double_array__1 = (function (size_or_seq){
if(cljs.core.number_QMARK_.call(null,size_or_seq))
{return double_array.call(null,size_or_seq,null);
} else
{if(cljs.core.seq_QMARK_.call(null,size_or_seq))
{return cljs.core.into_array.call(null,size_or_seq);
} else
{if("\uFDD0'else")
{throw (new Error("double-array called with something other than size or ISeq"));
} else
{return null;
}
}
}
});
var double_array__2 = (function (size,init_val_or_seq){
var a__10689 = cljs.core.make_array.call(null,size);
if(cljs.core.seq_QMARK_.call(null,init_val_or_seq))
{var s__10690 = cljs.core.seq.call(null,init_val_or_seq);
var i__10691 = 0;
var s__10692 = s__10690;
while(true){
if((function (){var and__3822__auto____10693 = s__10692;
if(and__3822__auto____10693)
{return (i__10691 < size);
} else
{return and__3822__auto____10693;
}
})())
{(a__10689[i__10691] = cljs.core.first.call(null,s__10692));
{
var G__10711 = (i__10691 + 1);
var G__10712 = cljs.core.next.call(null,s__10692);
i__10691 = G__10711;
s__10692 = G__10712;
continue;
}
} else
{return a__10689;
}
break;
}
} else
{var n__4904__auto____10695 = size;
var i__10696 = 0;
while(true){
if((i__10696 < n__4904__auto____10695))
{(a__10689[i__10696] = init_val_or_seq);
{
var G__10716 = (i__10696 + 1);
i__10696 = G__10716;
continue;
}
} else
{}
break;
}
return a__10689;
}
});
double_array = function(size,init_val_or_seq){
switch(arguments.length){
case 1:
return double_array__1.call(this,size);
case 2:
return double_array__2.call(this,size,init_val_or_seq);
}
throw('Invalid arity: ' + arguments.length);
};
double_array.cljs$lang$arity$1 = double_array__1;
double_array.cljs$lang$arity$2 = double_array__2;
return double_array;
})()
;
cljs.core.object_array = (function() {
var object_array = null;
var object_array__1 = (function (size_or_seq){
if(cljs.core.number_QMARK_.call(null,size_or_seq))
{return object_array.call(null,size_or_seq,null);
} else
{if(cljs.core.seq_QMARK_.call(null,size_or_seq))
{return cljs.core.into_array.call(null,size_or_seq);
} else
{if("\uFDD0'else")
{throw (new Error("object-array called with something other than size or ISeq"));
} else
{return null;
}
}
}
});
var object_array__2 = (function (size,init_val_or_seq){
var a__10733 = cljs.core.make_array.call(null,size);
if(cljs.core.seq_QMARK_.call(null,init_val_or_seq))
{var s__10734 = cljs.core.seq.call(null,init_val_or_seq);
var i__10735 = 0;
var s__10736 = s__10734;
while(true){
if(cljs.core.truth_((function (){var and__3822__auto____10737 = s__10736;
if(and__3822__auto____10737)
{return (i__10735 < size);
} else
{return and__3822__auto____10737;
}
})()))
{(a__10733[i__10735] = cljs.core.first.call(null,s__10736));
{
var G__10748 = (i__10735 + 1);
var G__10749 = cljs.core.next.call(null,s__10736);
i__10735 = G__10748;
s__10736 = G__10749;
continue;
}
} else
{return a__10733;
}
break;
}
} else
{var n__4904__auto____10738 = size;
var i__10739 = 0;
while(true){
if((i__10739 < n__4904__auto____10738))
{(a__10733[i__10739] = init_val_or_seq);
{
var G__10753 = (i__10739 + 1);
i__10739 = G__10753;
continue;
}
} else
{}
break;
}
return a__10733;
}
});
object_array = function(size,init_val_or_seq){
switch(arguments.length){
case 1:
return object_array__1.call(this,size);
case 2:
return object_array__2.call(this,size,init_val_or_seq);
}
throw('Invalid arity: ' + arguments.length);
};
object_array.cljs$lang$arity$1 = object_array__1;
object_array.cljs$lang$arity$2 = object_array__2;
return object_array;
})()
;
cljs.core.bounded_count = (function bounded_count(s,n){
if(cljs.core.counted_QMARK_.call(null,s))
{return cljs.core.count.call(null,s);
} else
{var s__10776 = s;
var i__10777 = n;
var sum__10778 = 0;
while(true){
if(cljs.core.truth_((function (){var and__3822__auto____10780 = (i__10777 > 0);
if(and__3822__auto____10780)
{return cljs.core.seq.call(null,s__10776);
} else
{return and__3822__auto____10780;
}
})()))
{{
var G__10795 = cljs.core.next.call(null,s__10776);
var G__10796 = (i__10777 - 1);
var G__10797 = (sum__10778 + 1);
s__10776 = G__10795;
i__10777 = G__10796;
sum__10778 = G__10797;
continue;
}
} else
{return sum__10778;
}
break;
}
}
});
cljs.core.spread = (function spread(arglist){
if((arglist == null))
{return null;
} else
{if((cljs.core.next.call(null,arglist) == null))
{return cljs.core.seq.call(null,cljs.core.first.call(null,arglist));
} else
{if("\uFDD0'else")
{return cljs.core.cons.call(null,cljs.core.first.call(null,arglist),spread.call(null,cljs.core.next.call(null,arglist)));
} else
{return null;
}
}
}
});
/**
* Returns a lazy seq representing the concatenation of the elements in the supplied colls.
* @param {...*} var_args
*/
cljs.core.concat = (function() {
var concat = null;
var concat__0 = (function (){
return (new cljs.core.LazySeq(null,false,(function (){
return null;
}),null));
});
var concat__1 = (function (x){
return (new cljs.core.LazySeq(null,false,(function (){
return x;
}),null));
});
var concat__2 = (function (x,y){
return (new cljs.core.LazySeq(null,false,(function (){
var s__10848 = cljs.core.seq.call(null,x);
if(s__10848)
{if(cljs.core.chunked_seq_QMARK_.call(null,s__10848))
{return cljs.core.chunk_cons.call(null,cljs.core.chunk_first.call(null,s__10848),concat.call(null,cljs.core.chunk_rest.call(null,s__10848),y));
} else
{return cljs.core.cons.call(null,cljs.core.first.call(null,s__10848),concat.call(null,cljs.core.rest.call(null,s__10848),y));
}
} else
{return y;
}
}),null));
});
var concat__3 = (function() { 
var G__10903__delegate = function (x,y,zs){
var cat__10867 = (function cat(xys,zs){
return (new cljs.core.LazySeq(null,false,(function (){
var xys__10853 = cljs.core.seq.call(null,xys);
if(xys__10853)
{if(cljs.core.chunked_seq_QMARK_.call(null,xys__10853))
{return cljs.core.chunk_cons.call(null,cljs.core.chunk_first.call(null,xys__10853),cat.call(null,cljs.core.chunk_rest.call(null,xys__10853),zs));
} else
{return cljs.core.cons.call(null,cljs.core.first.call(null,xys__10853),cat.call(null,cljs.core.rest.call(null,xys__10853),zs));
}
} else
{if(cljs.core.truth_(zs))
{return cat.call(null,cljs.core.first.call(null,zs),cljs.core.next.call(null,zs));
} else
{return null;
}
}
}),null));
});
return cat__10867.call(null,concat.call(null,x,y),zs);
};
var G__10903 = function (x,y,var_args){
var zs = null;
if (goog.isDef(var_args)) {
  zs = cljs.core.array_seq(Array.prototype.slice.call(arguments, 2),0);
} 
return G__10903__delegate.call(this, x, y, zs);
};
G__10903.cljs$lang$maxFixedArity = 2;
G__10903.cljs$lang$applyTo = (function (arglist__10925){
var x = cljs.core.first(arglist__10925);
var y = cljs.core.first(cljs.core.next(arglist__10925));
var zs = cljs.core.rest(cljs.core.next(arglist__10925));
return G__10903__delegate(x, y, zs);
});
G__10903.cljs$lang$arity$variadic = G__10903__delegate;
return G__10903;
})()
;
concat = function(x,y,var_args){
var zs = var_args;
switch(arguments.length){
case 0:
return concat__0.call(this);
case 1:
return concat__1.call(this,x);
case 2:
return concat__2.call(this,x,y);
default:
return concat__3.cljs$lang$arity$variadic(x,y, cljs.core.array_seq(arguments, 2));
}
throw('Invalid arity: ' + arguments.length);
};
concat.cljs$lang$maxFixedArity = 2;
concat.cljs$lang$applyTo = concat__3.cljs$lang$applyTo;
concat.cljs$lang$arity$0 = concat__0;
concat.cljs$lang$arity$1 = concat__1;
concat.cljs$lang$arity$2 = concat__2;
concat.cljs$lang$arity$variadic = concat__3.cljs$lang$arity$variadic;
return concat;
})()
;
/**
* Creates a new list containing the items prepended to the rest, the
* last of which will be treated as a sequence.
* @param {...*} var_args
*/
cljs.core.list_STAR_ = (function() {
var list_STAR_ = null;
var list_STAR___1 = (function (args){
return cljs.core.seq.call(null,args);
});
var list_STAR___2 = (function (a,args){
return cljs.core.cons.call(null,a,args);
});
var list_STAR___3 = (function (a,b,args){
return cljs.core.cons.call(null,a,cljs.core.cons.call(null,b,args));
});
var list_STAR___4 = (function (a,b,c,args){
return cljs.core.cons.call(null,a,cljs.core.cons.call(null,b,cljs.core.cons.call(null,c,args)));
});
var list_STAR___5 = (function() { 
var G__10960__delegate = function (a,b,c,d,more){
return cljs.core.cons.call(null,a,cljs.core.cons.call(null,b,cljs.core.cons.call(null,c,cljs.core.cons.call(null,d,cljs.core.spread.call(null,more)))));
};
var G__10960 = function (a,b,c,d,var_args){
var more = null;
if (goog.isDef(var_args)) {
  more = cljs.core.array_seq(Array.prototype.slice.call(arguments, 4),0);
} 
return G__10960__delegate.call(this, a, b, c, d, more);
};
G__10960.cljs$lang$maxFixedArity = 4;
G__10960.cljs$lang$applyTo = (function (arglist__10972){
var a = cljs.core.first(arglist__10972);
var b = cljs.core.first(cljs.core.next(arglist__10972));
var c = cljs.core.first(cljs.core.next(cljs.core.next(arglist__10972)));
var d = cljs.core.first(cljs.core.next(cljs.core.next(cljs.core.next(arglist__10972))));
var more = cljs.core.rest(cljs.core.next(cljs.core.next(cljs.core.next(arglist__10972))));
return G__10960__delegate(a, b, c, d, more);
});
G__10960.cljs$lang$arity$variadic = G__10960__delegate;
return G__10960;
})()
;
list_STAR_ = function(a,b,c,d,var_args){
var more = var_args;
switch(arguments.length){
case 1:
return list_STAR___1.call(this,a);
case 2:
return list_STAR___2.call(this,a,b);
case 3:
return list_STAR___3.call(this,a,b,c);
case 4:
return list_STAR___4.call(this,a,b,c,d);
default:
return list_STAR___5.cljs$lang$arity$variadic(a,b,c,d, cljs.core.array_seq(arguments, 4));
}
throw('Invalid arity: ' + arguments.length);
};
list_STAR_.cljs$lang$maxFixedArity = 4;
list_STAR_.cljs$lang$applyTo = list_STAR___5.cljs$lang$applyTo;
list_STAR_.cljs$lang$arity$1 = list_STAR___1;
list_STAR_.cljs$lang$arity$2 = list_STAR___2;
list_STAR_.cljs$lang$arity$3 = list_STAR___3;
list_STAR_.cljs$lang$arity$4 = list_STAR___4;
list_STAR_.cljs$lang$arity$variadic = list_STAR___5.cljs$lang$arity$variadic;
return list_STAR_;
})()
;
cljs.core.transient$ = (function transient$(coll){
return cljs.core._as_transient.call(null,coll);
});
cljs.core.persistent_BANG_ = (function persistent_BANG_(tcoll){
return cljs.core._persistent_BANG_.call(null,tcoll);
});
cljs.core.conj_BANG_ = (function conj_BANG_(tcoll,val){
return cljs.core._conj_BANG_.call(null,tcoll,val);
});
cljs.core.assoc_BANG_ = (function assoc_BANG_(tcoll,key,val){
return cljs.core._assoc_BANG_.call(null,tcoll,key,val);
});
cljs.core.dissoc_BANG_ = (function dissoc_BANG_(tcoll,key){
return cljs.core._dissoc_BANG_.call(null,tcoll,key);
});
cljs.core.pop_BANG_ = (function pop_BANG_(tcoll){
return cljs.core._pop_BANG_.call(null,tcoll);
});
cljs.core.disj_BANG_ = (function disj_BANG_(tcoll,val){
return cljs.core._disjoin_BANG_.call(null,tcoll,val);
});
void 0;cljs.core.apply_to = (function apply_to(f,argc,args){
var args__11038 = cljs.core.seq.call(null,args);
if((argc === 0))
{return f.call(null);
} else
{var a__11039 = cljs.core._first.call(null,args__11038);
var args__11040 = cljs.core._rest.call(null,args__11038);
if((argc === 1))
{if(f.cljs$lang$arity$1)
{return f.cljs$lang$arity$1(a__11039);
} else
{return f.call(null,a__11039);
}
} else
{var b__11041 = cljs.core._first.call(null,args__11040);
var args__11042 = cljs.core._rest.call(null,args__11040);
if((argc === 2))
{if(f.cljs$lang$arity$2)
{return f.cljs$lang$arity$2(a__11039,b__11041);
} else
{return f.call(null,a__11039,b__11041);
}
} else
{var c__11043 = cljs.core._first.call(null,args__11042);
var args__11044 = cljs.core._rest.call(null,args__11042);
if((argc === 3))
{if(f.cljs$lang$arity$3)
{return f.cljs$lang$arity$3(a__11039,b__11041,c__11043);
} else
{return f.call(null,a__11039,b__11041,c__11043);
}
} else
{var d__11045 = cljs.core._first.call(null,args__11044);
var args__11046 = cljs.core._rest.call(null,args__11044);
if((argc === 4))
{if(f.cljs$lang$arity$4)
{return f.cljs$lang$arity$4(a__11039,b__11041,c__11043,d__11045);
} else
{return f.call(null,a__11039,b__11041,c__11043,d__11045);
}
} else
{var e__11047 = cljs.core._first.call(null,args__11046);
var args__11048 = cljs.core._rest.call(null,args__11046);
if((argc === 5))
{if(f.cljs$lang$arity$5)
{return f.cljs$lang$arity$5(a__11039,b__11041,c__11043,d__11045,e__11047);
} else
{return f.call(null,a__11039,b__11041,c__11043,d__11045,e__11047);
}
} else
{var f__11049 = cljs.core._first.call(null,args__11048);
var args__11050 = cljs.core._rest.call(null,args__11048);
if((argc === 6))
{if(f__11049.cljs$lang$arity$6)
{return f__11049.cljs$lang$arity$6(a__11039,b__11041,c__11043,d__11045,e__11047,f__11049);
} else
{return f__11049.call(null,a__11039,b__11041,c__11043,d__11045,e__11047,f__11049);
}
} else
{var g__11051 = cljs.core._first.call(null,args__11050);
var args__11052 = cljs.core._rest.call(null,args__11050);
if((argc === 7))
{if(f__11049.cljs$lang$arity$7)
{return f__11049.cljs$lang$arity$7(a__11039,b__11041,c__11043,d__11045,e__11047,f__11049,g__11051);
} else
{return f__11049.call(null,a__11039,b__11041,c__11043,d__11045,e__11047,f__11049,g__11051);
}
} else
{var h__11055 = cljs.core._first.call(null,args__11052);
var args__11056 = cljs.core._rest.call(null,args__11052);
if((argc === 8))
{if(f__11049.cljs$lang$arity$8)
{return f__11049.cljs$lang$arity$8(a__11039,b__11041,c__11043,d__11045,e__11047,f__11049,g__11051,h__11055);
} else
{return f__11049.call(null,a__11039,b__11041,c__11043,d__11045,e__11047,f__11049,g__11051,h__11055);
}
} else
{var i__11057 = cljs.core._first.call(null,args__11056);
var args__11059 = cljs.core._rest.call(null,args__11056);
if((argc === 9))
{if(f__11049.cljs$lang$arity$9)
{return f__11049.cljs$lang$arity$9(a__11039,b__11041,c__11043,d__11045,e__11047,f__11049,g__11051,h__11055,i__11057);
} else
{return f__11049.call(null,a__11039,b__11041,c__11043,d__11045,e__11047,f__11049,g__11051,h__11055,i__11057);
}
} else
{var j__11060 = cljs.core._first.call(null,args__11059);
var args__11061 = cljs.core._rest.call(null,args__11059);
if((argc === 10))
{if(f__11049.cljs$lang$arity$10)
{return f__11049.cljs$lang$arity$10(a__11039,b__11041,c__11043,d__11045,e__11047,f__11049,g__11051,h__11055,i__11057,j__11060);
} else
{return f__11049.call(null,a__11039,b__11041,c__11043,d__11045,e__11047,f__11049,g__11051,h__11055,i__11057,j__11060);
}
} else
{var k__11062 = cljs.core._first.call(null,args__11061);
var args__11065 = cljs.core._rest.call(null,args__11061);
if((argc === 11))
{if(f__11049.cljs$lang$arity$11)
{return f__11049.cljs$lang$arity$11(a__11039,b__11041,c__11043,d__11045,e__11047,f__11049,g__11051,h__11055,i__11057,j__11060,k__11062);
} else
{return f__11049.call(null,a__11039,b__11041,c__11043,d__11045,e__11047,f__11049,g__11051,h__11055,i__11057,j__11060,k__11062);
}
} else
{var l__11067 = cljs.core._first.call(null,args__11065);
var args__11068 = cljs.core._rest.call(null,args__11065);
if((argc === 12))
{if(f__11049.cljs$lang$arity$12)
{return f__11049.cljs$lang$arity$12(a__11039,b__11041,c__11043,d__11045,e__11047,f__11049,g__11051,h__11055,i__11057,j__11060,k__11062,l__11067);
} else
{return f__11049.call(null,a__11039,b__11041,c__11043,d__11045,e__11047,f__11049,g__11051,h__11055,i__11057,j__11060,k__11062,l__11067);
}
} else
{var m__11069 = cljs.core._first.call(null,args__11068);
var args__11070 = cljs.core._rest.call(null,args__11068);
if((argc === 13))
{if(f__11049.cljs$lang$arity$13)
{return f__11049.cljs$lang$arity$13(a__11039,b__11041,c__11043,d__11045,e__11047,f__11049,g__11051,h__11055,i__11057,j__11060,k__11062,l__11067,m__11069);
} else
{return f__11049.call(null,a__11039,b__11041,c__11043,d__11045,e__11047,f__11049,g__11051,h__11055,i__11057,j__11060,k__11062,l__11067,m__11069);
}
} else
{var n__11071 = cljs.core._first.call(null,args__11070);
var args__11072 = cljs.core._rest.call(null,args__11070);
if((argc === 14))
{if(f__11049.cljs$lang$arity$14)
{return f__11049.cljs$lang$arity$14(a__11039,b__11041,c__11043,d__11045,e__11047,f__11049,g__11051,h__11055,i__11057,j__11060,k__11062,l__11067,m__11069,n__11071);
} else
{return f__11049.call(null,a__11039,b__11041,c__11043,d__11045,e__11047,f__11049,g__11051,h__11055,i__11057,j__11060,k__11062,l__11067,m__11069,n__11071);
}
} else
{var o__11073 = cljs.core._first.call(null,args__11072);
var args__11074 = cljs.core._rest.call(null,args__11072);
if((argc === 15))
{if(f__11049.cljs$lang$arity$15)
{return f__11049.cljs$lang$arity$15(a__11039,b__11041,c__11043,d__11045,e__11047,f__11049,g__11051,h__11055,i__11057,j__11060,k__11062,l__11067,m__11069,n__11071,o__11073);
} else
{return f__11049.call(null,a__11039,b__11041,c__11043,d__11045,e__11047,f__11049,g__11051,h__11055,i__11057,j__11060,k__11062,l__11067,m__11069,n__11071,o__11073);
}
} else
{var p__11076 = cljs.core._first.call(null,args__11074);
var args__11077 = cljs.core._rest.call(null,args__11074);
if((argc === 16))
{if(f__11049.cljs$lang$arity$16)
{return f__11049.cljs$lang$arity$16(a__11039,b__11041,c__11043,d__11045,e__11047,f__11049,g__11051,h__11055,i__11057,j__11060,k__11062,l__11067,m__11069,n__11071,o__11073,p__11076);
} else
{return f__11049.call(null,a__11039,b__11041,c__11043,d__11045,e__11047,f__11049,g__11051,h__11055,i__11057,j__11060,k__11062,l__11067,m__11069,n__11071,o__11073,p__11076);
}
} else
{var q__11079 = cljs.core._first.call(null,args__11077);
var args__11080 = cljs.core._rest.call(null,args__11077);
if((argc === 17))
{if(f__11049.cljs$lang$arity$17)
{return f__11049.cljs$lang$arity$17(a__11039,b__11041,c__11043,d__11045,e__11047,f__11049,g__11051,h__11055,i__11057,j__11060,k__11062,l__11067,m__11069,n__11071,o__11073,p__11076,q__11079);
} else
{return f__11049.call(null,a__11039,b__11041,c__11043,d__11045,e__11047,f__11049,g__11051,h__11055,i__11057,j__11060,k__11062,l__11067,m__11069,n__11071,o__11073,p__11076,q__11079);
}
} else
{var r__11083 = cljs.core._first.call(null,args__11080);
var args__11084 = cljs.core._rest.call(null,args__11080);
if((argc === 18))
{if(f__11049.cljs$lang$arity$18)
{return f__11049.cljs$lang$arity$18(a__11039,b__11041,c__11043,d__11045,e__11047,f__11049,g__11051,h__11055,i__11057,j__11060,k__11062,l__11067,m__11069,n__11071,o__11073,p__11076,q__11079,r__11083);
} else
{return f__11049.call(null,a__11039,b__11041,c__11043,d__11045,e__11047,f__11049,g__11051,h__11055,i__11057,j__11060,k__11062,l__11067,m__11069,n__11071,o__11073,p__11076,q__11079,r__11083);
}
} else
{var s__11085 = cljs.core._first.call(null,args__11084);
var args__11086 = cljs.core._rest.call(null,args__11084);
if((argc === 19))
{if(f__11049.cljs$lang$arity$19)
{return f__11049.cljs$lang$arity$19(a__11039,b__11041,c__11043,d__11045,e__11047,f__11049,g__11051,h__11055,i__11057,j__11060,k__11062,l__11067,m__11069,n__11071,o__11073,p__11076,q__11079,r__11083,s__11085);
} else
{return f__11049.call(null,a__11039,b__11041,c__11043,d__11045,e__11047,f__11049,g__11051,h__11055,i__11057,j__11060,k__11062,l__11067,m__11069,n__11071,o__11073,p__11076,q__11079,r__11083,s__11085);
}
} else
{var t__11087 = cljs.core._first.call(null,args__11086);
var args__11088 = cljs.core._rest.call(null,args__11086);
if((argc === 20))
{if(f__11049.cljs$lang$arity$20)
{return f__11049.cljs$lang$arity$20(a__11039,b__11041,c__11043,d__11045,e__11047,f__11049,g__11051,h__11055,i__11057,j__11060,k__11062,l__11067,m__11069,n__11071,o__11073,p__11076,q__11079,r__11083,s__11085,t__11087);
} else
{return f__11049.call(null,a__11039,b__11041,c__11043,d__11045,e__11047,f__11049,g__11051,h__11055,i__11057,j__11060,k__11062,l__11067,m__11069,n__11071,o__11073,p__11076,q__11079,r__11083,s__11085,t__11087);
}
} else
{throw (new Error("Only up to 20 arguments supported on functions"));
}
}
}
}
}
}
}
}
}
}
}
}
}
}
}
}
}
}
}
}
}
});
void 0;/**
* Applies fn f to the argument list formed by prepending intervening arguments to args.
* First cut.  Not lazy.  Needs to use emitted toApply.
* @param {...*} var_args
*/
cljs.core.apply = (function() {
var apply = null;
var apply__2 = (function (f,args){
var fixed_arity__11192 = f.cljs$lang$maxFixedArity;
if(cljs.core.truth_(f.cljs$lang$applyTo))
{var bc__11194 = cljs.core.bounded_count.call(null,args,(fixed_arity__11192 + 1));
if((bc__11194 <= fixed_arity__11192))
{return cljs.core.apply_to.call(null,f,bc__11194,args);
} else
{return f.cljs$lang$applyTo(args);
}
} else
{return f.apply(f,cljs.core.to_array.call(null,args));
}
});
var apply__3 = (function (f,x,args){
var arglist__11197 = cljs.core.list_STAR_.call(null,x,args);
var fixed_arity__11198 = f.cljs$lang$maxFixedArity;
if(cljs.core.truth_(f.cljs$lang$applyTo))
{var bc__11199 = cljs.core.bounded_count.call(null,arglist__11197,(fixed_arity__11198 + 1));
if((bc__11199 <= fixed_arity__11198))
{return cljs.core.apply_to.call(null,f,bc__11199,arglist__11197);
} else
{return f.cljs$lang$applyTo(arglist__11197);
}
} else
{return f.apply(f,cljs.core.to_array.call(null,arglist__11197));
}
});
var apply__4 = (function (f,x,y,args){
var arglist__11201 = cljs.core.list_STAR_.call(null,x,y,args);
var fixed_arity__11202 = f.cljs$lang$maxFixedArity;
if(cljs.core.truth_(f.cljs$lang$applyTo))
{var bc__11204 = cljs.core.bounded_count.call(null,arglist__11201,(fixed_arity__11202 + 1));
if((bc__11204 <= fixed_arity__11202))
{return cljs.core.apply_to.call(null,f,bc__11204,arglist__11201);
} else
{return f.cljs$lang$applyTo(arglist__11201);
}
} else
{return f.apply(f,cljs.core.to_array.call(null,arglist__11201));
}
});
var apply__5 = (function (f,x,y,z,args){
var arglist__11205 = cljs.core.list_STAR_.call(null,x,y,z,args);
var fixed_arity__11206 = f.cljs$lang$maxFixedArity;
if(cljs.core.truth_(f.cljs$lang$applyTo))
{var bc__11207 = cljs.core.bounded_count.call(null,arglist__11205,(fixed_arity__11206 + 1));
if((bc__11207 <= fixed_arity__11206))
{return cljs.core.apply_to.call(null,f,bc__11207,arglist__11205);
} else
{return f.cljs$lang$applyTo(arglist__11205);
}
} else
{return f.apply(f,cljs.core.to_array.call(null,arglist__11205));
}
});
var apply__6 = (function() { 
var G__11211__delegate = function (f,a,b,c,d,args){
var arglist__11208 = cljs.core.cons.call(null,a,cljs.core.cons.call(null,b,cljs.core.cons.call(null,c,cljs.core.cons.call(null,d,cljs.core.spread.call(null,args)))));
var fixed_arity__11209 = f.cljs$lang$maxFixedArity;
if(cljs.core.truth_(f.cljs$lang$applyTo))
{var bc__11210 = cljs.core.bounded_count.call(null,arglist__11208,(fixed_arity__11209 + 1));
if((bc__11210 <= fixed_arity__11209))
{return cljs.core.apply_to.call(null,f,bc__11210,arglist__11208);
} else
{return f.cljs$lang$applyTo(arglist__11208);
}
} else
{return f.apply(f,cljs.core.to_array.call(null,arglist__11208));
}
};
var G__11211 = function (f,a,b,c,d,var_args){
var args = null;
if (goog.isDef(var_args)) {
  args = cljs.core.array_seq(Array.prototype.slice.call(arguments, 5),0);
} 
return G__11211__delegate.call(this, f, a, b, c, d, args);
};
G__11211.cljs$lang$maxFixedArity = 5;
G__11211.cljs$lang$applyTo = (function (arglist__11214){
var f = cljs.core.first(arglist__11214);
var a = cljs.core.first(cljs.core.next(arglist__11214));
var b = cljs.core.first(cljs.core.next(cljs.core.next(arglist__11214)));
var c = cljs.core.first(cljs.core.next(cljs.core.next(cljs.core.next(arglist__11214))));
var d = cljs.core.first(cljs.core.next(cljs.core.next(cljs.core.next(cljs.core.next(arglist__11214)))));
var args = cljs.core.rest(cljs.core.next(cljs.core.next(cljs.core.next(cljs.core.next(arglist__11214)))));
return G__11211__delegate(f, a, b, c, d, args);
});
G__11211.cljs$lang$arity$variadic = G__11211__delegate;
return G__11211;
})()
;
apply = function(f,a,b,c,d,var_args){
var args = var_args;
switch(arguments.length){
case 2:
return apply__2.call(this,f,a);
case 3:
return apply__3.call(this,f,a,b);
case 4:
return apply__4.call(this,f,a,b,c);
case 5:
return apply__5.call(this,f,a,b,c,d);
default:
return apply__6.cljs$lang$arity$variadic(f,a,b,c,d, cljs.core.array_seq(arguments, 5));
}
throw('Invalid arity: ' + arguments.length);
};
apply.cljs$lang$maxFixedArity = 5;
apply.cljs$lang$applyTo = apply__6.cljs$lang$applyTo;
apply.cljs$lang$arity$2 = apply__2;
apply.cljs$lang$arity$3 = apply__3;
apply.cljs$lang$arity$4 = apply__4;
apply.cljs$lang$arity$5 = apply__5;
apply.cljs$lang$arity$variadic = apply__6.cljs$lang$arity$variadic;
return apply;
})()
;
/**
* Returns an object of the same type and value as obj, with
* (apply f (meta obj) args) as its metadata.
* @param {...*} var_args
*/
cljs.core.vary_meta = (function() { 
var vary_meta__delegate = function (obj,f,args){
return cljs.core.with_meta.call(null,obj,cljs.core.apply.call(null,f,cljs.core.meta.call(null,obj),args));
};
var vary_meta = function (obj,f,var_args){
var args = null;
if (goog.isDef(var_args)) {
  args = cljs.core.array_seq(Array.prototype.slice.call(arguments, 2),0);
} 
return vary_meta__delegate.call(this, obj, f, args);
};
vary_meta.cljs$lang$maxFixedArity = 2;
vary_meta.cljs$lang$applyTo = (function (arglist__11223){
var obj = cljs.core.first(arglist__11223);
var f = cljs.core.first(cljs.core.next(arglist__11223));
var args = cljs.core.rest(cljs.core.next(arglist__11223));
return vary_meta__delegate(obj, f, args);
});
vary_meta.cljs$lang$arity$variadic = vary_meta__delegate;
return vary_meta;
})()
;
/**
* Same as (not (= obj1 obj2))
* @param {...*} var_args
*/
cljs.core.not_EQ_ = (function() {
var not_EQ_ = null;
var not_EQ___1 = (function (x){
return false;
});
var not_EQ___2 = (function (x,y){
return !(cljs.core._EQ_.call(null,x,y));
});
var not_EQ___3 = (function() { 
var G__11224__delegate = function (x,y,more){
return cljs.core.not.call(null,cljs.core.apply.call(null,cljs.core._EQ_,x,y,more));
};
var G__11224 = function (x,y,var_args){
var more = null;
if (goog.isDef(var_args)) {
  more = cljs.core.array_seq(Array.prototype.slice.call(arguments, 2),0);
} 
return G__11224__delegate.call(this, x, y, more);
};
G__11224.cljs$lang$maxFixedArity = 2;
G__11224.cljs$lang$applyTo = (function (arglist__11225){
var x = cljs.core.first(arglist__11225);
var y = cljs.core.first(cljs.core.next(arglist__11225));
var more = cljs.core.rest(cljs.core.next(arglist__11225));
return G__11224__delegate(x, y, more);
});
G__11224.cljs$lang$arity$variadic = G__11224__delegate;
return G__11224;
})()
;
not_EQ_ = function(x,y,var_args){
var more = var_args;
switch(arguments.length){
case 1:
return not_EQ___1.call(this,x);
case 2:
return not_EQ___2.call(this,x,y);
default:
return not_EQ___3.cljs$lang$arity$variadic(x,y, cljs.core.array_seq(arguments, 2));
}
throw('Invalid arity: ' + arguments.length);
};
not_EQ_.cljs$lang$maxFixedArity = 2;
not_EQ_.cljs$lang$applyTo = not_EQ___3.cljs$lang$applyTo;
not_EQ_.cljs$lang$arity$1 = not_EQ___1;
not_EQ_.cljs$lang$arity$2 = not_EQ___2;
not_EQ_.cljs$lang$arity$variadic = not_EQ___3.cljs$lang$arity$variadic;
return not_EQ_;
})()
;
/**
* If coll is empty, returns nil, else coll
*/
cljs.core.not_empty = (function not_empty(coll){
if(cljs.core.seq.call(null,coll))
{return coll;
} else
{return null;
}
});
/**
* Returns true if (pred x) is logical true for every x in coll, else
* false.
*/
cljs.core.every_QMARK_ = (function every_QMARK_(pred,coll){
while(true){
if((cljs.core.seq.call(null,coll) == null))
{return true;
} else
{if(cljs.core.truth_(pred.call(null,cljs.core.first.call(null,coll))))
{{
var G__11226 = pred;
var G__11227 = cljs.core.next.call(null,coll);
pred = G__11226;
coll = G__11227;
continue;
}
} else
{if("\uFDD0'else")
{return false;
} else
{return null;
}
}
}
break;
}
});
/**
* Returns false if (pred x) is logical true for every x in
* coll, else true.
*/
cljs.core.not_every_QMARK_ = (function not_every_QMARK_(pred,coll){
return !(cljs.core.every_QMARK_.call(null,pred,coll));
});
/**
* Returns the first logical true value of (pred x) for any x in coll,
* else nil.  One common idiom is to use a set as pred, for example
* this will return :fred if :fred is in the sequence, otherwise nil:
* (some #{:fred} coll)
*/
cljs.core.some = (function some(pred,coll){
while(true){
if(cljs.core.seq.call(null,coll))
{var or__3824__auto____11236 = pred.call(null,cljs.core.first.call(null,coll));
if(cljs.core.truth_(or__3824__auto____11236))
{return or__3824__auto____11236;
} else
{{
var G__11245 = pred;
var G__11246 = cljs.core.next.call(null,coll);
pred = G__11245;
coll = G__11246;
continue;
}
}
} else
{return null;
}
break;
}
});
/**
* Returns false if (pred x) is logical true for any x in coll,
* else true.
*/
cljs.core.not_any_QMARK_ = (function not_any_QMARK_(pred,coll){
return cljs.core.not.call(null,cljs.core.some.call(null,pred,coll));
});
/**
* Returns true if n is even, throws an exception if n is not an integer
*/
cljs.core.even_QMARK_ = (function even_QMARK_(n){
if(cljs.core.integer_QMARK_.call(null,n))
{return ((n & 1) === 0);
} else
{throw (new Error([cljs.core.str("Argument must be an integer: "),cljs.core.str(n)].join('')));
}
});
/**
* Returns true if n is odd, throws an exception if n is not an integer
*/
cljs.core.odd_QMARK_ = (function odd_QMARK_(n){
return !(cljs.core.even_QMARK_.call(null,n));
});
cljs.core.identity = (function identity(x){
return x;
});
/**
* Takes a fn f and returns a fn that takes the same arguments as f,
* has the same effects, if any, and returns the opposite truth value.
*/
cljs.core.complement = (function complement(f){
return (function() {
var G__11250 = null;
var G__11250__0 = (function (){
return cljs.core.not.call(null,f.call(null));
});
var G__11250__1 = (function (x){
return cljs.core.not.call(null,f.call(null,x));
});
var G__11250__2 = (function (x,y){
return cljs.core.not.call(null,f.call(null,x,y));
});
var G__11250__3 = (function() { 
var G__11251__delegate = function (x,y,zs){
return cljs.core.not.call(null,cljs.core.apply.call(null,f,x,y,zs));
};
var G__11251 = function (x,y,var_args){
var zs = null;
if (goog.isDef(var_args)) {
  zs = cljs.core.array_seq(Array.prototype.slice.call(arguments, 2),0);
} 
return G__11251__delegate.call(this, x, y, zs);
};
G__11251.cljs$lang$maxFixedArity = 2;
G__11251.cljs$lang$applyTo = (function (arglist__11252){
var x = cljs.core.first(arglist__11252);
var y = cljs.core.first(cljs.core.next(arglist__11252));
var zs = cljs.core.rest(cljs.core.next(arglist__11252));
return G__11251__delegate(x, y, zs);
});
G__11251.cljs$lang$arity$variadic = G__11251__delegate;
return G__11251;
})()
;
G__11250 = function(x,y,var_args){
var zs = var_args;
switch(arguments.length){
case 0:
return G__11250__0.call(this);
case 1:
return G__11250__1.call(this,x);
case 2:
return G__11250__2.call(this,x,y);
default:
return G__11250__3.cljs$lang$arity$variadic(x,y, cljs.core.array_seq(arguments, 2));
}
throw('Invalid arity: ' + arguments.length);
};
G__11250.cljs$lang$maxFixedArity = 2;
G__11250.cljs$lang$applyTo = G__11250__3.cljs$lang$applyTo;
return G__11250;
})()
});
/**
* Returns a function that takes any number of arguments and returns x.
*/
cljs.core.constantly = (function constantly(x){
return (function() { 
var G__11253__delegate = function (args){
return x;
};
var G__11253 = function (var_args){
var args = null;
if (goog.isDef(var_args)) {
  args = cljs.core.array_seq(Array.prototype.slice.call(arguments, 0),0);
} 
return G__11253__delegate.call(this, args);
};
G__11253.cljs$lang$maxFixedArity = 0;
G__11253.cljs$lang$applyTo = (function (arglist__11254){
var args = cljs.core.seq(arglist__11254);;
return G__11253__delegate(args);
});
G__11253.cljs$lang$arity$variadic = G__11253__delegate;
return G__11253;
})()
;
});
/**
* Takes a set of functions and returns a fn that is the composition
* of those fns.  The returned fn takes a variable number of args,
* applies the rightmost of fns to the args, the next
* fn (right-to-left) to the result, etc.
* @param {...*} var_args
*/
cljs.core.comp = (function() {
var comp = null;
var comp__0 = (function (){
return cljs.core.identity;
});
var comp__1 = (function (f){
return f;
});
var comp__2 = (function (f,g){
return (function() {
var G__11261 = null;
var G__11261__0 = (function (){
return f.call(null,g.call(null));
});
var G__11261__1 = (function (x){
return f.call(null,g.call(null,x));
});
var G__11261__2 = (function (x,y){
return f.call(null,g.call(null,x,y));
});
var G__11261__3 = (function (x,y,z){
return f.call(null,g.call(null,x,y,z));
});
var G__11261__4 = (function() { 
var G__11262__delegate = function (x,y,z,args){
return f.call(null,cljs.core.apply.call(null,g,x,y,z,args));
};
var G__11262 = function (x,y,z,var_args){
var args = null;
if (goog.isDef(var_args)) {
  args = cljs.core.array_seq(Array.prototype.slice.call(arguments, 3),0);
} 
return G__11262__delegate.call(this, x, y, z, args);
};
G__11262.cljs$lang$maxFixedArity = 3;
G__11262.cljs$lang$applyTo = (function (arglist__11263){
var x = cljs.core.first(arglist__11263);
var y = cljs.core.first(cljs.core.next(arglist__11263));
var z = cljs.core.first(cljs.core.next(cljs.core.next(arglist__11263)));
var args = cljs.core.rest(cljs.core.next(cljs.core.next(arglist__11263)));
return G__11262__delegate(x, y, z, args);
});
G__11262.cljs$lang$arity$variadic = G__11262__delegate;
return G__11262;
})()
;
G__11261 = function(x,y,z,var_args){
var args = var_args;
switch(arguments.length){
case 0:
return G__11261__0.call(this);
case 1:
return G__11261__1.call(this,x);
case 2:
return G__11261__2.call(this,x,y);
case 3:
return G__11261__3.call(this,x,y,z);
default:
return G__11261__4.cljs$lang$arity$variadic(x,y,z, cljs.core.array_seq(arguments, 3));
}
throw('Invalid arity: ' + arguments.length);
};
G__11261.cljs$lang$maxFixedArity = 3;
G__11261.cljs$lang$applyTo = G__11261__4.cljs$lang$applyTo;
return G__11261;
})()
});
var comp__3 = (function (f,g,h){
return (function() {
var G__11266 = null;
var G__11266__0 = (function (){
return f.call(null,g.call(null,h.call(null)));
});
var G__11266__1 = (function (x){
return f.call(null,g.call(null,h.call(null,x)));
});
var G__11266__2 = (function (x,y){
return f.call(null,g.call(null,h.call(null,x,y)));
});
var G__11266__3 = (function (x,y,z){
return f.call(null,g.call(null,h.call(null,x,y,z)));
});
var G__11266__4 = (function() { 
var G__11267__delegate = function (x,y,z,args){
return f.call(null,g.call(null,cljs.core.apply.call(null,h,x,y,z,args)));
};
var G__11267 = function (x,y,z,var_args){
var args = null;
if (goog.isDef(var_args)) {
  args = cljs.core.array_seq(Array.prototype.slice.call(arguments, 3),0);
} 
return G__11267__delegate.call(this, x, y, z, args);
};
G__11267.cljs$lang$maxFixedArity = 3;
G__11267.cljs$lang$applyTo = (function (arglist__11296){
var x = cljs.core.first(arglist__11296);
var y = cljs.core.first(cljs.core.next(arglist__11296));
var z = cljs.core.first(cljs.core.next(cljs.core.next(arglist__11296)));
var args = cljs.core.rest(cljs.core.next(cljs.core.next(arglist__11296)));
return G__11267__delegate(x, y, z, args);
});
G__11267.cljs$lang$arity$variadic = G__11267__delegate;
return G__11267;
})()
;
G__11266 = function(x,y,z,var_args){
var args = var_args;
switch(arguments.length){
case 0:
return G__11266__0.call(this);
case 1:
return G__11266__1.call(this,x);
case 2:
return G__11266__2.call(this,x,y);
case 3:
return G__11266__3.call(this,x,y,z);
default:
return G__11266__4.cljs$lang$arity$variadic(x,y,z, cljs.core.array_seq(arguments, 3));
}
throw('Invalid arity: ' + arguments.length);
};
G__11266.cljs$lang$maxFixedArity = 3;
G__11266.cljs$lang$applyTo = G__11266__4.cljs$lang$applyTo;
return G__11266;
})()
});
var comp__4 = (function() { 
var G__11297__delegate = function (f1,f2,f3,fs){
var fs__11258 = cljs.core.reverse.call(null,cljs.core.list_STAR_.call(null,f1,f2,f3,fs));
return (function() { 
var G__11298__delegate = function (args){
var ret__11259 = cljs.core.apply.call(null,cljs.core.first.call(null,fs__11258),args);
var fs__11260 = cljs.core.next.call(null,fs__11258);
while(true){
if(fs__11260)
{{
var G__11299 = cljs.core.first.call(null,fs__11260).call(null,ret__11259);
var G__11300 = cljs.core.next.call(null,fs__11260);
ret__11259 = G__11299;
fs__11260 = G__11300;
continue;
}
} else
{return ret__11259;
}
break;
}
};
var G__11298 = function (var_args){
var args = null;
if (goog.isDef(var_args)) {
  args = cljs.core.array_seq(Array.prototype.slice.call(arguments, 0),0);
} 
return G__11298__delegate.call(this, args);
};
G__11298.cljs$lang$maxFixedArity = 0;
G__11298.cljs$lang$applyTo = (function (arglist__11301){
var args = cljs.core.seq(arglist__11301);;
return G__11298__delegate(args);
});
G__11298.cljs$lang$arity$variadic = G__11298__delegate;
return G__11298;
})()
;
};
var G__11297 = function (f1,f2,f3,var_args){
var fs = null;
if (goog.isDef(var_args)) {
  fs = cljs.core.array_seq(Array.prototype.slice.call(arguments, 3),0);
} 
return G__11297__delegate.call(this, f1, f2, f3, fs);
};
G__11297.cljs$lang$maxFixedArity = 3;
G__11297.cljs$lang$applyTo = (function (arglist__11302){
var f1 = cljs.core.first(arglist__11302);
var f2 = cljs.core.first(cljs.core.next(arglist__11302));
var f3 = cljs.core.first(cljs.core.next(cljs.core.next(arglist__11302)));
var fs = cljs.core.rest(cljs.core.next(cljs.core.next(arglist__11302)));
return G__11297__delegate(f1, f2, f3, fs);
});
G__11297.cljs$lang$arity$variadic = G__11297__delegate;
return G__11297;
})()
;
comp = function(f1,f2,f3,var_args){
var fs = var_args;
switch(arguments.length){
case 0:
return comp__0.call(this);
case 1:
return comp__1.call(this,f1);
case 2:
return comp__2.call(this,f1,f2);
case 3:
return comp__3.call(this,f1,f2,f3);
default:
return comp__4.cljs$lang$arity$variadic(f1,f2,f3, cljs.core.array_seq(arguments, 3));
}
throw('Invalid arity: ' + arguments.length);
};
comp.cljs$lang$maxFixedArity = 3;
comp.cljs$lang$applyTo = comp__4.cljs$lang$applyTo;
comp.cljs$lang$arity$0 = comp__0;
comp.cljs$lang$arity$1 = comp__1;
comp.cljs$lang$arity$2 = comp__2;
comp.cljs$lang$arity$3 = comp__3;
comp.cljs$lang$arity$variadic = comp__4.cljs$lang$arity$variadic;
return comp;
})()
;
/**
* Takes a function f and fewer than the normal arguments to f, and
* returns a fn that takes a variable number of additional args. When
* called, the returned function calls f with args + additional args.
* @param {...*} var_args
*/
cljs.core.partial = (function() {
var partial = null;
var partial__2 = (function (f,arg1){
return (function() { 
var G__11303__delegate = function (args){
return cljs.core.apply.call(null,f,arg1,args);
};
var G__11303 = function (var_args){
var args = null;
if (goog.isDef(var_args)) {
  args = cljs.core.array_seq(Array.prototype.slice.call(arguments, 0),0);
} 
return G__11303__delegate.call(this, args);
};
G__11303.cljs$lang$maxFixedArity = 0;
G__11303.cljs$lang$applyTo = (function (arglist__11304){
var args = cljs.core.seq(arglist__11304);;
return G__11303__delegate(args);
});
G__11303.cljs$lang$arity$variadic = G__11303__delegate;
return G__11303;
})()
;
});
var partial__3 = (function (f,arg1,arg2){
return (function() { 
var G__11305__delegate = function (args){
return cljs.core.apply.call(null,f,arg1,arg2,args);
};
var G__11305 = function (var_args){
var args = null;
if (goog.isDef(var_args)) {
  args = cljs.core.array_seq(Array.prototype.slice.call(arguments, 0),0);
} 
return G__11305__delegate.call(this, args);
};
G__11305.cljs$lang$maxFixedArity = 0;
G__11305.cljs$lang$applyTo = (function (arglist__11328){
var args = cljs.core.seq(arglist__11328);;
return G__11305__delegate(args);
});
G__11305.cljs$lang$arity$variadic = G__11305__delegate;
return G__11305;
})()
;
});
var partial__4 = (function (f,arg1,arg2,arg3){
return (function() { 
var G__11329__delegate = function (args){
return cljs.core.apply.call(null,f,arg1,arg2,arg3,args);
};
var G__11329 = function (var_args){
var args = null;
if (goog.isDef(var_args)) {
  args = cljs.core.array_seq(Array.prototype.slice.call(arguments, 0),0);
} 
return G__11329__delegate.call(this, args);
};
G__11329.cljs$lang$maxFixedArity = 0;
G__11329.cljs$lang$applyTo = (function (arglist__11330){
var args = cljs.core.seq(arglist__11330);;
return G__11329__delegate(args);
});
G__11329.cljs$lang$arity$variadic = G__11329__delegate;
return G__11329;
})()
;
});
var partial__5 = (function() { 
var G__11331__delegate = function (f,arg1,arg2,arg3,more){
return (function() { 
var G__11332__delegate = function (args){
return cljs.core.apply.call(null,f,arg1,arg2,arg3,cljs.core.concat.call(null,more,args));
};
var G__11332 = function (var_args){
var args = null;
if (goog.isDef(var_args)) {
  args = cljs.core.array_seq(Array.prototype.slice.call(arguments, 0),0);
} 
return G__11332__delegate.call(this, args);
};
G__11332.cljs$lang$maxFixedArity = 0;
G__11332.cljs$lang$applyTo = (function (arglist__11336){
var args = cljs.core.seq(arglist__11336);;
return G__11332__delegate(args);
});
G__11332.cljs$lang$arity$variadic = G__11332__delegate;
return G__11332;
})()
;
};
var G__11331 = function (f,arg1,arg2,arg3,var_args){
var more = null;
if (goog.isDef(var_args)) {
  more = cljs.core.array_seq(Array.prototype.slice.call(arguments, 4),0);
} 
return G__11331__delegate.call(this, f, arg1, arg2, arg3, more);
};
G__11331.cljs$lang$maxFixedArity = 4;
G__11331.cljs$lang$applyTo = (function (arglist__11337){
var f = cljs.core.first(arglist__11337);
var arg1 = cljs.core.first(cljs.core.next(arglist__11337));
var arg2 = cljs.core.first(cljs.core.next(cljs.core.next(arglist__11337)));
var arg3 = cljs.core.first(cljs.core.next(cljs.core.next(cljs.core.next(arglist__11337))));
var more = cljs.core.rest(cljs.core.next(cljs.core.next(cljs.core.next(arglist__11337))));
return G__11331__delegate(f, arg1, arg2, arg3, more);
});
G__11331.cljs$lang$arity$variadic = G__11331__delegate;
return G__11331;
})()
;
partial = function(f,arg1,arg2,arg3,var_args){
var more = var_args;
switch(arguments.length){
case 2:
return partial__2.call(this,f,arg1);
case 3:
return partial__3.call(this,f,arg1,arg2);
case 4:
return partial__4.call(this,f,arg1,arg2,arg3);
default:
return partial__5.cljs$lang$arity$variadic(f,arg1,arg2,arg3, cljs.core.array_seq(arguments, 4));
}
throw('Invalid arity: ' + arguments.length);
};
partial.cljs$lang$maxFixedArity = 4;
partial.cljs$lang$applyTo = partial__5.cljs$lang$applyTo;
partial.cljs$lang$arity$2 = partial__2;
partial.cljs$lang$arity$3 = partial__3;
partial.cljs$lang$arity$4 = partial__4;
partial.cljs$lang$arity$variadic = partial__5.cljs$lang$arity$variadic;
return partial;
})()
;
/**
* Takes a function f, and returns a function that calls f, replacing
* a nil first argument to f with the supplied value x. Higher arity
* versions can replace arguments in the second and third
* positions (y, z). Note that the function f can take any number of
* arguments, not just the one(s) being nil-patched.
*/
cljs.core.fnil = (function() {
var fnil = null;
var fnil__2 = (function (f,x){
return (function() {
var G__11344 = null;
var G__11344__1 = (function (a){
return f.call(null,(((a == null))?x:a));
});
var G__11344__2 = (function (a,b){
return f.call(null,(((a == null))?x:a),b);
});
var G__11344__3 = (function (a,b,c){
return f.call(null,(((a == null))?x:a),b,c);
});
var G__11344__4 = (function() { 
var G__11345__delegate = function (a,b,c,ds){
return cljs.core.apply.call(null,f,(((a == null))?x:a),b,c,ds);
};
var G__11345 = function (a,b,c,var_args){
var ds = null;
if (goog.isDef(var_args)) {
  ds = cljs.core.array_seq(Array.prototype.slice.call(arguments, 3),0);
} 
return G__11345__delegate.call(this, a, b, c, ds);
};
G__11345.cljs$lang$maxFixedArity = 3;
G__11345.cljs$lang$applyTo = (function (arglist__11346){
var a = cljs.core.first(arglist__11346);
var b = cljs.core.first(cljs.core.next(arglist__11346));
var c = cljs.core.first(cljs.core.next(cljs.core.next(arglist__11346)));
var ds = cljs.core.rest(cljs.core.next(cljs.core.next(arglist__11346)));
return G__11345__delegate(a, b, c, ds);
});
G__11345.cljs$lang$arity$variadic = G__11345__delegate;
return G__11345;
})()
;
G__11344 = function(a,b,c,var_args){
var ds = var_args;
switch(arguments.length){
case 1:
return G__11344__1.call(this,a);
case 2:
return G__11344__2.call(this,a,b);
case 3:
return G__11344__3.call(this,a,b,c);
default:
return G__11344__4.cljs$lang$arity$variadic(a,b,c, cljs.core.array_seq(arguments, 3));
}
throw('Invalid arity: ' + arguments.length);
};
G__11344.cljs$lang$maxFixedArity = 3;
G__11344.cljs$lang$applyTo = G__11344__4.cljs$lang$applyTo;
return G__11344;
})()
});
var fnil__3 = (function (f,x,y){
return (function() {
var G__11350 = null;
var G__11350__2 = (function (a,b){
return f.call(null,(((a == null))?x:a),(((b == null))?y:b));
});
var G__11350__3 = (function (a,b,c){
return f.call(null,(((a == null))?x:a),(((b == null))?y:b),c);
});
var G__11350__4 = (function() { 
var G__11351__delegate = function (a,b,c,ds){
return cljs.core.apply.call(null,f,(((a == null))?x:a),(((b == null))?y:b),c,ds);
};
var G__11351 = function (a,b,c,var_args){
var ds = null;
if (goog.isDef(var_args)) {
  ds = cljs.core.array_seq(Array.prototype.slice.call(arguments, 3),0);
} 
return G__11351__delegate.call(this, a, b, c, ds);
};
G__11351.cljs$lang$maxFixedArity = 3;
G__11351.cljs$lang$applyTo = (function (arglist__11352){
var a = cljs.core.first(arglist__11352);
var b = cljs.core.first(cljs.core.next(arglist__11352));
var c = cljs.core.first(cljs.core.next(cljs.core.next(arglist__11352)));
var ds = cljs.core.rest(cljs.core.next(cljs.core.next(arglist__11352)));
return G__11351__delegate(a, b, c, ds);
});
G__11351.cljs$lang$arity$variadic = G__11351__delegate;
return G__11351;
})()
;
G__11350 = function(a,b,c,var_args){
var ds = var_args;
switch(arguments.length){
case 2:
return G__11350__2.call(this,a,b);
case 3:
return G__11350__3.call(this,a,b,c);
default:
return G__11350__4.cljs$lang$arity$variadic(a,b,c, cljs.core.array_seq(arguments, 3));
}
throw('Invalid arity: ' + arguments.length);
};
G__11350.cljs$lang$maxFixedArity = 3;
G__11350.cljs$lang$applyTo = G__11350__4.cljs$lang$applyTo;
return G__11350;
})()
});
var fnil__4 = (function (f,x,y,z){
return (function() {
var G__11353 = null;
var G__11353__2 = (function (a,b){
return f.call(null,(((a == null))?x:a),(((b == null))?y:b));
});
var G__11353__3 = (function (a,b,c){
return f.call(null,(((a == null))?x:a),(((b == null))?y:b),(((c == null))?z:c));
});
var G__11353__4 = (function() { 
var G__11354__delegate = function (a,b,c,ds){
return cljs.core.apply.call(null,f,(((a == null))?x:a),(((b == null))?y:b),(((c == null))?z:c),ds);
};
var G__11354 = function (a,b,c,var_args){
var ds = null;
if (goog.isDef(var_args)) {
  ds = cljs.core.array_seq(Array.prototype.slice.call(arguments, 3),0);
} 
return G__11354__delegate.call(this, a, b, c, ds);
};
G__11354.cljs$lang$maxFixedArity = 3;
G__11354.cljs$lang$applyTo = (function (arglist__11355){
var a = cljs.core.first(arglist__11355);
var b = cljs.core.first(cljs.core.next(arglist__11355));
var c = cljs.core.first(cljs.core.next(cljs.core.next(arglist__11355)));
var ds = cljs.core.rest(cljs.core.next(cljs.core.next(arglist__11355)));
return G__11354__delegate(a, b, c, ds);
});
G__11354.cljs$lang$arity$variadic = G__11354__delegate;
return G__11354;
})()
;
G__11353 = function(a,b,c,var_args){
var ds = var_args;
switch(arguments.length){
case 2:
return G__11353__2.call(this,a,b);
case 3:
return G__11353__3.call(this,a,b,c);
default:
return G__11353__4.cljs$lang$arity$variadic(a,b,c, cljs.core.array_seq(arguments, 3));
}
throw('Invalid arity: ' + arguments.length);
};
G__11353.cljs$lang$maxFixedArity = 3;
G__11353.cljs$lang$applyTo = G__11353__4.cljs$lang$applyTo;
return G__11353;
})()
});
fnil = function(f,x,y,z){
switch(arguments.length){
case 2:
return fnil__2.call(this,f,x);
case 3:
return fnil__3.call(this,f,x,y);
case 4:
return fnil__4.call(this,f,x,y,z);
}
throw('Invalid arity: ' + arguments.length);
};
fnil.cljs$lang$arity$2 = fnil__2;
fnil.cljs$lang$arity$3 = fnil__3;
fnil.cljs$lang$arity$4 = fnil__4;
return fnil;
})()
;
/**
* Returns a lazy sequence consisting of the result of applying f to 0
* and the first item of coll, followed by applying f to 1 and the second
* item in coll, etc, until coll is exhausted. Thus function f should
* accept 2 arguments, index and item.
*/
cljs.core.map_indexed = (function map_indexed(f,coll){
var mapi__11371 = (function mapi(idx,coll){
return (new cljs.core.LazySeq(null,false,(function (){
var temp__3974__auto____11379 = cljs.core.seq.call(null,coll);
if(temp__3974__auto____11379)
{var s__11380 = temp__3974__auto____11379;
if(cljs.core.chunked_seq_QMARK_.call(null,s__11380))
{var c__11381 = cljs.core.chunk_first.call(null,s__11380);
var size__11382 = cljs.core.count.call(null,c__11381);
var b__11383 = cljs.core.chunk_buffer.call(null,size__11382);
var n__4904__auto____11384 = size__11382;
var i__11385 = 0;
while(true){
if((i__11385 < n__4904__auto____11384))
{cljs.core.chunk_append.call(null,b__11383,f.call(null,(idx + i__11385),cljs.core._nth.call(null,c__11381,i__11385)));
{
var G__11391 = (i__11385 + 1);
i__11385 = G__11391;
continue;
}
} else
{}
break;
}
return cljs.core.chunk_cons.call(null,cljs.core.chunk.call(null,b__11383),mapi.call(null,(idx + size__11382),cljs.core.chunk_rest.call(null,s__11380)));
} else
{return cljs.core.cons.call(null,f.call(null,idx,cljs.core.first.call(null,s__11380)),mapi.call(null,(idx + 1),cljs.core.rest.call(null,s__11380)));
}
} else
{return null;
}
}),null));
});
return mapi__11371.call(null,0,coll);
});
/**
* Returns a lazy sequence of the non-nil results of (f item). Note,
* this means false return values will be included.  f must be free of
* side-effects.
*/
cljs.core.keep = (function keep(f,coll){
return (new cljs.core.LazySeq(null,false,(function (){
var temp__3974__auto____11401 = cljs.core.seq.call(null,coll);
if(temp__3974__auto____11401)
{var s__11402 = temp__3974__auto____11401;
if(cljs.core.chunked_seq_QMARK_.call(null,s__11402))
{var c__11403 = cljs.core.chunk_first.call(null,s__11402);
var size__11404 = cljs.core.count.call(null,c__11403);
var b__11405 = cljs.core.chunk_buffer.call(null,size__11404);
var n__4904__auto____11406 = size__11404;
var i__11407 = 0;
while(true){
if((i__11407 < n__4904__auto____11406))
{var x__11408 = f.call(null,cljs.core._nth.call(null,c__11403,i__11407));
if((x__11408 == null))
{} else
{cljs.core.chunk_append.call(null,b__11405,x__11408);
}
{
var G__11410 = (i__11407 + 1);
i__11407 = G__11410;
continue;
}
} else
{}
break;
}
return cljs.core.chunk_cons.call(null,cljs.core.chunk.call(null,b__11405),keep.call(null,f,cljs.core.chunk_rest.call(null,s__11402)));
} else
{var x__11409 = f.call(null,cljs.core.first.call(null,s__11402));
if((x__11409 == null))
{return keep.call(null,f,cljs.core.rest.call(null,s__11402));
} else
{return cljs.core.cons.call(null,x__11409,keep.call(null,f,cljs.core.rest.call(null,s__11402)));
}
}
} else
{return null;
}
}),null));
});
/**
* Returns a lazy sequence of the non-nil results of (f index item). Note,
* this means false return values will be included.  f must be free of
* side-effects.
*/
cljs.core.keep_indexed = (function keep_indexed(f,coll){
var keepi__11436 = (function keepi(idx,coll){
return (new cljs.core.LazySeq(null,false,(function (){
var temp__3974__auto____11446 = cljs.core.seq.call(null,coll);
if(temp__3974__auto____11446)
{var s__11447 = temp__3974__auto____11446;
if(cljs.core.chunked_seq_QMARK_.call(null,s__11447))
{var c__11448 = cljs.core.chunk_first.call(null,s__11447);
var size__11449 = cljs.core.count.call(null,c__11448);
var b__11450 = cljs.core.chunk_buffer.call(null,size__11449);
var n__4904__auto____11451 = size__11449;
var i__11452 = 0;
while(true){
if((i__11452 < n__4904__auto____11451))
{var x__11453 = f.call(null,(idx + i__11452),cljs.core._nth.call(null,c__11448,i__11452));
if((x__11453 == null))
{} else
{cljs.core.chunk_append.call(null,b__11450,x__11453);
}
{
var G__11455 = (i__11452 + 1);
i__11452 = G__11455;
continue;
}
} else
{}
break;
}
return cljs.core.chunk_cons.call(null,cljs.core.chunk.call(null,b__11450),keepi.call(null,(idx + size__11449),cljs.core.chunk_rest.call(null,s__11447)));
} else
{var x__11454 = f.call(null,idx,cljs.core.first.call(null,s__11447));
if((x__11454 == null))
{return keepi.call(null,(idx + 1),cljs.core.rest.call(null,s__11447));
} else
{return cljs.core.cons.call(null,x__11454,keepi.call(null,(idx + 1),cljs.core.rest.call(null,s__11447)));
}
}
} else
{return null;
}
}),null));
});
return keepi__11436.call(null,0,coll);
});
/**
* Takes a set of predicates and returns a function f that returns true if all of its
* composing predicates return a logical true value against all of its arguments, else it returns
* false. Note that f is short-circuiting in that it will stop execution on the first
* argument that triggers a logical false result against the original predicates.
* @param {...*} var_args
*/
cljs.core.every_pred = (function() {
var every_pred = null;
var every_pred__1 = (function (p){
return (function() {
var ep1 = null;
var ep1__0 = (function (){
return true;
});
var ep1__1 = (function (x){
return cljs.core.boolean$.call(null,p.call(null,x));
});
var ep1__2 = (function (x,y){
return cljs.core.boolean$.call(null,(function (){var and__3822__auto____11555 = p.call(null,x);
if(cljs.core.truth_(and__3822__auto____11555))
{return p.call(null,y);
} else
{return and__3822__auto____11555;
}
})());
});
var ep1__3 = (function (x,y,z){
return cljs.core.boolean$.call(null,(function (){var and__3822__auto____11556 = p.call(null,x);
if(cljs.core.truth_(and__3822__auto____11556))
{var and__3822__auto____11557 = p.call(null,y);
if(cljs.core.truth_(and__3822__auto____11557))
{return p.call(null,z);
} else
{return and__3822__auto____11557;
}
} else
{return and__3822__auto____11556;
}
})());
});
var ep1__4 = (function() { 
var G__11647__delegate = function (x,y,z,args){
return cljs.core.boolean$.call(null,(function (){var and__3822__auto____11558 = ep1.call(null,x,y,z);
if(cljs.core.truth_(and__3822__auto____11558))
{return cljs.core.every_QMARK_.call(null,p,args);
} else
{return and__3822__auto____11558;
}
})());
};
var G__11647 = function (x,y,z,var_args){
var args = null;
if (goog.isDef(var_args)) {
  args = cljs.core.array_seq(Array.prototype.slice.call(arguments, 3),0);
} 
return G__11647__delegate.call(this, x, y, z, args);
};
G__11647.cljs$lang$maxFixedArity = 3;
G__11647.cljs$lang$applyTo = (function (arglist__11648){
var x = cljs.core.first(arglist__11648);
var y = cljs.core.first(cljs.core.next(arglist__11648));
var z = cljs.core.first(cljs.core.next(cljs.core.next(arglist__11648)));
var args = cljs.core.rest(cljs.core.next(cljs.core.next(arglist__11648)));
return G__11647__delegate(x, y, z, args);
});
G__11647.cljs$lang$arity$variadic = G__11647__delegate;
return G__11647;
})()
;
ep1 = function(x,y,z,var_args){
var args = var_args;
switch(arguments.length){
case 0:
return ep1__0.call(this);
case 1:
return ep1__1.call(this,x);
case 2:
return ep1__2.call(this,x,y);
case 3:
return ep1__3.call(this,x,y,z);
default:
return ep1__4.cljs$lang$arity$variadic(x,y,z, cljs.core.array_seq(arguments, 3));
}
throw('Invalid arity: ' + arguments.length);
};
ep1.cljs$lang$maxFixedArity = 3;
ep1.cljs$lang$applyTo = ep1__4.cljs$lang$applyTo;
ep1.cljs$lang$arity$0 = ep1__0;
ep1.cljs$lang$arity$1 = ep1__1;
ep1.cljs$lang$arity$2 = ep1__2;
ep1.cljs$lang$arity$3 = ep1__3;
ep1.cljs$lang$arity$variadic = ep1__4.cljs$lang$arity$variadic;
return ep1;
})()
});
var every_pred__2 = (function (p1,p2){
return (function() {
var ep2 = null;
var ep2__0 = (function (){
return true;
});
var ep2__1 = (function (x){
return cljs.core.boolean$.call(null,(function (){var and__3822__auto____11570 = p1.call(null,x);
if(cljs.core.truth_(and__3822__auto____11570))
{return p2.call(null,x);
} else
{return and__3822__auto____11570;
}
})());
});
var ep2__2 = (function (x,y){
return cljs.core.boolean$.call(null,(function (){var and__3822__auto____11574 = p1.call(null,x);
if(cljs.core.truth_(and__3822__auto____11574))
{var and__3822__auto____11576 = p1.call(null,y);
if(cljs.core.truth_(and__3822__auto____11576))
{var and__3822__auto____11578 = p2.call(null,x);
if(cljs.core.truth_(and__3822__auto____11578))
{return p2.call(null,y);
} else
{return and__3822__auto____11578;
}
} else
{return and__3822__auto____11576;
}
} else
{return and__3822__auto____11574;
}
})());
});
var ep2__3 = (function (x,y,z){
return cljs.core.boolean$.call(null,(function (){var and__3822__auto____11579 = p1.call(null,x);
if(cljs.core.truth_(and__3822__auto____11579))
{var and__3822__auto____11580 = p1.call(null,y);
if(cljs.core.truth_(and__3822__auto____11580))
{var and__3822__auto____11581 = p1.call(null,z);
if(cljs.core.truth_(and__3822__auto____11581))
{var and__3822__auto____11582 = p2.call(null,x);
if(cljs.core.truth_(and__3822__auto____11582))
{var and__3822__auto____11583 = p2.call(null,y);
if(cljs.core.truth_(and__3822__auto____11583))
{return p2.call(null,z);
} else
{return and__3822__auto____11583;
}
} else
{return and__3822__auto____11582;
}
} else
{return and__3822__auto____11581;
}
} else
{return and__3822__auto____11580;
}
} else
{return and__3822__auto____11579;
}
})());
});
var ep2__4 = (function() { 
var G__11649__delegate = function (x,y,z,args){
return cljs.core.boolean$.call(null,(function (){var and__3822__auto____11584 = ep2.call(null,x,y,z);
if(cljs.core.truth_(and__3822__auto____11584))
{return cljs.core.every_QMARK_.call(null,(function (p1__11411_SHARP_){
var and__3822__auto____11585 = p1.call(null,p1__11411_SHARP_);
if(cljs.core.truth_(and__3822__auto____11585))
{return p2.call(null,p1__11411_SHARP_);
} else
{return and__3822__auto____11585;
}
}),args);
} else
{return and__3822__auto____11584;
}
})());
};
var G__11649 = function (x,y,z,var_args){
var args = null;
if (goog.isDef(var_args)) {
  args = cljs.core.array_seq(Array.prototype.slice.call(arguments, 3),0);
} 
return G__11649__delegate.call(this, x, y, z, args);
};
G__11649.cljs$lang$maxFixedArity = 3;
G__11649.cljs$lang$applyTo = (function (arglist__11650){
var x = cljs.core.first(arglist__11650);
var y = cljs.core.first(cljs.core.next(arglist__11650));
var z = cljs.core.first(cljs.core.next(cljs.core.next(arglist__11650)));
var args = cljs.core.rest(cljs.core.next(cljs.core.next(arglist__11650)));
return G__11649__delegate(x, y, z, args);
});
G__11649.cljs$lang$arity$variadic = G__11649__delegate;
return G__11649;
})()
;
ep2 = function(x,y,z,var_args){
var args = var_args;
switch(arguments.length){
case 0:
return ep2__0.call(this);
case 1:
return ep2__1.call(this,x);
case 2:
return ep2__2.call(this,x,y);
case 3:
return ep2__3.call(this,x,y,z);
default:
return ep2__4.cljs$lang$arity$variadic(x,y,z, cljs.core.array_seq(arguments, 3));
}
throw('Invalid arity: ' + arguments.length);
};
ep2.cljs$lang$maxFixedArity = 3;
ep2.cljs$lang$applyTo = ep2__4.cljs$lang$applyTo;
ep2.cljs$lang$arity$0 = ep2__0;
ep2.cljs$lang$arity$1 = ep2__1;
ep2.cljs$lang$arity$2 = ep2__2;
ep2.cljs$lang$arity$3 = ep2__3;
ep2.cljs$lang$arity$variadic = ep2__4.cljs$lang$arity$variadic;
return ep2;
})()
});
var every_pred__3 = (function (p1,p2,p3){
return (function() {
var ep3 = null;
var ep3__0 = (function (){
return true;
});
var ep3__1 = (function (x){
return cljs.core.boolean$.call(null,(function (){var and__3822__auto____11610 = p1.call(null,x);
if(cljs.core.truth_(and__3822__auto____11610))
{var and__3822__auto____11611 = p2.call(null,x);
if(cljs.core.truth_(and__3822__auto____11611))
{return p3.call(null,x);
} else
{return and__3822__auto____11611;
}
} else
{return and__3822__auto____11610;
}
})());
});
var ep3__2 = (function (x,y){
return cljs.core.boolean$.call(null,(function (){var and__3822__auto____11613 = p1.call(null,x);
if(cljs.core.truth_(and__3822__auto____11613))
{var and__3822__auto____11614 = p2.call(null,x);
if(cljs.core.truth_(and__3822__auto____11614))
{var and__3822__auto____11615 = p3.call(null,x);
if(cljs.core.truth_(and__3822__auto____11615))
{var and__3822__auto____11616 = p1.call(null,y);
if(cljs.core.truth_(and__3822__auto____11616))
{var and__3822__auto____11617 = p2.call(null,y);
if(cljs.core.truth_(and__3822__auto____11617))
{return p3.call(null,y);
} else
{return and__3822__auto____11617;
}
} else
{return and__3822__auto____11616;
}
} else
{return and__3822__auto____11615;
}
} else
{return and__3822__auto____11614;
}
} else
{return and__3822__auto____11613;
}
})());
});
var ep3__3 = (function (x,y,z){
return cljs.core.boolean$.call(null,(function (){var and__3822__auto____11619 = p1.call(null,x);
if(cljs.core.truth_(and__3822__auto____11619))
{var and__3822__auto____11620 = p2.call(null,x);
if(cljs.core.truth_(and__3822__auto____11620))
{var and__3822__auto____11621 = p3.call(null,x);
if(cljs.core.truth_(and__3822__auto____11621))
{var and__3822__auto____11622 = p1.call(null,y);
if(cljs.core.truth_(and__3822__auto____11622))
{var and__3822__auto____11623 = p2.call(null,y);
if(cljs.core.truth_(and__3822__auto____11623))
{var and__3822__auto____11624 = p3.call(null,y);
if(cljs.core.truth_(and__3822__auto____11624))
{var and__3822__auto____11625 = p1.call(null,z);
if(cljs.core.truth_(and__3822__auto____11625))
{var and__3822__auto____11626 = p2.call(null,z);
if(cljs.core.truth_(and__3822__auto____11626))
{return p3.call(null,z);
} else
{return and__3822__auto____11626;
}
} else
{return and__3822__auto____11625;
}
} else
{return and__3822__auto____11624;
}
} else
{return and__3822__auto____11623;
}
} else
{return and__3822__auto____11622;
}
} else
{return and__3822__auto____11621;
}
} else
{return and__3822__auto____11620;
}
} else
{return and__3822__auto____11619;
}
})());
});
var ep3__4 = (function() { 
var G__11651__delegate = function (x,y,z,args){
return cljs.core.boolean$.call(null,(function (){var and__3822__auto____11627 = ep3.call(null,x,y,z);
if(cljs.core.truth_(and__3822__auto____11627))
{return cljs.core.every_QMARK_.call(null,(function (p1__11412_SHARP_){
var and__3822__auto____11628 = p1.call(null,p1__11412_SHARP_);
if(cljs.core.truth_(and__3822__auto____11628))
{var and__3822__auto____11629 = p2.call(null,p1__11412_SHARP_);
if(cljs.core.truth_(and__3822__auto____11629))
{return p3.call(null,p1__11412_SHARP_);
} else
{return and__3822__auto____11629;
}
} else
{return and__3822__auto____11628;
}
}),args);
} else
{return and__3822__auto____11627;
}
})());
};
var G__11651 = function (x,y,z,var_args){
var args = null;
if (goog.isDef(var_args)) {
  args = cljs.core.array_seq(Array.prototype.slice.call(arguments, 3),0);
} 
return G__11651__delegate.call(this, x, y, z, args);
};
G__11651.cljs$lang$maxFixedArity = 3;
G__11651.cljs$lang$applyTo = (function (arglist__11652){
var x = cljs.core.first(arglist__11652);
var y = cljs.core.first(cljs.core.next(arglist__11652));
var z = cljs.core.first(cljs.core.next(cljs.core.next(arglist__11652)));
var args = cljs.core.rest(cljs.core.next(cljs.core.next(arglist__11652)));
return G__11651__delegate(x, y, z, args);
});
G__11651.cljs$lang$arity$variadic = G__11651__delegate;
return G__11651;
})()
;
ep3 = function(x,y,z,var_args){
var args = var_args;
switch(arguments.length){
case 0:
return ep3__0.call(this);
case 1:
return ep3__1.call(this,x);
case 2:
return ep3__2.call(this,x,y);
case 3:
return ep3__3.call(this,x,y,z);
default:
return ep3__4.cljs$lang$arity$variadic(x,y,z, cljs.core.array_seq(arguments, 3));
}
throw('Invalid arity: ' + arguments.length);
};
ep3.cljs$lang$maxFixedArity = 3;
ep3.cljs$lang$applyTo = ep3__4.cljs$lang$applyTo;
ep3.cljs$lang$arity$0 = ep3__0;
ep3.cljs$lang$arity$1 = ep3__1;
ep3.cljs$lang$arity$2 = ep3__2;
ep3.cljs$lang$arity$3 = ep3__3;
ep3.cljs$lang$arity$variadic = ep3__4.cljs$lang$arity$variadic;
return ep3;
})()
});
var every_pred__4 = (function() { 
var G__11653__delegate = function (p1,p2,p3,ps){
var ps__11630 = cljs.core.list_STAR_.call(null,p1,p2,p3,ps);
return (function() {
var epn = null;
var epn__0 = (function (){
return true;
});
var epn__1 = (function (x){
return cljs.core.every_QMARK_.call(null,(function (p1__11413_SHARP_){
return p1__11413_SHARP_.call(null,x);
}),ps__11630);
});
var epn__2 = (function (x,y){
return cljs.core.every_QMARK_.call(null,(function (p1__11414_SHARP_){
var and__3822__auto____11635 = p1__11414_SHARP_.call(null,x);
if(cljs.core.truth_(and__3822__auto____11635))
{return p1__11414_SHARP_.call(null,y);
} else
{return and__3822__auto____11635;
}
}),ps__11630);
});
var epn__3 = (function (x,y,z){
return cljs.core.every_QMARK_.call(null,(function (p1__11415_SHARP_){
var and__3822__auto____11636 = p1__11415_SHARP_.call(null,x);
if(cljs.core.truth_(and__3822__auto____11636))
{var and__3822__auto____11637 = p1__11415_SHARP_.call(null,y);
if(cljs.core.truth_(and__3822__auto____11637))
{return p1__11415_SHARP_.call(null,z);
} else
{return and__3822__auto____11637;
}
} else
{return and__3822__auto____11636;
}
}),ps__11630);
});
var epn__4 = (function() { 
var G__11654__delegate = function (x,y,z,args){
return cljs.core.boolean$.call(null,(function (){var and__3822__auto____11638 = epn.call(null,x,y,z);
if(cljs.core.truth_(and__3822__auto____11638))
{return cljs.core.every_QMARK_.call(null,(function (p1__11416_SHARP_){
return cljs.core.every_QMARK_.call(null,p1__11416_SHARP_,args);
}),ps__11630);
} else
{return and__3822__auto____11638;
}
})());
};
var G__11654 = function (x,y,z,var_args){
var args = null;
if (goog.isDef(var_args)) {
  args = cljs.core.array_seq(Array.prototype.slice.call(arguments, 3),0);
} 
return G__11654__delegate.call(this, x, y, z, args);
};
G__11654.cljs$lang$maxFixedArity = 3;
G__11654.cljs$lang$applyTo = (function (arglist__11655){
var x = cljs.core.first(arglist__11655);
var y = cljs.core.first(cljs.core.next(arglist__11655));
var z = cljs.core.first(cljs.core.next(cljs.core.next(arglist__11655)));
var args = cljs.core.rest(cljs.core.next(cljs.core.next(arglist__11655)));
return G__11654__delegate(x, y, z, args);
});
G__11654.cljs$lang$arity$variadic = G__11654__delegate;
return G__11654;
})()
;
epn = function(x,y,z,var_args){
var args = var_args;
switch(arguments.length){
case 0:
return epn__0.call(this);
case 1:
return epn__1.call(this,x);
case 2:
return epn__2.call(this,x,y);
case 3:
return epn__3.call(this,x,y,z);
default:
return epn__4.cljs$lang$arity$variadic(x,y,z, cljs.core.array_seq(arguments, 3));
}
throw('Invalid arity: ' + arguments.length);
};
epn.cljs$lang$maxFixedArity = 3;
epn.cljs$lang$applyTo = epn__4.cljs$lang$applyTo;
epn.cljs$lang$arity$0 = epn__0;
epn.cljs$lang$arity$1 = epn__1;
epn.cljs$lang$arity$2 = epn__2;
epn.cljs$lang$arity$3 = epn__3;
epn.cljs$lang$arity$variadic = epn__4.cljs$lang$arity$variadic;
return epn;
})()
};
var G__11653 = function (p1,p2,p3,var_args){
var ps = null;
if (goog.isDef(var_args)) {
  ps = cljs.core.array_seq(Array.prototype.slice.call(arguments, 3),0);
} 
return G__11653__delegate.call(this, p1, p2, p3, ps);
};
G__11653.cljs$lang$maxFixedArity = 3;
G__11653.cljs$lang$applyTo = (function (arglist__11656){
var p1 = cljs.core.first(arglist__11656);
var p2 = cljs.core.first(cljs.core.next(arglist__11656));
var p3 = cljs.core.first(cljs.core.next(cljs.core.next(arglist__11656)));
var ps = cljs.core.rest(cljs.core.next(cljs.core.next(arglist__11656)));
return G__11653__delegate(p1, p2, p3, ps);
});
G__11653.cljs$lang$arity$variadic = G__11653__delegate;
return G__11653;
})()
;
every_pred = function(p1,p2,p3,var_args){
var ps = var_args;
switch(arguments.length){
case 1:
return every_pred__1.call(this,p1);
case 2:
return every_pred__2.call(this,p1,p2);
case 3:
return every_pred__3.call(this,p1,p2,p3);
default:
return every_pred__4.cljs$lang$arity$variadic(p1,p2,p3, cljs.core.array_seq(arguments, 3));
}
throw('Invalid arity: ' + arguments.length);
};
every_pred.cljs$lang$maxFixedArity = 3;
every_pred.cljs$lang$applyTo = every_pred__4.cljs$lang$applyTo;
every_pred.cljs$lang$arity$1 = every_pred__1;
every_pred.cljs$lang$arity$2 = every_pred__2;
every_pred.cljs$lang$arity$3 = every_pred__3;
every_pred.cljs$lang$arity$variadic = every_pred__4.cljs$lang$arity$variadic;
return every_pred;
})()
;
/**
* Takes a set of predicates and returns a function f that returns the first logical true value
* returned by one of its composing predicates against any of its arguments, else it returns
* logical false. Note that f is short-circuiting in that it will stop execution on the first
* argument that triggers a logical true result against the original predicates.
* @param {...*} var_args
*/
cljs.core.some_fn = (function() {
var some_fn = null;
var some_fn__1 = (function (p){
return (function() {
var sp1 = null;
var sp1__0 = (function (){
return null;
});
var sp1__1 = (function (x){
return p.call(null,x);
});
var sp1__2 = (function (x,y){
var or__3824__auto____11743 = p.call(null,x);
if(or__3824__auto____11743)
{return or__3824__auto____11743;
} else
{return p.call(null,y);
}
});
var sp1__3 = (function (x,y,z){
var or__3824__auto____11745 = p.call(null,x);
if(or__3824__auto____11745)
{return or__3824__auto____11745;
} else
{var or__3824__auto____11746 = p.call(null,y);
if(or__3824__auto____11746)
{return or__3824__auto____11746;
} else
{return p.call(null,z);
}
}
});
var sp1__4 = (function() { 
var G__11890__delegate = function (x,y,z,args){
var or__3824__auto____11748 = sp1.call(null,x,y,z);
if(or__3824__auto____11748)
{return or__3824__auto____11748;
} else
{return cljs.core.some.call(null,p,args);
}
};
var G__11890 = function (x,y,z,var_args){
var args = null;
if (goog.isDef(var_args)) {
  args = cljs.core.array_seq(Array.prototype.slice.call(arguments, 3),0);
} 
return G__11890__delegate.call(this, x, y, z, args);
};
G__11890.cljs$lang$maxFixedArity = 3;
G__11890.cljs$lang$applyTo = (function (arglist__11899){
var x = cljs.core.first(arglist__11899);
var y = cljs.core.first(cljs.core.next(arglist__11899));
var z = cljs.core.first(cljs.core.next(cljs.core.next(arglist__11899)));
var args = cljs.core.rest(cljs.core.next(cljs.core.next(arglist__11899)));
return G__11890__delegate(x, y, z, args);
});
G__11890.cljs$lang$arity$variadic = G__11890__delegate;
return G__11890;
})()
;
sp1 = function(x,y,z,var_args){
var args = var_args;
switch(arguments.length){
case 0:
return sp1__0.call(this);
case 1:
return sp1__1.call(this,x);
case 2:
return sp1__2.call(this,x,y);
case 3:
return sp1__3.call(this,x,y,z);
default:
return sp1__4.cljs$lang$arity$variadic(x,y,z, cljs.core.array_seq(arguments, 3));
}
throw('Invalid arity: ' + arguments.length);
};
sp1.cljs$lang$maxFixedArity = 3;
sp1.cljs$lang$applyTo = sp1__4.cljs$lang$applyTo;
sp1.cljs$lang$arity$0 = sp1__0;
sp1.cljs$lang$arity$1 = sp1__1;
sp1.cljs$lang$arity$2 = sp1__2;
sp1.cljs$lang$arity$3 = sp1__3;
sp1.cljs$lang$arity$variadic = sp1__4.cljs$lang$arity$variadic;
return sp1;
})()
});
var some_fn__2 = (function (p1,p2){
return (function() {
var sp2 = null;
var sp2__0 = (function (){
return null;
});
var sp2__1 = (function (x){
var or__3824__auto____11768 = p1.call(null,x);
if(or__3824__auto____11768)
{return or__3824__auto____11768;
} else
{return p2.call(null,x);
}
});
var sp2__2 = (function (x,y){
var or__3824__auto____11770 = p1.call(null,x);
if(or__3824__auto____11770)
{return or__3824__auto____11770;
} else
{var or__3824__auto____11771 = p1.call(null,y);
if(or__3824__auto____11771)
{return or__3824__auto____11771;
} else
{var or__3824__auto____11772 = p2.call(null,x);
if(or__3824__auto____11772)
{return or__3824__auto____11772;
} else
{return p2.call(null,y);
}
}
}
});
var sp2__3 = (function (x,y,z){
var or__3824__auto____11795 = p1.call(null,x);
if(or__3824__auto____11795)
{return or__3824__auto____11795;
} else
{var or__3824__auto____11796 = p1.call(null,y);
if(or__3824__auto____11796)
{return or__3824__auto____11796;
} else
{var or__3824__auto____11798 = p1.call(null,z);
if(or__3824__auto____11798)
{return or__3824__auto____11798;
} else
{var or__3824__auto____11800 = p2.call(null,x);
if(or__3824__auto____11800)
{return or__3824__auto____11800;
} else
{var or__3824__auto____11801 = p2.call(null,y);
if(or__3824__auto____11801)
{return or__3824__auto____11801;
} else
{return p2.call(null,z);
}
}
}
}
}
});
var sp2__4 = (function() { 
var G__11935__delegate = function (x,y,z,args){
var or__3824__auto____11803 = sp2.call(null,x,y,z);
if(or__3824__auto____11803)
{return or__3824__auto____11803;
} else
{return cljs.core.some.call(null,(function (p1__11460_SHARP_){
var or__3824__auto____11805 = p1.call(null,p1__11460_SHARP_);
if(or__3824__auto____11805)
{return or__3824__auto____11805;
} else
{return p2.call(null,p1__11460_SHARP_);
}
}),args);
}
};
var G__11935 = function (x,y,z,var_args){
var args = null;
if (goog.isDef(var_args)) {
  args = cljs.core.array_seq(Array.prototype.slice.call(arguments, 3),0);
} 
return G__11935__delegate.call(this, x, y, z, args);
};
G__11935.cljs$lang$maxFixedArity = 3;
G__11935.cljs$lang$applyTo = (function (arglist__11939){
var x = cljs.core.first(arglist__11939);
var y = cljs.core.first(cljs.core.next(arglist__11939));
var z = cljs.core.first(cljs.core.next(cljs.core.next(arglist__11939)));
var args = cljs.core.rest(cljs.core.next(cljs.core.next(arglist__11939)));
return G__11935__delegate(x, y, z, args);
});
G__11935.cljs$lang$arity$variadic = G__11935__delegate;
return G__11935;
})()
;
sp2 = function(x,y,z,var_args){
var args = var_args;
switch(arguments.length){
case 0:
return sp2__0.call(this);
case 1:
return sp2__1.call(this,x);
case 2:
return sp2__2.call(this,x,y);
case 3:
return sp2__3.call(this,x,y,z);
default:
return sp2__4.cljs$lang$arity$variadic(x,y,z, cljs.core.array_seq(arguments, 3));
}
throw('Invalid arity: ' + arguments.length);
};
sp2.cljs$lang$maxFixedArity = 3;
sp2.cljs$lang$applyTo = sp2__4.cljs$lang$applyTo;
sp2.cljs$lang$arity$0 = sp2__0;
sp2.cljs$lang$arity$1 = sp2__1;
sp2.cljs$lang$arity$2 = sp2__2;
sp2.cljs$lang$arity$3 = sp2__3;
sp2.cljs$lang$arity$variadic = sp2__4.cljs$lang$arity$variadic;
return sp2;
})()
});
var some_fn__3 = (function (p1,p2,p3){
return (function() {
var sp3 = null;
var sp3__0 = (function (){
return null;
});
var sp3__1 = (function (x){
var or__3824__auto____11835 = p1.call(null,x);
if(or__3824__auto____11835)
{return or__3824__auto____11835;
} else
{var or__3824__auto____11837 = p2.call(null,x);
if(or__3824__auto____11837)
{return or__3824__auto____11837;
} else
{return p3.call(null,x);
}
}
});
var sp3__2 = (function (x,y){
var or__3824__auto____11839 = p1.call(null,x);
if(or__3824__auto____11839)
{return or__3824__auto____11839;
} else
{var or__3824__auto____11840 = p2.call(null,x);
if(or__3824__auto____11840)
{return or__3824__auto____11840;
} else
{var or__3824__auto____11841 = p3.call(null,x);
if(or__3824__auto____11841)
{return or__3824__auto____11841;
} else
{var or__3824__auto____11843 = p1.call(null,y);
if(or__3824__auto____11843)
{return or__3824__auto____11843;
} else
{var or__3824__auto____11844 = p2.call(null,y);
if(or__3824__auto____11844)
{return or__3824__auto____11844;
} else
{return p3.call(null,y);
}
}
}
}
}
});
var sp3__3 = (function (x,y,z){
var or__3824__auto____11846 = p1.call(null,x);
if(or__3824__auto____11846)
{return or__3824__auto____11846;
} else
{var or__3824__auto____11848 = p2.call(null,x);
if(or__3824__auto____11848)
{return or__3824__auto____11848;
} else
{var or__3824__auto____11849 = p3.call(null,x);
if(or__3824__auto____11849)
{return or__3824__auto____11849;
} else
{var or__3824__auto____11850 = p1.call(null,y);
if(or__3824__auto____11850)
{return or__3824__auto____11850;
} else
{var or__3824__auto____11852 = p2.call(null,y);
if(or__3824__auto____11852)
{return or__3824__auto____11852;
} else
{var or__3824__auto____11853 = p3.call(null,y);
if(or__3824__auto____11853)
{return or__3824__auto____11853;
} else
{var or__3824__auto____11855 = p1.call(null,z);
if(or__3824__auto____11855)
{return or__3824__auto____11855;
} else
{var or__3824__auto____11856 = p2.call(null,z);
if(or__3824__auto____11856)
{return or__3824__auto____11856;
} else
{return p3.call(null,z);
}
}
}
}
}
}
}
}
});
var sp3__4 = (function() { 
var G__11940__delegate = function (x,y,z,args){
var or__3824__auto____11858 = sp3.call(null,x,y,z);
if(or__3824__auto____11858)
{return or__3824__auto____11858;
} else
{return cljs.core.some.call(null,(function (p1__11461_SHARP_){
var or__3824__auto____11860 = p1.call(null,p1__11461_SHARP_);
if(or__3824__auto____11860)
{return or__3824__auto____11860;
} else
{var or__3824__auto____11861 = p2.call(null,p1__11461_SHARP_);
if(or__3824__auto____11861)
{return or__3824__auto____11861;
} else
{return p3.call(null,p1__11461_SHARP_);
}
}
}),args);
}
};
var G__11940 = function (x,y,z,var_args){
var args = null;
if (goog.isDef(var_args)) {
  args = cljs.core.array_seq(Array.prototype.slice.call(arguments, 3),0);
} 
return G__11940__delegate.call(this, x, y, z, args);
};
G__11940.cljs$lang$maxFixedArity = 3;
G__11940.cljs$lang$applyTo = (function (arglist__11941){
var x = cljs.core.first(arglist__11941);
var y = cljs.core.first(cljs.core.next(arglist__11941));
var z = cljs.core.first(cljs.core.next(cljs.core.next(arglist__11941)));
var args = cljs.core.rest(cljs.core.next(cljs.core.next(arglist__11941)));
return G__11940__delegate(x, y, z, args);
});
G__11940.cljs$lang$arity$variadic = G__11940__delegate;
return G__11940;
})()
;
sp3 = function(x,y,z,var_args){
var args = var_args;
switch(arguments.length){
case 0:
return sp3__0.call(this);
case 1:
return sp3__1.call(this,x);
case 2:
return sp3__2.call(this,x,y);
case 3:
return sp3__3.call(this,x,y,z);
default:
return sp3__4.cljs$lang$arity$variadic(x,y,z, cljs.core.array_seq(arguments, 3));
}
throw('Invalid arity: ' + arguments.length);
};
sp3.cljs$lang$maxFixedArity = 3;
sp3.cljs$lang$applyTo = sp3__4.cljs$lang$applyTo;
sp3.cljs$lang$arity$0 = sp3__0;
sp3.cljs$lang$arity$1 = sp3__1;
sp3.cljs$lang$arity$2 = sp3__2;
sp3.cljs$lang$arity$3 = sp3__3;
sp3.cljs$lang$arity$variadic = sp3__4.cljs$lang$arity$variadic;
return sp3;
})()
});
var some_fn__4 = (function() { 
var G__11942__delegate = function (p1,p2,p3,ps){
var ps__11864 = cljs.core.list_STAR_.call(null,p1,p2,p3,ps);
return (function() {
var spn = null;
var spn__0 = (function (){
return null;
});
var spn__1 = (function (x){
return cljs.core.some.call(null,(function (p1__11462_SHARP_){
return p1__11462_SHARP_.call(null,x);
}),ps__11864);
});
var spn__2 = (function (x,y){
return cljs.core.some.call(null,(function (p1__11463_SHARP_){
var or__3824__auto____11876 = p1__11463_SHARP_.call(null,x);
if(or__3824__auto____11876)
{return or__3824__auto____11876;
} else
{return p1__11463_SHARP_.call(null,y);
}
}),ps__11864);
});
var spn__3 = (function (x,y,z){
return cljs.core.some.call(null,(function (p1__11464_SHARP_){
var or__3824__auto____11878 = p1__11464_SHARP_.call(null,x);
if(or__3824__auto____11878)
{return or__3824__auto____11878;
} else
{var or__3824__auto____11880 = p1__11464_SHARP_.call(null,y);
if(or__3824__auto____11880)
{return or__3824__auto____11880;
} else
{return p1__11464_SHARP_.call(null,z);
}
}
}),ps__11864);
});
var spn__4 = (function() { 
var G__11943__delegate = function (x,y,z,args){
var or__3824__auto____11882 = spn.call(null,x,y,z);
if(or__3824__auto____11882)
{return or__3824__auto____11882;
} else
{return cljs.core.some.call(null,(function (p1__11465_SHARP_){
return cljs.core.some.call(null,p1__11465_SHARP_,args);
}),ps__11864);
}
};
var G__11943 = function (x,y,z,var_args){
var args = null;
if (goog.isDef(var_args)) {
  args = cljs.core.array_seq(Array.prototype.slice.call(arguments, 3),0);
} 
return G__11943__delegate.call(this, x, y, z, args);
};
G__11943.cljs$lang$maxFixedArity = 3;
G__11943.cljs$lang$applyTo = (function (arglist__11944){
var x = cljs.core.first(arglist__11944);
var y = cljs.core.first(cljs.core.next(arglist__11944));
var z = cljs.core.first(cljs.core.next(cljs.core.next(arglist__11944)));
var args = cljs.core.rest(cljs.core.next(cljs.core.next(arglist__11944)));
return G__11943__delegate(x, y, z, args);
});
G__11943.cljs$lang$arity$variadic = G__11943__delegate;
return G__11943;
})()
;
spn = function(x,y,z,var_args){
var args = var_args;
switch(arguments.length){
case 0:
return spn__0.call(this);
case 1:
return spn__1.call(this,x);
case 2:
return spn__2.call(this,x,y);
case 3:
return spn__3.call(this,x,y,z);
default:
return spn__4.cljs$lang$arity$variadic(x,y,z, cljs.core.array_seq(arguments, 3));
}
throw('Invalid arity: ' + arguments.length);
};
spn.cljs$lang$maxFixedArity = 3;
spn.cljs$lang$applyTo = spn__4.cljs$lang$applyTo;
spn.cljs$lang$arity$0 = spn__0;
spn.cljs$lang$arity$1 = spn__1;
spn.cljs$lang$arity$2 = spn__2;
spn.cljs$lang$arity$3 = spn__3;
spn.cljs$lang$arity$variadic = spn__4.cljs$lang$arity$variadic;
return spn;
})()
};
var G__11942 = function (p1,p2,p3,var_args){
var ps = null;
if (goog.isDef(var_args)) {
  ps = cljs.core.array_seq(Array.prototype.slice.call(arguments, 3),0);
} 
return G__11942__delegate.call(this, p1, p2, p3, ps);
};
G__11942.cljs$lang$maxFixedArity = 3;
G__11942.cljs$lang$applyTo = (function (arglist__11945){
var p1 = cljs.core.first(arglist__11945);
var p2 = cljs.core.first(cljs.core.next(arglist__11945));
var p3 = cljs.core.first(cljs.core.next(cljs.core.next(arglist__11945)));
var ps = cljs.core.rest(cljs.core.next(cljs.core.next(arglist__11945)));
return G__11942__delegate(p1, p2, p3, ps);
});
G__11942.cljs$lang$arity$variadic = G__11942__delegate;
return G__11942;
})()
;
some_fn = function(p1,p2,p3,var_args){
var ps = var_args;
switch(arguments.length){
case 1:
return some_fn__1.call(this,p1);
case 2:
return some_fn__2.call(this,p1,p2);
case 3:
return some_fn__3.call(this,p1,p2,p3);
default:
return some_fn__4.cljs$lang$arity$variadic(p1,p2,p3, cljs.core.array_seq(arguments, 3));
}
throw('Invalid arity: ' + arguments.length);
};
some_fn.cljs$lang$maxFixedArity = 3;
some_fn.cljs$lang$applyTo = some_fn__4.cljs$lang$applyTo;
some_fn.cljs$lang$arity$1 = some_fn__1;
some_fn.cljs$lang$arity$2 = some_fn__2;
some_fn.cljs$lang$arity$3 = some_fn__3;
some_fn.cljs$lang$arity$variadic = some_fn__4.cljs$lang$arity$variadic;
return some_fn;
})()
;
/**
* Returns a lazy sequence consisting of the result of applying f to the
* set of first items of each coll, followed by applying f to the set
* of second items in each coll, until any one of the colls is
* exhausted.  Any remaining items in other colls are ignored. Function
* f should accept number-of-colls arguments.
* @param {...*} var_args
*/
cljs.core.map = (function() {
var map = null;
var map__2 = (function (f,coll){
return (new cljs.core.LazySeq(null,false,(function (){
var temp__3974__auto____11964 = cljs.core.seq.call(null,coll);
if(temp__3974__auto____11964)
{var s__11965 = temp__3974__auto____11964;
if(cljs.core.chunked_seq_QMARK_.call(null,s__11965))
{var c__11966 = cljs.core.chunk_first.call(null,s__11965);
var size__11967 = cljs.core.count.call(null,c__11966);
var b__11968 = cljs.core.chunk_buffer.call(null,size__11967);
var n__4904__auto____11969 = size__11967;
var i__11970 = 0;
while(true){
if((i__11970 < n__4904__auto____11969))
{cljs.core.chunk_append.call(null,b__11968,f.call(null,cljs.core._nth.call(null,c__11966,i__11970)));
{
var G__11982 = (i__11970 + 1);
i__11970 = G__11982;
continue;
}
} else
{}
break;
}
return cljs.core.chunk_cons.call(null,cljs.core.chunk.call(null,b__11968),map.call(null,f,cljs.core.chunk_rest.call(null,s__11965)));
} else
{return cljs.core.cons.call(null,f.call(null,cljs.core.first.call(null,s__11965)),map.call(null,f,cljs.core.rest.call(null,s__11965)));
}
} else
{return null;
}
}),null));
});
var map__3 = (function (f,c1,c2){
return (new cljs.core.LazySeq(null,false,(function (){
var s1__11971 = cljs.core.seq.call(null,c1);
var s2__11972 = cljs.core.seq.call(null,c2);
if((function (){var and__3822__auto____11973 = s1__11971;
if(and__3822__auto____11973)
{return s2__11972;
} else
{return and__3822__auto____11973;
}
})())
{return cljs.core.cons.call(null,f.call(null,cljs.core.first.call(null,s1__11971),cljs.core.first.call(null,s2__11972)),map.call(null,f,cljs.core.rest.call(null,s1__11971),cljs.core.rest.call(null,s2__11972)));
} else
{return null;
}
}),null));
});
var map__4 = (function (f,c1,c2,c3){
return (new cljs.core.LazySeq(null,false,(function (){
var s1__11974 = cljs.core.seq.call(null,c1);
var s2__11975 = cljs.core.seq.call(null,c2);
var s3__11976 = cljs.core.seq.call(null,c3);
if((function (){var and__3822__auto____11977 = s1__11974;
if(and__3822__auto____11977)
{var and__3822__auto____11978 = s2__11975;
if(and__3822__auto____11978)
{return s3__11976;
} else
{return and__3822__auto____11978;
}
} else
{return and__3822__auto____11977;
}
})())
{return cljs.core.cons.call(null,f.call(null,cljs.core.first.call(null,s1__11974),cljs.core.first.call(null,s2__11975),cljs.core.first.call(null,s3__11976)),map.call(null,f,cljs.core.rest.call(null,s1__11974),cljs.core.rest.call(null,s2__11975),cljs.core.rest.call(null,s3__11976)));
} else
{return null;
}
}),null));
});
var map__5 = (function() { 
var G__11983__delegate = function (f,c1,c2,c3,colls){
var step__11981 = (function step(cs){
return (new cljs.core.LazySeq(null,false,(function (){
var ss__11980 = map.call(null,cljs.core.seq,cs);
if(cljs.core.every_QMARK_.call(null,cljs.core.identity,ss__11980))
{return cljs.core.cons.call(null,map.call(null,cljs.core.first,ss__11980),step.call(null,map.call(null,cljs.core.rest,ss__11980)));
} else
{return null;
}
}),null));
});
return map.call(null,(function (p1__11657_SHARP_){
return cljs.core.apply.call(null,f,p1__11657_SHARP_);
}),step__11981.call(null,cljs.core.conj.call(null,colls,c3,c2,c1)));
};
var G__11983 = function (f,c1,c2,c3,var_args){
var colls = null;
if (goog.isDef(var_args)) {
  colls = cljs.core.array_seq(Array.prototype.slice.call(arguments, 4),0);
} 
return G__11983__delegate.call(this, f, c1, c2, c3, colls);
};
G__11983.cljs$lang$maxFixedArity = 4;
G__11983.cljs$lang$applyTo = (function (arglist__11984){
var f = cljs.core.first(arglist__11984);
var c1 = cljs.core.first(cljs.core.next(arglist__11984));
var c2 = cljs.core.first(cljs.core.next(cljs.core.next(arglist__11984)));
var c3 = cljs.core.first(cljs.core.next(cljs.core.next(cljs.core.next(arglist__11984))));
var colls = cljs.core.rest(cljs.core.next(cljs.core.next(cljs.core.next(arglist__11984))));
return G__11983__delegate(f, c1, c2, c3, colls);
});
G__11983.cljs$lang$arity$variadic = G__11983__delegate;
return G__11983;
})()
;
map = function(f,c1,c2,c3,var_args){
var colls = var_args;
switch(arguments.length){
case 2:
return map__2.call(this,f,c1);
case 3:
return map__3.call(this,f,c1,c2);
case 4:
return map__4.call(this,f,c1,c2,c3);
default:
return map__5.cljs$lang$arity$variadic(f,c1,c2,c3, cljs.core.array_seq(arguments, 4));
}
throw('Invalid arity: ' + arguments.length);
};
map.cljs$lang$maxFixedArity = 4;
map.cljs$lang$applyTo = map__5.cljs$lang$applyTo;
map.cljs$lang$arity$2 = map__2;
map.cljs$lang$arity$3 = map__3;
map.cljs$lang$arity$4 = map__4;
map.cljs$lang$arity$variadic = map__5.cljs$lang$arity$variadic;
return map;
})()
;
/**
* Returns a lazy sequence of the first n items in coll, or all items if
* there are fewer than n.
*/
cljs.core.take = (function take(n,coll){
return (new cljs.core.LazySeq(null,false,(function (){
if((n > 0))
{var temp__3974__auto____11987 = cljs.core.seq.call(null,coll);
if(temp__3974__auto____11987)
{var s__11988 = temp__3974__auto____11987;
return cljs.core.cons.call(null,cljs.core.first.call(null,s__11988),take.call(null,(n - 1),cljs.core.rest.call(null,s__11988)));
} else
{return null;
}
} else
{return null;
}
}),null));
});
/**
* Returns a lazy sequence of all but the first n items in coll.
*/
cljs.core.drop = (function drop(n,coll){
var step__11994 = (function (n,coll){
while(true){
var s__11992 = cljs.core.seq.call(null,coll);
if(cljs.core.truth_((function (){var and__3822__auto____11993 = (n > 0);
if(and__3822__auto____11993)
{return s__11992;
} else
{return and__3822__auto____11993;
}
})()))
{{
var G__11998 = (n - 1);
var G__11999 = cljs.core.rest.call(null,s__11992);
n = G__11998;
coll = G__11999;
continue;
}
} else
{return s__11992;
}
break;
}
});
return (new cljs.core.LazySeq(null,false,(function (){
return step__11994.call(null,n,coll);
}),null));
});
/**
* Return a lazy sequence of all but the last n (default 1) items in coll
*/
cljs.core.drop_last = (function() {
var drop_last = null;
var drop_last__1 = (function (s){
return drop_last.call(null,1,s);
});
var drop_last__2 = (function (n,s){
return cljs.core.map.call(null,(function (x,_){
return x;
}),s,cljs.core.drop.call(null,n,s));
});
drop_last = function(n,s){
switch(arguments.length){
case 1:
return drop_last__1.call(this,n);
case 2:
return drop_last__2.call(this,n,s);
}
throw('Invalid arity: ' + arguments.length);
};
drop_last.cljs$lang$arity$1 = drop_last__1;
drop_last.cljs$lang$arity$2 = drop_last__2;
return drop_last;
})()
;
/**
* Returns a seq of the last n items in coll.  Depending on the type
* of coll may be no better than linear time.  For vectors, see also subvec.
*/
cljs.core.take_last = (function take_last(n,coll){
var s__12029 = cljs.core.seq.call(null,coll);
var lead__12030 = cljs.core.seq.call(null,cljs.core.drop.call(null,n,coll));
while(true){
if(lead__12030)
{{
var G__12031 = cljs.core.next.call(null,s__12029);
var G__12032 = cljs.core.next.call(null,lead__12030);
s__12029 = G__12031;
lead__12030 = G__12032;
continue;
}
} else
{return s__12029;
}
break;
}
});
/**
* Returns a lazy sequence of the items in coll starting from the first
* item for which (pred item) returns nil.
*/
cljs.core.drop_while = (function drop_while(pred,coll){
var step__12038 = (function (pred,coll){
while(true){
var s__12036 = cljs.core.seq.call(null,coll);
if(cljs.core.truth_((function (){var and__3822__auto____12037 = s__12036;
if(and__3822__auto____12037)
{return pred.call(null,cljs.core.first.call(null,s__12036));
} else
{return and__3822__auto____12037;
}
})()))
{{
var G__12045 = pred;
var G__12046 = cljs.core.rest.call(null,s__12036);
pred = G__12045;
coll = G__12046;
continue;
}
} else
{return s__12036;
}
break;
}
});
return (new cljs.core.LazySeq(null,false,(function (){
return step__12038.call(null,pred,coll);
}),null));
});
/**
* Returns a lazy (infinite!) sequence of repetitions of the items in coll.
*/
cljs.core.cycle = (function cycle(coll){
return (new cljs.core.LazySeq(null,false,(function (){
var temp__3974__auto____12061 = cljs.core.seq.call(null,coll);
if(temp__3974__auto____12061)
{var s__12063 = temp__3974__auto____12061;
return cljs.core.concat.call(null,s__12063,cycle.call(null,s__12063));
} else
{return null;
}
}),null));
});
/**
* Returns a vector of [(take n coll) (drop n coll)]
*/
cljs.core.split_at = (function split_at(n,coll){
return cljs.core.PersistentVector.fromArray([cljs.core.take.call(null,n,coll),cljs.core.drop.call(null,n,coll)], true);
});
/**
* Returns a lazy (infinite!, or length n if supplied) sequence of xs.
*/
cljs.core.repeat = (function() {
var repeat = null;
var repeat__1 = (function (x){
return (new cljs.core.LazySeq(null,false,(function (){
return cljs.core.cons.call(null,x,repeat.call(null,x));
}),null));
});
var repeat__2 = (function (n,x){
return cljs.core.take.call(null,n,repeat.call(null,x));
});
repeat = function(n,x){
switch(arguments.length){
case 1:
return repeat__1.call(this,n);
case 2:
return repeat__2.call(this,n,x);
}
throw('Invalid arity: ' + arguments.length);
};
repeat.cljs$lang$arity$1 = repeat__1;
repeat.cljs$lang$arity$2 = repeat__2;
return repeat;
})()
;
/**
* Returns a lazy seq of n xs.
*/
cljs.core.replicate = (function replicate(n,x){
return cljs.core.take.call(null,n,cljs.core.repeat.call(null,x));
});
/**
* Takes a function of no args, presumably with side effects, and
* returns an infinite (or length n if supplied) lazy sequence of calls
* to it
*/
cljs.core.repeatedly = (function() {
var repeatedly = null;
var repeatedly__1 = (function (f){
return (new cljs.core.LazySeq(null,false,(function (){
return cljs.core.cons.call(null,f.call(null),repeatedly.call(null,f));
}),null));
});
var repeatedly__2 = (function (n,f){
return cljs.core.take.call(null,n,repeatedly.call(null,f));
});
repeatedly = function(n,f){
switch(arguments.length){
case 1:
return repeatedly__1.call(this,n);
case 2:
return repeatedly__2.call(this,n,f);
}
throw('Invalid arity: ' + arguments.length);
};
repeatedly.cljs$lang$arity$1 = repeatedly__1;
repeatedly.cljs$lang$arity$2 = repeatedly__2;
return repeatedly;
})()
;
/**
* Returns a lazy sequence of x, (f x), (f (f x)) etc. f must be free of side-effects
*/
cljs.core.iterate = (function iterate(f,x){
return cljs.core.cons.call(null,x,(new cljs.core.LazySeq(null,false,(function (){
return iterate.call(null,f,f.call(null,x));
}),null)));
});
/**
* Returns a lazy seq of the first item in each coll, then the second etc.
* @param {...*} var_args
*/
cljs.core.interleave = (function() {
var interleave = null;
var interleave__2 = (function (c1,c2){
return (new cljs.core.LazySeq(null,false,(function (){
var s1__12091 = cljs.core.seq.call(null,c1);
var s2__12092 = cljs.core.seq.call(null,c2);
if((function (){var and__3822__auto____12093 = s1__12091;
if(and__3822__auto____12093)
{return s2__12092;
} else
{return and__3822__auto____12093;
}
})())
{return cljs.core.cons.call(null,cljs.core.first.call(null,s1__12091),cljs.core.cons.call(null,cljs.core.first.call(null,s2__12092),interleave.call(null,cljs.core.rest.call(null,s1__12091),cljs.core.rest.call(null,s2__12092))));
} else
{return null;
}
}),null));
});
var interleave__3 = (function() { 
var G__12106__delegate = function (c1,c2,colls){
return (new cljs.core.LazySeq(null,false,(function (){
var ss__12094 = cljs.core.map.call(null,cljs.core.seq,cljs.core.conj.call(null,colls,c2,c1));
if(cljs.core.every_QMARK_.call(null,cljs.core.identity,ss__12094))
{return cljs.core.concat.call(null,cljs.core.map.call(null,cljs.core.first,ss__12094),cljs.core.apply.call(null,interleave,cljs.core.map.call(null,cljs.core.rest,ss__12094)));
} else
{return null;
}
}),null));
};
var G__12106 = function (c1,c2,var_args){
var colls = null;
if (goog.isDef(var_args)) {
  colls = cljs.core.array_seq(Array.prototype.slice.call(arguments, 2),0);
} 
return G__12106__delegate.call(this, c1, c2, colls);
};
G__12106.cljs$lang$maxFixedArity = 2;
G__12106.cljs$lang$applyTo = (function (arglist__12114){
var c1 = cljs.core.first(arglist__12114);
var c2 = cljs.core.first(cljs.core.next(arglist__12114));
var colls = cljs.core.rest(cljs.core.next(arglist__12114));
return G__12106__delegate(c1, c2, colls);
});
G__12106.cljs$lang$arity$variadic = G__12106__delegate;
return G__12106;
})()
;
interleave = function(c1,c2,var_args){
var colls = var_args;
switch(arguments.length){
case 2:
return interleave__2.call(this,c1,c2);
default:
return interleave__3.cljs$lang$arity$variadic(c1,c2, cljs.core.array_seq(arguments, 2));
}
throw('Invalid arity: ' + arguments.length);
};
interleave.cljs$lang$maxFixedArity = 2;
interleave.cljs$lang$applyTo = interleave__3.cljs$lang$applyTo;
interleave.cljs$lang$arity$2 = interleave__2;
interleave.cljs$lang$arity$variadic = interleave__3.cljs$lang$arity$variadic;
return interleave;
})()
;
/**
* Returns a lazy seq of the elements of coll separated by sep
*/
cljs.core.interpose = (function interpose(sep,coll){
return cljs.core.drop.call(null,1,cljs.core.interleave.call(null,cljs.core.repeat.call(null,sep),coll));
});
/**
* Take a collection of collections, and return a lazy seq
* of items from the inner collection
*/
cljs.core.flatten1 = (function flatten1(colls){
var cat__12130 = (function cat(coll,colls){
return (new cljs.core.LazySeq(null,false,(function (){
var temp__3971__auto____12126 = cljs.core.seq.call(null,coll);
if(temp__3971__auto____12126)
{var coll__12127 = temp__3971__auto____12126;
return cljs.core.cons.call(null,cljs.core.first.call(null,coll__12127),cat.call(null,cljs.core.rest.call(null,coll__12127),colls));
} else
{if(cljs.core.seq.call(null,colls))
{return cat.call(null,cljs.core.first.call(null,colls),cljs.core.rest.call(null,colls));
} else
{return null;
}
}
}),null));
});
return cat__12130.call(null,null,colls);
});
/**
* Returns the result of applying concat to the result of applying map
* to f and colls.  Thus function f should return a collection.
* @param {...*} var_args
*/
cljs.core.mapcat = (function() {
var mapcat = null;
var mapcat__2 = (function (f,coll){
return cljs.core.flatten1.call(null,cljs.core.map.call(null,f,coll));
});
var mapcat__3 = (function() { 
var G__12142__delegate = function (f,coll,colls){
return cljs.core.flatten1.call(null,cljs.core.apply.call(null,cljs.core.map,f,coll,colls));
};
var G__12142 = function (f,coll,var_args){
var colls = null;
if (goog.isDef(var_args)) {
  colls = cljs.core.array_seq(Array.prototype.slice.call(arguments, 2),0);
} 
return G__12142__delegate.call(this, f, coll, colls);
};
G__12142.cljs$lang$maxFixedArity = 2;
G__12142.cljs$lang$applyTo = (function (arglist__12144){
var f = cljs.core.first(arglist__12144);
var coll = cljs.core.first(cljs.core.next(arglist__12144));
var colls = cljs.core.rest(cljs.core.next(arglist__12144));
return G__12142__delegate(f, coll, colls);
});
G__12142.cljs$lang$arity$variadic = G__12142__delegate;
return G__12142;
})()
;
mapcat = function(f,coll,var_args){
var colls = var_args;
switch(arguments.length){
case 2:
return mapcat__2.call(this,f,coll);
default:
return mapcat__3.cljs$lang$arity$variadic(f,coll, cljs.core.array_seq(arguments, 2));
}
throw('Invalid arity: ' + arguments.length);
};
mapcat.cljs$lang$maxFixedArity = 2;
mapcat.cljs$lang$applyTo = mapcat__3.cljs$lang$applyTo;
mapcat.cljs$lang$arity$2 = mapcat__2;
mapcat.cljs$lang$arity$variadic = mapcat__3.cljs$lang$arity$variadic;
return mapcat;
})()
;
/**
* Returns a lazy sequence of the items in coll for which
* (pred item) returns true. pred must be free of side-effects.
*/
cljs.core.filter = (function filter(pred,coll){
return (new cljs.core.LazySeq(null,false,(function (){
var temp__3974__auto____12155 = cljs.core.seq.call(null,coll);
if(temp__3974__auto____12155)
{var s__12156 = temp__3974__auto____12155;
if(cljs.core.chunked_seq_QMARK_.call(null,s__12156))
{var c__12158 = cljs.core.chunk_first.call(null,s__12156);
var size__12159 = cljs.core.count.call(null,c__12158);
var b__12161 = cljs.core.chunk_buffer.call(null,size__12159);
var n__4904__auto____12162 = size__12159;
var i__12163 = 0;
while(true){
if((i__12163 < n__4904__auto____12162))
{if(pred.call(null,cljs.core._nth.call(null,c__12158,i__12163)))
{cljs.core.chunk_append.call(null,b__12161,cljs.core._nth.call(null,c__12158,i__12163));
} else
{}
{
var G__12169 = (i__12163 + 1);
i__12163 = G__12169;
continue;
}
} else
{}
break;
}
return cljs.core.chunk_cons.call(null,cljs.core.chunk.call(null,b__12161),filter.call(null,pred,cljs.core.chunk_rest.call(null,s__12156)));
} else
{var f__12167 = cljs.core.first.call(null,s__12156);
var r__12168 = cljs.core.rest.call(null,s__12156);
if(cljs.core.truth_(pred.call(null,f__12167)))
{return cljs.core.cons.call(null,f__12167,filter.call(null,pred,r__12168));
} else
{return filter.call(null,pred,r__12168);
}
}
} else
{return null;
}
}),null));
});
/**
* Returns a lazy sequence of the items in coll for which
* (pred item) returns false. pred must be free of side-effects.
*/
cljs.core.remove = (function remove(pred,coll){
return cljs.core.filter.call(null,cljs.core.complement.call(null,pred),coll);
});
/**
* Returns a lazy sequence of the nodes in a tree, via a depth-first walk.
* branch? must be a fn of one arg that returns true if passed a node
* that can have children (but may not).  children must be a fn of one
* arg that returns a sequence of the children. Will only be called on
* nodes for which branch? returns true. Root is the root node of the
* tree.
*/
cljs.core.tree_seq = (function tree_seq(branch_QMARK_,children,root){
var walk__12172 = (function walk(node){
return (new cljs.core.LazySeq(null,false,(function (){
return cljs.core.cons.call(null,node,(cljs.core.truth_(branch_QMARK_.call(null,node))?cljs.core.mapcat.call(null,walk,children.call(null,node)):null));
}),null));
});
return walk__12172.call(null,root);
});
/**
* Takes any nested combination of sequential things (lists, vectors,
* etc.) and returns their contents as a single, flat sequence.
* (flatten nil) returns nil.
*/
cljs.core.flatten = (function flatten(x){
return cljs.core.filter.call(null,(function (p1__12170_SHARP_){
return !(cljs.core.sequential_QMARK_.call(null,p1__12170_SHARP_));
}),cljs.core.rest.call(null,cljs.core.tree_seq.call(null,cljs.core.sequential_QMARK_,cljs.core.seq,x)));
});
/**
* Returns a new coll consisting of to-coll with all of the items of
* from-coll conjoined.
*/
cljs.core.into = (function into(to,from){
if((function (){var G__12176__12177 = to;
if(G__12176__12177)
{if((function (){var or__3824__auto____12178 = (G__12176__12177.cljs$lang$protocol_mask$partition1$ & 1);
if(or__3824__auto____12178)
{return or__3824__auto____12178;
} else
{return G__12176__12177.cljs$core$IEditableCollection$;
}
})())
{return true;
} else
{if((!G__12176__12177.cljs$lang$protocol_mask$partition1$))
{return cljs.core.type_satisfies_.call(null,cljs.core.IEditableCollection,G__12176__12177);
} else
{return false;
}
}
} else
{return cljs.core.type_satisfies_.call(null,cljs.core.IEditableCollection,G__12176__12177);
}
})())
{return cljs.core.persistent_BANG_.call(null,cljs.core.reduce.call(null,cljs.core._conj_BANG_,cljs.core.transient$.call(null,to),from));
} else
{return cljs.core.reduce.call(null,cljs.core._conj,to,from);
}
});
/**
* Returns a vector consisting of the result of applying f to the
* set of first items of each coll, followed by applying f to the set
* of second items in each coll, until any one of the colls is
* exhausted.  Any remaining items in other colls are ignored. Function
* f should accept number-of-colls arguments.
* @param {...*} var_args
*/
cljs.core.mapv = (function() {
var mapv = null;
var mapv__2 = (function (f,coll){
return cljs.core.persistent_BANG_.call(null,cljs.core.reduce.call(null,(function (v,o){
return cljs.core.conj_BANG_.call(null,v,f.call(null,o));
}),cljs.core.transient$.call(null,cljs.core.PersistentVector.EMPTY),coll));
});
var mapv__3 = (function (f,c1,c2){
return cljs.core.into.call(null,cljs.core.PersistentVector.EMPTY,cljs.core.map.call(null,f,c1,c2));
});
var mapv__4 = (function (f,c1,c2,c3){
return cljs.core.into.call(null,cljs.core.PersistentVector.EMPTY,cljs.core.map.call(null,f,c1,c2,c3));
});
var mapv__5 = (function() { 
var G__12191__delegate = function (f,c1,c2,c3,colls){
return cljs.core.into.call(null,cljs.core.PersistentVector.EMPTY,cljs.core.apply.call(null,cljs.core.map,f,c1,c2,c3,colls));
};
var G__12191 = function (f,c1,c2,c3,var_args){
var colls = null;
if (goog.isDef(var_args)) {
  colls = cljs.core.array_seq(Array.prototype.slice.call(arguments, 4),0);
} 
return G__12191__delegate.call(this, f, c1, c2, c3, colls);
};
G__12191.cljs$lang$maxFixedArity = 4;
G__12191.cljs$lang$applyTo = (function (arglist__12198){
var f = cljs.core.first(arglist__12198);
var c1 = cljs.core.first(cljs.core.next(arglist__12198));
var c2 = cljs.core.first(cljs.core.next(cljs.core.next(arglist__12198)));
var c3 = cljs.core.first(cljs.core.next(cljs.core.next(cljs.core.next(arglist__12198))));
var colls = cljs.core.rest(cljs.core.next(cljs.core.next(cljs.core.next(arglist__12198))));
return G__12191__delegate(f, c1, c2, c3, colls);
});
G__12191.cljs$lang$arity$variadic = G__12191__delegate;
return G__12191;
})()
;
mapv = function(f,c1,c2,c3,var_args){
var colls = var_args;
switch(arguments.length){
case 2:
return mapv__2.call(this,f,c1);
case 3:
return mapv__3.call(this,f,c1,c2);
case 4:
return mapv__4.call(this,f,c1,c2,c3);
default:
return mapv__5.cljs$lang$arity$variadic(f,c1,c2,c3, cljs.core.array_seq(arguments, 4));
}
throw('Invalid arity: ' + arguments.length);
};
mapv.cljs$lang$maxFixedArity = 4;
mapv.cljs$lang$applyTo = mapv__5.cljs$lang$applyTo;
mapv.cljs$lang$arity$2 = mapv__2;
mapv.cljs$lang$arity$3 = mapv__3;
mapv.cljs$lang$arity$4 = mapv__4;
mapv.cljs$lang$arity$variadic = mapv__5.cljs$lang$arity$variadic;
return mapv;
})()
;
/**
* Returns a vector of the items in coll for which
* (pred item) returns true. pred must be free of side-effects.
*/
cljs.core.filterv = (function filterv(pred,coll){
return cljs.core.persistent_BANG_.call(null,cljs.core.reduce.call(null,(function (v,o){
if(cljs.core.truth_(pred.call(null,o)))
{return cljs.core.conj_BANG_.call(null,v,o);
} else
{return v;
}
}),cljs.core.transient$.call(null,cljs.core.PersistentVector.EMPTY),coll));
});
/**
* Returns a lazy sequence of lists of n items each, at offsets step
* apart. If step is not supplied, defaults to n, i.e. the partitions
* do not overlap. If a pad collection is supplied, use its elements as
* necessary to complete last partition upto n items. In case there are
* not enough padding elements, return a partition with less than n items.
*/
cljs.core.partition = (function() {
var partition = null;
var partition__2 = (function (n,coll){
return partition.call(null,n,n,coll);
});
var partition__3 = (function (n,step,coll){
return (new cljs.core.LazySeq(null,false,(function (){
var temp__3974__auto____12223 = cljs.core.seq.call(null,coll);
if(temp__3974__auto____12223)
{var s__12224 = temp__3974__auto____12223;
var p__12225 = cljs.core.take.call(null,n,s__12224);
if((n === cljs.core.count.call(null,p__12225)))
{return cljs.core.cons.call(null,p__12225,partition.call(null,n,step,cljs.core.drop.call(null,step,s__12224)));
} else
{return null;
}
} else
{return null;
}
}),null));
});
var partition__4 = (function (n,step,pad,coll){
return (new cljs.core.LazySeq(null,false,(function (){
var temp__3974__auto____12226 = cljs.core.seq.call(null,coll);
if(temp__3974__auto____12226)
{var s__12227 = temp__3974__auto____12226;
var p__12228 = cljs.core.take.call(null,n,s__12227);
if((n === cljs.core.count.call(null,p__12228)))
{return cljs.core.cons.call(null,p__12228,partition.call(null,n,step,pad,cljs.core.drop.call(null,step,s__12227)));
} else
{return cljs.core.list.call(null,cljs.core.take.call(null,n,cljs.core.concat.call(null,p__12228,pad)));
}
} else
{return null;
}
}),null));
});
partition = function(n,step,pad,coll){
switch(arguments.length){
case 2:
return partition__2.call(this,n,step);
case 3:
return partition__3.call(this,n,step,pad);
case 4:
return partition__4.call(this,n,step,pad,coll);
}
throw('Invalid arity: ' + arguments.length);
};
partition.cljs$lang$arity$2 = partition__2;
partition.cljs$lang$arity$3 = partition__3;
partition.cljs$lang$arity$4 = partition__4;
return partition;
})()
;
/**
* Returns the value in a nested associative structure,
* where ks is a sequence of ke(ys. Returns nil if the key is not present,
* or the not-found value if supplied.
*/
cljs.core.get_in = (function() {
var get_in = null;
var get_in__2 = (function (m,ks){
return cljs.core.reduce.call(null,cljs.core.get,m,ks);
});
var get_in__3 = (function (m,ks,not_found){
var sentinel__12243 = cljs.core.lookup_sentinel;
var m__12244 = m;
var ks__12245 = cljs.core.seq.call(null,ks);
while(true){
if(ks__12245)
{var m__12247 = cljs.core._lookup.call(null,m__12244,cljs.core.first.call(null,ks__12245),sentinel__12243);
if((sentinel__12243 === m__12247))
{return not_found;
} else
{{
var G__12249 = sentinel__12243;
var G__12250 = m__12247;
var G__12251 = cljs.core.next.call(null,ks__12245);
sentinel__12243 = G__12249;
m__12244 = G__12250;
ks__12245 = G__12251;
continue;
}
}
} else
{return m__12244;
}
break;
}
});
get_in = function(m,ks,not_found){
switch(arguments.length){
case 2:
return get_in__2.call(this,m,ks);
case 3:
return get_in__3.call(this,m,ks,not_found);
}
throw('Invalid arity: ' + arguments.length);
};
get_in.cljs$lang$arity$2 = get_in__2;
get_in.cljs$lang$arity$3 = get_in__3;
return get_in;
})()
;
/**
* Associates a value in a nested associative structure, where ks is a
* sequence of keys and v is the new value and returns a new nested structure.
* If any levels do not exist, hash-maps will be created.
*/
cljs.core.assoc_in = (function assoc_in(m,p__12258,v){
var vec__12263__12264 = p__12258;
var k__12265 = cljs.core.nth.call(null,vec__12263__12264,0,null);
var ks__12266 = cljs.core.nthnext.call(null,vec__12263__12264,1);
if(cljs.core.truth_(ks__12266))
{return cljs.core.assoc.call(null,m,k__12265,assoc_in.call(null,cljs.core._lookup.call(null,m,k__12265,null),ks__12266,v));
} else
{return cljs.core.assoc.call(null,m,k__12265,v);
}
});
/**
* 'Updates' a value in a nested associative structure, where ks is a
* sequence of keys and f is a function that will take the old value
* and any supplied args and return the new value, and returns a new
* nested structure.  If any levels do not exist, hash-maps will be
* created.
* @param {...*} var_args
*/
cljs.core.update_in = (function() { 
var update_in__delegate = function (m,p__12273,f,args){
var vec__12278__12279 = p__12273;
var k__12280 = cljs.core.nth.call(null,vec__12278__12279,0,null);
var ks__12281 = cljs.core.nthnext.call(null,vec__12278__12279,1);
if(cljs.core.truth_(ks__12281))
{return cljs.core.assoc.call(null,m,k__12280,cljs.core.apply.call(null,update_in,cljs.core._lookup.call(null,m,k__12280,null),ks__12281,f,args));
} else
{return cljs.core.assoc.call(null,m,k__12280,cljs.core.apply.call(null,f,cljs.core._lookup.call(null,m,k__12280,null),args));
}
};
var update_in = function (m,p__12273,f,var_args){
var args = null;
if (goog.isDef(var_args)) {
  args = cljs.core.array_seq(Array.prototype.slice.call(arguments, 3),0);
} 
return update_in__delegate.call(this, m, p__12273, f, args);
};
update_in.cljs$lang$maxFixedArity = 3;
update_in.cljs$lang$applyTo = (function (arglist__12288){
var m = cljs.core.first(arglist__12288);
var p__12273 = cljs.core.first(cljs.core.next(arglist__12288));
var f = cljs.core.first(cljs.core.next(cljs.core.next(arglist__12288)));
var args = cljs.core.rest(cljs.core.next(cljs.core.next(arglist__12288)));
return update_in__delegate(m, p__12273, f, args);
});
update_in.cljs$lang$arity$variadic = update_in__delegate;
return update_in;
})()
;

/**
* @constructor
*/
cljs.core.Vector = (function (meta,array,__hash){
this.meta = meta;
this.array = array;
this.__hash = __hash;
this.cljs$lang$protocol_mask$partition1$ = 0;
this.cljs$lang$protocol_mask$partition0$ = 32400159;
})
cljs.core.Vector.cljs$lang$type = true;
cljs.core.Vector.cljs$lang$ctorPrSeq = (function (this__4682__auto__){
return cljs.core.list.call(null,"cljs.core/Vector");
});
cljs.core.Vector.prototype.cljs$core$IHash$_hash$arity$1 = (function (coll){
var this__12294 = this;
var h__4565__auto____12295 = this__12294.__hash;
if(!((h__4565__auto____12295 == null)))
{return h__4565__auto____12295;
} else
{var h__4565__auto____12297 = cljs.core.hash_coll.call(null,coll);
this__12294.__hash = h__4565__auto____12297;
return h__4565__auto____12297;
}
});
cljs.core.Vector.prototype.cljs$core$ILookup$_lookup$arity$2 = (function (coll,k){
var this__12300 = this;
return coll.cljs$core$IIndexed$_nth$arity$3(coll,k,null);
});
cljs.core.Vector.prototype.cljs$core$ILookup$_lookup$arity$3 = (function (coll,k,not_found){
var this__12301 = this;
return coll.cljs$core$IIndexed$_nth$arity$3(coll,k,not_found);
});
cljs.core.Vector.prototype.cljs$core$IAssociative$_assoc$arity$3 = (function (coll,k,v){
var this__12303 = this;
var new_array__12304 = this__12303.array.slice();
(new_array__12304[k] = v);
return (new cljs.core.Vector(this__12303.meta,new_array__12304,null));
});
cljs.core.Vector.prototype.call = (function() {
var G__12355 = null;
var G__12355__2 = (function (this_sym12307,k){
var this__12309 = this;
var this_sym12307__12311 = this;
var coll__12312 = this_sym12307__12311;
return coll__12312.cljs$core$ILookup$_lookup$arity$2(coll__12312,k);
});
var G__12355__3 = (function (this_sym12308,k,not_found){
var this__12309 = this;
var this_sym12308__12313 = this;
var coll__12315 = this_sym12308__12313;
return coll__12315.cljs$core$ILookup$_lookup$arity$3(coll__12315,k,not_found);
});
G__12355 = function(this_sym12308,k,not_found){
switch(arguments.length){
case 2:
return G__12355__2.call(this,this_sym12308,k);
case 3:
return G__12355__3.call(this,this_sym12308,k,not_found);
}
throw('Invalid arity: ' + arguments.length);
};
return G__12355;
})()
;
cljs.core.Vector.prototype.apply = (function (this_sym12289,args12290){
var this__12317 = this;
return this_sym12289.call.apply(this_sym12289,[this_sym12289].concat(args12290.slice()));
});
cljs.core.Vector.prototype.cljs$core$ICollection$_conj$arity$2 = (function (coll,o){
var this__12319 = this;
var new_array__12320 = this__12319.array.slice();
new_array__12320.push(o);
return (new cljs.core.Vector(this__12319.meta,new_array__12320,null));
});
cljs.core.Vector.prototype.toString = (function (){
var this__12323 = this;
var this__12324 = this;
return cljs.core.pr_str.call(null,this__12324);
});
cljs.core.Vector.prototype.cljs$core$IReduce$_reduce$arity$2 = (function (v,f){
var this__12326 = this;
return cljs.core.ci_reduce.call(null,this__12326.array,f);
});
cljs.core.Vector.prototype.cljs$core$IReduce$_reduce$arity$3 = (function (v,f,start){
var this__12328 = this;
return cljs.core.ci_reduce.call(null,this__12328.array,f,start);
});
cljs.core.Vector.prototype.cljs$core$ISeqable$_seq$arity$1 = (function (coll){
var this__12330 = this;
if((this__12330.array.length > 0))
{var vector_seq__12335 = (function vector_seq(i){
return (new cljs.core.LazySeq(null,false,(function (){
if((i < this__12330.array.length))
{return cljs.core.cons.call(null,(this__12330.array[i]),vector_seq.call(null,(i + 1)));
} else
{return null;
}
}),null));
});
return vector_seq__12335.call(null,0);
} else
{return null;
}
});
cljs.core.Vector.prototype.cljs$core$ICounted$_count$arity$1 = (function (coll){
var this__12338 = this;
return this__12338.array.length;
});
cljs.core.Vector.prototype.cljs$core$IStack$_peek$arity$1 = (function (coll){
var this__12339 = this;
var count__12340 = this__12339.array.length;
if((count__12340 > 0))
{return (this__12339.array[(count__12340 - 1)]);
} else
{return null;
}
});
cljs.core.Vector.prototype.cljs$core$IStack$_pop$arity$1 = (function (coll){
var this__12341 = this;
if((this__12341.array.length > 0))
{var new_array__12342 = this__12341.array.slice();
new_array__12342.pop();
return (new cljs.core.Vector(this__12341.meta,new_array__12342,null));
} else
{throw (new Error("Can't pop empty vector"));
}
});
cljs.core.Vector.prototype.cljs$core$IVector$_assoc_n$arity$3 = (function (coll,n,val){
var this__12343 = this;
return coll.cljs$core$IAssociative$_assoc$arity$3(coll,n,val);
});
cljs.core.Vector.prototype.cljs$core$IEquiv$_equiv$arity$2 = (function (coll,other){
var this__12344 = this;
return cljs.core.equiv_sequential.call(null,coll,other);
});
cljs.core.Vector.prototype.cljs$core$IWithMeta$_with_meta$arity$2 = (function (coll,meta){
var this__12345 = this;
return (new cljs.core.Vector(meta,this__12345.array,this__12345.__hash));
});
cljs.core.Vector.prototype.cljs$core$IMeta$_meta$arity$1 = (function (coll){
var this__12346 = this;
return this__12346.meta;
});
cljs.core.Vector.prototype.cljs$core$IIndexed$_nth$arity$2 = (function (coll,n){
var this__12347 = this;
if((function (){var and__3822__auto____12348 = (0 <= n);
if(and__3822__auto____12348)
{return (n < this__12347.array.length);
} else
{return and__3822__auto____12348;
}
})())
{return (this__12347.array[n]);
} else
{return null;
}
});
cljs.core.Vector.prototype.cljs$core$IIndexed$_nth$arity$3 = (function (coll,n,not_found){
var this__12349 = this;
if((function (){var and__3822__auto____12350 = (0 <= n);
if(and__3822__auto____12350)
{return (n < this__12349.array.length);
} else
{return and__3822__auto____12350;
}
})())
{return (this__12349.array[n]);
} else
{return not_found;
}
});
cljs.core.Vector.prototype.cljs$core$IEmptyableCollection$_empty$arity$1 = (function (coll){
var this__12351 = this;
return cljs.core.with_meta.call(null,cljs.core.Vector.EMPTY,this__12351.meta);
});
cljs.core.Vector;
cljs.core.Vector.EMPTY = (new cljs.core.Vector(null,[],0));
cljs.core.Vector.fromArray = (function (xs){
return (new cljs.core.Vector(null,xs,null));
});

/**
* @constructor
*/
cljs.core.VectorNode = (function (edit,arr){
this.edit = edit;
this.arr = arr;
})
cljs.core.VectorNode.cljs$lang$type = true;
cljs.core.VectorNode.cljs$lang$ctorPrSeq = (function (this__4683__auto__){
return cljs.core.list.call(null,"cljs.core/VectorNode");
});
cljs.core.VectorNode;
cljs.core.pv_fresh_node = (function pv_fresh_node(edit){
return (new cljs.core.VectorNode(edit,cljs.core.make_array.call(null,32)));
});
cljs.core.pv_aget = (function pv_aget(node,idx){
return (node.arr[idx]);
});
cljs.core.pv_aset = (function pv_aset(node,idx,val){
return (node.arr[idx] = val);
});
cljs.core.pv_clone_node = (function pv_clone_node(node){
return (new cljs.core.VectorNode(node.edit,node.arr.slice()));
});
cljs.core.tail_off = (function tail_off(pv){
var cnt__12389 = pv.cnt;
if((cnt__12389 < 32))
{return 0;
} else
{return (((cnt__12389 - 1) >>> 5) << 5);
}
});
cljs.core.new_path = (function new_path(edit,level,node){
var ll__12395 = level;
var ret__12396 = node;
while(true){
if((ll__12395 === 0))
{return ret__12396;
} else
{var embed__12397 = ret__12396;
var r__12398 = cljs.core.pv_fresh_node.call(null,edit);
var ___12399 = cljs.core.pv_aset.call(null,r__12398,0,embed__12397);
{
var G__12400 = (ll__12395 - 5);
var G__12401 = r__12398;
ll__12395 = G__12400;
ret__12396 = G__12401;
continue;
}
}
break;
}
});
cljs.core.push_tail = (function push_tail(pv,level,parent,tailnode){
var ret__12456 = cljs.core.pv_clone_node.call(null,parent);
var subidx__12457 = (((pv.cnt - 1) >>> level) & 31);
if((5 === level))
{cljs.core.pv_aset.call(null,ret__12456,subidx__12457,tailnode);
return ret__12456;
} else
{var child__12458 = cljs.core.pv_aget.call(null,parent,subidx__12457);
if(!((child__12458 == null)))
{var node_to_insert__12460 = push_tail.call(null,pv,(level - 5),child__12458,tailnode);
cljs.core.pv_aset.call(null,ret__12456,subidx__12457,node_to_insert__12460);
return ret__12456;
} else
{var node_to_insert__12461 = cljs.core.new_path.call(null,null,(level - 5),tailnode);
cljs.core.pv_aset.call(null,ret__12456,subidx__12457,node_to_insert__12461);
return ret__12456;
}
}
});
cljs.core.array_for = (function array_for(pv,i){
if((function (){var and__3822__auto____12470 = (0 <= i);
if(and__3822__auto____12470)
{return (i < pv.cnt);
} else
{return and__3822__auto____12470;
}
})())
{if((i >= cljs.core.tail_off.call(null,pv)))
{return pv.tail;
} else
{var node__12471 = pv.root;
var level__12472 = pv.shift;
while(true){
if((level__12472 > 0))
{{
var G__12480 = cljs.core.pv_aget.call(null,node__12471,((i >>> level__12472) & 31));
var G__12481 = (level__12472 - 5);
node__12471 = G__12480;
level__12472 = G__12481;
continue;
}
} else
{return node__12471.arr;
}
break;
}
}
} else
{throw (new Error([cljs.core.str("No item "),cljs.core.str(i),cljs.core.str(" in vector of length "),cljs.core.str(pv.cnt)].join('')));
}
});
cljs.core.do_assoc = (function do_assoc(pv,level,node,i,val){
var ret__12489 = cljs.core.pv_clone_node.call(null,node);
if((level === 0))
{cljs.core.pv_aset.call(null,ret__12489,(i & 31),val);
return ret__12489;
} else
{var subidx__12490 = ((i >>> level) & 31);
cljs.core.pv_aset.call(null,ret__12489,subidx__12490,do_assoc.call(null,pv,(level - 5),cljs.core.pv_aget.call(null,node,subidx__12490),i,val));
return ret__12489;
}
});
cljs.core.pop_tail = (function pop_tail(pv,level,node){
var subidx__12502 = (((pv.cnt - 2) >>> level) & 31);
if((level > 5))
{var new_child__12503 = pop_tail.call(null,pv,(level - 5),cljs.core.pv_aget.call(null,node,subidx__12502));
if((function (){var and__3822__auto____12504 = (new_child__12503 == null);
if(and__3822__auto____12504)
{return (subidx__12502 === 0);
} else
{return and__3822__auto____12504;
}
})())
{return null;
} else
{var ret__12505 = cljs.core.pv_clone_node.call(null,node);
cljs.core.pv_aset.call(null,ret__12505,subidx__12502,new_child__12503);
return ret__12505;
}
} else
{if((subidx__12502 === 0))
{return null;
} else
{if("\uFDD0'else")
{var ret__12506 = cljs.core.pv_clone_node.call(null,node);
cljs.core.pv_aset.call(null,ret__12506,subidx__12502,null);
return ret__12506;
} else
{return null;
}
}
}
});
void 0;
void 0;
void 0;
void 0;
void 0;
void 0;
void 0;

/**
* @constructor
*/
cljs.core.PersistentVector = (function (meta,cnt,shift,root,tail,__hash){
this.meta = meta;
this.cnt = cnt;
this.shift = shift;
this.root = root;
this.tail = tail;
this.__hash = __hash;
this.cljs$lang$protocol_mask$partition1$ = 1;
this.cljs$lang$protocol_mask$partition0$ = 167668511;
})
cljs.core.PersistentVector.cljs$lang$type = true;
cljs.core.PersistentVector.cljs$lang$ctorPrSeq = (function (this__4682__auto__){
return cljs.core.list.call(null,"cljs.core/PersistentVector");
});
cljs.core.PersistentVector.prototype.cljs$core$IEditableCollection$_as_transient$arity$1 = (function (coll){
var this__12518 = this;
return (new cljs.core.TransientVector(this__12518.cnt,this__12518.shift,cljs.core.tv_editable_root.call(null,this__12518.root),cljs.core.tv_editable_tail.call(null,this__12518.tail)));
});
cljs.core.PersistentVector.prototype.cljs$core$IHash$_hash$arity$1 = (function (coll){
var this__12519 = this;
var h__4565__auto____12520 = this__12519.__hash;
if(!((h__4565__auto____12520 == null)))
{return h__4565__auto____12520;
} else
{var h__4565__auto____12521 = cljs.core.hash_coll.call(null,coll);
this__12519.__hash = h__4565__auto____12521;
return h__4565__auto____12521;
}
});
cljs.core.PersistentVector.prototype.cljs$core$ILookup$_lookup$arity$2 = (function (coll,k){
var this__12522 = this;
return coll.cljs$core$IIndexed$_nth$arity$3(coll,k,null);
});
cljs.core.PersistentVector.prototype.cljs$core$ILookup$_lookup$arity$3 = (function (coll,k,not_found){
var this__12523 = this;
return coll.cljs$core$IIndexed$_nth$arity$3(coll,k,not_found);
});
cljs.core.PersistentVector.prototype.cljs$core$IAssociative$_assoc$arity$3 = (function (coll,k,v){
var this__12524 = this;
if((function (){var and__3822__auto____12525 = (0 <= k);
if(and__3822__auto____12525)
{return (k < this__12524.cnt);
} else
{return and__3822__auto____12525;
}
})())
{if((cljs.core.tail_off.call(null,coll) <= k))
{var new_tail__12526 = this__12524.tail.slice();
(new_tail__12526[(k & 31)] = v);
return (new cljs.core.PersistentVector(this__12524.meta,this__12524.cnt,this__12524.shift,this__12524.root,new_tail__12526,null));
} else
{return (new cljs.core.PersistentVector(this__12524.meta,this__12524.cnt,this__12524.shift,cljs.core.do_assoc.call(null,coll,this__12524.shift,this__12524.root,k,v),this__12524.tail,null));
}
} else
{if((k === this__12524.cnt))
{return coll.cljs$core$ICollection$_conj$arity$2(coll,v);
} else
{if("\uFDD0'else")
{throw (new Error([cljs.core.str("Index "),cljs.core.str(k),cljs.core.str(" out of bounds  [0,"),cljs.core.str(this__12524.cnt),cljs.core.str("]")].join('')));
} else
{return null;
}
}
}
});
cljs.core.PersistentVector.prototype.call = (function() {
var G__12575 = null;
var G__12575__2 = (function (this_sym12527,k){
var this__12529 = this;
var this_sym12527__12530 = this;
var coll__12531 = this_sym12527__12530;
return coll__12531.cljs$core$ILookup$_lookup$arity$2(coll__12531,k);
});
var G__12575__3 = (function (this_sym12528,k,not_found){
var this__12529 = this;
var this_sym12528__12532 = this;
var coll__12533 = this_sym12528__12532;
return coll__12533.cljs$core$ILookup$_lookup$arity$3(coll__12533,k,not_found);
});
G__12575 = function(this_sym12528,k,not_found){
switch(arguments.length){
case 2:
return G__12575__2.call(this,this_sym12528,k);
case 3:
return G__12575__3.call(this,this_sym12528,k,not_found);
}
throw('Invalid arity: ' + arguments.length);
};
return G__12575;
})()
;
cljs.core.PersistentVector.prototype.apply = (function (this_sym12516,args12517){
var this__12534 = this;
return this_sym12516.call.apply(this_sym12516,[this_sym12516].concat(args12517.slice()));
});
cljs.core.PersistentVector.prototype.cljs$core$IKVReduce$_kv_reduce$arity$3 = (function (v,f,init){
var this__12535 = this;
var step_init__12536 = [0,init];
var i__12537 = 0;
while(true){
if((i__12537 < this__12535.cnt))
{var arr__12538 = cljs.core.array_for.call(null,v,i__12537);
var len__12539 = arr__12538.length;
var init__12543 = (function (){var j__12540 = 0;
var init__12541 = (step_init__12536[1]);
while(true){
if((j__12540 < len__12539))
{var init__12542 = f.call(null,init__12541,(j__12540 + i__12537),(arr__12538[j__12540]));
if(cljs.core.reduced_QMARK_.call(null,init__12542))
{return init__12542;
} else
{{
var G__12577 = (j__12540 + 1);
var G__12578 = init__12542;
j__12540 = G__12577;
init__12541 = G__12578;
continue;
}
}
} else
{(step_init__12536[0] = len__12539);
(step_init__12536[1] = init__12541);
return init__12541;
}
break;
}
})();
if(cljs.core.reduced_QMARK_.call(null,init__12543))
{return cljs.core.deref.call(null,init__12543);
} else
{{
var G__12579 = (i__12537 + (step_init__12536[0]));
i__12537 = G__12579;
continue;
}
}
} else
{return (step_init__12536[1]);
}
break;
}
});
cljs.core.PersistentVector.prototype.cljs$core$ICollection$_conj$arity$2 = (function (coll,o){
var this__12544 = this;
if(((this__12544.cnt - cljs.core.tail_off.call(null,coll)) < 32))
{var new_tail__12545 = this__12544.tail.slice();
new_tail__12545.push(o);
return (new cljs.core.PersistentVector(this__12544.meta,(this__12544.cnt + 1),this__12544.shift,this__12544.root,new_tail__12545,null));
} else
{var root_overflow_QMARK___12546 = ((this__12544.cnt >>> 5) > (1 << this__12544.shift));
var new_shift__12547 = ((root_overflow_QMARK___12546)?(this__12544.shift + 5):this__12544.shift);
var new_root__12549 = ((root_overflow_QMARK___12546)?(function (){var n_r__12548 = cljs.core.pv_fresh_node.call(null,null);
cljs.core.pv_aset.call(null,n_r__12548,0,this__12544.root);
cljs.core.pv_aset.call(null,n_r__12548,1,cljs.core.new_path.call(null,null,this__12544.shift,(new cljs.core.VectorNode(null,this__12544.tail))));
return n_r__12548;
})():cljs.core.push_tail.call(null,coll,this__12544.shift,this__12544.root,(new cljs.core.VectorNode(null,this__12544.tail))));
return (new cljs.core.PersistentVector(this__12544.meta,(this__12544.cnt + 1),new_shift__12547,new_root__12549,[o],null));
}
});
cljs.core.PersistentVector.prototype.cljs$core$IReversible$_rseq$arity$1 = (function (coll){
var this__12550 = this;
if((this__12550.cnt > 0))
{return (new cljs.core.RSeq(coll,(this__12550.cnt - 1),null));
} else
{return cljs.core.List.EMPTY;
}
});
cljs.core.PersistentVector.prototype.cljs$core$IMapEntry$_key$arity$1 = (function (coll){
var this__12551 = this;
return coll.cljs$core$IIndexed$_nth$arity$2(coll,0);
});
cljs.core.PersistentVector.prototype.cljs$core$IMapEntry$_val$arity$1 = (function (coll){
var this__12552 = this;
return coll.cljs$core$IIndexed$_nth$arity$2(coll,1);
});
cljs.core.PersistentVector.prototype.toString = (function (){
var this__12553 = this;
var this__12554 = this;
return cljs.core.pr_str.call(null,this__12554);
});
cljs.core.PersistentVector.prototype.cljs$core$IReduce$_reduce$arity$2 = (function (v,f){
var this__12555 = this;
return cljs.core.ci_reduce.call(null,v,f);
});
cljs.core.PersistentVector.prototype.cljs$core$IReduce$_reduce$arity$3 = (function (v,f,start){
var this__12556 = this;
return cljs.core.ci_reduce.call(null,v,f,start);
});
cljs.core.PersistentVector.prototype.cljs$core$ISeqable$_seq$arity$1 = (function (coll){
var this__12557 = this;
if((this__12557.cnt === 0))
{return null;
} else
{return cljs.core.chunked_seq.call(null,coll,0,0);
}
});
cljs.core.PersistentVector.prototype.cljs$core$ICounted$_count$arity$1 = (function (coll){
var this__12558 = this;
return this__12558.cnt;
});
cljs.core.PersistentVector.prototype.cljs$core$IStack$_peek$arity$1 = (function (coll){
var this__12559 = this;
if((this__12559.cnt > 0))
{return coll.cljs$core$IIndexed$_nth$arity$2(coll,(this__12559.cnt - 1));
} else
{return null;
}
});
cljs.core.PersistentVector.prototype.cljs$core$IStack$_pop$arity$1 = (function (coll){
var this__12560 = this;
if((this__12560.cnt === 0))
{throw (new Error("Can't pop empty vector"));
} else
{if((1 === this__12560.cnt))
{return cljs.core._with_meta.call(null,cljs.core.PersistentVector.EMPTY,this__12560.meta);
} else
{if((1 < (this__12560.cnt - cljs.core.tail_off.call(null,coll))))
{return (new cljs.core.PersistentVector(this__12560.meta,(this__12560.cnt - 1),this__12560.shift,this__12560.root,this__12560.tail.slice(0,-1),null));
} else
{if("\uFDD0'else")
{var new_tail__12561 = cljs.core.array_for.call(null,coll,(this__12560.cnt - 2));
var nr__12562 = cljs.core.pop_tail.call(null,coll,this__12560.shift,this__12560.root);
var new_root__12563 = (((nr__12562 == null))?cljs.core.PersistentVector.EMPTY_NODE:nr__12562);
var cnt_1__12564 = (this__12560.cnt - 1);
if((function (){var and__3822__auto____12565 = (5 < this__12560.shift);
if(and__3822__auto____12565)
{return (cljs.core.pv_aget.call(null,new_root__12563,1) == null);
} else
{return and__3822__auto____12565;
}
})())
{return (new cljs.core.PersistentVector(this__12560.meta,cnt_1__12564,(this__12560.shift - 5),cljs.core.pv_aget.call(null,new_root__12563,0),new_tail__12561,null));
} else
{return (new cljs.core.PersistentVector(this__12560.meta,cnt_1__12564,this__12560.shift,new_root__12563,new_tail__12561,null));
}
} else
{return null;
}
}
}
}
});
cljs.core.PersistentVector.prototype.cljs$core$IVector$_assoc_n$arity$3 = (function (coll,n,val){
var this__12566 = this;
return coll.cljs$core$IAssociative$_assoc$arity$3(coll,n,val);
});
cljs.core.PersistentVector.prototype.cljs$core$IEquiv$_equiv$arity$2 = (function (coll,other){
var this__12567 = this;
return cljs.core.equiv_sequential.call(null,coll,other);
});
cljs.core.PersistentVector.prototype.cljs$core$IWithMeta$_with_meta$arity$2 = (function (coll,meta){
var this__12568 = this;
return (new cljs.core.PersistentVector(meta,this__12568.cnt,this__12568.shift,this__12568.root,this__12568.tail,this__12568.__hash));
});
cljs.core.PersistentVector.prototype.cljs$core$IMeta$_meta$arity$1 = (function (coll){
var this__12569 = this;
return this__12569.meta;
});
cljs.core.PersistentVector.prototype.cljs$core$IIndexed$_nth$arity$2 = (function (coll,n){
var this__12570 = this;
return (cljs.core.array_for.call(null,coll,n)[(n & 31)]);
});
cljs.core.PersistentVector.prototype.cljs$core$IIndexed$_nth$arity$3 = (function (coll,n,not_found){
var this__12571 = this;
if((function (){var and__3822__auto____12572 = (0 <= n);
if(and__3822__auto____12572)
{return (n < this__12571.cnt);
} else
{return and__3822__auto____12572;
}
})())
{return coll.cljs$core$IIndexed$_nth$arity$2(coll,n);
} else
{return not_found;
}
});
cljs.core.PersistentVector.prototype.cljs$core$IEmptyableCollection$_empty$arity$1 = (function (coll){
var this__12573 = this;
return cljs.core.with_meta.call(null,cljs.core.PersistentVector.EMPTY,this__12573.meta);
});
cljs.core.PersistentVector;
cljs.core.PersistentVector.EMPTY_NODE = cljs.core.pv_fresh_node.call(null,null);
cljs.core.PersistentVector.EMPTY = (new cljs.core.PersistentVector(null,0,5,cljs.core.PersistentVector.EMPTY_NODE,[],0));
cljs.core.PersistentVector.fromArray = (function (xs,no_clone){
var l__12604 = xs.length;
var xs__12605 = (((no_clone === true))?xs:xs.slice());
if((l__12604 < 32))
{return (new cljs.core.PersistentVector(null,l__12604,5,cljs.core.PersistentVector.EMPTY_NODE,xs__12605,null));
} else
{var node__12606 = xs__12605.slice(0,32);
var v__12607 = (new cljs.core.PersistentVector(null,32,5,cljs.core.PersistentVector.EMPTY_NODE,node__12606,null));
var i__12608 = 32;
var out__12609 = cljs.core._as_transient.call(null,v__12607);
while(true){
if((i__12608 < l__12604))
{{
var G__12610 = (i__12608 + 1);
var G__12611 = cljs.core.conj_BANG_.call(null,out__12609,(xs__12605[i__12608]));
i__12608 = G__12610;
out__12609 = G__12611;
continue;
}
} else
{return cljs.core.persistent_BANG_.call(null,out__12609);
}
break;
}
}
});
cljs.core.vec = (function vec(coll){
return cljs.core._persistent_BANG_.call(null,cljs.core.reduce.call(null,cljs.core._conj_BANG_,cljs.core._as_transient.call(null,cljs.core.PersistentVector.EMPTY),coll));
});
/**
* @param {...*} var_args
*/
cljs.core.vector = (function() { 
var vector__delegate = function (args){
return cljs.core.vec.call(null,args);
};
var vector = function (var_args){
var args = null;
if (goog.isDef(var_args)) {
  args = cljs.core.array_seq(Array.prototype.slice.call(arguments, 0),0);
} 
return vector__delegate.call(this, args);
};
vector.cljs$lang$maxFixedArity = 0;
vector.cljs$lang$applyTo = (function (arglist__12614){
var args = cljs.core.seq(arglist__12614);;
return vector__delegate(args);
});
vector.cljs$lang$arity$variadic = vector__delegate;
return vector;
})()
;

/**
* @constructor
*/
cljs.core.ChunkedSeq = (function (vec,node,i,off,meta){
this.vec = vec;
this.node = node;
this.i = i;
this.off = off;
this.meta = meta;
this.cljs$lang$protocol_mask$partition1$ = 0;
this.cljs$lang$protocol_mask$partition0$ = 27525356;
})
cljs.core.ChunkedSeq.cljs$lang$type = true;
cljs.core.ChunkedSeq.cljs$lang$ctorPrSeq = (function (this__4682__auto__){
return cljs.core.list.call(null,"cljs.core/ChunkedSeq");
});
cljs.core.ChunkedSeq.prototype.cljs$core$INext$_next$arity$1 = (function (coll){
var this__12617 = this;
if(((this__12617.off + 1) < this__12617.node.length))
{var s__12620 = cljs.core.chunked_seq.call(null,this__12617.vec,this__12617.node,this__12617.i,(this__12617.off + 1));
if((s__12620 == null))
{return null;
} else
{return s__12620;
}
} else
{return coll.cljs$core$IChunkedNext$_chunked_next$arity$1(coll);
}
});
cljs.core.ChunkedSeq.prototype.cljs$core$ICollection$_conj$arity$2 = (function (coll,o){
var this__12621 = this;
return cljs.core.cons.call(null,o,coll);
});
cljs.core.ChunkedSeq.prototype.cljs$core$ISeqable$_seq$arity$1 = (function (coll){
var this__12622 = this;
return coll;
});
cljs.core.ChunkedSeq.prototype.cljs$core$ISeq$_first$arity$1 = (function (coll){
var this__12623 = this;
return (this__12623.node[this__12623.off]);
});
cljs.core.ChunkedSeq.prototype.cljs$core$ISeq$_rest$arity$1 = (function (coll){
var this__12624 = this;
if(((this__12624.off + 1) < this__12624.node.length))
{var s__12625 = cljs.core.chunked_seq.call(null,this__12624.vec,this__12624.node,this__12624.i,(this__12624.off + 1));
if((s__12625 == null))
{return cljs.core.List.EMPTY;
} else
{return s__12625;
}
} else
{return coll.cljs$core$IChunkedSeq$_chunked_rest$arity$1(coll);
}
});
cljs.core.ChunkedSeq.prototype.cljs$core$IChunkedNext$ = true;
cljs.core.ChunkedSeq.prototype.cljs$core$IChunkedNext$_chunked_next$arity$1 = (function (coll){
var this__12626 = this;
var l__12627 = this__12626.node.length;
var s__12628 = ((((this__12626.i + l__12627) < cljs.core._count.call(null,this__12626.vec)))?cljs.core.chunked_seq.call(null,this__12626.vec,(this__12626.i + l__12627),0):null);
if((s__12628 == null))
{return null;
} else
{return s__12628;
}
});
cljs.core.ChunkedSeq.prototype.cljs$core$IEquiv$_equiv$arity$2 = (function (coll,other){
var this__12629 = this;
return cljs.core.equiv_sequential.call(null,coll,other);
});
cljs.core.ChunkedSeq.prototype.cljs$core$IWithMeta$_with_meta$arity$2 = (function (coll,m){
var this__12631 = this;
return cljs.core.chunked_seq.call(null,this__12631.vec,this__12631.node,this__12631.i,this__12631.off,m);
});
cljs.core.ChunkedSeq.prototype.cljs$core$IWithMeta$_meta$arity$1 = (function (coll){
var this__12634 = this;
return this__12634.meta;
});
cljs.core.ChunkedSeq.prototype.cljs$core$IEmptyableCollection$_empty$arity$1 = (function (coll){
var this__12636 = this;
return cljs.core.with_meta.call(null,cljs.core.PersistentVector.EMPTY,this__12636.meta);
});
cljs.core.ChunkedSeq.prototype.cljs$core$IChunkedSeq$ = true;
cljs.core.ChunkedSeq.prototype.cljs$core$IChunkedSeq$_chunked_first$arity$1 = (function (coll){
var this__12681 = this;
return cljs.core.array_chunk.call(null,this__12681.node,this__12681.off);
});
cljs.core.ChunkedSeq.prototype.cljs$core$IChunkedSeq$_chunked_rest$arity$1 = (function (coll){
var this__12682 = this;
var l__12683 = this__12682.node.length;
var s__12684 = ((((this__12682.i + l__12683) < cljs.core._count.call(null,this__12682.vec)))?cljs.core.chunked_seq.call(null,this__12682.vec,(this__12682.i + l__12683),0):null);
if((s__12684 == null))
{return cljs.core.List.EMPTY;
} else
{return s__12684;
}
});
cljs.core.ChunkedSeq;
cljs.core.chunked_seq = (function() {
var chunked_seq = null;
var chunked_seq__3 = (function (vec,i,off){
return chunked_seq.call(null,vec,cljs.core.array_for.call(null,vec,i),i,off,null);
});
var chunked_seq__4 = (function (vec,node,i,off){
return chunked_seq.call(null,vec,node,i,off,null);
});
var chunked_seq__5 = (function (vec,node,i,off,meta){
return (new cljs.core.ChunkedSeq(vec,node,i,off,meta));
});
chunked_seq = function(vec,node,i,off,meta){
switch(arguments.length){
case 3:
return chunked_seq__3.call(this,vec,node,i);
case 4:
return chunked_seq__4.call(this,vec,node,i,off);
case 5:
return chunked_seq__5.call(this,vec,node,i,off,meta);
}
throw('Invalid arity: ' + arguments.length);
};
chunked_seq.cljs$lang$arity$3 = chunked_seq__3;
chunked_seq.cljs$lang$arity$4 = chunked_seq__4;
chunked_seq.cljs$lang$arity$5 = chunked_seq__5;
return chunked_seq;
})()
;

/**
* @constructor
*/
cljs.core.Subvec = (function (meta,v,start,end,__hash){
this.meta = meta;
this.v = v;
this.start = start;
this.end = end;
this.__hash = __hash;
this.cljs$lang$protocol_mask$partition1$ = 0;
this.cljs$lang$protocol_mask$partition0$ = 32400159;
})
cljs.core.Subvec.cljs$lang$type = true;
cljs.core.Subvec.cljs$lang$ctorPrSeq = (function (this__4682__auto__){
return cljs.core.list.call(null,"cljs.core/Subvec");
});
cljs.core.Subvec.prototype.cljs$core$IHash$_hash$arity$1 = (function (coll){
var this__12701 = this;
var h__4565__auto____12702 = this__12701.__hash;
if(!((h__4565__auto____12702 == null)))
{return h__4565__auto____12702;
} else
{var h__4565__auto____12703 = cljs.core.hash_coll.call(null,coll);
this__12701.__hash = h__4565__auto____12703;
return h__4565__auto____12703;
}
});
cljs.core.Subvec.prototype.cljs$core$ILookup$_lookup$arity$2 = (function (coll,k){
var this__12704 = this;
return coll.cljs$core$IIndexed$_nth$arity$3(coll,k,null);
});
cljs.core.Subvec.prototype.cljs$core$ILookup$_lookup$arity$3 = (function (coll,k,not_found){
var this__12705 = this;
return coll.cljs$core$IIndexed$_nth$arity$3(coll,k,not_found);
});
cljs.core.Subvec.prototype.cljs$core$IAssociative$_assoc$arity$3 = (function (coll,key,val){
var this__12706 = this;
var v_pos__12707 = (this__12706.start + key);
return (new cljs.core.Subvec(this__12706.meta,cljs.core._assoc.call(null,this__12706.v,v_pos__12707,val),this__12706.start,((this__12706.end > (v_pos__12707 + 1)) ? this__12706.end : (v_pos__12707 + 1)),null));
});
cljs.core.Subvec.prototype.call = (function() {
var G__12733 = null;
var G__12733__2 = (function (this_sym12708,k){
var this__12710 = this;
var this_sym12708__12711 = this;
var coll__12712 = this_sym12708__12711;
return coll__12712.cljs$core$ILookup$_lookup$arity$2(coll__12712,k);
});
var G__12733__3 = (function (this_sym12709,k,not_found){
var this__12710 = this;
var this_sym12709__12713 = this;
var coll__12714 = this_sym12709__12713;
return coll__12714.cljs$core$ILookup$_lookup$arity$3(coll__12714,k,not_found);
});
G__12733 = function(this_sym12709,k,not_found){
switch(arguments.length){
case 2:
return G__12733__2.call(this,this_sym12709,k);
case 3:
return G__12733__3.call(this,this_sym12709,k,not_found);
}
throw('Invalid arity: ' + arguments.length);
};
return G__12733;
})()
;
cljs.core.Subvec.prototype.apply = (function (this_sym12699,args12700){
var this__12715 = this;
return this_sym12699.call.apply(this_sym12699,[this_sym12699].concat(args12700.slice()));
});
cljs.core.Subvec.prototype.cljs$core$ICollection$_conj$arity$2 = (function (coll,o){
var this__12716 = this;
return (new cljs.core.Subvec(this__12716.meta,cljs.core._assoc_n.call(null,this__12716.v,this__12716.end,o),this__12716.start,(this__12716.end + 1),null));
});
cljs.core.Subvec.prototype.toString = (function (){
var this__12717 = this;
var this__12718 = this;
return cljs.core.pr_str.call(null,this__12718);
});
cljs.core.Subvec.prototype.cljs$core$IReduce$_reduce$arity$2 = (function (coll,f){
var this__12719 = this;
return cljs.core.ci_reduce.call(null,coll,f);
});
cljs.core.Subvec.prototype.cljs$core$IReduce$_reduce$arity$3 = (function (coll,f,start){
var this__12720 = this;
return cljs.core.ci_reduce.call(null,coll,f,start);
});
cljs.core.Subvec.prototype.cljs$core$ISeqable$_seq$arity$1 = (function (coll){
var this__12721 = this;
var subvec_seq__12722 = (function subvec_seq(i){
if((i === this__12721.end))
{return null;
} else
{return cljs.core.cons.call(null,cljs.core._nth.call(null,this__12721.v,i),(new cljs.core.LazySeq(null,false,(function (){
return subvec_seq.call(null,(i + 1));
}),null)));
}
});
return subvec_seq__12722.call(null,this__12721.start);
});
cljs.core.Subvec.prototype.cljs$core$ICounted$_count$arity$1 = (function (coll){
var this__12723 = this;
return (this__12723.end - this__12723.start);
});
cljs.core.Subvec.prototype.cljs$core$IStack$_peek$arity$1 = (function (coll){
var this__12724 = this;
return cljs.core._nth.call(null,this__12724.v,(this__12724.end - 1));
});
cljs.core.Subvec.prototype.cljs$core$IStack$_pop$arity$1 = (function (coll){
var this__12725 = this;
if((this__12725.start === this__12725.end))
{throw (new Error("Can't pop empty vector"));
} else
{return (new cljs.core.Subvec(this__12725.meta,this__12725.v,this__12725.start,(this__12725.end - 1),null));
}
});
cljs.core.Subvec.prototype.cljs$core$IVector$_assoc_n$arity$3 = (function (coll,n,val){
var this__12726 = this;
return coll.cljs$core$IAssociative$_assoc$arity$3(coll,n,val);
});
cljs.core.Subvec.prototype.cljs$core$IEquiv$_equiv$arity$2 = (function (coll,other){
var this__12727 = this;
return cljs.core.equiv_sequential.call(null,coll,other);
});
cljs.core.Subvec.prototype.cljs$core$IWithMeta$_with_meta$arity$2 = (function (coll,meta){
var this__12728 = this;
return (new cljs.core.Subvec(meta,this__12728.v,this__12728.start,this__12728.end,this__12728.__hash));
});
cljs.core.Subvec.prototype.cljs$core$IMeta$_meta$arity$1 = (function (coll){
var this__12729 = this;
return this__12729.meta;
});
cljs.core.Subvec.prototype.cljs$core$IIndexed$_nth$arity$2 = (function (coll,n){
var this__12730 = this;
return cljs.core._nth.call(null,this__12730.v,(this__12730.start + n));
});
cljs.core.Subvec.prototype.cljs$core$IIndexed$_nth$arity$3 = (function (coll,n,not_found){
var this__12731 = this;
return cljs.core._nth.call(null,this__12731.v,(this__12731.start + n),not_found);
});
cljs.core.Subvec.prototype.cljs$core$IEmptyableCollection$_empty$arity$1 = (function (coll){
var this__12732 = this;
return cljs.core.with_meta.call(null,cljs.core.Vector.EMPTY,this__12732.meta);
});
cljs.core.Subvec;
/**
* Returns a persistent vector of the items in vector from
* start (inclusive) to end (exclusive).  If end is not supplied,
* defaults to (count vector). This operation is O(1) and very fast, as
* the resulting vector shares structure with the original and no
* trimming is done.
*/
cljs.core.subvec = (function() {
var subvec = null;
var subvec__2 = (function (v,start){
return subvec.call(null,v,start,cljs.core.count.call(null,v));
});
var subvec__3 = (function (v,start,end){
return (new cljs.core.Subvec(null,v,start,end,null));
});
subvec = function(v,start,end){
switch(arguments.length){
case 2:
return subvec__2.call(this,v,start);
case 3:
return subvec__3.call(this,v,start,end);
}
throw('Invalid arity: ' + arguments.length);
};
subvec.cljs$lang$arity$2 = subvec__2;
subvec.cljs$lang$arity$3 = subvec__3;
return subvec;
})()
;
cljs.core.tv_ensure_editable = (function tv_ensure_editable(edit,node){
if((edit === node.edit))
{return node;
} else
{return (new cljs.core.VectorNode(edit,node.arr.slice()));
}
});
cljs.core.tv_editable_root = (function tv_editable_root(node){
return (new cljs.core.VectorNode({},node.arr.slice()));
});
cljs.core.tv_editable_tail = (function tv_editable_tail(tl){
var ret__12735 = cljs.core.make_array.call(null,32);
cljs.core.array_copy.call(null,tl,0,ret__12735,0,tl.length);
return ret__12735;
});
cljs.core.tv_push_tail = (function tv_push_tail(tv,level,parent,tail_node){
var ret__12739 = cljs.core.tv_ensure_editable.call(null,tv.root.edit,parent);
var subidx__12740 = (((tv.cnt - 1) >>> level) & 31);
cljs.core.pv_aset.call(null,ret__12739,subidx__12740,(((level === 5))?tail_node:(function (){var child__12741 = cljs.core.pv_aget.call(null,ret__12739,subidx__12740);
if(!((child__12741 == null)))
{return tv_push_tail.call(null,tv,(level - 5),child__12741,tail_node);
} else
{return cljs.core.new_path.call(null,tv.root.edit,(level - 5),tail_node);
}
})()));
return ret__12739;
});
cljs.core.tv_pop_tail = (function tv_pop_tail(tv,level,node){
var node__12752 = cljs.core.tv_ensure_editable.call(null,tv.root.edit,node);
var subidx__12753 = (((tv.cnt - 2) >>> level) & 31);
if((level > 5))
{var new_child__12754 = tv_pop_tail.call(null,tv,(level - 5),cljs.core.pv_aget.call(null,node__12752,subidx__12753));
if((function (){var and__3822__auto____12755 = (new_child__12754 == null);
if(and__3822__auto____12755)
{return (subidx__12753 === 0);
} else
{return and__3822__auto____12755;
}
})())
{return null;
} else
{cljs.core.pv_aset.call(null,node__12752,subidx__12753,new_child__12754);
return node__12752;
}
} else
{if((subidx__12753 === 0))
{return null;
} else
{if("\uFDD0'else")
{cljs.core.pv_aset.call(null,node__12752,subidx__12753,null);
return node__12752;
} else
{return null;
}
}
}
});
cljs.core.editable_array_for = (function editable_array_for(tv,i){
if((function (){var and__3822__auto____12768 = (0 <= i);
if(and__3822__auto____12768)
{return (i < tv.cnt);
} else
{return and__3822__auto____12768;
}
})())
{if((i >= cljs.core.tail_off.call(null,tv)))
{return tv.tail;
} else
{var root__12769 = tv.root;
var node__12770 = root__12769;
var level__12771 = tv.shift;
while(true){
if((level__12771 > 0))
{{
var G__12772 = cljs.core.tv_ensure_editable.call(null,root__12769.edit,cljs.core.pv_aget.call(null,node__12770,((i >>> level__12771) & 31)));
var G__12773 = (level__12771 - 5);
node__12770 = G__12772;
level__12771 = G__12773;
continue;
}
} else
{return node__12770.arr;
}
break;
}
}
} else
{throw (new Error([cljs.core.str("No item "),cljs.core.str(i),cljs.core.str(" in transient vector of length "),cljs.core.str(tv.cnt)].join('')));
}
});

/**
* @constructor
*/
cljs.core.TransientVector = (function (cnt,shift,root,tail){
this.cnt = cnt;
this.shift = shift;
this.root = root;
this.tail = tail;
this.cljs$lang$protocol_mask$partition0$ = 275;
this.cljs$lang$protocol_mask$partition1$ = 22;
})
cljs.core.TransientVector.cljs$lang$type = true;
cljs.core.TransientVector.cljs$lang$ctorPrSeq = (function (this__4682__auto__){
return cljs.core.list.call(null,"cljs.core/TransientVector");
});
cljs.core.TransientVector.prototype.call = (function() {
var G__12827 = null;
var G__12827__2 = (function (this_sym12784,k){
var this__12786 = this;
var this_sym12784__12787 = this;
var coll__12788 = this_sym12784__12787;
return coll__12788.cljs$core$ILookup$_lookup$arity$2(coll__12788,k);
});
var G__12827__3 = (function (this_sym12785,k,not_found){
var this__12786 = this;
var this_sym12785__12789 = this;
var coll__12790 = this_sym12785__12789;
return coll__12790.cljs$core$ILookup$_lookup$arity$3(coll__12790,k,not_found);
});
G__12827 = function(this_sym12785,k,not_found){
switch(arguments.length){
case 2:
return G__12827__2.call(this,this_sym12785,k);
case 3:
return G__12827__3.call(this,this_sym12785,k,not_found);
}
throw('Invalid arity: ' + arguments.length);
};
return G__12827;
})()
;
cljs.core.TransientVector.prototype.apply = (function (this_sym12782,args12783){
var this__12791 = this;
return this_sym12782.call.apply(this_sym12782,[this_sym12782].concat(args12783.slice()));
});
cljs.core.TransientVector.prototype.cljs$core$ILookup$_lookup$arity$2 = (function (coll,k){
var this__12792 = this;
return coll.cljs$core$IIndexed$_nth$arity$3(coll,k,null);
});
cljs.core.TransientVector.prototype.cljs$core$ILookup$_lookup$arity$3 = (function (coll,k,not_found){
var this__12793 = this;
return coll.cljs$core$IIndexed$_nth$arity$3(coll,k,not_found);
});
cljs.core.TransientVector.prototype.cljs$core$IIndexed$_nth$arity$2 = (function (coll,n){
var this__12794 = this;
if(this__12794.root.edit)
{return (cljs.core.array_for.call(null,coll,n)[(n & 31)]);
} else
{throw (new Error("nth after persistent!"));
}
});
cljs.core.TransientVector.prototype.cljs$core$IIndexed$_nth$arity$3 = (function (coll,n,not_found){
var this__12795 = this;
if((function (){var and__3822__auto____12796 = (0 <= n);
if(and__3822__auto____12796)
{return (n < this__12795.cnt);
} else
{return and__3822__auto____12796;
}
})())
{return coll.cljs$core$IIndexed$_nth$arity$2(coll,n);
} else
{return not_found;
}
});
cljs.core.TransientVector.prototype.cljs$core$ICounted$_count$arity$1 = (function (coll){
var this__12798 = this;
if(this__12798.root.edit)
{return this__12798.cnt;
} else
{throw (new Error("count after persistent!"));
}
});
cljs.core.TransientVector.prototype.cljs$core$ITransientVector$_assoc_n_BANG_$arity$3 = (function (tcoll,n,val){
var this__12801 = this;
if(this__12801.root.edit)
{if((function (){var and__3822__auto____12802 = (0 <= n);
if(and__3822__auto____12802)
{return (n < this__12801.cnt);
} else
{return and__3822__auto____12802;
}
})())
{if((cljs.core.tail_off.call(null,tcoll) <= n))
{(this__12801.tail[(n & 31)] = val);
return tcoll;
} else
{var new_root__12810 = (function go(level,node){
var node__12808 = cljs.core.tv_ensure_editable.call(null,this__12801.root.edit,node);
if((level === 0))
{cljs.core.pv_aset.call(null,node__12808,(n & 31),val);
return node__12808;
} else
{var subidx__12809 = ((n >>> level) & 31);
cljs.core.pv_aset.call(null,node__12808,subidx__12809,go.call(null,(level - 5),cljs.core.pv_aget.call(null,node__12808,subidx__12809)));
return node__12808;
}
}).call(null,this__12801.shift,this__12801.root);
this__12801.root = new_root__12810;
return tcoll;
}
} else
{if((n === this__12801.cnt))
{return tcoll.cljs$core$ITransientCollection$_conj_BANG_$arity$2(tcoll,val);
} else
{if("\uFDD0'else")
{throw (new Error([cljs.core.str("Index "),cljs.core.str(n),cljs.core.str(" out of bounds for TransientVector of length"),cljs.core.str(this__12801.cnt)].join('')));
} else
{return null;
}
}
}
} else
{throw (new Error("assoc! after persistent!"));
}
});
cljs.core.TransientVector.prototype.cljs$core$ITransientVector$_pop_BANG_$arity$1 = (function (tcoll){
var this__12811 = this;
if(this__12811.root.edit)
{if((this__12811.cnt === 0))
{throw (new Error("Can't pop empty vector"));
} else
{if((1 === this__12811.cnt))
{this__12811.cnt = 0;
return tcoll;
} else
{if((((this__12811.cnt - 1) & 31) > 0))
{this__12811.cnt = (this__12811.cnt - 1);
return tcoll;
} else
{if("\uFDD0'else")
{var new_tail__12812 = cljs.core.editable_array_for.call(null,tcoll,(this__12811.cnt - 2));
var new_root__12814 = (function (){var nr__12813 = cljs.core.tv_pop_tail.call(null,tcoll,this__12811.shift,this__12811.root);
if(!((nr__12813 == null)))
{return nr__12813;
} else
{return (new cljs.core.VectorNode(this__12811.root.edit,cljs.core.make_array.call(null,32)));
}
})();
if((function (){var and__3822__auto____12815 = (5 < this__12811.shift);
if(and__3822__auto____12815)
{return (cljs.core.pv_aget.call(null,new_root__12814,1) == null);
} else
{return and__3822__auto____12815;
}
})())
{var new_root__12816 = cljs.core.tv_ensure_editable.call(null,this__12811.root.edit,cljs.core.pv_aget.call(null,new_root__12814,0));
this__12811.root = new_root__12816;
this__12811.shift = (this__12811.shift - 5);
this__12811.cnt = (this__12811.cnt - 1);
this__12811.tail = new_tail__12812;
return tcoll;
} else
{this__12811.root = new_root__12814;
this__12811.cnt = (this__12811.cnt - 1);
this__12811.tail = new_tail__12812;
return tcoll;
}
} else
{return null;
}
}
}
}
} else
{throw (new Error("pop! after persistent!"));
}
});
cljs.core.TransientVector.prototype.cljs$core$ITransientAssociative$_assoc_BANG_$arity$3 = (function (tcoll,key,val){
var this__12817 = this;
return tcoll.cljs$core$ITransientVector$_assoc_n_BANG_$arity$3(tcoll,key,val);
});
cljs.core.TransientVector.prototype.cljs$core$ITransientCollection$_conj_BANG_$arity$2 = (function (tcoll,o){
var this__12818 = this;
if(this__12818.root.edit)
{if(((this__12818.cnt - cljs.core.tail_off.call(null,tcoll)) < 32))
{(this__12818.tail[(this__12818.cnt & 31)] = o);
this__12818.cnt = (this__12818.cnt + 1);
return tcoll;
} else
{var tail_node__12819 = (new cljs.core.VectorNode(this__12818.root.edit,this__12818.tail));
var new_tail__12820 = cljs.core.make_array.call(null,32);
(new_tail__12820[0] = o);
this__12818.tail = new_tail__12820;
if(((this__12818.cnt >>> 5) > (1 << this__12818.shift)))
{var new_root_array__12821 = cljs.core.make_array.call(null,32);
var new_shift__12822 = (this__12818.shift + 5);
(new_root_array__12821[0] = this__12818.root);
(new_root_array__12821[1] = cljs.core.new_path.call(null,this__12818.root.edit,this__12818.shift,tail_node__12819));
this__12818.root = (new cljs.core.VectorNode(this__12818.root.edit,new_root_array__12821));
this__12818.shift = new_shift__12822;
this__12818.cnt = (this__12818.cnt + 1);
return tcoll;
} else
{var new_root__12823 = cljs.core.tv_push_tail.call(null,tcoll,this__12818.shift,this__12818.root,tail_node__12819);
this__12818.root = new_root__12823;
this__12818.cnt = (this__12818.cnt + 1);
return tcoll;
}
}
} else
{throw (new Error("conj! after persistent!"));
}
});
cljs.core.TransientVector.prototype.cljs$core$ITransientCollection$_persistent_BANG_$arity$1 = (function (tcoll){
var this__12824 = this;
if(this__12824.root.edit)
{this__12824.root.edit = null;
var len__12825 = (this__12824.cnt - cljs.core.tail_off.call(null,tcoll));
var trimmed_tail__12826 = cljs.core.make_array.call(null,len__12825);
cljs.core.array_copy.call(null,this__12824.tail,0,trimmed_tail__12826,0,len__12825);
return (new cljs.core.PersistentVector(null,this__12824.cnt,this__12824.shift,this__12824.root,trimmed_tail__12826,null));
} else
{throw (new Error("persistent! called twice"));
}
});
cljs.core.TransientVector;

/**
* @constructor
*/
cljs.core.PersistentQueueSeq = (function (meta,front,rear,__hash){
this.meta = meta;
this.front = front;
this.rear = rear;
this.__hash = __hash;
this.cljs$lang$protocol_mask$partition1$ = 0;
this.cljs$lang$protocol_mask$partition0$ = 31850572;
})
cljs.core.PersistentQueueSeq.cljs$lang$type = true;
cljs.core.PersistentQueueSeq.cljs$lang$ctorPrSeq = (function (this__4682__auto__){
return cljs.core.list.call(null,"cljs.core/PersistentQueueSeq");
});
cljs.core.PersistentQueueSeq.prototype.cljs$core$IHash$_hash$arity$1 = (function (coll){
var this__12828 = this;
var h__4565__auto____12829 = this__12828.__hash;
if(!((h__4565__auto____12829 == null)))
{return h__4565__auto____12829;
} else
{var h__4565__auto____12830 = cljs.core.hash_coll.call(null,coll);
this__12828.__hash = h__4565__auto____12830;
return h__4565__auto____12830;
}
});
cljs.core.PersistentQueueSeq.prototype.cljs$core$ICollection$_conj$arity$2 = (function (coll,o){
var this__12831 = this;
return cljs.core.cons.call(null,o,coll);
});
cljs.core.PersistentQueueSeq.prototype.toString = (function (){
var this__12832 = this;
var this__12833 = this;
return cljs.core.pr_str.call(null,this__12833);
});
cljs.core.PersistentQueueSeq.prototype.cljs$core$ISeqable$_seq$arity$1 = (function (coll){
var this__12834 = this;
return coll;
});
cljs.core.PersistentQueueSeq.prototype.cljs$core$ISeq$_first$arity$1 = (function (coll){
var this__12835 = this;
return cljs.core._first.call(null,this__12835.front);
});
cljs.core.PersistentQueueSeq.prototype.cljs$core$ISeq$_rest$arity$1 = (function (coll){
var this__12836 = this;
var temp__3971__auto____12837 = cljs.core.next.call(null,this__12836.front);
if(temp__3971__auto____12837)
{var f1__12838 = temp__3971__auto____12837;
return (new cljs.core.PersistentQueueSeq(this__12836.meta,f1__12838,this__12836.rear,null));
} else
{if((this__12836.rear == null))
{return coll.cljs$core$IEmptyableCollection$_empty$arity$1(coll);
} else
{return (new cljs.core.PersistentQueueSeq(this__12836.meta,this__12836.rear,null,null));
}
}
});
cljs.core.PersistentQueueSeq.prototype.cljs$core$IEquiv$_equiv$arity$2 = (function (coll,other){
var this__12839 = this;
return cljs.core.equiv_sequential.call(null,coll,other);
});
cljs.core.PersistentQueueSeq.prototype.cljs$core$IWithMeta$_with_meta$arity$2 = (function (coll,meta){
var this__12840 = this;
return (new cljs.core.PersistentQueueSeq(meta,this__12840.front,this__12840.rear,this__12840.__hash));
});
cljs.core.PersistentQueueSeq.prototype.cljs$core$IMeta$_meta$arity$1 = (function (coll){
var this__12841 = this;
return this__12841.meta;
});
cljs.core.PersistentQueueSeq.prototype.cljs$core$IEmptyableCollection$_empty$arity$1 = (function (coll){
var this__12842 = this;
return cljs.core.with_meta.call(null,cljs.core.List.EMPTY,this__12842.meta);
});
cljs.core.PersistentQueueSeq;

/**
* @constructor
*/
cljs.core.PersistentQueue = (function (meta,count,front,rear,__hash){
this.meta = meta;
this.count = count;
this.front = front;
this.rear = rear;
this.__hash = __hash;
this.cljs$lang$protocol_mask$partition1$ = 0;
this.cljs$lang$protocol_mask$partition0$ = 31858766;
})
cljs.core.PersistentQueue.cljs$lang$type = true;
cljs.core.PersistentQueue.cljs$lang$ctorPrSeq = (function (this__4682__auto__){
return cljs.core.list.call(null,"cljs.core/PersistentQueue");
});
cljs.core.PersistentQueue.prototype.cljs$core$IHash$_hash$arity$1 = (function (coll){
var this__12843 = this;
var h__4565__auto____12844 = this__12843.__hash;
if(!((h__4565__auto____12844 == null)))
{return h__4565__auto____12844;
} else
{var h__4565__auto____12845 = cljs.core.hash_coll.call(null,coll);
this__12843.__hash = h__4565__auto____12845;
return h__4565__auto____12845;
}
});
cljs.core.PersistentQueue.prototype.cljs$core$ICollection$_conj$arity$2 = (function (coll,o){
var this__12846 = this;
if(cljs.core.truth_(this__12846.front))
{return (new cljs.core.PersistentQueue(this__12846.meta,(this__12846.count + 1),this__12846.front,cljs.core.conj.call(null,(function (){var or__3824__auto____12847 = this__12846.rear;
if(cljs.core.truth_(or__3824__auto____12847))
{return or__3824__auto____12847;
} else
{return cljs.core.PersistentVector.EMPTY;
}
})(),o),null));
} else
{return (new cljs.core.PersistentQueue(this__12846.meta,(this__12846.count + 1),cljs.core.conj.call(null,this__12846.front,o),cljs.core.PersistentVector.EMPTY,null));
}
});
cljs.core.PersistentQueue.prototype.toString = (function (){
var this__12848 = this;
var this__12849 = this;
return cljs.core.pr_str.call(null,this__12849);
});
cljs.core.PersistentQueue.prototype.cljs$core$ISeqable$_seq$arity$1 = (function (coll){
var this__12850 = this;
var rear__12851 = cljs.core.seq.call(null,this__12850.rear);
if(cljs.core.truth_((function (){var or__3824__auto____12852 = this__12850.front;
if(cljs.core.truth_(or__3824__auto____12852))
{return or__3824__auto____12852;
} else
{return rear__12851;
}
})()))
{return (new cljs.core.PersistentQueueSeq(null,this__12850.front,cljs.core.seq.call(null,rear__12851),null));
} else
{return null;
}
});
cljs.core.PersistentQueue.prototype.cljs$core$ICounted$_count$arity$1 = (function (coll){
var this__12853 = this;
return this__12853.count;
});
cljs.core.PersistentQueue.prototype.cljs$core$IStack$_peek$arity$1 = (function (coll){
var this__12854 = this;
return cljs.core._first.call(null,this__12854.front);
});
cljs.core.PersistentQueue.prototype.cljs$core$IStack$_pop$arity$1 = (function (coll){
var this__12856 = this;
if(cljs.core.truth_(this__12856.front))
{var temp__3971__auto____12857 = cljs.core.next.call(null,this__12856.front);
if(temp__3971__auto____12857)
{var f1__12858 = temp__3971__auto____12857;
return (new cljs.core.PersistentQueue(this__12856.meta,(this__12856.count - 1),f1__12858,this__12856.rear,null));
} else
{return (new cljs.core.PersistentQueue(this__12856.meta,(this__12856.count - 1),cljs.core.seq.call(null,this__12856.rear),cljs.core.PersistentVector.EMPTY,null));
}
} else
{return coll;
}
});
cljs.core.PersistentQueue.prototype.cljs$core$ISeq$_first$arity$1 = (function (coll){
var this__12860 = this;
return cljs.core.first.call(null,this__12860.front);
});
cljs.core.PersistentQueue.prototype.cljs$core$ISeq$_rest$arity$1 = (function (coll){
var this__12861 = this;
return cljs.core.rest.call(null,cljs.core.seq.call(null,coll));
});
cljs.core.PersistentQueue.prototype.cljs$core$IEquiv$_equiv$arity$2 = (function (coll,other){
var this__12862 = this;
return cljs.core.equiv_sequential.call(null,coll,other);
});
cljs.core.PersistentQueue.prototype.cljs$core$IWithMeta$_with_meta$arity$2 = (function (coll,meta){
var this__12863 = this;
return (new cljs.core.PersistentQueue(meta,this__12863.count,this__12863.front,this__12863.rear,this__12863.__hash));
});
cljs.core.PersistentQueue.prototype.cljs$core$IMeta$_meta$arity$1 = (function (coll){
var this__12864 = this;
return this__12864.meta;
});
cljs.core.PersistentQueue.prototype.cljs$core$IEmptyableCollection$_empty$arity$1 = (function (coll){
var this__12865 = this;
return cljs.core.PersistentQueue.EMPTY;
});
cljs.core.PersistentQueue;
cljs.core.PersistentQueue.EMPTY = (new cljs.core.PersistentQueue(null,0,null,cljs.core.PersistentVector.EMPTY,0));

/**
* @constructor
*/
cljs.core.NeverEquiv = (function (){
this.cljs$lang$protocol_mask$partition1$ = 0;
this.cljs$lang$protocol_mask$partition0$ = 2097152;
})
cljs.core.NeverEquiv.cljs$lang$type = true;
cljs.core.NeverEquiv.cljs$lang$ctorPrSeq = (function (this__4682__auto__){
return cljs.core.list.call(null,"cljs.core/NeverEquiv");
});
cljs.core.NeverEquiv.prototype.cljs$core$IEquiv$_equiv$arity$2 = (function (o,other){
var this__12875 = this;
return false;
});
cljs.core.NeverEquiv;
cljs.core.never_equiv = (new cljs.core.NeverEquiv());
/**
* Assumes y is a map. Returns true if x equals y, otherwise returns
* false.
*/
cljs.core.equiv_map = (function equiv_map(x,y){
return cljs.core.boolean$.call(null,((cljs.core.map_QMARK_.call(null,y))?(((cljs.core.count.call(null,x) === cljs.core.count.call(null,y)))?cljs.core.every_QMARK_.call(null,cljs.core.identity,cljs.core.map.call(null,(function (xkv){
return cljs.core._EQ_.call(null,cljs.core._lookup.call(null,y,cljs.core.first.call(null,xkv),cljs.core.never_equiv),cljs.core.second.call(null,xkv));
}),x)):null):null));
});
cljs.core.scan_array = (function scan_array(incr,k,array){
var len__12881 = array.length;
var i__12882 = 0;
while(true){
if((i__12882 < len__12881))
{if((k === (array[i__12882])))
{return i__12882;
} else
{{
var G__12883 = (i__12882 + incr);
i__12882 = G__12883;
continue;
}
}
} else
{return null;
}
break;
}
});
cljs.core.obj_map_compare_keys = (function obj_map_compare_keys(a,b){
var a__12886 = cljs.core.hash.call(null,a);
var b__12887 = cljs.core.hash.call(null,b);
if((a__12886 < b__12887))
{return -1;
} else
{if((a__12886 > b__12887))
{return 1;
} else
{if("\uFDD0'else")
{return 0;
} else
{return null;
}
}
}
});
cljs.core.obj_map__GT_hash_map = (function obj_map__GT_hash_map(m,k,v){
var ks__12895 = m.keys;
var len__12896 = ks__12895.length;
var so__12897 = m.strobj;
var out__12898 = cljs.core.with_meta.call(null,cljs.core.PersistentHashMap.EMPTY,cljs.core.meta.call(null,m));
var i__12899 = 0;
var out__12900 = cljs.core.transient$.call(null,out__12898);
while(true){
if((i__12899 < len__12896))
{var k__12901 = (ks__12895[i__12899]);
{
var G__12902 = (i__12899 + 1);
var G__12903 = cljs.core.assoc_BANG_.call(null,out__12900,k__12901,(so__12897[k__12901]));
i__12899 = G__12902;
out__12900 = G__12903;
continue;
}
} else
{return cljs.core.persistent_BANG_.call(null,cljs.core.assoc_BANG_.call(null,out__12900,k,v));
}
break;
}
});
cljs.core.obj_clone = (function obj_clone(obj,ks){
var new_obj__12909 = {};
var l__12910 = ks.length;
var i__12911 = 0;
while(true){
if((i__12911 < l__12910))
{var k__12912 = (ks[i__12911]);
(new_obj__12909[k__12912] = (obj[k__12912]));
{
var G__12913 = (i__12911 + 1);
i__12911 = G__12913;
continue;
}
} else
{}
break;
}
return new_obj__12909;
});

/**
* @constructor
*/
cljs.core.ObjMap = (function (meta,keys,strobj,update_count,__hash){
this.meta = meta;
this.keys = keys;
this.strobj = strobj;
this.update_count = update_count;
this.__hash = __hash;
this.cljs$lang$protocol_mask$partition1$ = 1;
this.cljs$lang$protocol_mask$partition0$ = 15075087;
})
cljs.core.ObjMap.cljs$lang$type = true;
cljs.core.ObjMap.cljs$lang$ctorPrSeq = (function (this__4682__auto__){
return cljs.core.list.call(null,"cljs.core/ObjMap");
});
cljs.core.ObjMap.prototype.cljs$core$IEditableCollection$_as_transient$arity$1 = (function (coll){
var this__12916 = this;
return cljs.core.transient$.call(null,cljs.core.into.call(null,cljs.core.hash_map.call(null),coll));
});
cljs.core.ObjMap.prototype.cljs$core$IHash$_hash$arity$1 = (function (coll){
var this__12917 = this;
var h__4565__auto____12918 = this__12917.__hash;
if(!((h__4565__auto____12918 == null)))
{return h__4565__auto____12918;
} else
{var h__4565__auto____12919 = cljs.core.hash_imap.call(null,coll);
this__12917.__hash = h__4565__auto____12919;
return h__4565__auto____12919;
}
});
cljs.core.ObjMap.prototype.cljs$core$ILookup$_lookup$arity$2 = (function (coll,k){
var this__12920 = this;
return coll.cljs$core$ILookup$_lookup$arity$3(coll,k,null);
});
cljs.core.ObjMap.prototype.cljs$core$ILookup$_lookup$arity$3 = (function (coll,k,not_found){
var this__12921 = this;
if((function (){var and__3822__auto____12922 = goog.isString(k);
if(and__3822__auto____12922)
{return !((cljs.core.scan_array.call(null,1,k,this__12921.keys) == null));
} else
{return and__3822__auto____12922;
}
})())
{return (this__12921.strobj[k]);
} else
{return not_found;
}
});
cljs.core.ObjMap.prototype.cljs$core$IAssociative$_assoc$arity$3 = (function (coll,k,v){
var this__12923 = this;
if(goog.isString(k))
{if((function (){var or__3824__auto____12924 = (this__12923.update_count > cljs.core.ObjMap.HASHMAP_THRESHOLD);
if(or__3824__auto____12924)
{return or__3824__auto____12924;
} else
{return (this__12923.keys.length >= cljs.core.ObjMap.HASHMAP_THRESHOLD);
}
})())
{return cljs.core.obj_map__GT_hash_map.call(null,coll,k,v);
} else
{if(!((cljs.core.scan_array.call(null,1,k,this__12923.keys) == null)))
{var new_strobj__12925 = cljs.core.obj_clone.call(null,this__12923.strobj,this__12923.keys);
(new_strobj__12925[k] = v);
return (new cljs.core.ObjMap(this__12923.meta,this__12923.keys,new_strobj__12925,(this__12923.update_count + 1),null));
} else
{var new_strobj__12926 = cljs.core.obj_clone.call(null,this__12923.strobj,this__12923.keys);
var new_keys__12927 = this__12923.keys.slice();
(new_strobj__12926[k] = v);
new_keys__12927.push(k);
return (new cljs.core.ObjMap(this__12923.meta,new_keys__12927,new_strobj__12926,(this__12923.update_count + 1),null));
}
}
} else
{return cljs.core.obj_map__GT_hash_map.call(null,coll,k,v);
}
});
cljs.core.ObjMap.prototype.cljs$core$IAssociative$_contains_key_QMARK_$arity$2 = (function (coll,k){
var this__12928 = this;
if((function (){var and__3822__auto____12929 = goog.isString(k);
if(and__3822__auto____12929)
{return !((cljs.core.scan_array.call(null,1,k,this__12928.keys) == null));
} else
{return and__3822__auto____12929;
}
})())
{return true;
} else
{return false;
}
});
cljs.core.ObjMap.prototype.call = (function() {
var G__12951 = null;
var G__12951__2 = (function (this_sym12930,k){
var this__12932 = this;
var this_sym12930__12933 = this;
var coll__12934 = this_sym12930__12933;
return coll__12934.cljs$core$ILookup$_lookup$arity$2(coll__12934,k);
});
var G__12951__3 = (function (this_sym12931,k,not_found){
var this__12932 = this;
var this_sym12931__12935 = this;
var coll__12936 = this_sym12931__12935;
return coll__12936.cljs$core$ILookup$_lookup$arity$3(coll__12936,k,not_found);
});
G__12951 = function(this_sym12931,k,not_found){
switch(arguments.length){
case 2:
return G__12951__2.call(this,this_sym12931,k);
case 3:
return G__12951__3.call(this,this_sym12931,k,not_found);
}
throw('Invalid arity: ' + arguments.length);
};
return G__12951;
})()
;
cljs.core.ObjMap.prototype.apply = (function (this_sym12914,args12915){
var this__12937 = this;
return this_sym12914.call.apply(this_sym12914,[this_sym12914].concat(args12915.slice()));
});
cljs.core.ObjMap.prototype.cljs$core$ICollection$_conj$arity$2 = (function (coll,entry){
var this__12938 = this;
if(cljs.core.vector_QMARK_.call(null,entry))
{return coll.cljs$core$IAssociative$_assoc$arity$3(coll,cljs.core._nth.call(null,entry,0),cljs.core._nth.call(null,entry,1));
} else
{return cljs.core.reduce.call(null,cljs.core._conj,coll,entry);
}
});
cljs.core.ObjMap.prototype.toString = (function (){
var this__12939 = this;
var this__12940 = this;
return cljs.core.pr_str.call(null,this__12940);
});
cljs.core.ObjMap.prototype.cljs$core$ISeqable$_seq$arity$1 = (function (coll){
var this__12941 = this;
if((this__12941.keys.length > 0))
{return cljs.core.map.call(null,(function (p1__12904_SHARP_){
return cljs.core.vector.call(null,p1__12904_SHARP_,(this__12941.strobj[p1__12904_SHARP_]));
}),this__12941.keys.sort(cljs.core.obj_map_compare_keys));
} else
{return null;
}
});
cljs.core.ObjMap.prototype.cljs$core$ICounted$_count$arity$1 = (function (coll){
var this__12942 = this;
return this__12942.keys.length;
});
cljs.core.ObjMap.prototype.cljs$core$IEquiv$_equiv$arity$2 = (function (coll,other){
var this__12943 = this;
return cljs.core.equiv_map.call(null,coll,other);
});
cljs.core.ObjMap.prototype.cljs$core$IWithMeta$_with_meta$arity$2 = (function (coll,meta){
var this__12944 = this;
return (new cljs.core.ObjMap(meta,this__12944.keys,this__12944.strobj,this__12944.update_count,this__12944.__hash));
});
cljs.core.ObjMap.prototype.cljs$core$IMeta$_meta$arity$1 = (function (coll){
var this__12945 = this;
return this__12945.meta;
});
cljs.core.ObjMap.prototype.cljs$core$IEmptyableCollection$_empty$arity$1 = (function (coll){
var this__12946 = this;
return cljs.core.with_meta.call(null,cljs.core.ObjMap.EMPTY,this__12946.meta);
});
cljs.core.ObjMap.prototype.cljs$core$IMap$_dissoc$arity$2 = (function (coll,k){
var this__12947 = this;
if((function (){var and__3822__auto____12948 = goog.isString(k);
if(and__3822__auto____12948)
{return !((cljs.core.scan_array.call(null,1,k,this__12947.keys) == null));
} else
{return and__3822__auto____12948;
}
})())
{var new_keys__12949 = this__12947.keys.slice();
var new_strobj__12950 = cljs.core.obj_clone.call(null,this__12947.strobj,this__12947.keys);
new_keys__12949.splice(cljs.core.scan_array.call(null,1,k,new_keys__12949),1);
cljs.core.js_delete.call(null,new_strobj__12950,k);
return (new cljs.core.ObjMap(this__12947.meta,new_keys__12949,new_strobj__12950,(this__12947.update_count + 1),null));
} else
{return coll;
}
});
cljs.core.ObjMap;
cljs.core.ObjMap.EMPTY = (new cljs.core.ObjMap(null,[],{},0,0));
cljs.core.ObjMap.HASHMAP_THRESHOLD = 32;
cljs.core.ObjMap.fromObject = (function (ks,obj){
return (new cljs.core.ObjMap(null,ks,obj,0,null));
});

/**
* @constructor
*/
cljs.core.HashMap = (function (meta,count,hashobj,__hash){
this.meta = meta;
this.count = count;
this.hashobj = hashobj;
this.__hash = __hash;
this.cljs$lang$protocol_mask$partition1$ = 0;
this.cljs$lang$protocol_mask$partition0$ = 15075087;
})
cljs.core.HashMap.cljs$lang$type = true;
cljs.core.HashMap.cljs$lang$ctorPrSeq = (function (this__4682__auto__){
return cljs.core.list.call(null,"cljs.core/HashMap");
});
cljs.core.HashMap.prototype.cljs$core$IHash$_hash$arity$1 = (function (coll){
var this__12955 = this;
var h__4565__auto____12956 = this__12955.__hash;
if(!((h__4565__auto____12956 == null)))
{return h__4565__auto____12956;
} else
{var h__4565__auto____12957 = cljs.core.hash_imap.call(null,coll);
this__12955.__hash = h__4565__auto____12957;
return h__4565__auto____12957;
}
});
cljs.core.HashMap.prototype.cljs$core$ILookup$_lookup$arity$2 = (function (coll,k){
var this__12958 = this;
return coll.cljs$core$ILookup$_lookup$arity$3(coll,k,null);
});
cljs.core.HashMap.prototype.cljs$core$ILookup$_lookup$arity$3 = (function (coll,k,not_found){
var this__12959 = this;
var bucket__12960 = (this__12959.hashobj[cljs.core.hash.call(null,k)]);
var i__12961 = (cljs.core.truth_(bucket__12960)?cljs.core.scan_array.call(null,2,k,bucket__12960):null);
if(cljs.core.truth_(i__12961))
{return (bucket__12960[(i__12961 + 1)]);
} else
{return not_found;
}
});
cljs.core.HashMap.prototype.cljs$core$IAssociative$_assoc$arity$3 = (function (coll,k,v){
var this__12962 = this;
var h__12963 = cljs.core.hash.call(null,k);
var bucket__12964 = (this__12962.hashobj[h__12963]);
if(cljs.core.truth_(bucket__12964))
{var new_bucket__12965 = bucket__12964.slice();
var new_hashobj__12966 = goog.object.clone(this__12962.hashobj);
(new_hashobj__12966[h__12963] = new_bucket__12965);
var temp__3971__auto____12967 = cljs.core.scan_array.call(null,2,k,new_bucket__12965);
if(cljs.core.truth_(temp__3971__auto____12967))
{var i__12968 = temp__3971__auto____12967;
(new_bucket__12965[(i__12968 + 1)] = v);
return (new cljs.core.HashMap(this__12962.meta,this__12962.count,new_hashobj__12966,null));
} else
{new_bucket__12965.push(k,v);
return (new cljs.core.HashMap(this__12962.meta,(this__12962.count + 1),new_hashobj__12966,null));
}
} else
{var new_hashobj__12969 = goog.object.clone(this__12962.hashobj);
(new_hashobj__12969[h__12963] = [k,v]);
return (new cljs.core.HashMap(this__12962.meta,(this__12962.count + 1),new_hashobj__12969,null));
}
});
cljs.core.HashMap.prototype.cljs$core$IAssociative$_contains_key_QMARK_$arity$2 = (function (coll,k){
var this__12970 = this;
var bucket__12971 = (this__12970.hashobj[cljs.core.hash.call(null,k)]);
var i__12972 = (cljs.core.truth_(bucket__12971)?cljs.core.scan_array.call(null,2,k,bucket__12971):null);
if(cljs.core.truth_(i__12972))
{return true;
} else
{return false;
}
});
cljs.core.HashMap.prototype.call = (function() {
var G__13009 = null;
var G__13009__2 = (function (this_sym12973,k){
var this__12975 = this;
var this_sym12973__12976 = this;
var coll__12977 = this_sym12973__12976;
return coll__12977.cljs$core$ILookup$_lookup$arity$2(coll__12977,k);
});
var G__13009__3 = (function (this_sym12974,k,not_found){
var this__12975 = this;
var this_sym12974__12978 = this;
var coll__12979 = this_sym12974__12978;
return coll__12979.cljs$core$ILookup$_lookup$arity$3(coll__12979,k,not_found);
});
G__13009 = function(this_sym12974,k,not_found){
switch(arguments.length){
case 2:
return G__13009__2.call(this,this_sym12974,k);
case 3:
return G__13009__3.call(this,this_sym12974,k,not_found);
}
throw('Invalid arity: ' + arguments.length);
};
return G__13009;
})()
;
cljs.core.HashMap.prototype.apply = (function (this_sym12953,args12954){
var this__12982 = this;
return this_sym12953.call.apply(this_sym12953,[this_sym12953].concat(args12954.slice()));
});
cljs.core.HashMap.prototype.cljs$core$ICollection$_conj$arity$2 = (function (coll,entry){
var this__12984 = this;
if(cljs.core.vector_QMARK_.call(null,entry))
{return coll.cljs$core$IAssociative$_assoc$arity$3(coll,cljs.core._nth.call(null,entry,0),cljs.core._nth.call(null,entry,1));
} else
{return cljs.core.reduce.call(null,cljs.core._conj,coll,entry);
}
});
cljs.core.HashMap.prototype.toString = (function (){
var this__12985 = this;
var this__12988 = this;
return cljs.core.pr_str.call(null,this__12988);
});
cljs.core.HashMap.prototype.cljs$core$ISeqable$_seq$arity$1 = (function (coll){
var this__12990 = this;
if((this__12990.count > 0))
{var hashes__12991 = cljs.core.js_keys.call(null,this__12990.hashobj).sort();
return cljs.core.mapcat.call(null,(function (p1__12952_SHARP_){
return cljs.core.map.call(null,cljs.core.vec,cljs.core.partition.call(null,2,(this__12990.hashobj[p1__12952_SHARP_])));
}),hashes__12991);
} else
{return null;
}
});
cljs.core.HashMap.prototype.cljs$core$ICounted$_count$arity$1 = (function (coll){
var this__12993 = this;
return this__12993.count;
});
cljs.core.HashMap.prototype.cljs$core$IEquiv$_equiv$arity$2 = (function (coll,other){
var this__12995 = this;
return cljs.core.equiv_map.call(null,coll,other);
});
cljs.core.HashMap.prototype.cljs$core$IWithMeta$_with_meta$arity$2 = (function (coll,meta){
var this__12997 = this;
return (new cljs.core.HashMap(meta,this__12997.count,this__12997.hashobj,this__12997.__hash));
});
cljs.core.HashMap.prototype.cljs$core$IMeta$_meta$arity$1 = (function (coll){
var this__12998 = this;
return this__12998.meta;
});
cljs.core.HashMap.prototype.cljs$core$IEmptyableCollection$_empty$arity$1 = (function (coll){
var this__13000 = this;
return cljs.core.with_meta.call(null,cljs.core.HashMap.EMPTY,this__13000.meta);
});
cljs.core.HashMap.prototype.cljs$core$IMap$_dissoc$arity$2 = (function (coll,k){
var this__13003 = this;
var h__13004 = cljs.core.hash.call(null,k);
var bucket__13005 = (this__13003.hashobj[h__13004]);
var i__13006 = (cljs.core.truth_(bucket__13005)?cljs.core.scan_array.call(null,2,k,bucket__13005):null);
if(cljs.core.not.call(null,i__13006))
{return coll;
} else
{var new_hashobj__13007 = goog.object.clone(this__13003.hashobj);
if((3 > bucket__13005.length))
{cljs.core.js_delete.call(null,new_hashobj__13007,h__13004);
} else
{var new_bucket__13008 = bucket__13005.slice();
new_bucket__13008.splice(i__13006,2);
(new_hashobj__13007[h__13004] = new_bucket__13008);
}
return (new cljs.core.HashMap(this__13003.meta,(this__13003.count - 1),new_hashobj__13007,null));
}
});
cljs.core.HashMap;
cljs.core.HashMap.EMPTY = (new cljs.core.HashMap(null,0,{},0));
cljs.core.HashMap.fromArrays = (function (ks,vs){
var len__13010 = ks.length;
var i__13011 = 0;
var out__13012 = cljs.core.HashMap.EMPTY;
while(true){
if((i__13011 < len__13010))
{{
var G__13013 = (i__13011 + 1);
var G__13014 = cljs.core.assoc.call(null,out__13012,(ks[i__13011]),(vs[i__13011]));
i__13011 = G__13013;
out__13012 = G__13014;
continue;
}
} else
{return out__13012;
}
break;
}
});
cljs.core.array_map_index_of = (function array_map_index_of(m,k){
var arr__13018 = m.arr;
var len__13019 = arr__13018.length;
var i__13020 = 0;
while(true){
if((len__13019 <= i__13020))
{return -1;
} else
{if(cljs.core._EQ_.call(null,(arr__13018[i__13020]),k))
{return i__13020;
} else
{if("\uFDD0'else")
{{
var G__13021 = (i__13020 + 2);
i__13020 = G__13021;
continue;
}
} else
{return null;
}
}
}
break;
}
});
void 0;

/**
* @constructor
*/
cljs.core.PersistentArrayMap = (function (meta,cnt,arr,__hash){
this.meta = meta;
this.cnt = cnt;
this.arr = arr;
this.__hash = __hash;
this.cljs$lang$protocol_mask$partition1$ = 1;
this.cljs$lang$protocol_mask$partition0$ = 16123663;
})
cljs.core.PersistentArrayMap.cljs$lang$type = true;
cljs.core.PersistentArrayMap.cljs$lang$ctorPrSeq = (function (this__4682__auto__){
return cljs.core.list.call(null,"cljs.core/PersistentArrayMap");
});
cljs.core.PersistentArrayMap.prototype.cljs$core$IEditableCollection$_as_transient$arity$1 = (function (coll){
var this__13024 = this;
return (new cljs.core.TransientArrayMap({},this__13024.arr.length,this__13024.arr.slice()));
});
cljs.core.PersistentArrayMap.prototype.cljs$core$IHash$_hash$arity$1 = (function (coll){
var this__13025 = this;
var h__4565__auto____13026 = this__13025.__hash;
if(!((h__4565__auto____13026 == null)))
{return h__4565__auto____13026;
} else
{var h__4565__auto____13027 = cljs.core.hash_imap.call(null,coll);
this__13025.__hash = h__4565__auto____13027;
return h__4565__auto____13027;
}
});
cljs.core.PersistentArrayMap.prototype.cljs$core$ILookup$_lookup$arity$2 = (function (coll,k){
var this__13028 = this;
return coll.cljs$core$ILookup$_lookup$arity$3(coll,k,null);
});
cljs.core.PersistentArrayMap.prototype.cljs$core$ILookup$_lookup$arity$3 = (function (coll,k,not_found){
var this__13029 = this;
var idx__13030 = cljs.core.array_map_index_of.call(null,coll,k);
if((idx__13030 === -1))
{return not_found;
} else
{return (this__13029.arr[(idx__13030 + 1)]);
}
});
cljs.core.PersistentArrayMap.prototype.cljs$core$IAssociative$_assoc$arity$3 = (function (coll,k,v){
var this__13031 = this;
var idx__13032 = cljs.core.array_map_index_of.call(null,coll,k);
if((idx__13032 === -1))
{if((this__13031.cnt < cljs.core.PersistentArrayMap.HASHMAP_THRESHOLD))
{return (new cljs.core.PersistentArrayMap(this__13031.meta,(this__13031.cnt + 1),(function (){var G__13033__13034 = this__13031.arr.slice();
G__13033__13034.push(k);
G__13033__13034.push(v);
return G__13033__13034;
})(),null));
} else
{return cljs.core.persistent_BANG_.call(null,cljs.core.assoc_BANG_.call(null,cljs.core.transient$.call(null,cljs.core.into.call(null,cljs.core.PersistentHashMap.EMPTY,coll)),k,v));
}
} else
{if((v === (this__13031.arr[(idx__13032 + 1)])))
{return coll;
} else
{if("\uFDD0'else")
{return (new cljs.core.PersistentArrayMap(this__13031.meta,this__13031.cnt,(function (){var G__13035__13036 = this__13031.arr.slice();
(G__13035__13036[(idx__13032 + 1)] = v);
return G__13035__13036;
})(),null));
} else
{return null;
}
}
}
});
cljs.core.PersistentArrayMap.prototype.cljs$core$IAssociative$_contains_key_QMARK_$arity$2 = (function (coll,k){
var this__13037 = this;
return !((cljs.core.array_map_index_of.call(null,coll,k) === -1));
});
cljs.core.PersistentArrayMap.prototype.call = (function() {
var G__13069 = null;
var G__13069__2 = (function (this_sym13038,k){
var this__13040 = this;
var this_sym13038__13041 = this;
var coll__13042 = this_sym13038__13041;
return coll__13042.cljs$core$ILookup$_lookup$arity$2(coll__13042,k);
});
var G__13069__3 = (function (this_sym13039,k,not_found){
var this__13040 = this;
var this_sym13039__13043 = this;
var coll__13044 = this_sym13039__13043;
return coll__13044.cljs$core$ILookup$_lookup$arity$3(coll__13044,k,not_found);
});
G__13069 = function(this_sym13039,k,not_found){
switch(arguments.length){
case 2:
return G__13069__2.call(this,this_sym13039,k);
case 3:
return G__13069__3.call(this,this_sym13039,k,not_found);
}
throw('Invalid arity: ' + arguments.length);
};
return G__13069;
})()
;
cljs.core.PersistentArrayMap.prototype.apply = (function (this_sym13022,args13023){
var this__13045 = this;
return this_sym13022.call.apply(this_sym13022,[this_sym13022].concat(args13023.slice()));
});
cljs.core.PersistentArrayMap.prototype.cljs$core$IKVReduce$_kv_reduce$arity$3 = (function (coll,f,init){
var this__13046 = this;
var len__13047 = this__13046.arr.length;
var i__13048 = 0;
var init__13049 = init;
while(true){
if((i__13048 < len__13047))
{var init__13050 = f.call(null,init__13049,(this__13046.arr[i__13048]),(this__13046.arr[(i__13048 + 1)]));
if(cljs.core.reduced_QMARK_.call(null,init__13050))
{return cljs.core.deref.call(null,init__13050);
} else
{{
var G__13071 = (i__13048 + 2);
var G__13072 = init__13050;
i__13048 = G__13071;
init__13049 = G__13072;
continue;
}
}
} else
{return null;
}
break;
}
});
cljs.core.PersistentArrayMap.prototype.cljs$core$ICollection$_conj$arity$2 = (function (coll,entry){
var this__13051 = this;
if(cljs.core.vector_QMARK_.call(null,entry))
{return coll.cljs$core$IAssociative$_assoc$arity$3(coll,cljs.core._nth.call(null,entry,0),cljs.core._nth.call(null,entry,1));
} else
{return cljs.core.reduce.call(null,cljs.core._conj,coll,entry);
}
});
cljs.core.PersistentArrayMap.prototype.toString = (function (){
var this__13052 = this;
var this__13053 = this;
return cljs.core.pr_str.call(null,this__13053);
});
cljs.core.PersistentArrayMap.prototype.cljs$core$ISeqable$_seq$arity$1 = (function (coll){
var this__13054 = this;
if((this__13054.cnt > 0))
{var len__13055 = this__13054.arr.length;
var array_map_seq__13056 = (function array_map_seq(i){
return (new cljs.core.LazySeq(null,false,(function (){
if((i < len__13055))
{return cljs.core.cons.call(null,cljs.core.PersistentVector.fromArray([(this__13054.arr[i]),(this__13054.arr[(i + 1)])], true),array_map_seq.call(null,(i + 2)));
} else
{return null;
}
}),null));
});
return array_map_seq__13056.call(null,0);
} else
{return null;
}
});
cljs.core.PersistentArrayMap.prototype.cljs$core$ICounted$_count$arity$1 = (function (coll){
var this__13057 = this;
return this__13057.cnt;
});
cljs.core.PersistentArrayMap.prototype.cljs$core$IEquiv$_equiv$arity$2 = (function (coll,other){
var this__13058 = this;
return cljs.core.equiv_map.call(null,coll,other);
});
cljs.core.PersistentArrayMap.prototype.cljs$core$IWithMeta$_with_meta$arity$2 = (function (coll,meta){
var this__13059 = this;
return (new cljs.core.PersistentArrayMap(meta,this__13059.cnt,this__13059.arr,this__13059.__hash));
});
cljs.core.PersistentArrayMap.prototype.cljs$core$IMeta$_meta$arity$1 = (function (coll){
var this__13060 = this;
return this__13060.meta;
});
cljs.core.PersistentArrayMap.prototype.cljs$core$IEmptyableCollection$_empty$arity$1 = (function (coll){
var this__13061 = this;
return cljs.core._with_meta.call(null,cljs.core.PersistentArrayMap.EMPTY,this__13061.meta);
});
cljs.core.PersistentArrayMap.prototype.cljs$core$IMap$_dissoc$arity$2 = (function (coll,k){
var this__13062 = this;
var idx__13063 = cljs.core.array_map_index_of.call(null,coll,k);
if((idx__13063 >= 0))
{var len__13064 = this__13062.arr.length;
var new_len__13065 = (len__13064 - 2);
if((new_len__13065 === 0))
{return coll.cljs$core$IEmptyableCollection$_empty$arity$1(coll);
} else
{var new_arr__13066 = cljs.core.make_array.call(null,new_len__13065);
var s__13067 = 0;
var d__13068 = 0;
while(true){
if((s__13067 >= len__13064))
{return (new cljs.core.PersistentArrayMap(this__13062.meta,(this__13062.cnt - 1),new_arr__13066,null));
} else
{if(cljs.core._EQ_.call(null,k,(this__13062.arr[s__13067])))
{{
var G__13087 = (s__13067 + 2);
var G__13088 = d__13068;
s__13067 = G__13087;
d__13068 = G__13088;
continue;
}
} else
{if("\uFDD0'else")
{(new_arr__13066[d__13068] = (this__13062.arr[s__13067]));
(new_arr__13066[(d__13068 + 1)] = (this__13062.arr[(s__13067 + 1)]));
{
var G__13089 = (s__13067 + 2);
var G__13090 = (d__13068 + 2);
s__13067 = G__13089;
d__13068 = G__13090;
continue;
}
} else
{return null;
}
}
}
break;
}
}
} else
{return coll;
}
});
cljs.core.PersistentArrayMap;
cljs.core.PersistentArrayMap.EMPTY = (new cljs.core.PersistentArrayMap(null,0,[],null));
cljs.core.PersistentArrayMap.HASHMAP_THRESHOLD = 16;
cljs.core.PersistentArrayMap.fromArrays = (function (ks,vs){
var len__13091 = cljs.core.count.call(null,ks);
var i__13092 = 0;
var out__13093 = cljs.core.transient$.call(null,cljs.core.PersistentArrayMap.EMPTY);
while(true){
if((i__13092 < len__13091))
{{
var G__13094 = (i__13092 + 1);
var G__13095 = cljs.core.assoc_BANG_.call(null,out__13093,(ks[i__13092]),(vs[i__13092]));
i__13092 = G__13094;
out__13093 = G__13095;
continue;
}
} else
{return cljs.core.persistent_BANG_.call(null,out__13093);
}
break;
}
});
void 0;

/**
* @constructor
*/
cljs.core.TransientArrayMap = (function (editable_QMARK_,len,arr){
this.editable_QMARK_ = editable_QMARK_;
this.len = len;
this.arr = arr;
this.cljs$lang$protocol_mask$partition1$ = 14;
this.cljs$lang$protocol_mask$partition0$ = 258;
})
cljs.core.TransientArrayMap.cljs$lang$type = true;
cljs.core.TransientArrayMap.cljs$lang$ctorPrSeq = (function (this__4682__auto__){
return cljs.core.list.call(null,"cljs.core/TransientArrayMap");
});
cljs.core.TransientArrayMap.prototype.cljs$core$ITransientMap$_dissoc_BANG_$arity$2 = (function (tcoll,key){
var this__13096 = this;
if(cljs.core.truth_(this__13096.editable_QMARK_))
{var idx__13097 = cljs.core.array_map_index_of.call(null,tcoll,key);
if((idx__13097 >= 0))
{(this__13096.arr[idx__13097] = (this__13096.arr[(this__13096.len - 2)]));
(this__13096.arr[(idx__13097 + 1)] = (this__13096.arr[(this__13096.len - 1)]));
var G__13098__13099 = this__13096.arr;
G__13098__13099.pop();
G__13098__13099.pop();
G__13098__13099;
this__13096.len = (this__13096.len - 2);
} else
{}
return tcoll;
} else
{throw (new Error("dissoc! after persistent!"));
}
});
cljs.core.TransientArrayMap.prototype.cljs$core$ITransientAssociative$_assoc_BANG_$arity$3 = (function (tcoll,key,val){
var this__13100 = this;
if(cljs.core.truth_(this__13100.editable_QMARK_))
{var idx__13101 = cljs.core.array_map_index_of.call(null,tcoll,key);
if((idx__13101 === -1))
{if(((this__13100.len + 2) <= (2 * cljs.core.PersistentArrayMap.HASHMAP_THRESHOLD)))
{this__13100.len = (this__13100.len + 2);
this__13100.arr.push(key);
this__13100.arr.push(val);
return tcoll;
} else
{return cljs.core.assoc_BANG_.call(null,cljs.core.array__GT_transient_hash_map.call(null,this__13100.len,this__13100.arr),key,val);
}
} else
{if((val === (this__13100.arr[(idx__13101 + 1)])))
{return tcoll;
} else
{(this__13100.arr[(idx__13101 + 1)] = val);
return tcoll;
}
}
} else
{throw (new Error("assoc! after persistent!"));
}
});
cljs.core.TransientArrayMap.prototype.cljs$core$ITransientCollection$_conj_BANG_$arity$2 = (function (tcoll,o){
var this__13102 = this;
if(cljs.core.truth_(this__13102.editable_QMARK_))
{if((function (){var G__13103__13104 = o;
if(G__13103__13104)
{if((function (){var or__3824__auto____13105 = (G__13103__13104.cljs$lang$protocol_mask$partition0$ & 2048);
if(or__3824__auto____13105)
{return or__3824__auto____13105;
} else
{return G__13103__13104.cljs$core$IMapEntry$;
}
})())
{return true;
} else
{if((!G__13103__13104.cljs$lang$protocol_mask$partition0$))
{return cljs.core.type_satisfies_.call(null,cljs.core.IMapEntry,G__13103__13104);
} else
{return false;
}
}
} else
{return cljs.core.type_satisfies_.call(null,cljs.core.IMapEntry,G__13103__13104);
}
})())
{return tcoll.cljs$core$ITransientAssociative$_assoc_BANG_$arity$3(tcoll,cljs.core.key.call(null,o),cljs.core.val.call(null,o));
} else
{var es__13106 = cljs.core.seq.call(null,o);
var tcoll__13107 = tcoll;
while(true){
var temp__3971__auto____13108 = cljs.core.first.call(null,es__13106);
if(cljs.core.truth_(temp__3971__auto____13108))
{var e__13109 = temp__3971__auto____13108;
{
var G__13115 = cljs.core.next.call(null,es__13106);
var G__13116 = tcoll__13107.cljs$core$ITransientAssociative$_assoc_BANG_$arity$3(tcoll__13107,cljs.core.key.call(null,e__13109),cljs.core.val.call(null,e__13109));
es__13106 = G__13115;
tcoll__13107 = G__13116;
continue;
}
} else
{return tcoll__13107;
}
break;
}
}
} else
{throw (new Error("conj! after persistent!"));
}
});
cljs.core.TransientArrayMap.prototype.cljs$core$ITransientCollection$_persistent_BANG_$arity$1 = (function (tcoll){
var this__13110 = this;
if(cljs.core.truth_(this__13110.editable_QMARK_))
{this__13110.editable_QMARK_ = false;
return (new cljs.core.PersistentArrayMap(null,cljs.core.quot.call(null,this__13110.len,2),this__13110.arr,null));
} else
{throw (new Error("persistent! called twice"));
}
});
cljs.core.TransientArrayMap.prototype.cljs$core$ILookup$_lookup$arity$2 = (function (tcoll,k){
var this__13111 = this;
return tcoll.cljs$core$ILookup$_lookup$arity$3(tcoll,k,null);
});
cljs.core.TransientArrayMap.prototype.cljs$core$ILookup$_lookup$arity$3 = (function (tcoll,k,not_found){
var this__13112 = this;
if(cljs.core.truth_(this__13112.editable_QMARK_))
{var idx__13113 = cljs.core.array_map_index_of.call(null,tcoll,k);
if((idx__13113 === -1))
{return not_found;
} else
{return (this__13112.arr[(idx__13113 + 1)]);
}
} else
{throw (new Error("lookup after persistent!"));
}
});
cljs.core.TransientArrayMap.prototype.cljs$core$ICounted$_count$arity$1 = (function (tcoll){
var this__13114 = this;
if(cljs.core.truth_(this__13114.editable_QMARK_))
{return cljs.core.quot.call(null,this__13114.len,2);
} else
{throw (new Error("count after persistent!"));
}
});
cljs.core.TransientArrayMap;
void 0;
cljs.core.array__GT_transient_hash_map = (function array__GT_transient_hash_map(len,arr){
var out__13119 = cljs.core.transient$.call(null,cljs.core.ObjMap.EMPTY);
var i__13120 = 0;
while(true){
if((i__13120 < len))
{{
var G__13121 = cljs.core.assoc_BANG_.call(null,out__13119,(arr[i__13120]),(arr[(i__13120 + 1)]));
var G__13122 = (i__13120 + 2);
out__13119 = G__13121;
i__13120 = G__13122;
continue;
}
} else
{return out__13119;
}
break;
}
});

/**
* @constructor
*/
cljs.core.Box = (function (val){
this.val = val;
})
cljs.core.Box.cljs$lang$type = true;
cljs.core.Box.cljs$lang$ctorPrSeq = (function (this__4683__auto__){
return cljs.core.list.call(null,"cljs.core/Box");
});
cljs.core.Box;
void 0;
void 0;
void 0;
void 0;
void 0;
void 0;
cljs.core.key_test = (function key_test(key,other){
if(goog.isString(key))
{return (key === other);
} else
{return cljs.core._EQ_.call(null,key,other);
}
});
cljs.core.mask = (function mask(hash,shift){
return ((hash >>> shift) & 31);
});
cljs.core.clone_and_set = (function() {
var clone_and_set = null;
var clone_and_set__3 = (function (arr,i,a){
var G__13127__13128 = arr.slice();
(G__13127__13128[i] = a);
return G__13127__13128;
});
var clone_and_set__5 = (function (arr,i,a,j,b){
var G__13129__13130 = arr.slice();
(G__13129__13130[i] = a);
(G__13129__13130[j] = b);
return G__13129__13130;
});
clone_and_set = function(arr,i,a,j,b){
switch(arguments.length){
case 3:
return clone_and_set__3.call(this,arr,i,a);
case 5:
return clone_and_set__5.call(this,arr,i,a,j,b);
}
throw('Invalid arity: ' + arguments.length);
};
clone_and_set.cljs$lang$arity$3 = clone_and_set__3;
clone_and_set.cljs$lang$arity$5 = clone_and_set__5;
return clone_and_set;
})()
;
cljs.core.remove_pair = (function remove_pair(arr,i){
var new_arr__13132 = cljs.core.make_array.call(null,(arr.length - 2));
cljs.core.array_copy.call(null,arr,0,new_arr__13132,0,(2 * i));
cljs.core.array_copy.call(null,arr,(2 * (i + 1)),new_arr__13132,(2 * i),(new_arr__13132.length - (2 * i)));
return new_arr__13132;
});
cljs.core.bitmap_indexed_node_index = (function bitmap_indexed_node_index(bitmap,bit){
return cljs.core.bit_count.call(null,(bitmap & (bit - 1)));
});
cljs.core.bitpos = (function bitpos(hash,shift){
return (1 << ((hash >>> shift) & 0x01f));
});
cljs.core.edit_and_set = (function() {
var edit_and_set = null;
var edit_and_set__4 = (function (inode,edit,i,a){
var editable__13135 = inode.ensure_editable(edit);
(editable__13135.arr[i] = a);
return editable__13135;
});
var edit_and_set__6 = (function (inode,edit,i,a,j,b){
var editable__13136 = inode.ensure_editable(edit);
(editable__13136.arr[i] = a);
(editable__13136.arr[j] = b);
return editable__13136;
});
edit_and_set = function(inode,edit,i,a,j,b){
switch(arguments.length){
case 4:
return edit_and_set__4.call(this,inode,edit,i,a);
case 6:
return edit_and_set__6.call(this,inode,edit,i,a,j,b);
}
throw('Invalid arity: ' + arguments.length);
};
edit_and_set.cljs$lang$arity$4 = edit_and_set__4;
edit_and_set.cljs$lang$arity$6 = edit_and_set__6;
return edit_and_set;
})()
;
cljs.core.inode_kv_reduce = (function inode_kv_reduce(arr,f,init){
var len__13149 = arr.length;
var i__13150 = 0;
var init__13151 = init;
while(true){
if((i__13150 < len__13149))
{var init__13154 = (function (){var k__13152 = (arr[i__13150]);
if(!((k__13152 == null)))
{return f.call(null,init__13151,k__13152,(arr[(i__13150 + 1)]));
} else
{var node__13153 = (arr[(i__13150 + 1)]);
if(!((node__13153 == null)))
{return node__13153.kv_reduce(f,init__13151);
} else
{return init__13151;
}
}
})();
if(cljs.core.reduced_QMARK_.call(null,init__13154))
{return cljs.core.deref.call(null,init__13154);
} else
{{
var G__13161 = (i__13150 + 2);
var G__13162 = init__13154;
i__13150 = G__13161;
init__13151 = G__13162;
continue;
}
}
} else
{return init__13151;
}
break;
}
});
void 0;

/**
* @constructor
*/
cljs.core.BitmapIndexedNode = (function (edit,bitmap,arr){
this.edit = edit;
this.bitmap = bitmap;
this.arr = arr;
})
cljs.core.BitmapIndexedNode.cljs$lang$type = true;
cljs.core.BitmapIndexedNode.cljs$lang$ctorPrSeq = (function (this__4682__auto__){
return cljs.core.list.call(null,"cljs.core/BitmapIndexedNode");
});
cljs.core.BitmapIndexedNode.prototype.edit_and_remove_pair = (function (e,bit,i){
var this__13166 = this;
var inode__13167 = this;
if((this__13166.bitmap === bit))
{return null;
} else
{var editable__13168 = inode__13167.ensure_editable(e);
var earr__13169 = editable__13168.arr;
var len__13170 = earr__13169.length;
editable__13168.bitmap = (bit ^ editable__13168.bitmap);
cljs.core.array_copy.call(null,earr__13169,(2 * (i + 1)),earr__13169,(2 * i),(len__13170 - (2 * (i + 1))));
(earr__13169[(len__13170 - 2)] = null);
(earr__13169[(len__13170 - 1)] = null);
return editable__13168;
}
});
cljs.core.BitmapIndexedNode.prototype.inode_assoc_BANG_ = (function (edit,shift,hash,key,val,added_leaf_QMARK_){
var this__13171 = this;
var inode__13172 = this;
var bit__13173 = (1 << ((hash >>> shift) & 0x01f));
var idx__13174 = cljs.core.bitmap_indexed_node_index.call(null,this__13171.bitmap,bit__13173);
if(((this__13171.bitmap & bit__13173) === 0))
{var n__13175 = cljs.core.bit_count.call(null,this__13171.bitmap);
if(((2 * n__13175) < this__13171.arr.length))
{var editable__13176 = inode__13172.ensure_editable(edit);
var earr__13177 = editable__13176.arr;
added_leaf_QMARK_.val = true;
cljs.core.array_copy_downward.call(null,earr__13177,(2 * idx__13174),earr__13177,(2 * (idx__13174 + 1)),(2 * (n__13175 - idx__13174)));
(earr__13177[(2 * idx__13174)] = key);
(earr__13177[((2 * idx__13174) + 1)] = val);
editable__13176.bitmap = (editable__13176.bitmap | bit__13173);
return editable__13176;
} else
{if((n__13175 >= 16))
{var nodes__13178 = cljs.core.make_array.call(null,32);
var jdx__13179 = ((hash >>> shift) & 0x01f);
(nodes__13178[jdx__13179] = cljs.core.BitmapIndexedNode.EMPTY.inode_assoc_BANG_(edit,(shift + 5),hash,key,val,added_leaf_QMARK_));
var i__13181 = 0;
var j__13182 = 0;
while(true){
if((i__13181 < 32))
{if((((this__13171.bitmap >>> i__13181) & 1) === 0))
{{
var G__13238 = (i__13181 + 1);
var G__13239 = j__13182;
i__13181 = G__13238;
j__13182 = G__13239;
continue;
}
} else
{(nodes__13178[i__13181] = ((!(((this__13171.arr[j__13182]) == null)))?cljs.core.BitmapIndexedNode.EMPTY.inode_assoc_BANG_(edit,(shift + 5),cljs.core.hash.call(null,(this__13171.arr[j__13182])),(this__13171.arr[j__13182]),(this__13171.arr[(j__13182 + 1)]),added_leaf_QMARK_):(this__13171.arr[(j__13182 + 1)])));
{
var G__13240 = (i__13181 + 1);
var G__13241 = (j__13182 + 2);
i__13181 = G__13240;
j__13182 = G__13241;
continue;
}
}
} else
{}
break;
}
return (new cljs.core.ArrayNode(edit,(n__13175 + 1),nodes__13178));
} else
{if("\uFDD0'else")
{var new_arr__13184 = cljs.core.make_array.call(null,(2 * (n__13175 + 4)));
cljs.core.array_copy.call(null,this__13171.arr,0,new_arr__13184,0,(2 * idx__13174));
(new_arr__13184[(2 * idx__13174)] = key);
(new_arr__13184[((2 * idx__13174) + 1)] = val);
cljs.core.array_copy.call(null,this__13171.arr,(2 * idx__13174),new_arr__13184,(2 * (idx__13174 + 1)),(2 * (n__13175 - idx__13174)));
added_leaf_QMARK_.val = true;
var editable__13187 = inode__13172.ensure_editable(edit);
editable__13187.arr = new_arr__13184;
editable__13187.bitmap = (editable__13187.bitmap | bit__13173);
return editable__13187;
} else
{return null;
}
}
}
} else
{var key_or_nil__13188 = (this__13171.arr[(2 * idx__13174)]);
var val_or_node__13189 = (this__13171.arr[((2 * idx__13174) + 1)]);
if((key_or_nil__13188 == null))
{var n__13190 = val_or_node__13189.inode_assoc_BANG_(edit,(shift + 5),hash,key,val,added_leaf_QMARK_);
if((n__13190 === val_or_node__13189))
{return inode__13172;
} else
{return cljs.core.edit_and_set.call(null,inode__13172,edit,((2 * idx__13174) + 1),n__13190);
}
} else
{if(cljs.core.key_test.call(null,key,key_or_nil__13188))
{if((val === val_or_node__13189))
{return inode__13172;
} else
{return cljs.core.edit_and_set.call(null,inode__13172,edit,((2 * idx__13174) + 1),val);
}
} else
{if("\uFDD0'else")
{added_leaf_QMARK_.val = true;
return cljs.core.edit_and_set.call(null,inode__13172,edit,(2 * idx__13174),null,((2 * idx__13174) + 1),cljs.core.create_node.call(null,edit,(shift + 5),key_or_nil__13188,val_or_node__13189,hash,key,val));
} else
{return null;
}
}
}
}
});
cljs.core.BitmapIndexedNode.prototype.inode_seq = (function (){
var this__13191 = this;
var inode__13192 = this;
return cljs.core.create_inode_seq.call(null,this__13191.arr);
});
cljs.core.BitmapIndexedNode.prototype.inode_without_BANG_ = (function (edit,shift,hash,key,removed_leaf_QMARK_){
var this__13193 = this;
var inode__13194 = this;
var bit__13195 = (1 << ((hash >>> shift) & 0x01f));
if(((this__13193.bitmap & bit__13195) === 0))
{return inode__13194;
} else
{var idx__13196 = cljs.core.bitmap_indexed_node_index.call(null,this__13193.bitmap,bit__13195);
var key_or_nil__13197 = (this__13193.arr[(2 * idx__13196)]);
var val_or_node__13198 = (this__13193.arr[((2 * idx__13196) + 1)]);
if((key_or_nil__13197 == null))
{var n__13199 = val_or_node__13198.inode_without_BANG_(edit,(shift + 5),hash,key,removed_leaf_QMARK_);
if((n__13199 === val_or_node__13198))
{return inode__13194;
} else
{if(!((n__13199 == null)))
{return cljs.core.edit_and_set.call(null,inode__13194,edit,((2 * idx__13196) + 1),n__13199);
} else
{if((this__13193.bitmap === bit__13195))
{return null;
} else
{if("\uFDD0'else")
{return inode__13194.edit_and_remove_pair(edit,bit__13195,idx__13196);
} else
{return null;
}
}
}
}
} else
{if(cljs.core.key_test.call(null,key,key_or_nil__13197))
{(removed_leaf_QMARK_[0] = true);
return inode__13194.edit_and_remove_pair(edit,bit__13195,idx__13196);
} else
{if("\uFDD0'else")
{return inode__13194;
} else
{return null;
}
}
}
}
});
cljs.core.BitmapIndexedNode.prototype.ensure_editable = (function (e){
var this__13200 = this;
var inode__13201 = this;
if((e === this__13200.edit))
{return inode__13201;
} else
{var n__13202 = cljs.core.bit_count.call(null,this__13200.bitmap);
var new_arr__13203 = cljs.core.make_array.call(null,(((n__13202 < 0))?4:(2 * (n__13202 + 1))));
cljs.core.array_copy.call(null,this__13200.arr,0,new_arr__13203,0,(2 * n__13202));
return (new cljs.core.BitmapIndexedNode(e,this__13200.bitmap,new_arr__13203));
}
});
cljs.core.BitmapIndexedNode.prototype.kv_reduce = (function (f,init){
var this__13204 = this;
var inode__13205 = this;
return cljs.core.inode_kv_reduce.call(null,this__13204.arr,f,init);
});
cljs.core.BitmapIndexedNode.prototype.inode_find = (function (shift,hash,key,not_found){
var this__13206 = this;
var inode__13207 = this;
var bit__13208 = (1 << ((hash >>> shift) & 0x01f));
if(((this__13206.bitmap & bit__13208) === 0))
{return not_found;
} else
{var idx__13209 = cljs.core.bitmap_indexed_node_index.call(null,this__13206.bitmap,bit__13208);
var key_or_nil__13210 = (this__13206.arr[(2 * idx__13209)]);
var val_or_node__13211 = (this__13206.arr[((2 * idx__13209) + 1)]);
if((key_or_nil__13210 == null))
{return val_or_node__13211.inode_find((shift + 5),hash,key,not_found);
} else
{if(cljs.core.key_test.call(null,key,key_or_nil__13210))
{return cljs.core.PersistentVector.fromArray([key_or_nil__13210,val_or_node__13211], true);
} else
{if("\uFDD0'else")
{return not_found;
} else
{return null;
}
}
}
}
});
cljs.core.BitmapIndexedNode.prototype.inode_without = (function (shift,hash,key){
var this__13212 = this;
var inode__13213 = this;
var bit__13214 = (1 << ((hash >>> shift) & 0x01f));
if(((this__13212.bitmap & bit__13214) === 0))
{return inode__13213;
} else
{var idx__13215 = cljs.core.bitmap_indexed_node_index.call(null,this__13212.bitmap,bit__13214);
var key_or_nil__13216 = (this__13212.arr[(2 * idx__13215)]);
var val_or_node__13217 = (this__13212.arr[((2 * idx__13215) + 1)]);
if((key_or_nil__13216 == null))
{var n__13218 = val_or_node__13217.inode_without((shift + 5),hash,key);
if((n__13218 === val_or_node__13217))
{return inode__13213;
} else
{if(!((n__13218 == null)))
{return (new cljs.core.BitmapIndexedNode(null,this__13212.bitmap,cljs.core.clone_and_set.call(null,this__13212.arr,((2 * idx__13215) + 1),n__13218)));
} else
{if((this__13212.bitmap === bit__13214))
{return null;
} else
{if("\uFDD0'else")
{return (new cljs.core.BitmapIndexedNode(null,(this__13212.bitmap ^ bit__13214),cljs.core.remove_pair.call(null,this__13212.arr,idx__13215)));
} else
{return null;
}
}
}
}
} else
{if(cljs.core.key_test.call(null,key,key_or_nil__13216))
{return (new cljs.core.BitmapIndexedNode(null,(this__13212.bitmap ^ bit__13214),cljs.core.remove_pair.call(null,this__13212.arr,idx__13215)));
} else
{if("\uFDD0'else")
{return inode__13213;
} else
{return null;
}
}
}
}
});
cljs.core.BitmapIndexedNode.prototype.inode_assoc = (function (shift,hash,key,val,added_leaf_QMARK_){
var this__13219 = this;
var inode__13220 = this;
var bit__13221 = (1 << ((hash >>> shift) & 0x01f));
var idx__13222 = cljs.core.bitmap_indexed_node_index.call(null,this__13219.bitmap,bit__13221);
if(((this__13219.bitmap & bit__13221) === 0))
{var n__13223 = cljs.core.bit_count.call(null,this__13219.bitmap);
if((n__13223 >= 16))
{var nodes__13224 = cljs.core.make_array.call(null,32);
var jdx__13225 = ((hash >>> shift) & 0x01f);
(nodes__13224[jdx__13225] = cljs.core.BitmapIndexedNode.EMPTY.inode_assoc((shift + 5),hash,key,val,added_leaf_QMARK_));
var i__13226 = 0;
var j__13227 = 0;
while(true){
if((i__13226 < 32))
{if((((this__13219.bitmap >>> i__13226) & 1) === 0))
{{
var G__13266 = (i__13226 + 1);
var G__13267 = j__13227;
i__13226 = G__13266;
j__13227 = G__13267;
continue;
}
} else
{(nodes__13224[i__13226] = ((!(((this__13219.arr[j__13227]) == null)))?cljs.core.BitmapIndexedNode.EMPTY.inode_assoc((shift + 5),cljs.core.hash.call(null,(this__13219.arr[j__13227])),(this__13219.arr[j__13227]),(this__13219.arr[(j__13227 + 1)]),added_leaf_QMARK_):(this__13219.arr[(j__13227 + 1)])));
{
var G__13268 = (i__13226 + 1);
var G__13269 = (j__13227 + 2);
i__13226 = G__13268;
j__13227 = G__13269;
continue;
}
}
} else
{}
break;
}
return (new cljs.core.ArrayNode(null,(n__13223 + 1),nodes__13224));
} else
{var new_arr__13228 = cljs.core.make_array.call(null,(2 * (n__13223 + 1)));
cljs.core.array_copy.call(null,this__13219.arr,0,new_arr__13228,0,(2 * idx__13222));
(new_arr__13228[(2 * idx__13222)] = key);
(new_arr__13228[((2 * idx__13222) + 1)] = val);
cljs.core.array_copy.call(null,this__13219.arr,(2 * idx__13222),new_arr__13228,(2 * (idx__13222 + 1)),(2 * (n__13223 - idx__13222)));
added_leaf_QMARK_.val = true;
return (new cljs.core.BitmapIndexedNode(null,(this__13219.bitmap | bit__13221),new_arr__13228));
}
} else
{var key_or_nil__13229 = (this__13219.arr[(2 * idx__13222)]);
var val_or_node__13230 = (this__13219.arr[((2 * idx__13222) + 1)]);
if((key_or_nil__13229 == null))
{var n__13231 = val_or_node__13230.inode_assoc((shift + 5),hash,key,val,added_leaf_QMARK_);
if((n__13231 === val_or_node__13230))
{return inode__13220;
} else
{return (new cljs.core.BitmapIndexedNode(null,this__13219.bitmap,cljs.core.clone_and_set.call(null,this__13219.arr,((2 * idx__13222) + 1),n__13231)));
}
} else
{if(cljs.core.key_test.call(null,key,key_or_nil__13229))
{if((val === val_or_node__13230))
{return inode__13220;
} else
{return (new cljs.core.BitmapIndexedNode(null,this__13219.bitmap,cljs.core.clone_and_set.call(null,this__13219.arr,((2 * idx__13222) + 1),val)));
}
} else
{if("\uFDD0'else")
{added_leaf_QMARK_.val = true;
return (new cljs.core.BitmapIndexedNode(null,this__13219.bitmap,cljs.core.clone_and_set.call(null,this__13219.arr,(2 * idx__13222),null,((2 * idx__13222) + 1),cljs.core.create_node.call(null,(shift + 5),key_or_nil__13229,val_or_node__13230,hash,key,val))));
} else
{return null;
}
}
}
}
});
cljs.core.BitmapIndexedNode.prototype.inode_lookup = (function (shift,hash,key,not_found){
var this__13232 = this;
var inode__13233 = this;
var bit__13234 = (1 << ((hash >>> shift) & 0x01f));
if(((this__13232.bitmap & bit__13234) === 0))
{return not_found;
} else
{var idx__13235 = cljs.core.bitmap_indexed_node_index.call(null,this__13232.bitmap,bit__13234);
var key_or_nil__13236 = (this__13232.arr[(2 * idx__13235)]);
var val_or_node__13237 = (this__13232.arr[((2 * idx__13235) + 1)]);
if((key_or_nil__13236 == null))
{return val_or_node__13237.inode_lookup((shift + 5),hash,key,not_found);
} else
{if(cljs.core.key_test.call(null,key,key_or_nil__13236))
{return val_or_node__13237;
} else
{if("\uFDD0'else")
{return not_found;
} else
{return null;
}
}
}
}
});
cljs.core.BitmapIndexedNode;
cljs.core.BitmapIndexedNode.EMPTY = (new cljs.core.BitmapIndexedNode(null,0,cljs.core.make_array.call(null,0)));
cljs.core.pack_array_node = (function pack_array_node(array_node,edit,idx){
var arr__13283 = array_node.arr;
var len__13284 = (2 * (array_node.cnt - 1));
var new_arr__13285 = cljs.core.make_array.call(null,len__13284);
var i__13286 = 0;
var j__13287 = 1;
var bitmap__13288 = 0;
while(true){
if((i__13286 < len__13284))
{if((function (){var and__3822__auto____13289 = !((i__13286 === idx));
if(and__3822__auto____13289)
{return !(((arr__13283[i__13286]) == null));
} else
{return and__3822__auto____13289;
}
})())
{(new_arr__13285[j__13287] = (arr__13283[i__13286]));
{
var G__13290 = (i__13286 + 1);
var G__13291 = (j__13287 + 2);
var G__13292 = (bitmap__13288 | (1 << i__13286));
i__13286 = G__13290;
j__13287 = G__13291;
bitmap__13288 = G__13292;
continue;
}
} else
{{
var G__13293 = (i__13286 + 1);
var G__13294 = j__13287;
var G__13295 = bitmap__13288;
i__13286 = G__13293;
j__13287 = G__13294;
bitmap__13288 = G__13295;
continue;
}
}
} else
{return (new cljs.core.BitmapIndexedNode(edit,bitmap__13288,new_arr__13285));
}
break;
}
});

/**
* @constructor
*/
cljs.core.ArrayNode = (function (edit,cnt,arr){
this.edit = edit;
this.cnt = cnt;
this.arr = arr;
})
cljs.core.ArrayNode.cljs$lang$type = true;
cljs.core.ArrayNode.cljs$lang$ctorPrSeq = (function (this__4682__auto__){
return cljs.core.list.call(null,"cljs.core/ArrayNode");
});
cljs.core.ArrayNode.prototype.inode_assoc_BANG_ = (function (edit,shift,hash,key,val,added_leaf_QMARK_){
var this__13296 = this;
var inode__13297 = this;
var idx__13298 = ((hash >>> shift) & 0x01f);
var node__13299 = (this__13296.arr[idx__13298]);
if((node__13299 == null))
{var editable__13300 = cljs.core.edit_and_set.call(null,inode__13297,edit,idx__13298,cljs.core.BitmapIndexedNode.EMPTY.inode_assoc_BANG_(edit,(shift + 5),hash,key,val,added_leaf_QMARK_));
editable__13300.cnt = (editable__13300.cnt + 1);
return editable__13300;
} else
{var n__13301 = node__13299.inode_assoc_BANG_(edit,(shift + 5),hash,key,val,added_leaf_QMARK_);
if((n__13301 === node__13299))
{return inode__13297;
} else
{return cljs.core.edit_and_set.call(null,inode__13297,edit,idx__13298,n__13301);
}
}
});
cljs.core.ArrayNode.prototype.inode_seq = (function (){
var this__13302 = this;
var inode__13303 = this;
return cljs.core.create_array_node_seq.call(null,this__13302.arr);
});
cljs.core.ArrayNode.prototype.inode_without_BANG_ = (function (edit,shift,hash,key,removed_leaf_QMARK_){
var this__13304 = this;
var inode__13305 = this;
var idx__13306 = ((hash >>> shift) & 0x01f);
var node__13307 = (this__13304.arr[idx__13306]);
if((node__13307 == null))
{return inode__13305;
} else
{var n__13308 = node__13307.inode_without_BANG_(edit,(shift + 5),hash,key,removed_leaf_QMARK_);
if((n__13308 === node__13307))
{return inode__13305;
} else
{if((n__13308 == null))
{if((this__13304.cnt <= 8))
{return cljs.core.pack_array_node.call(null,inode__13305,edit,idx__13306);
} else
{var editable__13309 = cljs.core.edit_and_set.call(null,inode__13305,edit,idx__13306,n__13308);
editable__13309.cnt = (editable__13309.cnt - 1);
return editable__13309;
}
} else
{if("\uFDD0'else")
{return cljs.core.edit_and_set.call(null,inode__13305,edit,idx__13306,n__13308);
} else
{return null;
}
}
}
}
});
cljs.core.ArrayNode.prototype.ensure_editable = (function (e){
var this__13310 = this;
var inode__13311 = this;
if((e === this__13310.edit))
{return inode__13311;
} else
{return (new cljs.core.ArrayNode(e,this__13310.cnt,this__13310.arr.slice()));
}
});
cljs.core.ArrayNode.prototype.kv_reduce = (function (f,init){
var this__13312 = this;
var inode__13313 = this;
var len__13314 = this__13312.arr.length;
var i__13315 = 0;
var init__13316 = init;
while(true){
if((i__13315 < len__13314))
{var node__13317 = (this__13312.arr[i__13315]);
if(!((node__13317 == null)))
{var init__13318 = node__13317.kv_reduce(f,init__13316);
if(cljs.core.reduced_QMARK_.call(null,init__13318))
{return cljs.core.deref.call(null,init__13318);
} else
{{
var G__13337 = (i__13315 + 1);
var G__13338 = init__13318;
i__13315 = G__13337;
init__13316 = G__13338;
continue;
}
}
} else
{return null;
}
} else
{return init__13316;
}
break;
}
});
cljs.core.ArrayNode.prototype.inode_find = (function (shift,hash,key,not_found){
var this__13319 = this;
var inode__13320 = this;
var idx__13321 = ((hash >>> shift) & 0x01f);
var node__13322 = (this__13319.arr[idx__13321]);
if(!((node__13322 == null)))
{return node__13322.inode_find((shift + 5),hash,key,not_found);
} else
{return not_found;
}
});
cljs.core.ArrayNode.prototype.inode_without = (function (shift,hash,key){
var this__13323 = this;
var inode__13324 = this;
var idx__13325 = ((hash >>> shift) & 0x01f);
var node__13326 = (this__13323.arr[idx__13325]);
if(!((node__13326 == null)))
{var n__13327 = node__13326.inode_without((shift + 5),hash,key);
if((n__13327 === node__13326))
{return inode__13324;
} else
{if((n__13327 == null))
{if((this__13323.cnt <= 8))
{return cljs.core.pack_array_node.call(null,inode__13324,null,idx__13325);
} else
{return (new cljs.core.ArrayNode(null,(this__13323.cnt - 1),cljs.core.clone_and_set.call(null,this__13323.arr,idx__13325,n__13327)));
}
} else
{if("\uFDD0'else")
{return (new cljs.core.ArrayNode(null,this__13323.cnt,cljs.core.clone_and_set.call(null,this__13323.arr,idx__13325,n__13327)));
} else
{return null;
}
}
}
} else
{return inode__13324;
}
});
cljs.core.ArrayNode.prototype.inode_assoc = (function (shift,hash,key,val,added_leaf_QMARK_){
var this__13328 = this;
var inode__13329 = this;
var idx__13330 = ((hash >>> shift) & 0x01f);
var node__13331 = (this__13328.arr[idx__13330]);
if((node__13331 == null))
{return (new cljs.core.ArrayNode(null,(this__13328.cnt + 1),cljs.core.clone_and_set.call(null,this__13328.arr,idx__13330,cljs.core.BitmapIndexedNode.EMPTY.inode_assoc((shift + 5),hash,key,val,added_leaf_QMARK_))));
} else
{var n__13332 = node__13331.inode_assoc((shift + 5),hash,key,val,added_leaf_QMARK_);
if((n__13332 === node__13331))
{return inode__13329;
} else
{return (new cljs.core.ArrayNode(null,this__13328.cnt,cljs.core.clone_and_set.call(null,this__13328.arr,idx__13330,n__13332)));
}
}
});
cljs.core.ArrayNode.prototype.inode_lookup = (function (shift,hash,key,not_found){
var this__13333 = this;
var inode__13334 = this;
var idx__13335 = ((hash >>> shift) & 0x01f);
var node__13336 = (this__13333.arr[idx__13335]);
if(!((node__13336 == null)))
{return node__13336.inode_lookup((shift + 5),hash,key,not_found);
} else
{return not_found;
}
});
cljs.core.ArrayNode;
cljs.core.hash_collision_node_find_index = (function hash_collision_node_find_index(arr,cnt,key){
var lim__13341 = (2 * cnt);
var i__13342 = 0;
while(true){
if((i__13342 < lim__13341))
{if(cljs.core.key_test.call(null,key,(arr[i__13342])))
{return i__13342;
} else
{{
var G__13343 = (i__13342 + 2);
i__13342 = G__13343;
continue;
}
}
} else
{return -1;
}
break;
}
});

/**
* @constructor
*/
cljs.core.HashCollisionNode = (function (edit,collision_hash,cnt,arr){
this.edit = edit;
this.collision_hash = collision_hash;
this.cnt = cnt;
this.arr = arr;
})
cljs.core.HashCollisionNode.cljs$lang$type = true;
cljs.core.HashCollisionNode.cljs$lang$ctorPrSeq = (function (this__4682__auto__){
return cljs.core.list.call(null,"cljs.core/HashCollisionNode");
});
cljs.core.HashCollisionNode.prototype.inode_assoc_BANG_ = (function (edit,shift,hash,key,val,added_leaf_QMARK_){
var this__13344 = this;
var inode__13345 = this;
if((hash === this__13344.collision_hash))
{var idx__13346 = cljs.core.hash_collision_node_find_index.call(null,this__13344.arr,this__13344.cnt,key);
if((idx__13346 === -1))
{if((this__13344.arr.length > (2 * this__13344.cnt)))
{var editable__13347 = cljs.core.edit_and_set.call(null,inode__13345,edit,(2 * this__13344.cnt),key,((2 * this__13344.cnt) + 1),val);
added_leaf_QMARK_.val = true;
editable__13347.cnt = (editable__13347.cnt + 1);
return editable__13347;
} else
{var len__13348 = this__13344.arr.length;
var new_arr__13349 = cljs.core.make_array.call(null,(len__13348 + 2));
cljs.core.array_copy.call(null,this__13344.arr,0,new_arr__13349,0,len__13348);
(new_arr__13349[len__13348] = key);
(new_arr__13349[(len__13348 + 1)] = val);
added_leaf_QMARK_.val = true;
return inode__13345.ensure_editable_array(edit,(this__13344.cnt + 1),new_arr__13349);
}
} else
{if(((this__13344.arr[(idx__13346 + 1)]) === val))
{return inode__13345;
} else
{return cljs.core.edit_and_set.call(null,inode__13345,edit,(idx__13346 + 1),val);
}
}
} else
{return (new cljs.core.BitmapIndexedNode(edit,(1 << ((this__13344.collision_hash >>> shift) & 0x01f)),[null,inode__13345,null,null])).inode_assoc_BANG_(edit,shift,hash,key,val,added_leaf_QMARK_);
}
});
cljs.core.HashCollisionNode.prototype.inode_seq = (function (){
var this__13350 = this;
var inode__13351 = this;
return cljs.core.create_inode_seq.call(null,this__13350.arr);
});
cljs.core.HashCollisionNode.prototype.inode_without_BANG_ = (function (edit,shift,hash,key,removed_leaf_QMARK_){
var this__13352 = this;
var inode__13353 = this;
var idx__13354 = cljs.core.hash_collision_node_find_index.call(null,this__13352.arr,this__13352.cnt,key);
if((idx__13354 === -1))
{return inode__13353;
} else
{(removed_leaf_QMARK_[0] = true);
if((this__13352.cnt === 1))
{return null;
} else
{var editable__13355 = inode__13353.ensure_editable(edit);
var earr__13356 = editable__13355.arr;
(earr__13356[idx__13354] = (earr__13356[((2 * this__13352.cnt) - 2)]));
(earr__13356[(idx__13354 + 1)] = (earr__13356[((2 * this__13352.cnt) - 1)]));
(earr__13356[((2 * this__13352.cnt) - 1)] = null);
(earr__13356[((2 * this__13352.cnt) - 2)] = null);
editable__13355.cnt = (editable__13355.cnt - 1);
return editable__13355;
}
}
});
cljs.core.HashCollisionNode.prototype.ensure_editable = (function (e){
var this__13357 = this;
var inode__13358 = this;
if((e === this__13357.edit))
{return inode__13358;
} else
{var new_arr__13359 = cljs.core.make_array.call(null,(2 * (this__13357.cnt + 1)));
cljs.core.array_copy.call(null,this__13357.arr,0,new_arr__13359,0,(2 * this__13357.cnt));
return (new cljs.core.HashCollisionNode(e,this__13357.collision_hash,this__13357.cnt,new_arr__13359));
}
});
cljs.core.HashCollisionNode.prototype.kv_reduce = (function (f,init){
var this__13360 = this;
var inode__13361 = this;
return cljs.core.inode_kv_reduce.call(null,this__13360.arr,f,init);
});
cljs.core.HashCollisionNode.prototype.inode_find = (function (shift,hash,key,not_found){
var this__13364 = this;
var inode__13365 = this;
var idx__13367 = cljs.core.hash_collision_node_find_index.call(null,this__13364.arr,this__13364.cnt,key);
if((idx__13367 < 0))
{return not_found;
} else
{if(cljs.core.key_test.call(null,key,(this__13364.arr[idx__13367])))
{return cljs.core.PersistentVector.fromArray([(this__13364.arr[idx__13367]),(this__13364.arr[(idx__13367 + 1)])], true);
} else
{if("\uFDD0'else")
{return not_found;
} else
{return null;
}
}
}
});
cljs.core.HashCollisionNode.prototype.inode_without = (function (shift,hash,key){
var this__13371 = this;
var inode__13372 = this;
var idx__13373 = cljs.core.hash_collision_node_find_index.call(null,this__13371.arr,this__13371.cnt,key);
if((idx__13373 === -1))
{return inode__13372;
} else
{if((this__13371.cnt === 1))
{return null;
} else
{if("\uFDD0'else")
{return (new cljs.core.HashCollisionNode(null,this__13371.collision_hash,(this__13371.cnt - 1),cljs.core.remove_pair.call(null,this__13371.arr,cljs.core.quot.call(null,idx__13373,2))));
} else
{return null;
}
}
}
});
cljs.core.HashCollisionNode.prototype.inode_assoc = (function (shift,hash,key,val,added_leaf_QMARK_){
var this__13374 = this;
var inode__13375 = this;
if((hash === this__13374.collision_hash))
{var idx__13376 = cljs.core.hash_collision_node_find_index.call(null,this__13374.arr,this__13374.cnt,key);
if((idx__13376 === -1))
{var len__13377 = this__13374.arr.length;
var new_arr__13378 = cljs.core.make_array.call(null,(len__13377 + 2));
cljs.core.array_copy.call(null,this__13374.arr,0,new_arr__13378,0,len__13377);
(new_arr__13378[len__13377] = key);
(new_arr__13378[(len__13377 + 1)] = val);
added_leaf_QMARK_.val = true;
return (new cljs.core.HashCollisionNode(null,this__13374.collision_hash,(this__13374.cnt + 1),new_arr__13378));
} else
{if(cljs.core._EQ_.call(null,(this__13374.arr[idx__13376]),val))
{return inode__13375;
} else
{return (new cljs.core.HashCollisionNode(null,this__13374.collision_hash,this__13374.cnt,cljs.core.clone_and_set.call(null,this__13374.arr,(idx__13376 + 1),val)));
}
}
} else
{return (new cljs.core.BitmapIndexedNode(null,(1 << ((this__13374.collision_hash >>> shift) & 0x01f)),[null,inode__13375])).inode_assoc(shift,hash,key,val,added_leaf_QMARK_);
}
});
cljs.core.HashCollisionNode.prototype.inode_lookup = (function (shift,hash,key,not_found){
var this__13379 = this;
var inode__13380 = this;
var idx__13381 = cljs.core.hash_collision_node_find_index.call(null,this__13379.arr,this__13379.cnt,key);
if((idx__13381 < 0))
{return not_found;
} else
{if(cljs.core.key_test.call(null,key,(this__13379.arr[idx__13381])))
{return (this__13379.arr[(idx__13381 + 1)]);
} else
{if("\uFDD0'else")
{return not_found;
} else
{return null;
}
}
}
});
cljs.core.HashCollisionNode.prototype.ensure_editable_array = (function (e,count,array){
var this__13385 = this;
var inode__13386 = this;
if((e === this__13385.edit))
{this__13385.arr = array;
this__13385.cnt = count;
return inode__13386;
} else
{return (new cljs.core.HashCollisionNode(this__13385.edit,this__13385.collision_hash,count,array));
}
});
cljs.core.HashCollisionNode;
cljs.core.create_node = (function() {
var create_node = null;
var create_node__6 = (function (shift,key1,val1,key2hash,key2,val2){
var key1hash__13406 = cljs.core.hash.call(null,key1);
if((key1hash__13406 === key2hash))
{return (new cljs.core.HashCollisionNode(null,key1hash__13406,2,[key1,val1,key2,val2]));
} else
{var added_leaf_QMARK___13407 = (new cljs.core.Box(false));
return cljs.core.BitmapIndexedNode.EMPTY.inode_assoc(shift,key1hash__13406,key1,val1,added_leaf_QMARK___13407).inode_assoc(shift,key2hash,key2,val2,added_leaf_QMARK___13407);
}
});
var create_node__7 = (function (edit,shift,key1,val1,key2hash,key2,val2){
var key1hash__13408 = cljs.core.hash.call(null,key1);
if((key1hash__13408 === key2hash))
{return (new cljs.core.HashCollisionNode(null,key1hash__13408,2,[key1,val1,key2,val2]));
} else
{var added_leaf_QMARK___13409 = (new cljs.core.Box(false));
return cljs.core.BitmapIndexedNode.EMPTY.inode_assoc_BANG_(edit,shift,key1hash__13408,key1,val1,added_leaf_QMARK___13409).inode_assoc_BANG_(edit,shift,key2hash,key2,val2,added_leaf_QMARK___13409);
}
});
create_node = function(edit,shift,key1,val1,key2hash,key2,val2){
switch(arguments.length){
case 6:
return create_node__6.call(this,edit,shift,key1,val1,key2hash,key2);
case 7:
return create_node__7.call(this,edit,shift,key1,val1,key2hash,key2,val2);
}
throw('Invalid arity: ' + arguments.length);
};
create_node.cljs$lang$arity$6 = create_node__6;
create_node.cljs$lang$arity$7 = create_node__7;
return create_node;
})()
;

/**
* @constructor
*/
cljs.core.NodeSeq = (function (meta,nodes,i,s,__hash){
this.meta = meta;
this.nodes = nodes;
this.i = i;
this.s = s;
this.__hash = __hash;
this.cljs$lang$protocol_mask$partition1$ = 0;
this.cljs$lang$protocol_mask$partition0$ = 31850572;
})
cljs.core.NodeSeq.cljs$lang$type = true;
cljs.core.NodeSeq.cljs$lang$ctorPrSeq = (function (this__4682__auto__){
return cljs.core.list.call(null,"cljs.core/NodeSeq");
});
cljs.core.NodeSeq.prototype.cljs$core$IHash$_hash$arity$1 = (function (coll){
var this__13410 = this;
var h__4565__auto____13411 = this__13410.__hash;
if(!((h__4565__auto____13411 == null)))
{return h__4565__auto____13411;
} else
{var h__4565__auto____13412 = cljs.core.hash_coll.call(null,coll);
this__13410.__hash = h__4565__auto____13412;
return h__4565__auto____13412;
}
});
cljs.core.NodeSeq.prototype.cljs$core$ICollection$_conj$arity$2 = (function (coll,o){
var this__13413 = this;
return cljs.core.cons.call(null,o,coll);
});
cljs.core.NodeSeq.prototype.toString = (function (){
var this__13414 = this;
var this__13415 = this;
return cljs.core.pr_str.call(null,this__13415);
});
cljs.core.NodeSeq.prototype.cljs$core$ISeqable$_seq$arity$1 = (function (this$){
var this__13416 = this;
return this$;
});
cljs.core.NodeSeq.prototype.cljs$core$ISeq$_first$arity$1 = (function (coll){
var this__13417 = this;
if((this__13417.s == null))
{return cljs.core.PersistentVector.fromArray([(this__13417.nodes[this__13417.i]),(this__13417.nodes[(this__13417.i + 1)])], true);
} else
{return cljs.core.first.call(null,this__13417.s);
}
});
cljs.core.NodeSeq.prototype.cljs$core$ISeq$_rest$arity$1 = (function (coll){
var this__13418 = this;
if((this__13418.s == null))
{return cljs.core.create_inode_seq.call(null,this__13418.nodes,(this__13418.i + 2),null);
} else
{return cljs.core.create_inode_seq.call(null,this__13418.nodes,this__13418.i,cljs.core.next.call(null,this__13418.s));
}
});
cljs.core.NodeSeq.prototype.cljs$core$IEquiv$_equiv$arity$2 = (function (coll,other){
var this__13419 = this;
return cljs.core.equiv_sequential.call(null,coll,other);
});
cljs.core.NodeSeq.prototype.cljs$core$IWithMeta$_with_meta$arity$2 = (function (coll,meta){
var this__13420 = this;
return (new cljs.core.NodeSeq(meta,this__13420.nodes,this__13420.i,this__13420.s,this__13420.__hash));
});
cljs.core.NodeSeq.prototype.cljs$core$IMeta$_meta$arity$1 = (function (coll){
var this__13421 = this;
return this__13421.meta;
});
cljs.core.NodeSeq.prototype.cljs$core$IEmptyableCollection$_empty$arity$1 = (function (coll){
var this__13422 = this;
return cljs.core.with_meta.call(null,cljs.core.List.EMPTY,this__13422.meta);
});
cljs.core.NodeSeq;
cljs.core.create_inode_seq = (function() {
var create_inode_seq = null;
var create_inode_seq__1 = (function (nodes){
return create_inode_seq.call(null,nodes,0,null);
});
var create_inode_seq__3 = (function (nodes,i,s){
if((s == null))
{var len__13429 = nodes.length;
var j__13430 = i;
while(true){
if((j__13430 < len__13429))
{if(!(((nodes[j__13430]) == null)))
{return (new cljs.core.NodeSeq(null,nodes,j__13430,null,null));
} else
{var temp__3971__auto____13431 = (nodes[(j__13430 + 1)]);
if(cljs.core.truth_(temp__3971__auto____13431))
{var node__13432 = temp__3971__auto____13431;
var temp__3971__auto____13433 = node__13432.inode_seq();
if(cljs.core.truth_(temp__3971__auto____13433))
{var node_seq__13434 = temp__3971__auto____13433;
return (new cljs.core.NodeSeq(null,nodes,(j__13430 + 2),node_seq__13434,null));
} else
{{
var G__13435 = (j__13430 + 2);
j__13430 = G__13435;
continue;
}
}
} else
{{
var G__13436 = (j__13430 + 2);
j__13430 = G__13436;
continue;
}
}
}
} else
{return null;
}
break;
}
} else
{return (new cljs.core.NodeSeq(null,nodes,i,s,null));
}
});
create_inode_seq = function(nodes,i,s){
switch(arguments.length){
case 1:
return create_inode_seq__1.call(this,nodes);
case 3:
return create_inode_seq__3.call(this,nodes,i,s);
}
throw('Invalid arity: ' + arguments.length);
};
create_inode_seq.cljs$lang$arity$1 = create_inode_seq__1;
create_inode_seq.cljs$lang$arity$3 = create_inode_seq__3;
return create_inode_seq;
})()
;

/**
* @constructor
*/
cljs.core.ArrayNodeSeq = (function (meta,nodes,i,s,__hash){
this.meta = meta;
this.nodes = nodes;
this.i = i;
this.s = s;
this.__hash = __hash;
this.cljs$lang$protocol_mask$partition1$ = 0;
this.cljs$lang$protocol_mask$partition0$ = 31850572;
})
cljs.core.ArrayNodeSeq.cljs$lang$type = true;
cljs.core.ArrayNodeSeq.cljs$lang$ctorPrSeq = (function (this__4682__auto__){
return cljs.core.list.call(null,"cljs.core/ArrayNodeSeq");
});
cljs.core.ArrayNodeSeq.prototype.cljs$core$IHash$_hash$arity$1 = (function (coll){
var this__13437 = this;
var h__4565__auto____13438 = this__13437.__hash;
if(!((h__4565__auto____13438 == null)))
{return h__4565__auto____13438;
} else
{var h__4565__auto____13439 = cljs.core.hash_coll.call(null,coll);
this__13437.__hash = h__4565__auto____13439;
return h__4565__auto____13439;
}
});
cljs.core.ArrayNodeSeq.prototype.cljs$core$ICollection$_conj$arity$2 = (function (coll,o){
var this__13441 = this;
return cljs.core.cons.call(null,o,coll);
});
cljs.core.ArrayNodeSeq.prototype.toString = (function (){
var this__13444 = this;
var this__13445 = this;
return cljs.core.pr_str.call(null,this__13445);
});
cljs.core.ArrayNodeSeq.prototype.cljs$core$ISeqable$_seq$arity$1 = (function (this$){
var this__13448 = this;
return this$;
});
cljs.core.ArrayNodeSeq.prototype.cljs$core$ISeq$_first$arity$1 = (function (coll){
var this__13450 = this;
return cljs.core.first.call(null,this__13450.s);
});
cljs.core.ArrayNodeSeq.prototype.cljs$core$ISeq$_rest$arity$1 = (function (coll){
var this__13451 = this;
return cljs.core.create_array_node_seq.call(null,null,this__13451.nodes,this__13451.i,cljs.core.next.call(null,this__13451.s));
});
cljs.core.ArrayNodeSeq.prototype.cljs$core$IEquiv$_equiv$arity$2 = (function (coll,other){
var this__13452 = this;
return cljs.core.equiv_sequential.call(null,coll,other);
});
cljs.core.ArrayNodeSeq.prototype.cljs$core$IWithMeta$_with_meta$arity$2 = (function (coll,meta){
var this__13453 = this;
return (new cljs.core.ArrayNodeSeq(meta,this__13453.nodes,this__13453.i,this__13453.s,this__13453.__hash));
});
cljs.core.ArrayNodeSeq.prototype.cljs$core$IMeta$_meta$arity$1 = (function (coll){
var this__13454 = this;
return this__13454.meta;
});
cljs.core.ArrayNodeSeq.prototype.cljs$core$IEmptyableCollection$_empty$arity$1 = (function (coll){
var this__13455 = this;
return cljs.core.with_meta.call(null,cljs.core.List.EMPTY,this__13455.meta);
});
cljs.core.ArrayNodeSeq;
cljs.core.create_array_node_seq = (function() {
var create_array_node_seq = null;
var create_array_node_seq__1 = (function (nodes){
return create_array_node_seq.call(null,null,nodes,0,null);
});
var create_array_node_seq__4 = (function (meta,nodes,i,s){
if((s == null))
{var len__13475 = nodes.length;
var j__13476 = i;
while(true){
if((j__13476 < len__13475))
{var temp__3971__auto____13477 = (nodes[j__13476]);
if(cljs.core.truth_(temp__3971__auto____13477))
{var nj__13478 = temp__3971__auto____13477;
var temp__3971__auto____13479 = nj__13478.inode_seq();
if(cljs.core.truth_(temp__3971__auto____13479))
{var ns__13480 = temp__3971__auto____13479;
return (new cljs.core.ArrayNodeSeq(meta,nodes,(j__13476 + 1),ns__13480,null));
} else
{{
var G__13490 = (j__13476 + 1);
j__13476 = G__13490;
continue;
}
}
} else
{{
var G__13491 = (j__13476 + 1);
j__13476 = G__13491;
continue;
}
}
} else
{return null;
}
break;
}
} else
{return (new cljs.core.ArrayNodeSeq(meta,nodes,i,s,null));
}
});
create_array_node_seq = function(meta,nodes,i,s){
switch(arguments.length){
case 1:
return create_array_node_seq__1.call(this,meta);
case 4:
return create_array_node_seq__4.call(this,meta,nodes,i,s);
}
throw('Invalid arity: ' + arguments.length);
};
create_array_node_seq.cljs$lang$arity$1 = create_array_node_seq__1;
create_array_node_seq.cljs$lang$arity$4 = create_array_node_seq__4;
return create_array_node_seq;
})()
;
void 0;

/**
* @constructor
*/
cljs.core.PersistentHashMap = (function (meta,cnt,root,has_nil_QMARK_,nil_val,__hash){
this.meta = meta;
this.cnt = cnt;
this.root = root;
this.has_nil_QMARK_ = has_nil_QMARK_;
this.nil_val = nil_val;
this.__hash = __hash;
this.cljs$lang$protocol_mask$partition1$ = 1;
this.cljs$lang$protocol_mask$partition0$ = 16123663;
})
cljs.core.PersistentHashMap.cljs$lang$type = true;
cljs.core.PersistentHashMap.cljs$lang$ctorPrSeq = (function (this__4682__auto__){
return cljs.core.list.call(null,"cljs.core/PersistentHashMap");
});
cljs.core.PersistentHashMap.prototype.cljs$core$IEditableCollection$_as_transient$arity$1 = (function (coll){
var this__13494 = this;
return (new cljs.core.TransientHashMap({},this__13494.root,this__13494.cnt,this__13494.has_nil_QMARK_,this__13494.nil_val));
});
cljs.core.PersistentHashMap.prototype.cljs$core$IHash$_hash$arity$1 = (function (coll){
var this__13495 = this;
var h__4565__auto____13496 = this__13495.__hash;
if(!((h__4565__auto____13496 == null)))
{return h__4565__auto____13496;
} else
{var h__4565__auto____13497 = cljs.core.hash_imap.call(null,coll);
this__13495.__hash = h__4565__auto____13497;
return h__4565__auto____13497;
}
});
cljs.core.PersistentHashMap.prototype.cljs$core$ILookup$_lookup$arity$2 = (function (coll,k){
var this__13498 = this;
return coll.cljs$core$ILookup$_lookup$arity$3(coll,k,null);
});
cljs.core.PersistentHashMap.prototype.cljs$core$ILookup$_lookup$arity$3 = (function (coll,k,not_found){
var this__13499 = this;
if((k == null))
{if(this__13499.has_nil_QMARK_)
{return this__13499.nil_val;
} else
{return not_found;
}
} else
{if((this__13499.root == null))
{return not_found;
} else
{if("\uFDD0'else")
{return this__13499.root.inode_lookup(0,cljs.core.hash.call(null,k),k,not_found);
} else
{return null;
}
}
}
});
cljs.core.PersistentHashMap.prototype.cljs$core$IAssociative$_assoc$arity$3 = (function (coll,k,v){
var this__13500 = this;
if((k == null))
{if((function (){var and__3822__auto____13501 = this__13500.has_nil_QMARK_;
if(and__3822__auto____13501)
{return (v === this__13500.nil_val);
} else
{return and__3822__auto____13501;
}
})())
{return coll;
} else
{return (new cljs.core.PersistentHashMap(this__13500.meta,((this__13500.has_nil_QMARK_)?this__13500.cnt:(this__13500.cnt + 1)),this__13500.root,true,v,null));
}
} else
{var added_leaf_QMARK___13502 = (new cljs.core.Box(false));
var new_root__13503 = (((this__13500.root == null))?cljs.core.BitmapIndexedNode.EMPTY:this__13500.root).inode_assoc(0,cljs.core.hash.call(null,k),k,v,added_leaf_QMARK___13502);
if((new_root__13503 === this__13500.root))
{return coll;
} else
{return (new cljs.core.PersistentHashMap(this__13500.meta,((added_leaf_QMARK___13502.val)?(this__13500.cnt + 1):this__13500.cnt),new_root__13503,this__13500.has_nil_QMARK_,this__13500.nil_val,null));
}
}
});
cljs.core.PersistentHashMap.prototype.cljs$core$IAssociative$_contains_key_QMARK_$arity$2 = (function (coll,k){
var this__13504 = this;
if((k == null))
{return this__13504.has_nil_QMARK_;
} else
{if((this__13504.root == null))
{return false;
} else
{if("\uFDD0'else")
{return !((this__13504.root.inode_lookup(0,cljs.core.hash.call(null,k),k,cljs.core.lookup_sentinel) === cljs.core.lookup_sentinel));
} else
{return null;
}
}
}
});
cljs.core.PersistentHashMap.prototype.call = (function() {
var G__13527 = null;
var G__13527__2 = (function (this_sym13505,k){
var this__13507 = this;
var this_sym13505__13508 = this;
var coll__13509 = this_sym13505__13508;
return coll__13509.cljs$core$ILookup$_lookup$arity$2(coll__13509,k);
});
var G__13527__3 = (function (this_sym13506,k,not_found){
var this__13507 = this;
var this_sym13506__13510 = this;
var coll__13511 = this_sym13506__13510;
return coll__13511.cljs$core$ILookup$_lookup$arity$3(coll__13511,k,not_found);
});
G__13527 = function(this_sym13506,k,not_found){
switch(arguments.length){
case 2:
return G__13527__2.call(this,this_sym13506,k);
case 3:
return G__13527__3.call(this,this_sym13506,k,not_found);
}
throw('Invalid arity: ' + arguments.length);
};
return G__13527;
})()
;
cljs.core.PersistentHashMap.prototype.apply = (function (this_sym13492,args13493){
var this__13512 = this;
return this_sym13492.call.apply(this_sym13492,[this_sym13492].concat(args13493.slice()));
});
cljs.core.PersistentHashMap.prototype.cljs$core$IKVReduce$_kv_reduce$arity$3 = (function (coll,f,init){
var this__13513 = this;
var init__13514 = ((this__13513.has_nil_QMARK_)?f.call(null,init,null,this__13513.nil_val):init);
if(cljs.core.reduced_QMARK_.call(null,init__13514))
{return cljs.core.deref.call(null,init__13514);
} else
{if(!((this__13513.root == null)))
{return this__13513.root.kv_reduce(f,init__13514);
} else
{if("\uFDD0'else")
{return init__13514;
} else
{return null;
}
}
}
});
cljs.core.PersistentHashMap.prototype.cljs$core$ICollection$_conj$arity$2 = (function (coll,entry){
var this__13515 = this;
if(cljs.core.vector_QMARK_.call(null,entry))
{return coll.cljs$core$IAssociative$_assoc$arity$3(coll,cljs.core._nth.call(null,entry,0),cljs.core._nth.call(null,entry,1));
} else
{return cljs.core.reduce.call(null,cljs.core._conj,coll,entry);
}
});
cljs.core.PersistentHashMap.prototype.toString = (function (){
var this__13516 = this;
var this__13517 = this;
return cljs.core.pr_str.call(null,this__13517);
});
cljs.core.PersistentHashMap.prototype.cljs$core$ISeqable$_seq$arity$1 = (function (coll){
var this__13518 = this;
if((this__13518.cnt > 0))
{var s__13519 = ((!((this__13518.root == null)))?this__13518.root.inode_seq():null);
if(this__13518.has_nil_QMARK_)
{return cljs.core.cons.call(null,cljs.core.PersistentVector.fromArray([null,this__13518.nil_val], true),s__13519);
} else
{return s__13519;
}
} else
{return null;
}
});
cljs.core.PersistentHashMap.prototype.cljs$core$ICounted$_count$arity$1 = (function (coll){
var this__13520 = this;
return this__13520.cnt;
});
cljs.core.PersistentHashMap.prototype.cljs$core$IEquiv$_equiv$arity$2 = (function (coll,other){
var this__13521 = this;
return cljs.core.equiv_map.call(null,coll,other);
});
cljs.core.PersistentHashMap.prototype.cljs$core$IWithMeta$_with_meta$arity$2 = (function (coll,meta){
var this__13522 = this;
return (new cljs.core.PersistentHashMap(meta,this__13522.cnt,this__13522.root,this__13522.has_nil_QMARK_,this__13522.nil_val,this__13522.__hash));
});
cljs.core.PersistentHashMap.prototype.cljs$core$IMeta$_meta$arity$1 = (function (coll){
var this__13523 = this;
return this__13523.meta;
});
cljs.core.PersistentHashMap.prototype.cljs$core$IEmptyableCollection$_empty$arity$1 = (function (coll){
var this__13524 = this;
return cljs.core._with_meta.call(null,cljs.core.PersistentHashMap.EMPTY,this__13524.meta);
});
cljs.core.PersistentHashMap.prototype.cljs$core$IMap$_dissoc$arity$2 = (function (coll,k){
var this__13525 = this;
if((k == null))
{if(this__13525.has_nil_QMARK_)
{return (new cljs.core.PersistentHashMap(this__13525.meta,(this__13525.cnt - 1),this__13525.root,false,null,null));
} else
{return coll;
}
} else
{if((this__13525.root == null))
{return coll;
} else
{if("\uFDD0'else")
{var new_root__13526 = this__13525.root.inode_without(0,cljs.core.hash.call(null,k),k);
if((new_root__13526 === this__13525.root))
{return coll;
} else
{return (new cljs.core.PersistentHashMap(this__13525.meta,(this__13525.cnt - 1),new_root__13526,this__13525.has_nil_QMARK_,this__13525.nil_val,null));
}
} else
{return null;
}
}
}
});
cljs.core.PersistentHashMap;
cljs.core.PersistentHashMap.EMPTY = (new cljs.core.PersistentHashMap(null,0,null,false,null,0));
cljs.core.PersistentHashMap.fromArrays = (function (ks,vs){
var len__13528 = ks.length;
var i__13529 = 0;
var out__13530 = cljs.core.transient$.call(null,cljs.core.PersistentHashMap.EMPTY);
while(true){
if((i__13529 < len__13528))
{{
var G__13531 = (i__13529 + 1);
var G__13532 = cljs.core.assoc_BANG_.call(null,out__13530,(ks[i__13529]),(vs[i__13529]));
i__13529 = G__13531;
out__13530 = G__13532;
continue;
}
} else
{return cljs.core.persistent_BANG_.call(null,out__13530);
}
break;
}
});

/**
* @constructor
*/
cljs.core.TransientHashMap = (function (edit,root,count,has_nil_QMARK_,nil_val){
this.edit = edit;
this.root = root;
this.count = count;
this.has_nil_QMARK_ = has_nil_QMARK_;
this.nil_val = nil_val;
this.cljs$lang$protocol_mask$partition1$ = 14;
this.cljs$lang$protocol_mask$partition0$ = 258;
})
cljs.core.TransientHashMap.cljs$lang$type = true;
cljs.core.TransientHashMap.cljs$lang$ctorPrSeq = (function (this__4682__auto__){
return cljs.core.list.call(null,"cljs.core/TransientHashMap");
});
cljs.core.TransientHashMap.prototype.cljs$core$ITransientMap$_dissoc_BANG_$arity$2 = (function (tcoll,key){
var this__13533 = this;
return tcoll.without_BANG_(key);
});
cljs.core.TransientHashMap.prototype.cljs$core$ITransientAssociative$_assoc_BANG_$arity$3 = (function (tcoll,key,val){
var this__13534 = this;
return tcoll.assoc_BANG_(key,val);
});
cljs.core.TransientHashMap.prototype.cljs$core$ITransientCollection$_conj_BANG_$arity$2 = (function (tcoll,val){
var this__13535 = this;
return tcoll.conj_BANG_(val);
});
cljs.core.TransientHashMap.prototype.cljs$core$ITransientCollection$_persistent_BANG_$arity$1 = (function (tcoll){
var this__13536 = this;
return tcoll.persistent_BANG_();
});
cljs.core.TransientHashMap.prototype.cljs$core$ILookup$_lookup$arity$2 = (function (tcoll,k){
var this__13537 = this;
if((k == null))
{if(this__13537.has_nil_QMARK_)
{return this__13537.nil_val;
} else
{return null;
}
} else
{if((this__13537.root == null))
{return null;
} else
{return this__13537.root.inode_lookup(0,cljs.core.hash.call(null,k),k);
}
}
});
cljs.core.TransientHashMap.prototype.cljs$core$ILookup$_lookup$arity$3 = (function (tcoll,k,not_found){
var this__13538 = this;
if((k == null))
{if(this__13538.has_nil_QMARK_)
{return this__13538.nil_val;
} else
{return not_found;
}
} else
{if((this__13538.root == null))
{return not_found;
} else
{return this__13538.root.inode_lookup(0,cljs.core.hash.call(null,k),k,not_found);
}
}
});
cljs.core.TransientHashMap.prototype.cljs$core$ICounted$_count$arity$1 = (function (coll){
var this__13539 = this;
if(this__13539.edit)
{return this__13539.count;
} else
{throw (new Error("count after persistent!"));
}
});
cljs.core.TransientHashMap.prototype.conj_BANG_ = (function (o){
var this__13540 = this;
var tcoll__13541 = this;
if(this__13540.edit)
{if((function (){var G__13542__13543 = o;
if(G__13542__13543)
{if((function (){var or__3824__auto____13544 = (G__13542__13543.cljs$lang$protocol_mask$partition0$ & 2048);
if(or__3824__auto____13544)
{return or__3824__auto____13544;
} else
{return G__13542__13543.cljs$core$IMapEntry$;
}
})())
{return true;
} else
{if((!G__13542__13543.cljs$lang$protocol_mask$partition0$))
{return cljs.core.type_satisfies_.call(null,cljs.core.IMapEntry,G__13542__13543);
} else
{return false;
}
}
} else
{return cljs.core.type_satisfies_.call(null,cljs.core.IMapEntry,G__13542__13543);
}
})())
{return tcoll__13541.assoc_BANG_(cljs.core.key.call(null,o),cljs.core.val.call(null,o));
} else
{var es__13545 = cljs.core.seq.call(null,o);
var tcoll__13546 = tcoll__13541;
while(true){
var temp__3971__auto____13547 = cljs.core.first.call(null,es__13545);
if(cljs.core.truth_(temp__3971__auto____13547))
{var e__13548 = temp__3971__auto____13547;
{
var G__13579 = cljs.core.next.call(null,es__13545);
var G__13580 = tcoll__13546.assoc_BANG_(cljs.core.key.call(null,e__13548),cljs.core.val.call(null,e__13548));
es__13545 = G__13579;
tcoll__13546 = G__13580;
continue;
}
} else
{return tcoll__13546;
}
break;
}
}
} else
{throw (new Error("conj! after persistent"));
}
});
cljs.core.TransientHashMap.prototype.assoc_BANG_ = (function (k,v){
var this__13552 = this;
var tcoll__13553 = this;
if(this__13552.edit)
{if((k == null))
{if((this__13552.nil_val === v))
{} else
{this__13552.nil_val = v;
}
if(this__13552.has_nil_QMARK_)
{} else
{this__13552.count = (this__13552.count + 1);
this__13552.has_nil_QMARK_ = true;
}
return tcoll__13553;
} else
{var added_leaf_QMARK___13556 = (new cljs.core.Box(false));
var node__13558 = (((this__13552.root == null))?cljs.core.BitmapIndexedNode.EMPTY:this__13552.root).inode_assoc_BANG_(this__13552.edit,0,cljs.core.hash.call(null,k),k,v,added_leaf_QMARK___13556);
if((node__13558 === this__13552.root))
{} else
{this__13552.root = node__13558;
}
if(added_leaf_QMARK___13556.val)
{this__13552.count = (this__13552.count + 1);
} else
{}
return tcoll__13553;
}
} else
{throw (new Error("assoc! after persistent!"));
}
});
cljs.core.TransientHashMap.prototype.without_BANG_ = (function (k){
var this__13559 = this;
var tcoll__13560 = this;
if(this__13559.edit)
{if((k == null))
{if(this__13559.has_nil_QMARK_)
{this__13559.has_nil_QMARK_ = false;
this__13559.nil_val = null;
this__13559.count = (this__13559.count - 1);
return tcoll__13560;
} else
{return tcoll__13560;
}
} else
{if((this__13559.root == null))
{return tcoll__13560;
} else
{var removed_leaf_QMARK___13561 = (new cljs.core.Box(false));
var node__13562 = this__13559.root.inode_without_BANG_(this__13559.edit,0,cljs.core.hash.call(null,k),k,removed_leaf_QMARK___13561);
if((node__13562 === this__13559.root))
{} else
{this__13559.root = node__13562;
}
if(cljs.core.truth_((removed_leaf_QMARK___13561[0])))
{this__13559.count = (this__13559.count - 1);
} else
{}
return tcoll__13560;
}
}
} else
{throw (new Error("dissoc! after persistent!"));
}
});
cljs.core.TransientHashMap.prototype.persistent_BANG_ = (function (){
var this__13563 = this;
var tcoll__13564 = this;
if(this__13563.edit)
{this__13563.edit = null;
return (new cljs.core.PersistentHashMap(null,this__13563.count,this__13563.root,this__13563.has_nil_QMARK_,this__13563.nil_val,null));
} else
{throw (new Error("persistent! called twice"));
}
});
cljs.core.TransientHashMap;
cljs.core.tree_map_seq_push = (function tree_map_seq_push(node,stack,ascending_QMARK_){
var t__13583 = node;
var stack__13584 = stack;
while(true){
if(!((t__13583 == null)))
{{
var G__13585 = ((ascending_QMARK_)?t__13583.left:t__13583.right);
var G__13586 = cljs.core.conj.call(null,stack__13584,t__13583);
t__13583 = G__13585;
stack__13584 = G__13586;
continue;
}
} else
{return stack__13584;
}
break;
}
});

/**
* @constructor
*/
cljs.core.PersistentTreeMapSeq = (function (meta,stack,ascending_QMARK_,cnt,__hash){
this.meta = meta;
this.stack = stack;
this.ascending_QMARK_ = ascending_QMARK_;
this.cnt = cnt;
this.__hash = __hash;
this.cljs$lang$protocol_mask$partition1$ = 0;
this.cljs$lang$protocol_mask$partition0$ = 31850570;
})
cljs.core.PersistentTreeMapSeq.cljs$lang$type = true;
cljs.core.PersistentTreeMapSeq.cljs$lang$ctorPrSeq = (function (this__4682__auto__){
return cljs.core.list.call(null,"cljs.core/PersistentTreeMapSeq");
});
cljs.core.PersistentTreeMapSeq.prototype.cljs$core$IHash$_hash$arity$1 = (function (coll){
var this__13587 = this;
var h__4565__auto____13588 = this__13587.__hash;
if(!((h__4565__auto____13588 == null)))
{return h__4565__auto____13588;
} else
{var h__4565__auto____13591 = cljs.core.hash_coll.call(null,coll);
this__13587.__hash = h__4565__auto____13591;
return h__4565__auto____13591;
}
});
cljs.core.PersistentTreeMapSeq.prototype.cljs$core$ICollection$_conj$arity$2 = (function (coll,o){
var this__13593 = this;
return cljs.core.cons.call(null,o,coll);
});
cljs.core.PersistentTreeMapSeq.prototype.toString = (function (){
var this__13595 = this;
var this__13596 = this;
return cljs.core.pr_str.call(null,this__13596);
});
cljs.core.PersistentTreeMapSeq.prototype.cljs$core$ISeqable$_seq$arity$1 = (function (this$){
var this__13597 = this;
return this$;
});
cljs.core.PersistentTreeMapSeq.prototype.cljs$core$ICounted$_count$arity$1 = (function (coll){
var this__13598 = this;
if((this__13598.cnt < 0))
{return (cljs.core.count.call(null,cljs.core.next.call(null,coll)) + 1);
} else
{return this__13598.cnt;
}
});
cljs.core.PersistentTreeMapSeq.prototype.cljs$core$ISeq$_first$arity$1 = (function (this$){
var this__13599 = this;
return cljs.core.peek.call(null,this__13599.stack);
});
cljs.core.PersistentTreeMapSeq.prototype.cljs$core$ISeq$_rest$arity$1 = (function (this$){
var this__13600 = this;
var t__13601 = cljs.core.first.call(null,this__13600.stack);
var next_stack__13602 = cljs.core.tree_map_seq_push.call(null,((this__13600.ascending_QMARK_)?t__13601.right:t__13601.left),cljs.core.next.call(null,this__13600.stack),this__13600.ascending_QMARK_);
if(!((next_stack__13602 == null)))
{return (new cljs.core.PersistentTreeMapSeq(null,next_stack__13602,this__13600.ascending_QMARK_,(this__13600.cnt - 1),null));
} else
{return cljs.core.List.EMPTY;
}
});
cljs.core.PersistentTreeMapSeq.prototype.cljs$core$IEquiv$_equiv$arity$2 = (function (coll,other){
var this__13603 = this;
return cljs.core.equiv_sequential.call(null,coll,other);
});
cljs.core.PersistentTreeMapSeq.prototype.cljs$core$IWithMeta$_with_meta$arity$2 = (function (coll,meta){
var this__13604 = this;
return (new cljs.core.PersistentTreeMapSeq(meta,this__13604.stack,this__13604.ascending_QMARK_,this__13604.cnt,this__13604.__hash));
});
cljs.core.PersistentTreeMapSeq.prototype.cljs$core$IMeta$_meta$arity$1 = (function (coll){
var this__13605 = this;
return this__13605.meta;
});
cljs.core.PersistentTreeMapSeq;
cljs.core.create_tree_map_seq = (function create_tree_map_seq(tree,ascending_QMARK_,cnt){
return (new cljs.core.PersistentTreeMapSeq(null,cljs.core.tree_map_seq_push.call(null,tree,null,ascending_QMARK_),ascending_QMARK_,cnt,null));
});
void 0;
void 0;
cljs.core.balance_left = (function balance_left(key,val,ins,right){
if(cljs.core.instance_QMARK_.call(null,cljs.core.RedNode,ins))
{if(cljs.core.instance_QMARK_.call(null,cljs.core.RedNode,ins.left))
{return (new cljs.core.RedNode(ins.key,ins.val,ins.left.blacken(),(new cljs.core.BlackNode(key,val,ins.right,right,null)),null));
} else
{if(cljs.core.instance_QMARK_.call(null,cljs.core.RedNode,ins.right))
{return (new cljs.core.RedNode(ins.right.key,ins.right.val,(new cljs.core.BlackNode(ins.key,ins.val,ins.left,ins.right.left,null)),(new cljs.core.BlackNode(key,val,ins.right.right,right,null)),null));
} else
{if("\uFDD0'else")
{return (new cljs.core.BlackNode(key,val,ins,right,null));
} else
{return null;
}
}
}
} else
{return (new cljs.core.BlackNode(key,val,ins,right,null));
}
});
cljs.core.balance_right = (function balance_right(key,val,left,ins){
if(cljs.core.instance_QMARK_.call(null,cljs.core.RedNode,ins))
{if(cljs.core.instance_QMARK_.call(null,cljs.core.RedNode,ins.right))
{return (new cljs.core.RedNode(ins.key,ins.val,(new cljs.core.BlackNode(key,val,left,ins.left,null)),ins.right.blacken(),null));
} else
{if(cljs.core.instance_QMARK_.call(null,cljs.core.RedNode,ins.left))
{return (new cljs.core.RedNode(ins.left.key,ins.left.val,(new cljs.core.BlackNode(key,val,left,ins.left.left,null)),(new cljs.core.BlackNode(ins.key,ins.val,ins.left.right,ins.right,null)),null));
} else
{if("\uFDD0'else")
{return (new cljs.core.BlackNode(key,val,left,ins,null));
} else
{return null;
}
}
}
} else
{return (new cljs.core.BlackNode(key,val,left,ins,null));
}
});
cljs.core.balance_left_del = (function balance_left_del(key,val,del,right){
if(cljs.core.instance_QMARK_.call(null,cljs.core.RedNode,del))
{return (new cljs.core.RedNode(key,val,del.blacken(),right,null));
} else
{if(cljs.core.instance_QMARK_.call(null,cljs.core.BlackNode,right))
{return cljs.core.balance_right.call(null,key,val,del,right.redden());
} else
{if((function (){var and__3822__auto____13607 = cljs.core.instance_QMARK_.call(null,cljs.core.RedNode,right);
if(and__3822__auto____13607)
{return cljs.core.instance_QMARK_.call(null,cljs.core.BlackNode,right.left);
} else
{return and__3822__auto____13607;
}
})())
{return (new cljs.core.RedNode(right.left.key,right.left.val,(new cljs.core.BlackNode(key,val,del,right.left.left,null)),cljs.core.balance_right.call(null,right.key,right.val,right.left.right,right.right.redden()),null));
} else
{if("\uFDD0'else")
{throw (new Error("red-black tree invariant violation"));
} else
{return null;
}
}
}
}
});
cljs.core.balance_right_del = (function balance_right_del(key,val,left,del){
if(cljs.core.instance_QMARK_.call(null,cljs.core.RedNode,del))
{return (new cljs.core.RedNode(key,val,left,del.blacken(),null));
} else
{if(cljs.core.instance_QMARK_.call(null,cljs.core.BlackNode,left))
{return cljs.core.balance_left.call(null,key,val,left.redden(),del);
} else
{if((function (){var and__3822__auto____13609 = cljs.core.instance_QMARK_.call(null,cljs.core.RedNode,left);
if(and__3822__auto____13609)
{return cljs.core.instance_QMARK_.call(null,cljs.core.BlackNode,left.right);
} else
{return and__3822__auto____13609;
}
})())
{return (new cljs.core.RedNode(left.right.key,left.right.val,cljs.core.balance_left.call(null,left.key,left.val,left.left.redden(),left.right.left),(new cljs.core.BlackNode(key,val,left.right.right,del,null)),null));
} else
{if("\uFDD0'else")
{throw (new Error("red-black tree invariant violation"));
} else
{return null;
}
}
}
}
});
cljs.core.tree_map_kv_reduce = (function tree_map_kv_reduce(node,f,init){
var init__13613 = f.call(null,init,node.key,node.val);
if(cljs.core.reduced_QMARK_.call(null,init__13613))
{return cljs.core.deref.call(null,init__13613);
} else
{var init__13614 = ((!((node.left == null)))?tree_map_kv_reduce.call(null,node.left,f,init__13613):init__13613);
if(cljs.core.reduced_QMARK_.call(null,init__13614))
{return cljs.core.deref.call(null,init__13614);
} else
{var init__13615 = ((!((node.right == null)))?tree_map_kv_reduce.call(null,node.right,f,init__13614):init__13614);
if(cljs.core.reduced_QMARK_.call(null,init__13615))
{return cljs.core.deref.call(null,init__13615);
} else
{return init__13615;
}
}
}
});

/**
* @constructor
*/
cljs.core.BlackNode = (function (key,val,left,right,__hash){
this.key = key;
this.val = val;
this.left = left;
this.right = right;
this.__hash = __hash;
this.cljs$lang$protocol_mask$partition1$ = 0;
this.cljs$lang$protocol_mask$partition0$ = 32402207;
})
cljs.core.BlackNode.cljs$lang$type = true;
cljs.core.BlackNode.cljs$lang$ctorPrSeq = (function (this__4682__auto__){
return cljs.core.list.call(null,"cljs.core/BlackNode");
});
cljs.core.BlackNode.prototype.cljs$core$IHash$_hash$arity$1 = (function (coll){
var this__13624 = this;
var h__4565__auto____13625 = this__13624.__hash;
if(!((h__4565__auto____13625 == null)))
{return h__4565__auto____13625;
} else
{var h__4565__auto____13626 = cljs.core.hash_coll.call(null,coll);
this__13624.__hash = h__4565__auto____13626;
return h__4565__auto____13626;
}
});
cljs.core.BlackNode.prototype.cljs$core$ILookup$_lookup$arity$2 = (function (node,k){
var this__13628 = this;
return node.cljs$core$IIndexed$_nth$arity$3(node,k,null);
});
cljs.core.BlackNode.prototype.cljs$core$ILookup$_lookup$arity$3 = (function (node,k,not_found){
var this__13630 = this;
return node.cljs$core$IIndexed$_nth$arity$3(node,k,not_found);
});
cljs.core.BlackNode.prototype.cljs$core$IAssociative$_assoc$arity$3 = (function (node,k,v){
var this__13632 = this;
return cljs.core.assoc.call(null,cljs.core.PersistentVector.fromArray([this__13632.key,this__13632.val], true),k,v);
});
cljs.core.BlackNode.prototype.call = (function() {
var G__13693 = null;
var G__13693__2 = (function (this_sym13634,k){
var this__13636 = this;
var this_sym13634__13637 = this;
var node__13638 = this_sym13634__13637;
return node__13638.cljs$core$ILookup$_lookup$arity$2(node__13638,k);
});
var G__13693__3 = (function (this_sym13635,k,not_found){
var this__13636 = this;
var this_sym13635__13639 = this;
var node__13640 = this_sym13635__13639;
return node__13640.cljs$core$ILookup$_lookup$arity$3(node__13640,k,not_found);
});
G__13693 = function(this_sym13635,k,not_found){
switch(arguments.length){
case 2:
return G__13693__2.call(this,this_sym13635,k);
case 3:
return G__13693__3.call(this,this_sym13635,k,not_found);
}
throw('Invalid arity: ' + arguments.length);
};
return G__13693;
})()
;
cljs.core.BlackNode.prototype.apply = (function (this_sym13622,args13623){
var this__13641 = this;
return this_sym13622.call.apply(this_sym13622,[this_sym13622].concat(args13623.slice()));
});
cljs.core.BlackNode.prototype.cljs$core$ICollection$_conj$arity$2 = (function (node,o){
var this__13642 = this;
return cljs.core.PersistentVector.fromArray([this__13642.key,this__13642.val,o], true);
});
cljs.core.BlackNode.prototype.cljs$core$IMapEntry$_key$arity$1 = (function (node){
var this__13643 = this;
return this__13643.key;
});
cljs.core.BlackNode.prototype.cljs$core$IMapEntry$_val$arity$1 = (function (node){
var this__13644 = this;
return this__13644.val;
});
cljs.core.BlackNode.prototype.add_right = (function (ins){
var this__13645 = this;
var node__13646 = this;
return ins.balance_right(node__13646);
});
cljs.core.BlackNode.prototype.redden = (function (){
var this__13647 = this;
var node__13648 = this;
return (new cljs.core.RedNode(this__13647.key,this__13647.val,this__13647.left,this__13647.right,null));
});
cljs.core.BlackNode.prototype.remove_right = (function (del){
var this__13649 = this;
var node__13650 = this;
return cljs.core.balance_right_del.call(null,this__13649.key,this__13649.val,this__13649.left,del);
});
cljs.core.BlackNode.prototype.replace = (function (key,val,left,right){
var this__13654 = this;
var node__13656 = this;
return (new cljs.core.BlackNode(key,val,left,right,null));
});
cljs.core.BlackNode.prototype.kv_reduce = (function (f,init){
var this__13657 = this;
var node__13658 = this;
return cljs.core.tree_map_kv_reduce.call(null,node__13658,f,init);
});
cljs.core.BlackNode.prototype.remove_left = (function (del){
var this__13662 = this;
var node__13664 = this;
return cljs.core.balance_left_del.call(null,this__13662.key,this__13662.val,del,this__13662.right);
});
cljs.core.BlackNode.prototype.add_left = (function (ins){
var this__13665 = this;
var node__13666 = this;
return ins.balance_left(node__13666);
});
cljs.core.BlackNode.prototype.balance_left = (function (parent){
var this__13667 = this;
var node__13668 = this;
return (new cljs.core.BlackNode(parent.key,parent.val,node__13668,parent.right,null));
});
cljs.core.BlackNode.prototype.toString = (function() {
var G__13694 = null;
var G__13694__0 = (function (){
var this__13669 = this;
var this__13671 = this;
return cljs.core.pr_str.call(null,this__13671);
});
G__13694 = function(){
switch(arguments.length){
case 0:
return G__13694__0.call(this);
}
throw('Invalid arity: ' + arguments.length);
};
return G__13694;
})()
;
cljs.core.BlackNode.prototype.balance_right = (function (parent){
var this__13673 = this;
var node__13674 = this;
return (new cljs.core.BlackNode(parent.key,parent.val,parent.left,node__13674,null));
});
cljs.core.BlackNode.prototype.blacken = (function (){
var this__13675 = this;
var node__13676 = this;
return node__13676;
});
cljs.core.BlackNode.prototype.cljs$core$IReduce$_reduce$arity$2 = (function (node,f){
var this__13677 = this;
return cljs.core.ci_reduce.call(null,node,f);
});
cljs.core.BlackNode.prototype.cljs$core$IReduce$_reduce$arity$3 = (function (node,f,start){
var this__13678 = this;
return cljs.core.ci_reduce.call(null,node,f,start);
});
cljs.core.BlackNode.prototype.cljs$core$ISeqable$_seq$arity$1 = (function (node){
var this__13679 = this;
return cljs.core.list.call(null,this__13679.key,this__13679.val);
});
cljs.core.BlackNode.prototype.cljs$core$ICounted$_count$arity$1 = (function (node){
var this__13682 = this;
return 2;
});
cljs.core.BlackNode.prototype.cljs$core$IStack$_peek$arity$1 = (function (node){
var this__13683 = this;
return this__13683.val;
});
cljs.core.BlackNode.prototype.cljs$core$IStack$_pop$arity$1 = (function (node){
var this__13684 = this;
return cljs.core.PersistentVector.fromArray([this__13684.key], true);
});
cljs.core.BlackNode.prototype.cljs$core$IVector$_assoc_n$arity$3 = (function (node,n,v){
var this__13685 = this;
return cljs.core._assoc_n.call(null,cljs.core.PersistentVector.fromArray([this__13685.key,this__13685.val], true),n,v);
});
cljs.core.BlackNode.prototype.cljs$core$IEquiv$_equiv$arity$2 = (function (coll,other){
var this__13686 = this;
return cljs.core.equiv_sequential.call(null,coll,other);
});
cljs.core.BlackNode.prototype.cljs$core$IWithMeta$_with_meta$arity$2 = (function (node,meta){
var this__13688 = this;
return cljs.core.with_meta.call(null,cljs.core.PersistentVector.fromArray([this__13688.key,this__13688.val], true),meta);
});
cljs.core.BlackNode.prototype.cljs$core$IMeta$_meta$arity$1 = (function (node){
var this__13689 = this;
return null;
});
cljs.core.BlackNode.prototype.cljs$core$IIndexed$_nth$arity$2 = (function (node,n){
var this__13690 = this;
if((n === 0))
{return this__13690.key;
} else
{if((n === 1))
{return this__13690.val;
} else
{if("\uFDD0'else")
{return null;
} else
{return null;
}
}
}
});
cljs.core.BlackNode.prototype.cljs$core$IIndexed$_nth$arity$3 = (function (node,n,not_found){
var this__13691 = this;
if((n === 0))
{return this__13691.key;
} else
{if((n === 1))
{return this__13691.val;
} else
{if("\uFDD0'else")
{return not_found;
} else
{return null;
}
}
}
});
cljs.core.BlackNode.prototype.cljs$core$IEmptyableCollection$_empty$arity$1 = (function (node){
var this__13692 = this;
return cljs.core.PersistentVector.EMPTY;
});
cljs.core.BlackNode;

/**
* @constructor
*/
cljs.core.RedNode = (function (key,val,left,right,__hash){
this.key = key;
this.val = val;
this.left = left;
this.right = right;
this.__hash = __hash;
this.cljs$lang$protocol_mask$partition1$ = 0;
this.cljs$lang$protocol_mask$partition0$ = 32402207;
})
cljs.core.RedNode.cljs$lang$type = true;
cljs.core.RedNode.cljs$lang$ctorPrSeq = (function (this__4682__auto__){
return cljs.core.list.call(null,"cljs.core/RedNode");
});
cljs.core.RedNode.prototype.cljs$core$IHash$_hash$arity$1 = (function (coll){
var this__13697 = this;
var h__4565__auto____13698 = this__13697.__hash;
if(!((h__4565__auto____13698 == null)))
{return h__4565__auto____13698;
} else
{var h__4565__auto____13699 = cljs.core.hash_coll.call(null,coll);
this__13697.__hash = h__4565__auto____13699;
return h__4565__auto____13699;
}
});
cljs.core.RedNode.prototype.cljs$core$ILookup$_lookup$arity$2 = (function (node,k){
var this__13700 = this;
return node.cljs$core$IIndexed$_nth$arity$3(node,k,null);
});
cljs.core.RedNode.prototype.cljs$core$ILookup$_lookup$arity$3 = (function (node,k,not_found){
var this__13701 = this;
return node.cljs$core$IIndexed$_nth$arity$3(node,k,not_found);
});
cljs.core.RedNode.prototype.cljs$core$IAssociative$_assoc$arity$3 = (function (node,k,v){
var this__13702 = this;
return cljs.core.assoc.call(null,cljs.core.PersistentVector.fromArray([this__13702.key,this__13702.val], true),k,v);
});
cljs.core.RedNode.prototype.call = (function() {
var G__13750 = null;
var G__13750__2 = (function (this_sym13703,k){
var this__13705 = this;
var this_sym13703__13706 = this;
var node__13707 = this_sym13703__13706;
return node__13707.cljs$core$ILookup$_lookup$arity$2(node__13707,k);
});
var G__13750__3 = (function (this_sym13704,k,not_found){
var this__13705 = this;
var this_sym13704__13708 = this;
var node__13709 = this_sym13704__13708;
return node__13709.cljs$core$ILookup$_lookup$arity$3(node__13709,k,not_found);
});
G__13750 = function(this_sym13704,k,not_found){
switch(arguments.length){
case 2:
return G__13750__2.call(this,this_sym13704,k);
case 3:
return G__13750__3.call(this,this_sym13704,k,not_found);
}
throw('Invalid arity: ' + arguments.length);
};
return G__13750;
})()
;
cljs.core.RedNode.prototype.apply = (function (this_sym13695,args13696){
var this__13710 = this;
return this_sym13695.call.apply(this_sym13695,[this_sym13695].concat(args13696.slice()));
});
cljs.core.RedNode.prototype.cljs$core$ICollection$_conj$arity$2 = (function (node,o){
var this__13711 = this;
return cljs.core.PersistentVector.fromArray([this__13711.key,this__13711.val,o], true);
});
cljs.core.RedNode.prototype.cljs$core$IMapEntry$_key$arity$1 = (function (node){
var this__13712 = this;
return this__13712.key;
});
cljs.core.RedNode.prototype.cljs$core$IMapEntry$_val$arity$1 = (function (node){
var this__13713 = this;
return this__13713.val;
});
cljs.core.RedNode.prototype.add_right = (function (ins){
var this__13714 = this;
var node__13715 = this;
return (new cljs.core.RedNode(this__13714.key,this__13714.val,this__13714.left,ins,null));
});
cljs.core.RedNode.prototype.redden = (function (){
var this__13716 = this;
var node__13717 = this;
throw (new Error("red-black tree invariant violation"));
});
cljs.core.RedNode.prototype.remove_right = (function (del){
var this__13718 = this;
var node__13719 = this;
return (new cljs.core.RedNode(this__13718.key,this__13718.val,this__13718.left,del,null));
});
cljs.core.RedNode.prototype.replace = (function (key,val,left,right){
var this__13720 = this;
var node__13721 = this;
return (new cljs.core.RedNode(key,val,left,right,null));
});
cljs.core.RedNode.prototype.kv_reduce = (function (f,init){
var this__13722 = this;
var node__13723 = this;
return cljs.core.tree_map_kv_reduce.call(null,node__13723,f,init);
});
cljs.core.RedNode.prototype.remove_left = (function (del){
var this__13724 = this;
var node__13725 = this;
return (new cljs.core.RedNode(this__13724.key,this__13724.val,del,this__13724.right,null));
});
cljs.core.RedNode.prototype.add_left = (function (ins){
var this__13726 = this;
var node__13727 = this;
return (new cljs.core.RedNode(this__13726.key,this__13726.val,ins,this__13726.right,null));
});
cljs.core.RedNode.prototype.balance_left = (function (parent){
var this__13728 = this;
var node__13729 = this;
if(cljs.core.instance_QMARK_.call(null,cljs.core.RedNode,this__13728.left))
{return (new cljs.core.RedNode(this__13728.key,this__13728.val,this__13728.left.blacken(),(new cljs.core.BlackNode(parent.key,parent.val,this__13728.right,parent.right,null)),null));
} else
{if(cljs.core.instance_QMARK_.call(null,cljs.core.RedNode,this__13728.right))
{return (new cljs.core.RedNode(this__13728.right.key,this__13728.right.val,(new cljs.core.BlackNode(this__13728.key,this__13728.val,this__13728.left,this__13728.right.left,null)),(new cljs.core.BlackNode(parent.key,parent.val,this__13728.right.right,parent.right,null)),null));
} else
{if("\uFDD0'else")
{return (new cljs.core.BlackNode(parent.key,parent.val,node__13729,parent.right,null));
} else
{return null;
}
}
}
});
cljs.core.RedNode.prototype.toString = (function() {
var G__13765 = null;
var G__13765__0 = (function (){
var this__13730 = this;
var this__13732 = this;
return cljs.core.pr_str.call(null,this__13732);
});
G__13765 = function(){
switch(arguments.length){
case 0:
return G__13765__0.call(this);
}
throw('Invalid arity: ' + arguments.length);
};
return G__13765;
})()
;
cljs.core.RedNode.prototype.balance_right = (function (parent){
var this__13733 = this;
var node__13734 = this;
if(cljs.core.instance_QMARK_.call(null,cljs.core.RedNode,this__13733.right))
{return (new cljs.core.RedNode(this__13733.key,this__13733.val,(new cljs.core.BlackNode(parent.key,parent.val,parent.left,this__13733.left,null)),this__13733.right.blacken(),null));
} else
{if(cljs.core.instance_QMARK_.call(null,cljs.core.RedNode,this__13733.left))
{return (new cljs.core.RedNode(this__13733.left.key,this__13733.left.val,(new cljs.core.BlackNode(parent.key,parent.val,parent.left,this__13733.left.left,null)),(new cljs.core.BlackNode(this__13733.key,this__13733.val,this__13733.left.right,this__13733.right,null)),null));
} else
{if("\uFDD0'else")
{return (new cljs.core.BlackNode(parent.key,parent.val,parent.left,node__13734,null));
} else
{return null;
}
}
}
});
cljs.core.RedNode.prototype.blacken = (function (){
var this__13735 = this;
var node__13736 = this;
return (new cljs.core.BlackNode(this__13735.key,this__13735.val,this__13735.left,this__13735.right,null));
});
cljs.core.RedNode.prototype.cljs$core$IReduce$_reduce$arity$2 = (function (node,f){
var this__13737 = this;
return cljs.core.ci_reduce.call(null,node,f);
});
cljs.core.RedNode.prototype.cljs$core$IReduce$_reduce$arity$3 = (function (node,f,start){
var this__13738 = this;
return cljs.core.ci_reduce.call(null,node,f,start);
});
cljs.core.RedNode.prototype.cljs$core$ISeqable$_seq$arity$1 = (function (node){
var this__13739 = this;
return cljs.core.list.call(null,this__13739.key,this__13739.val);
});
cljs.core.RedNode.prototype.cljs$core$ICounted$_count$arity$1 = (function (node){
var this__13740 = this;
return 2;
});
cljs.core.RedNode.prototype.cljs$core$IStack$_peek$arity$1 = (function (node){
var this__13741 = this;
return this__13741.val;
});
cljs.core.RedNode.prototype.cljs$core$IStack$_pop$arity$1 = (function (node){
var this__13742 = this;
return cljs.core.PersistentVector.fromArray([this__13742.key], true);
});
cljs.core.RedNode.prototype.cljs$core$IVector$_assoc_n$arity$3 = (function (node,n,v){
var this__13743 = this;
return cljs.core._assoc_n.call(null,cljs.core.PersistentVector.fromArray([this__13743.key,this__13743.val], true),n,v);
});
cljs.core.RedNode.prototype.cljs$core$IEquiv$_equiv$arity$2 = (function (coll,other){
var this__13744 = this;
return cljs.core.equiv_sequential.call(null,coll,other);
});
cljs.core.RedNode.prototype.cljs$core$IWithMeta$_with_meta$arity$2 = (function (node,meta){
var this__13745 = this;
return cljs.core.with_meta.call(null,cljs.core.PersistentVector.fromArray([this__13745.key,this__13745.val], true),meta);
});
cljs.core.RedNode.prototype.cljs$core$IMeta$_meta$arity$1 = (function (node){
var this__13746 = this;
return null;
});
cljs.core.RedNode.prototype.cljs$core$IIndexed$_nth$arity$2 = (function (node,n){
var this__13747 = this;
if((n === 0))
{return this__13747.key;
} else
{if((n === 1))
{return this__13747.val;
} else
{if("\uFDD0'else")
{return null;
} else
{return null;
}
}
}
});
cljs.core.RedNode.prototype.cljs$core$IIndexed$_nth$arity$3 = (function (node,n,not_found){
var this__13748 = this;
if((n === 0))
{return this__13748.key;
} else
{if((n === 1))
{return this__13748.val;
} else
{if("\uFDD0'else")
{return not_found;
} else
{return null;
}
}
}
});
cljs.core.RedNode.prototype.cljs$core$IEmptyableCollection$_empty$arity$1 = (function (node){
var this__13749 = this;
return cljs.core.PersistentVector.EMPTY;
});
cljs.core.RedNode;
cljs.core.tree_map_add = (function tree_map_add(comp,tree,k,v,found){
if((tree == null))
{return (new cljs.core.RedNode(k,v,null,null,null));
} else
{var c__13777 = comp.call(null,k,tree.key);
if((c__13777 === 0))
{(found[0] = tree);
return null;
} else
{if((c__13777 < 0))
{var ins__13778 = tree_map_add.call(null,comp,tree.left,k,v,found);
if(!((ins__13778 == null)))
{return tree.add_left(ins__13778);
} else
{return null;
}
} else
{if("\uFDD0'else")
{var ins__13779 = tree_map_add.call(null,comp,tree.right,k,v,found);
if(!((ins__13779 == null)))
{return tree.add_right(ins__13779);
} else
{return null;
}
} else
{return null;
}
}
}
}
});
cljs.core.tree_map_append = (function tree_map_append(left,right){
if((left == null))
{return right;
} else
{if((right == null))
{return left;
} else
{if(cljs.core.instance_QMARK_.call(null,cljs.core.RedNode,left))
{if(cljs.core.instance_QMARK_.call(null,cljs.core.RedNode,right))
{var app__13782 = tree_map_append.call(null,left.right,right.left);
if(cljs.core.instance_QMARK_.call(null,cljs.core.RedNode,app__13782))
{return (new cljs.core.RedNode(app__13782.key,app__13782.val,(new cljs.core.RedNode(left.key,left.val,left.left,app__13782.left,null)),(new cljs.core.RedNode(right.key,right.val,app__13782.right,right.right,null)),null));
} else
{return (new cljs.core.RedNode(left.key,left.val,left.left,(new cljs.core.RedNode(right.key,right.val,app__13782,right.right,null)),null));
}
} else
{return (new cljs.core.RedNode(left.key,left.val,left.left,tree_map_append.call(null,left.right,right),null));
}
} else
{if(cljs.core.instance_QMARK_.call(null,cljs.core.RedNode,right))
{return (new cljs.core.RedNode(right.key,right.val,tree_map_append.call(null,left,right.left),right.right,null));
} else
{if("\uFDD0'else")
{var app__13783 = tree_map_append.call(null,left.right,right.left);
if(cljs.core.instance_QMARK_.call(null,cljs.core.RedNode,app__13783))
{return (new cljs.core.RedNode(app__13783.key,app__13783.val,(new cljs.core.BlackNode(left.key,left.val,left.left,app__13783.left,null)),(new cljs.core.BlackNode(right.key,right.val,app__13783.right,right.right,null)),null));
} else
{return cljs.core.balance_left_del.call(null,left.key,left.val,left.left,(new cljs.core.BlackNode(right.key,right.val,app__13783,right.right,null)));
}
} else
{return null;
}
}
}
}
}
});
cljs.core.tree_map_remove = (function tree_map_remove(comp,tree,k,found){
if(!((tree == null)))
{var c__13789 = comp.call(null,k,tree.key);
if((c__13789 === 0))
{(found[0] = tree);
return cljs.core.tree_map_append.call(null,tree.left,tree.right);
} else
{if((c__13789 < 0))
{var del__13790 = tree_map_remove.call(null,comp,tree.left,k,found);
if((function (){var or__3824__auto____13791 = !((del__13790 == null));
if(or__3824__auto____13791)
{return or__3824__auto____13791;
} else
{return !(((found[0]) == null));
}
})())
{if(cljs.core.instance_QMARK_.call(null,cljs.core.BlackNode,tree.left))
{return cljs.core.balance_left_del.call(null,tree.key,tree.val,del__13790,tree.right);
} else
{return (new cljs.core.RedNode(tree.key,tree.val,del__13790,tree.right,null));
}
} else
{return null;
}
} else
{if("\uFDD0'else")
{var del__13792 = tree_map_remove.call(null,comp,tree.right,k,found);
if((function (){var or__3824__auto____13793 = !((del__13792 == null));
if(or__3824__auto____13793)
{return or__3824__auto____13793;
} else
{return !(((found[0]) == null));
}
})())
{if(cljs.core.instance_QMARK_.call(null,cljs.core.BlackNode,tree.right))
{return cljs.core.balance_right_del.call(null,tree.key,tree.val,tree.left,del__13792);
} else
{return (new cljs.core.RedNode(tree.key,tree.val,tree.left,del__13792,null));
}
} else
{return null;
}
} else
{return null;
}
}
}
} else
{return null;
}
});
cljs.core.tree_map_replace = (function tree_map_replace(comp,tree,k,v){
var tk__13796 = tree.key;
var c__13797 = comp.call(null,k,tk__13796);
if((c__13797 === 0))
{return tree.replace(tk__13796,v,tree.left,tree.right);
} else
{if((c__13797 < 0))
{return tree.replace(tk__13796,tree.val,tree_map_replace.call(null,comp,tree.left,k,v),tree.right);
} else
{if("\uFDD0'else")
{return tree.replace(tk__13796,tree.val,tree.left,tree_map_replace.call(null,comp,tree.right,k,v));
} else
{return null;
}
}
}
});
void 0;

/**
* @constructor
*/
cljs.core.PersistentTreeMap = (function (comp,tree,cnt,meta,__hash){
this.comp = comp;
this.tree = tree;
this.cnt = cnt;
this.meta = meta;
this.__hash = __hash;
this.cljs$lang$protocol_mask$partition1$ = 0;
this.cljs$lang$protocol_mask$partition0$ = 418776847;
})
cljs.core.PersistentTreeMap.cljs$lang$type = true;
cljs.core.PersistentTreeMap.cljs$lang$ctorPrSeq = (function (this__4682__auto__){
return cljs.core.list.call(null,"cljs.core/PersistentTreeMap");
});
cljs.core.PersistentTreeMap.prototype.cljs$core$IHash$_hash$arity$1 = (function (coll){
var this__13800 = this;
var h__4565__auto____13801 = this__13800.__hash;
if(!((h__4565__auto____13801 == null)))
{return h__4565__auto____13801;
} else
{var h__4565__auto____13802 = cljs.core.hash_imap.call(null,coll);
this__13800.__hash = h__4565__auto____13802;
return h__4565__auto____13802;
}
});
cljs.core.PersistentTreeMap.prototype.cljs$core$ILookup$_lookup$arity$2 = (function (coll,k){
var this__13803 = this;
return coll.cljs$core$ILookup$_lookup$arity$3(coll,k,null);
});
cljs.core.PersistentTreeMap.prototype.cljs$core$ILookup$_lookup$arity$3 = (function (coll,k,not_found){
var this__13804 = this;
var n__13805 = coll.entry_at(k);
if(!((n__13805 == null)))
{return n__13805.val;
} else
{return not_found;
}
});
cljs.core.PersistentTreeMap.prototype.cljs$core$IAssociative$_assoc$arity$3 = (function (coll,k,v){
var this__13806 = this;
var found__13807 = [null];
var t__13808 = cljs.core.tree_map_add.call(null,this__13806.comp,this__13806.tree,k,v,found__13807);
if((t__13808 == null))
{var found_node__13809 = cljs.core.nth.call(null,found__13807,0);
if(cljs.core._EQ_.call(null,v,found_node__13809.val))
{return coll;
} else
{return (new cljs.core.PersistentTreeMap(this__13806.comp,cljs.core.tree_map_replace.call(null,this__13806.comp,this__13806.tree,k,v),this__13806.cnt,this__13806.meta,null));
}
} else
{return (new cljs.core.PersistentTreeMap(this__13806.comp,t__13808.blacken(),(this__13806.cnt + 1),this__13806.meta,null));
}
});
cljs.core.PersistentTreeMap.prototype.cljs$core$IAssociative$_contains_key_QMARK_$arity$2 = (function (coll,k){
var this__13810 = this;
return !((coll.entry_at(k) == null));
});
cljs.core.PersistentTreeMap.prototype.call = (function() {
var G__13870 = null;
var G__13870__2 = (function (this_sym13812,k){
var this__13814 = this;
var this_sym13812__13816 = this;
var coll__13817 = this_sym13812__13816;
return coll__13817.cljs$core$ILookup$_lookup$arity$2(coll__13817,k);
});
var G__13870__3 = (function (this_sym13813,k,not_found){
var this__13814 = this;
var this_sym13813__13820 = this;
var coll__13821 = this_sym13813__13820;
return coll__13821.cljs$core$ILookup$_lookup$arity$3(coll__13821,k,not_found);
});
G__13870 = function(this_sym13813,k,not_found){
switch(arguments.length){
case 2:
return G__13870__2.call(this,this_sym13813,k);
case 3:
return G__13870__3.call(this,this_sym13813,k,not_found);
}
throw('Invalid arity: ' + arguments.length);
};
return G__13870;
})()
;
cljs.core.PersistentTreeMap.prototype.apply = (function (this_sym13798,args13799){
var this__13823 = this;
return this_sym13798.call.apply(this_sym13798,[this_sym13798].concat(args13799.slice()));
});
cljs.core.PersistentTreeMap.prototype.cljs$core$IKVReduce$_kv_reduce$arity$3 = (function (coll,f,init){
var this__13826 = this;
if(!((this__13826.tree == null)))
{return cljs.core.tree_map_kv_reduce.call(null,this__13826.tree,f,init);
} else
{return init;
}
});
cljs.core.PersistentTreeMap.prototype.cljs$core$ICollection$_conj$arity$2 = (function (coll,entry){
var this__13830 = this;
if(cljs.core.vector_QMARK_.call(null,entry))
{return coll.cljs$core$IAssociative$_assoc$arity$3(coll,cljs.core._nth.call(null,entry,0),cljs.core._nth.call(null,entry,1));
} else
{return cljs.core.reduce.call(null,cljs.core._conj,coll,entry);
}
});
cljs.core.PersistentTreeMap.prototype.cljs$core$IReversible$_rseq$arity$1 = (function (coll){
var this__13831 = this;
if((this__13831.cnt > 0))
{return cljs.core.create_tree_map_seq.call(null,this__13831.tree,false,this__13831.cnt);
} else
{return null;
}
});
cljs.core.PersistentTreeMap.prototype.toString = (function (){
var this__13832 = this;
var this__13833 = this;
return cljs.core.pr_str.call(null,this__13833);
});
cljs.core.PersistentTreeMap.prototype.entry_at = (function (k){
var this__13834 = this;
var coll__13835 = this;
var t__13836 = this__13834.tree;
while(true){
if(!((t__13836 == null)))
{var c__13837 = this__13834.comp.call(null,k,t__13836.key);
if((c__13837 === 0))
{return t__13836;
} else
{if((c__13837 < 0))
{{
var G__13871 = t__13836.left;
t__13836 = G__13871;
continue;
}
} else
{if("\uFDD0'else")
{{
var G__13872 = t__13836.right;
t__13836 = G__13872;
continue;
}
} else
{return null;
}
}
}
} else
{return null;
}
break;
}
});
cljs.core.PersistentTreeMap.prototype.cljs$core$ISorted$_sorted_seq$arity$2 = (function (coll,ascending_QMARK_){
var this__13838 = this;
if((this__13838.cnt > 0))
{return cljs.core.create_tree_map_seq.call(null,this__13838.tree,ascending_QMARK_,this__13838.cnt);
} else
{return null;
}
});
cljs.core.PersistentTreeMap.prototype.cljs$core$ISorted$_sorted_seq_from$arity$3 = (function (coll,k,ascending_QMARK_){
var this__13839 = this;
if((this__13839.cnt > 0))
{var stack__13840 = null;
var t__13841 = this__13839.tree;
while(true){
if(!((t__13841 == null)))
{var c__13842 = this__13839.comp.call(null,k,t__13841.key);
if((c__13842 === 0))
{return (new cljs.core.PersistentTreeMapSeq(null,cljs.core.conj.call(null,stack__13840,t__13841),ascending_QMARK_,-1,null));
} else
{if(cljs.core.truth_(ascending_QMARK_))
{if((c__13842 < 0))
{{
var G__13873 = cljs.core.conj.call(null,stack__13840,t__13841);
var G__13874 = t__13841.left;
stack__13840 = G__13873;
t__13841 = G__13874;
continue;
}
} else
{{
var G__13875 = stack__13840;
var G__13876 = t__13841.right;
stack__13840 = G__13875;
t__13841 = G__13876;
continue;
}
}
} else
{if("\uFDD0'else")
{if((c__13842 > 0))
{{
var G__13877 = cljs.core.conj.call(null,stack__13840,t__13841);
var G__13878 = t__13841.right;
stack__13840 = G__13877;
t__13841 = G__13878;
continue;
}
} else
{{
var G__13879 = stack__13840;
var G__13880 = t__13841.left;
stack__13840 = G__13879;
t__13841 = G__13880;
continue;
}
}
} else
{return null;
}
}
}
} else
{if((stack__13840 == null))
{return (new cljs.core.PersistentTreeMapSeq(null,stack__13840,ascending_QMARK_,-1,null));
} else
{return null;
}
}
break;
}
} else
{return null;
}
});
cljs.core.PersistentTreeMap.prototype.cljs$core$ISorted$_entry_key$arity$2 = (function (coll,entry){
var this__13845 = this;
return cljs.core.key.call(null,entry);
});
cljs.core.PersistentTreeMap.prototype.cljs$core$ISorted$_comparator$arity$1 = (function (coll){
var this__13846 = this;
return this__13846.comp;
});
cljs.core.PersistentTreeMap.prototype.cljs$core$ISeqable$_seq$arity$1 = (function (coll){
var this__13847 = this;
if((this__13847.cnt > 0))
{return cljs.core.create_tree_map_seq.call(null,this__13847.tree,true,this__13847.cnt);
} else
{return null;
}
});
cljs.core.PersistentTreeMap.prototype.cljs$core$ICounted$_count$arity$1 = (function (coll){
var this__13848 = this;
return this__13848.cnt;
});
cljs.core.PersistentTreeMap.prototype.cljs$core$IEquiv$_equiv$arity$2 = (function (coll,other){
var this__13850 = this;
return cljs.core.equiv_map.call(null,coll,other);
});
cljs.core.PersistentTreeMap.prototype.cljs$core$IWithMeta$_with_meta$arity$2 = (function (coll,meta){
var this__13852 = this;
return (new cljs.core.PersistentTreeMap(this__13852.comp,this__13852.tree,this__13852.cnt,meta,this__13852.__hash));
});
cljs.core.PersistentTreeMap.prototype.cljs$core$IMeta$_meta$arity$1 = (function (coll){
var this__13853 = this;
return this__13853.meta;
});
cljs.core.PersistentTreeMap.prototype.cljs$core$IEmptyableCollection$_empty$arity$1 = (function (coll){
var this__13854 = this;
return cljs.core.with_meta.call(null,cljs.core.PersistentTreeMap.EMPTY,this__13854.meta);
});
cljs.core.PersistentTreeMap.prototype.cljs$core$IMap$_dissoc$arity$2 = (function (coll,k){
var this__13855 = this;
var found__13856 = [null];
var t__13857 = cljs.core.tree_map_remove.call(null,this__13855.comp,this__13855.tree,k,found__13856);
if((t__13857 == null))
{if((cljs.core.nth.call(null,found__13856,0) == null))
{return coll;
} else
{return (new cljs.core.PersistentTreeMap(this__13855.comp,null,0,this__13855.meta,null));
}
} else
{return (new cljs.core.PersistentTreeMap(this__13855.comp,t__13857.blacken(),(this__13855.cnt - 1),this__13855.meta,null));
}
});
cljs.core.PersistentTreeMap;
cljs.core.PersistentTreeMap.EMPTY = (new cljs.core.PersistentTreeMap(cljs.core.compare,null,0,null,0));
/**
* keyval => key val
* Returns a new hash map with supplied mappings.
* @param {...*} var_args
*/
cljs.core.hash_map = (function() { 
var hash_map__delegate = function (keyvals){
var in__13883 = cljs.core.seq.call(null,keyvals);
var out__13884 = cljs.core.transient$.call(null,cljs.core.PersistentHashMap.EMPTY);
while(true){
if(in__13883)
{{
var G__13885 = cljs.core.nnext.call(null,in__13883);
var G__13886 = cljs.core.assoc_BANG_.call(null,out__13884,cljs.core.first.call(null,in__13883),cljs.core.second.call(null,in__13883));
in__13883 = G__13885;
out__13884 = G__13886;
continue;
}
} else
{return cljs.core.persistent_BANG_.call(null,out__13884);
}
break;
}
};
var hash_map = function (var_args){
var keyvals = null;
if (goog.isDef(var_args)) {
  keyvals = cljs.core.array_seq(Array.prototype.slice.call(arguments, 0),0);
} 
return hash_map__delegate.call(this, keyvals);
};
hash_map.cljs$lang$maxFixedArity = 0;
hash_map.cljs$lang$applyTo = (function (arglist__13887){
var keyvals = cljs.core.seq(arglist__13887);;
return hash_map__delegate(keyvals);
});
hash_map.cljs$lang$arity$variadic = hash_map__delegate;
return hash_map;
})()
;
/**
* keyval => key val
* Returns a new array map with supplied mappings.
* @param {...*} var_args
*/
cljs.core.array_map = (function() { 
var array_map__delegate = function (keyvals){
return (new cljs.core.PersistentArrayMap(null,cljs.core.quot.call(null,cljs.core.count.call(null,keyvals),2),cljs.core.apply.call(null,cljs.core.array,keyvals),null));
};
var array_map = function (var_args){
var keyvals = null;
if (goog.isDef(var_args)) {
  keyvals = cljs.core.array_seq(Array.prototype.slice.call(arguments, 0),0);
} 
return array_map__delegate.call(this, keyvals);
};
array_map.cljs$lang$maxFixedArity = 0;
array_map.cljs$lang$applyTo = (function (arglist__13888){
var keyvals = cljs.core.seq(arglist__13888);;
return array_map__delegate(keyvals);
});
array_map.cljs$lang$arity$variadic = array_map__delegate;
return array_map;
})()
;
/**
* keyval => key val
* Returns a new object map with supplied mappings.
* @param {...*} var_args
*/
cljs.core.obj_map = (function() { 
var obj_map__delegate = function (keyvals){
var ks__13892 = [];
var obj__13893 = {};
var kvs__13894 = cljs.core.seq.call(null,keyvals);
while(true){
if(kvs__13894)
{ks__13892.push(cljs.core.first.call(null,kvs__13894));
(obj__13893[cljs.core.first.call(null,kvs__13894)] = cljs.core.second.call(null,kvs__13894));
{
var G__13895 = cljs.core.nnext.call(null,kvs__13894);
kvs__13894 = G__13895;
continue;
}
} else
{return cljs.core.ObjMap.fromObject.call(null,ks__13892,obj__13893);
}
break;
}
};
var obj_map = function (var_args){
var keyvals = null;
if (goog.isDef(var_args)) {
  keyvals = cljs.core.array_seq(Array.prototype.slice.call(arguments, 0),0);
} 
return obj_map__delegate.call(this, keyvals);
};
obj_map.cljs$lang$maxFixedArity = 0;
obj_map.cljs$lang$applyTo = (function (arglist__13896){
var keyvals = cljs.core.seq(arglist__13896);;
return obj_map__delegate(keyvals);
});
obj_map.cljs$lang$arity$variadic = obj_map__delegate;
return obj_map;
})()
;
/**
* keyval => key val
* Returns a new sorted map with supplied mappings.
* @param {...*} var_args
*/
cljs.core.sorted_map = (function() { 
var sorted_map__delegate = function (keyvals){
var in__13899 = cljs.core.seq.call(null,keyvals);
var out__13900 = cljs.core.PersistentTreeMap.EMPTY;
while(true){
if(in__13899)
{{
var G__13901 = cljs.core.nnext.call(null,in__13899);
var G__13902 = cljs.core.assoc.call(null,out__13900,cljs.core.first.call(null,in__13899),cljs.core.second.call(null,in__13899));
in__13899 = G__13901;
out__13900 = G__13902;
continue;
}
} else
{return out__13900;
}
break;
}
};
var sorted_map = function (var_args){
var keyvals = null;
if (goog.isDef(var_args)) {
  keyvals = cljs.core.array_seq(Array.prototype.slice.call(arguments, 0),0);
} 
return sorted_map__delegate.call(this, keyvals);
};
sorted_map.cljs$lang$maxFixedArity = 0;
sorted_map.cljs$lang$applyTo = (function (arglist__13903){
var keyvals = cljs.core.seq(arglist__13903);;
return sorted_map__delegate(keyvals);
});
sorted_map.cljs$lang$arity$variadic = sorted_map__delegate;
return sorted_map;
})()
;
/**
* keyval => key val
* Returns a new sorted map with supplied mappings, using the supplied comparator.
* @param {...*} var_args
*/
cljs.core.sorted_map_by = (function() { 
var sorted_map_by__delegate = function (comparator,keyvals){
var in__13906 = cljs.core.seq.call(null,keyvals);
var out__13907 = (new cljs.core.PersistentTreeMap(comparator,null,0,null,0));
while(true){
if(in__13906)
{{
var G__13908 = cljs.core.nnext.call(null,in__13906);
var G__13909 = cljs.core.assoc.call(null,out__13907,cljs.core.first.call(null,in__13906),cljs.core.second.call(null,in__13906));
in__13906 = G__13908;
out__13907 = G__13909;
continue;
}
} else
{return out__13907;
}
break;
}
};
var sorted_map_by = function (comparator,var_args){
var keyvals = null;
if (goog.isDef(var_args)) {
  keyvals = cljs.core.array_seq(Array.prototype.slice.call(arguments, 1),0);
} 
return sorted_map_by__delegate.call(this, comparator, keyvals);
};
sorted_map_by.cljs$lang$maxFixedArity = 1;
sorted_map_by.cljs$lang$applyTo = (function (arglist__13910){
var comparator = cljs.core.first(arglist__13910);
var keyvals = cljs.core.rest(arglist__13910);
return sorted_map_by__delegate(comparator, keyvals);
});
sorted_map_by.cljs$lang$arity$variadic = sorted_map_by__delegate;
return sorted_map_by;
})()
;
/**
* Returns a sequence of the map's keys.
*/
cljs.core.keys = (function keys(hash_map){
return cljs.core.seq.call(null,cljs.core.map.call(null,cljs.core.first,hash_map));
});
/**
* Returns the key of the map entry.
*/
cljs.core.key = (function key(map_entry){
return cljs.core._key.call(null,map_entry);
});
/**
* Returns a sequence of the map's values.
*/
cljs.core.vals = (function vals(hash_map){
return cljs.core.seq.call(null,cljs.core.map.call(null,cljs.core.second,hash_map));
});
/**
* Returns the value in the map entry.
*/
cljs.core.val = (function val(map_entry){
return cljs.core._val.call(null,map_entry);
});
/**
* Returns a map that consists of the rest of the maps conj-ed onto
* the first.  If a key occurs in more than one map, the mapping from
* the latter (left-to-right) will be the mapping in the result.
* @param {...*} var_args
*/
cljs.core.merge = (function() { 
var merge__delegate = function (maps){
if(cljs.core.truth_(cljs.core.some.call(null,cljs.core.identity,maps)))
{return cljs.core.reduce.call(null,(function (p1__13911_SHARP_,p2__13912_SHARP_){
return cljs.core.conj.call(null,(function (){var or__3824__auto____13914 = p1__13911_SHARP_;
if(cljs.core.truth_(or__3824__auto____13914))
{return or__3824__auto____13914;
} else
{return cljs.core.ObjMap.EMPTY;
}
})(),p2__13912_SHARP_);
}),maps);
} else
{return null;
}
};
var merge = function (var_args){
var maps = null;
if (goog.isDef(var_args)) {
  maps = cljs.core.array_seq(Array.prototype.slice.call(arguments, 0),0);
} 
return merge__delegate.call(this, maps);
};
merge.cljs$lang$maxFixedArity = 0;
merge.cljs$lang$applyTo = (function (arglist__13916){
var maps = cljs.core.seq(arglist__13916);;
return merge__delegate(maps);
});
merge.cljs$lang$arity$variadic = merge__delegate;
return merge;
})()
;
/**
* Returns a map that consists of the rest of the maps conj-ed onto
* the first.  If a key occurs in more than one map, the mapping(s)
* from the latter (left-to-right) will be combined with the mapping in
* the result by calling (f val-in-result val-in-latter).
* @param {...*} var_args
*/
cljs.core.merge_with = (function() { 
var merge_with__delegate = function (f,maps){
if(cljs.core.truth_(cljs.core.some.call(null,cljs.core.identity,maps)))
{var merge_entry__13924 = (function (m,e){
var k__13922 = cljs.core.first.call(null,e);
var v__13923 = cljs.core.second.call(null,e);
if(cljs.core.contains_QMARK_.call(null,m,k__13922))
{return cljs.core.assoc.call(null,m,k__13922,f.call(null,cljs.core._lookup.call(null,m,k__13922,null),v__13923));
} else
{return cljs.core.assoc.call(null,m,k__13922,v__13923);
}
});
var merge2__13926 = (function (m1,m2){
return cljs.core.reduce.call(null,merge_entry__13924,(function (){var or__3824__auto____13925 = m1;
if(cljs.core.truth_(or__3824__auto____13925))
{return or__3824__auto____13925;
} else
{return cljs.core.ObjMap.EMPTY;
}
})(),cljs.core.seq.call(null,m2));
});
return cljs.core.reduce.call(null,merge2__13926,maps);
} else
{return null;
}
};
var merge_with = function (f,var_args){
var maps = null;
if (goog.isDef(var_args)) {
  maps = cljs.core.array_seq(Array.prototype.slice.call(arguments, 1),0);
} 
return merge_with__delegate.call(this, f, maps);
};
merge_with.cljs$lang$maxFixedArity = 1;
merge_with.cljs$lang$applyTo = (function (arglist__13929){
var f = cljs.core.first(arglist__13929);
var maps = cljs.core.rest(arglist__13929);
return merge_with__delegate(f, maps);
});
merge_with.cljs$lang$arity$variadic = merge_with__delegate;
return merge_with;
})()
;
/**
* Returns a map containing only those entries in map whose key is in keys
*/
cljs.core.select_keys = (function select_keys(map,keyseq){
var ret__13935 = cljs.core.ObjMap.EMPTY;
var keys__13936 = cljs.core.seq.call(null,keyseq);
while(true){
if(keys__13936)
{var key__13937 = cljs.core.first.call(null,keys__13936);
var entry__13938 = cljs.core._lookup.call(null,map,key__13937,"\uFDD0'one.todomvc.repl/not-found");
{
var G__13940 = ((cljs.core.not_EQ_.call(null,entry__13938,"\uFDD0'one.todomvc.repl/not-found"))?cljs.core.assoc.call(null,ret__13935,key__13937,entry__13938):ret__13935);
var G__13941 = cljs.core.next.call(null,keys__13936);
ret__13935 = G__13940;
keys__13936 = G__13941;
continue;
}
} else
{return ret__13935;
}
break;
}
});
void 0;

/**
* @constructor
*/
cljs.core.PersistentHashSet = (function (meta,hash_map,__hash){
this.meta = meta;
this.hash_map = hash_map;
this.__hash = __hash;
this.cljs$lang$protocol_mask$partition1$ = 1;
this.cljs$lang$protocol_mask$partition0$ = 15077647;
})
cljs.core.PersistentHashSet.cljs$lang$type = true;
cljs.core.PersistentHashSet.cljs$lang$ctorPrSeq = (function (this__4682__auto__){
return cljs.core.list.call(null,"cljs.core/PersistentHashSet");
});
cljs.core.PersistentHashSet.prototype.cljs$core$IEditableCollection$_as_transient$arity$1 = (function (coll){
var this__13945 = this;
return (new cljs.core.TransientHashSet(cljs.core.transient$.call(null,this__13945.hash_map)));
});
cljs.core.PersistentHashSet.prototype.cljs$core$IHash$_hash$arity$1 = (function (coll){
var this__13946 = this;
var h__4565__auto____13947 = this__13946.__hash;
if(!((h__4565__auto____13947 == null)))
{return h__4565__auto____13947;
} else
{var h__4565__auto____13948 = cljs.core.hash_iset.call(null,coll);
this__13946.__hash = h__4565__auto____13948;
return h__4565__auto____13948;
}
});
cljs.core.PersistentHashSet.prototype.cljs$core$ILookup$_lookup$arity$2 = (function (coll,v){
var this__13949 = this;
return coll.cljs$core$ILookup$_lookup$arity$3(coll,v,null);
});
cljs.core.PersistentHashSet.prototype.cljs$core$ILookup$_lookup$arity$3 = (function (coll,v,not_found){
var this__13950 = this;
if(cljs.core.truth_(cljs.core._contains_key_QMARK_.call(null,this__13950.hash_map,v)))
{return v;
} else
{return not_found;
}
});
cljs.core.PersistentHashSet.prototype.call = (function() {
var G__13971 = null;
var G__13971__2 = (function (this_sym13951,k){
var this__13953 = this;
var this_sym13951__13954 = this;
var coll__13955 = this_sym13951__13954;
return coll__13955.cljs$core$ILookup$_lookup$arity$2(coll__13955,k);
});
var G__13971__3 = (function (this_sym13952,k,not_found){
var this__13953 = this;
var this_sym13952__13956 = this;
var coll__13957 = this_sym13952__13956;
return coll__13957.cljs$core$ILookup$_lookup$arity$3(coll__13957,k,not_found);
});
G__13971 = function(this_sym13952,k,not_found){
switch(arguments.length){
case 2:
return G__13971__2.call(this,this_sym13952,k);
case 3:
return G__13971__3.call(this,this_sym13952,k,not_found);
}
throw('Invalid arity: ' + arguments.length);
};
return G__13971;
})()
;
cljs.core.PersistentHashSet.prototype.apply = (function (this_sym13943,args13944){
var this__13958 = this;
return this_sym13943.call.apply(this_sym13943,[this_sym13943].concat(args13944.slice()));
});
cljs.core.PersistentHashSet.prototype.cljs$core$ICollection$_conj$arity$2 = (function (coll,o){
var this__13959 = this;
return (new cljs.core.PersistentHashSet(this__13959.meta,cljs.core.assoc.call(null,this__13959.hash_map,o,null),null));
});
cljs.core.PersistentHashSet.prototype.toString = (function (){
var this__13960 = this;
var this__13961 = this;
return cljs.core.pr_str.call(null,this__13961);
});
cljs.core.PersistentHashSet.prototype.cljs$core$ISeqable$_seq$arity$1 = (function (coll){
var this__13962 = this;
return cljs.core.keys.call(null,this__13962.hash_map);
});
cljs.core.PersistentHashSet.prototype.cljs$core$ISet$_disjoin$arity$2 = (function (coll,v){
var this__13963 = this;
return (new cljs.core.PersistentHashSet(this__13963.meta,cljs.core.dissoc.call(null,this__13963.hash_map,v),null));
});
cljs.core.PersistentHashSet.prototype.cljs$core$ICounted$_count$arity$1 = (function (coll){
var this__13964 = this;
return cljs.core.count.call(null,cljs.core.seq.call(null,coll));
});
cljs.core.PersistentHashSet.prototype.cljs$core$IEquiv$_equiv$arity$2 = (function (coll,other){
var this__13965 = this;
var and__3822__auto____13966 = cljs.core.set_QMARK_.call(null,other);
if(and__3822__auto____13966)
{var and__3822__auto____13967 = (cljs.core.count.call(null,coll) === cljs.core.count.call(null,other));
if(and__3822__auto____13967)
{return cljs.core.every_QMARK_.call(null,(function (p1__13942_SHARP_){
return cljs.core.contains_QMARK_.call(null,coll,p1__13942_SHARP_);
}),other);
} else
{return and__3822__auto____13967;
}
} else
{return and__3822__auto____13966;
}
});
cljs.core.PersistentHashSet.prototype.cljs$core$IWithMeta$_with_meta$arity$2 = (function (coll,meta){
var this__13968 = this;
return (new cljs.core.PersistentHashSet(meta,this__13968.hash_map,this__13968.__hash));
});
cljs.core.PersistentHashSet.prototype.cljs$core$IMeta$_meta$arity$1 = (function (coll){
var this__13969 = this;
return this__13969.meta;
});
cljs.core.PersistentHashSet.prototype.cljs$core$IEmptyableCollection$_empty$arity$1 = (function (coll){
var this__13970 = this;
return cljs.core.with_meta.call(null,cljs.core.PersistentHashSet.EMPTY,this__13970.meta);
});
cljs.core.PersistentHashSet;
cljs.core.PersistentHashSet.EMPTY = (new cljs.core.PersistentHashSet(null,cljs.core.hash_map.call(null),0));

/**
* @constructor
*/
cljs.core.TransientHashSet = (function (transient_map){
this.transient_map = transient_map;
this.cljs$lang$protocol_mask$partition0$ = 259;
this.cljs$lang$protocol_mask$partition1$ = 34;
})
cljs.core.TransientHashSet.cljs$lang$type = true;
cljs.core.TransientHashSet.cljs$lang$ctorPrSeq = (function (this__4682__auto__){
return cljs.core.list.call(null,"cljs.core/TransientHashSet");
});
cljs.core.TransientHashSet.prototype.call = (function() {
var G__13989 = null;
var G__13989__2 = (function (this_sym13975,k){
var this__13977 = this;
var this_sym13975__13978 = this;
var tcoll__13979 = this_sym13975__13978;
if((cljs.core._lookup.call(null,this__13977.transient_map,k,cljs.core.lookup_sentinel) === cljs.core.lookup_sentinel))
{return null;
} else
{return k;
}
});
var G__13989__3 = (function (this_sym13976,k,not_found){
var this__13977 = this;
var this_sym13976__13980 = this;
var tcoll__13981 = this_sym13976__13980;
if((cljs.core._lookup.call(null,this__13977.transient_map,k,cljs.core.lookup_sentinel) === cljs.core.lookup_sentinel))
{return not_found;
} else
{return k;
}
});
G__13989 = function(this_sym13976,k,not_found){
switch(arguments.length){
case 2:
return G__13989__2.call(this,this_sym13976,k);
case 3:
return G__13989__3.call(this,this_sym13976,k,not_found);
}
throw('Invalid arity: ' + arguments.length);
};
return G__13989;
})()
;
cljs.core.TransientHashSet.prototype.apply = (function (this_sym13973,args13974){
var this__13982 = this;
return this_sym13973.call.apply(this_sym13973,[this_sym13973].concat(args13974.slice()));
});
cljs.core.TransientHashSet.prototype.cljs$core$ILookup$_lookup$arity$2 = (function (tcoll,v){
var this__13983 = this;
return tcoll.cljs$core$ILookup$_lookup$arity$3(tcoll,v,null);
});
cljs.core.TransientHashSet.prototype.cljs$core$ILookup$_lookup$arity$3 = (function (tcoll,v,not_found){
var this__13984 = this;
if((cljs.core._lookup.call(null,this__13984.transient_map,v,cljs.core.lookup_sentinel) === cljs.core.lookup_sentinel))
{return not_found;
} else
{return v;
}
});
cljs.core.TransientHashSet.prototype.cljs$core$ICounted$_count$arity$1 = (function (tcoll){
var this__13985 = this;
return cljs.core.count.call(null,this__13985.transient_map);
});
cljs.core.TransientHashSet.prototype.cljs$core$ITransientSet$_disjoin_BANG_$arity$2 = (function (tcoll,v){
var this__13986 = this;
this__13986.transient_map = cljs.core.dissoc_BANG_.call(null,this__13986.transient_map,v);
return tcoll;
});
cljs.core.TransientHashSet.prototype.cljs$core$ITransientCollection$_conj_BANG_$arity$2 = (function (tcoll,o){
var this__13987 = this;
this__13987.transient_map = cljs.core.assoc_BANG_.call(null,this__13987.transient_map,o,null);
return tcoll;
});
cljs.core.TransientHashSet.prototype.cljs$core$ITransientCollection$_persistent_BANG_$arity$1 = (function (tcoll){
var this__13988 = this;
return (new cljs.core.PersistentHashSet(null,cljs.core.persistent_BANG_.call(null,this__13988.transient_map),null));
});
cljs.core.TransientHashSet;

/**
* @constructor
*/
cljs.core.PersistentTreeSet = (function (meta,tree_map,__hash){
this.meta = meta;
this.tree_map = tree_map;
this.__hash = __hash;
this.cljs$lang$protocol_mask$partition1$ = 0;
this.cljs$lang$protocol_mask$partition0$ = 417730831;
})
cljs.core.PersistentTreeSet.cljs$lang$type = true;
cljs.core.PersistentTreeSet.cljs$lang$ctorPrSeq = (function (this__4682__auto__){
return cljs.core.list.call(null,"cljs.core/PersistentTreeSet");
});
cljs.core.PersistentTreeSet.prototype.cljs$core$IHash$_hash$arity$1 = (function (coll){
var this__13992 = this;
var h__4565__auto____13993 = this__13992.__hash;
if(!((h__4565__auto____13993 == null)))
{return h__4565__auto____13993;
} else
{var h__4565__auto____13994 = cljs.core.hash_iset.call(null,coll);
this__13992.__hash = h__4565__auto____13994;
return h__4565__auto____13994;
}
});
cljs.core.PersistentTreeSet.prototype.cljs$core$ILookup$_lookup$arity$2 = (function (coll,v){
var this__13995 = this;
return coll.cljs$core$ILookup$_lookup$arity$3(coll,v,null);
});
cljs.core.PersistentTreeSet.prototype.cljs$core$ILookup$_lookup$arity$3 = (function (coll,v,not_found){
var this__13996 = this;
if(cljs.core.truth_(cljs.core._contains_key_QMARK_.call(null,this__13996.tree_map,v)))
{return v;
} else
{return not_found;
}
});
cljs.core.PersistentTreeSet.prototype.call = (function() {
var G__14022 = null;
var G__14022__2 = (function (this_sym13997,k){
var this__13999 = this;
var this_sym13997__14000 = this;
var coll__14001 = this_sym13997__14000;
return coll__14001.cljs$core$ILookup$_lookup$arity$2(coll__14001,k);
});
var G__14022__3 = (function (this_sym13998,k,not_found){
var this__13999 = this;
var this_sym13998__14002 = this;
var coll__14003 = this_sym13998__14002;
return coll__14003.cljs$core$ILookup$_lookup$arity$3(coll__14003,k,not_found);
});
G__14022 = function(this_sym13998,k,not_found){
switch(arguments.length){
case 2:
return G__14022__2.call(this,this_sym13998,k);
case 3:
return G__14022__3.call(this,this_sym13998,k,not_found);
}
throw('Invalid arity: ' + arguments.length);
};
return G__14022;
})()
;
cljs.core.PersistentTreeSet.prototype.apply = (function (this_sym13990,args13991){
var this__14004 = this;
return this_sym13990.call.apply(this_sym13990,[this_sym13990].concat(args13991.slice()));
});
cljs.core.PersistentTreeSet.prototype.cljs$core$ICollection$_conj$arity$2 = (function (coll,o){
var this__14005 = this;
return (new cljs.core.PersistentTreeSet(this__14005.meta,cljs.core.assoc.call(null,this__14005.tree_map,o,null),null));
});
cljs.core.PersistentTreeSet.prototype.cljs$core$IReversible$_rseq$arity$1 = (function (coll){
var this__14006 = this;
return cljs.core.map.call(null,cljs.core.key,cljs.core.rseq.call(null,this__14006.tree_map));
});
cljs.core.PersistentTreeSet.prototype.toString = (function (){
var this__14007 = this;
var this__14008 = this;
return cljs.core.pr_str.call(null,this__14008);
});
cljs.core.PersistentTreeSet.prototype.cljs$core$ISorted$_sorted_seq$arity$2 = (function (coll,ascending_QMARK_){
var this__14009 = this;
return cljs.core.map.call(null,cljs.core.key,cljs.core._sorted_seq.call(null,this__14009.tree_map,ascending_QMARK_));
});
cljs.core.PersistentTreeSet.prototype.cljs$core$ISorted$_sorted_seq_from$arity$3 = (function (coll,k,ascending_QMARK_){
var this__14010 = this;
return cljs.core.map.call(null,cljs.core.key,cljs.core._sorted_seq_from.call(null,this__14010.tree_map,k,ascending_QMARK_));
});
cljs.core.PersistentTreeSet.prototype.cljs$core$ISorted$_entry_key$arity$2 = (function (coll,entry){
var this__14011 = this;
return entry;
});
cljs.core.PersistentTreeSet.prototype.cljs$core$ISorted$_comparator$arity$1 = (function (coll){
var this__14012 = this;
return cljs.core._comparator.call(null,this__14012.tree_map);
});
cljs.core.PersistentTreeSet.prototype.cljs$core$ISeqable$_seq$arity$1 = (function (coll){
var this__14013 = this;
return cljs.core.keys.call(null,this__14013.tree_map);
});
cljs.core.PersistentTreeSet.prototype.cljs$core$ISet$_disjoin$arity$2 = (function (coll,v){
var this__14014 = this;
return (new cljs.core.PersistentTreeSet(this__14014.meta,cljs.core.dissoc.call(null,this__14014.tree_map,v),null));
});
cljs.core.PersistentTreeSet.prototype.cljs$core$ICounted$_count$arity$1 = (function (coll){
var this__14015 = this;
return cljs.core.count.call(null,this__14015.tree_map);
});
cljs.core.PersistentTreeSet.prototype.cljs$core$IEquiv$_equiv$arity$2 = (function (coll,other){
var this__14016 = this;
var and__3822__auto____14017 = cljs.core.set_QMARK_.call(null,other);
if(and__3822__auto____14017)
{var and__3822__auto____14018 = (cljs.core.count.call(null,coll) === cljs.core.count.call(null,other));
if(and__3822__auto____14018)
{return cljs.core.every_QMARK_.call(null,(function (p1__13972_SHARP_){
return cljs.core.contains_QMARK_.call(null,coll,p1__13972_SHARP_);
}),other);
} else
{return and__3822__auto____14018;
}
} else
{return and__3822__auto____14017;
}
});
cljs.core.PersistentTreeSet.prototype.cljs$core$IWithMeta$_with_meta$arity$2 = (function (coll,meta){
var this__14019 = this;
return (new cljs.core.PersistentTreeSet(meta,this__14019.tree_map,this__14019.__hash));
});
cljs.core.PersistentTreeSet.prototype.cljs$core$IMeta$_meta$arity$1 = (function (coll){
var this__14020 = this;
return this__14020.meta;
});
cljs.core.PersistentTreeSet.prototype.cljs$core$IEmptyableCollection$_empty$arity$1 = (function (coll){
var this__14021 = this;
return cljs.core.with_meta.call(null,cljs.core.PersistentTreeSet.EMPTY,this__14021.meta);
});
cljs.core.PersistentTreeSet;
cljs.core.PersistentTreeSet.EMPTY = (new cljs.core.PersistentTreeSet(null,cljs.core.sorted_map.call(null),0));
/**
* Returns a set of the distinct elements of coll.
*/
cljs.core.set = (function set(coll){
var in__14034 = cljs.core.seq.call(null,coll);
var out__14035 = cljs.core.transient$.call(null,cljs.core.PersistentHashSet.EMPTY);
while(true){
if(cljs.core.seq.call(null,in__14034))
{{
var G__14036 = cljs.core.next.call(null,in__14034);
var G__14037 = cljs.core.conj_BANG_.call(null,out__14035,cljs.core.first.call(null,in__14034));
in__14034 = G__14036;
out__14035 = G__14037;
continue;
}
} else
{return cljs.core.persistent_BANG_.call(null,out__14035);
}
break;
}
});
/**
* Returns a new sorted set with supplied keys.
* @param {...*} var_args
*/
cljs.core.sorted_set = (function() { 
var sorted_set__delegate = function (keys){
return cljs.core.reduce.call(null,cljs.core._conj,cljs.core.PersistentTreeSet.EMPTY,keys);
};
var sorted_set = function (var_args){
var keys = null;
if (goog.isDef(var_args)) {
  keys = cljs.core.array_seq(Array.prototype.slice.call(arguments, 0),0);
} 
return sorted_set__delegate.call(this, keys);
};
sorted_set.cljs$lang$maxFixedArity = 0;
sorted_set.cljs$lang$applyTo = (function (arglist__14038){
var keys = cljs.core.seq(arglist__14038);;
return sorted_set__delegate(keys);
});
sorted_set.cljs$lang$arity$variadic = sorted_set__delegate;
return sorted_set;
})()
;
/**
* Returns a new sorted set with supplied keys, using the supplied comparator.
* @param {...*} var_args
*/
cljs.core.sorted_set_by = (function() { 
var sorted_set_by__delegate = function (comparator,keys){
return cljs.core.reduce.call(null,cljs.core._conj,(new cljs.core.PersistentTreeSet(null,cljs.core.sorted_map_by.call(null,comparator),0)),keys);
};
var sorted_set_by = function (comparator,var_args){
var keys = null;
if (goog.isDef(var_args)) {
  keys = cljs.core.array_seq(Array.prototype.slice.call(arguments, 1),0);
} 
return sorted_set_by__delegate.call(this, comparator, keys);
};
sorted_set_by.cljs$lang$maxFixedArity = 1;
sorted_set_by.cljs$lang$applyTo = (function (arglist__14041){
var comparator = cljs.core.first(arglist__14041);
var keys = cljs.core.rest(arglist__14041);
return sorted_set_by__delegate(comparator, keys);
});
sorted_set_by.cljs$lang$arity$variadic = sorted_set_by__delegate;
return sorted_set_by;
})()
;
/**
* Given a map of replacement pairs and a vector/collection, returns a
* vector/seq with any elements = a key in smap replaced with the
* corresponding val in smap
*/
cljs.core.replace = (function replace(smap,coll){
if(cljs.core.vector_QMARK_.call(null,coll))
{var n__14047 = cljs.core.count.call(null,coll);
return cljs.core.reduce.call(null,(function (v,i){
var temp__3971__auto____14048 = cljs.core.find.call(null,smap,cljs.core.nth.call(null,v,i));
if(cljs.core.truth_(temp__3971__auto____14048))
{var e__14049 = temp__3971__auto____14048;
return cljs.core.assoc.call(null,v,i,cljs.core.second.call(null,e__14049));
} else
{return v;
}
}),coll,cljs.core.take.call(null,n__14047,cljs.core.iterate.call(null,cljs.core.inc,0)));
} else
{return cljs.core.map.call(null,(function (p1__14039_SHARP_){
var temp__3971__auto____14050 = cljs.core.find.call(null,smap,p1__14039_SHARP_);
if(cljs.core.truth_(temp__3971__auto____14050))
{var e__14051 = temp__3971__auto____14050;
return cljs.core.second.call(null,e__14051);
} else
{return p1__14039_SHARP_;
}
}),coll);
}
});
/**
* Returns a lazy sequence of the elements of coll with duplicates removed
*/
cljs.core.distinct = (function distinct(coll){
var step__14081 = (function step(xs,seen){
return (new cljs.core.LazySeq(null,false,(function (){
return (function (p__14074,seen){
while(true){
var vec__14075__14076 = p__14074;
var f__14077 = cljs.core.nth.call(null,vec__14075__14076,0,null);
var xs__14078 = vec__14075__14076;
var temp__3974__auto____14079 = cljs.core.seq.call(null,xs__14078);
if(temp__3974__auto____14079)
{var s__14080 = temp__3974__auto____14079;
if(cljs.core.contains_QMARK_.call(null,seen,f__14077))
{{
var G__14082 = cljs.core.rest.call(null,s__14080);
var G__14083 = seen;
p__14074 = G__14082;
seen = G__14083;
continue;
}
} else
{return cljs.core.cons.call(null,f__14077,step.call(null,cljs.core.rest.call(null,s__14080),cljs.core.conj.call(null,seen,f__14077)));
}
} else
{return null;
}
break;
}
}).call(null,xs,seen);
}),null));
});
return step__14081.call(null,coll,cljs.core.set([]));
});
cljs.core.butlast = (function butlast(s){
var ret__14086 = cljs.core.PersistentVector.EMPTY;
var s__14087 = s;
while(true){
if(cljs.core.next.call(null,s__14087))
{{
var G__14088 = cljs.core.conj.call(null,ret__14086,cljs.core.first.call(null,s__14087));
var G__14089 = cljs.core.next.call(null,s__14087);
ret__14086 = G__14088;
s__14087 = G__14089;
continue;
}
} else
{return cljs.core.seq.call(null,ret__14086);
}
break;
}
});
/**
* Returns the name String of a string, symbol or keyword.
*/
cljs.core.name = (function name(x){
if(cljs.core.string_QMARK_.call(null,x))
{return x;
} else
{if((function (){var or__3824__auto____14092 = cljs.core.keyword_QMARK_.call(null,x);
if(or__3824__auto____14092)
{return or__3824__auto____14092;
} else
{return cljs.core.symbol_QMARK_.call(null,x);
}
})())
{var i__14093 = x.lastIndexOf("/");
if((i__14093 < 0))
{return cljs.core.subs.call(null,x,2);
} else
{return cljs.core.subs.call(null,x,(i__14093 + 1));
}
} else
{if("\uFDD0'else")
{throw (new Error([cljs.core.str("Doesn't support name: "),cljs.core.str(x)].join('')));
} else
{return null;
}
}
}
});
/**
* Returns the namespace String of a symbol or keyword, or nil if not present.
*/
cljs.core.namespace = (function namespace(x){
if((function (){var or__3824__auto____14096 = cljs.core.keyword_QMARK_.call(null,x);
if(or__3824__auto____14096)
{return or__3824__auto____14096;
} else
{return cljs.core.symbol_QMARK_.call(null,x);
}
})())
{var i__14097 = x.lastIndexOf("/");
if((i__14097 > -1))
{return cljs.core.subs.call(null,x,2,i__14097);
} else
{return null;
}
} else
{throw (new Error([cljs.core.str("Doesn't support namespace: "),cljs.core.str(x)].join('')));
}
});
/**
* Returns a map with the keys mapped to the corresponding vals.
*/
cljs.core.zipmap = (function zipmap(keys,vals){
var map__14104 = cljs.core.ObjMap.EMPTY;
var ks__14105 = cljs.core.seq.call(null,keys);
var vs__14106 = cljs.core.seq.call(null,vals);
while(true){
if((function (){var and__3822__auto____14107 = ks__14105;
if(and__3822__auto____14107)
{return vs__14106;
} else
{return and__3822__auto____14107;
}
})())
{{
var G__14108 = cljs.core.assoc.call(null,map__14104,cljs.core.first.call(null,ks__14105),cljs.core.first.call(null,vs__14106));
var G__14109 = cljs.core.next.call(null,ks__14105);
var G__14110 = cljs.core.next.call(null,vs__14106);
map__14104 = G__14108;
ks__14105 = G__14109;
vs__14106 = G__14110;
continue;
}
} else
{return map__14104;
}
break;
}
});
/**
* Returns the x for which (k x), a number, is greatest.
* @param {...*} var_args
*/
cljs.core.max_key = (function() {
var max_key = null;
var max_key__2 = (function (k,x){
return x;
});
var max_key__3 = (function (k,x,y){
if((k.call(null,x) > k.call(null,y)))
{return x;
} else
{return y;
}
});
var max_key__4 = (function() { 
var G__14113__delegate = function (k,x,y,more){
return cljs.core.reduce.call(null,(function (p1__14098_SHARP_,p2__14099_SHARP_){
return max_key.call(null,k,p1__14098_SHARP_,p2__14099_SHARP_);
}),max_key.call(null,k,x,y),more);
};
var G__14113 = function (k,x,y,var_args){
var more = null;
if (goog.isDef(var_args)) {
  more = cljs.core.array_seq(Array.prototype.slice.call(arguments, 3),0);
} 
return G__14113__delegate.call(this, k, x, y, more);
};
G__14113.cljs$lang$maxFixedArity = 3;
G__14113.cljs$lang$applyTo = (function (arglist__14114){
var k = cljs.core.first(arglist__14114);
var x = cljs.core.first(cljs.core.next(arglist__14114));
var y = cljs.core.first(cljs.core.next(cljs.core.next(arglist__14114)));
var more = cljs.core.rest(cljs.core.next(cljs.core.next(arglist__14114)));
return G__14113__delegate(k, x, y, more);
});
G__14113.cljs$lang$arity$variadic = G__14113__delegate;
return G__14113;
})()
;
max_key = function(k,x,y,var_args){
var more = var_args;
switch(arguments.length){
case 2:
return max_key__2.call(this,k,x);
case 3:
return max_key__3.call(this,k,x,y);
default:
return max_key__4.cljs$lang$arity$variadic(k,x,y, cljs.core.array_seq(arguments, 3));
}
throw('Invalid arity: ' + arguments.length);
};
max_key.cljs$lang$maxFixedArity = 3;
max_key.cljs$lang$applyTo = max_key__4.cljs$lang$applyTo;
max_key.cljs$lang$arity$2 = max_key__2;
max_key.cljs$lang$arity$3 = max_key__3;
max_key.cljs$lang$arity$variadic = max_key__4.cljs$lang$arity$variadic;
return max_key;
})()
;
/**
* Returns the x for which (k x), a number, is least.
* @param {...*} var_args
*/
cljs.core.min_key = (function() {
var min_key = null;
var min_key__2 = (function (k,x){
return x;
});
var min_key__3 = (function (k,x,y){
if((k.call(null,x) < k.call(null,y)))
{return x;
} else
{return y;
}
});
var min_key__4 = (function() { 
var G__14115__delegate = function (k,x,y,more){
return cljs.core.reduce.call(null,(function (p1__14111_SHARP_,p2__14112_SHARP_){
return min_key.call(null,k,p1__14111_SHARP_,p2__14112_SHARP_);
}),min_key.call(null,k,x,y),more);
};
var G__14115 = function (k,x,y,var_args){
var more = null;
if (goog.isDef(var_args)) {
  more = cljs.core.array_seq(Array.prototype.slice.call(arguments, 3),0);
} 
return G__14115__delegate.call(this, k, x, y, more);
};
G__14115.cljs$lang$maxFixedArity = 3;
G__14115.cljs$lang$applyTo = (function (arglist__14116){
var k = cljs.core.first(arglist__14116);
var x = cljs.core.first(cljs.core.next(arglist__14116));
var y = cljs.core.first(cljs.core.next(cljs.core.next(arglist__14116)));
var more = cljs.core.rest(cljs.core.next(cljs.core.next(arglist__14116)));
return G__14115__delegate(k, x, y, more);
});
G__14115.cljs$lang$arity$variadic = G__14115__delegate;
return G__14115;
})()
;
min_key = function(k,x,y,var_args){
var more = var_args;
switch(arguments.length){
case 2:
return min_key__2.call(this,k,x);
case 3:
return min_key__3.call(this,k,x,y);
default:
return min_key__4.cljs$lang$arity$variadic(k,x,y, cljs.core.array_seq(arguments, 3));
}
throw('Invalid arity: ' + arguments.length);
};
min_key.cljs$lang$maxFixedArity = 3;
min_key.cljs$lang$applyTo = min_key__4.cljs$lang$applyTo;
min_key.cljs$lang$arity$2 = min_key__2;
min_key.cljs$lang$arity$3 = min_key__3;
min_key.cljs$lang$arity$variadic = min_key__4.cljs$lang$arity$variadic;
return min_key;
})()
;
/**
* Returns a lazy sequence of lists like partition, but may include
* partitions with fewer than n items at the end.
*/
cljs.core.partition_all = (function() {
var partition_all = null;
var partition_all__2 = (function (n,coll){
return partition_all.call(null,n,n,coll);
});
var partition_all__3 = (function (n,step,coll){
return (new cljs.core.LazySeq(null,false,(function (){
var temp__3974__auto____14119 = cljs.core.seq.call(null,coll);
if(temp__3974__auto____14119)
{var s__14120 = temp__3974__auto____14119;
return cljs.core.cons.call(null,cljs.core.take.call(null,n,s__14120),partition_all.call(null,n,step,cljs.core.drop.call(null,step,s__14120)));
} else
{return null;
}
}),null));
});
partition_all = function(n,step,coll){
switch(arguments.length){
case 2:
return partition_all__2.call(this,n,step);
case 3:
return partition_all__3.call(this,n,step,coll);
}
throw('Invalid arity: ' + arguments.length);
};
partition_all.cljs$lang$arity$2 = partition_all__2;
partition_all.cljs$lang$arity$3 = partition_all__3;
return partition_all;
})()
;
/**
* Returns a lazy sequence of successive items from coll while
* (pred item) returns true. pred must be free of side-effects.
*/
cljs.core.take_while = (function take_while(pred,coll){
return (new cljs.core.LazySeq(null,false,(function (){
var temp__3974__auto____14127 = cljs.core.seq.call(null,coll);
if(temp__3974__auto____14127)
{var s__14128 = temp__3974__auto____14127;
if(cljs.core.truth_(pred.call(null,cljs.core.first.call(null,s__14128))))
{return cljs.core.cons.call(null,cljs.core.first.call(null,s__14128),take_while.call(null,pred,cljs.core.rest.call(null,s__14128)));
} else
{return null;
}
} else
{return null;
}
}),null));
});
cljs.core.mk_bound_fn = (function mk_bound_fn(sc,test,key){
return (function (e){
var comp__14130 = cljs.core._comparator.call(null,sc);
return test.call(null,comp__14130.call(null,cljs.core._entry_key.call(null,sc,e),key),0);
});
});
/**
* sc must be a sorted collection, test(s) one of <, <=, > or
* >=. Returns a seq of those entries with keys ek for
* which (test (.. sc comparator (compare ek key)) 0) is true
*/
cljs.core.subseq = (function() {
var subseq = null;
var subseq__3 = (function (sc,test,key){
var include__14147 = cljs.core.mk_bound_fn.call(null,sc,test,key);
if(cljs.core.truth_(cljs.core.set([cljs.core._GT_,cljs.core._GT__EQ_]).call(null,test)))
{var temp__3974__auto____14148 = cljs.core._sorted_seq_from.call(null,sc,key,true);
if(cljs.core.truth_(temp__3974__auto____14148))
{var vec__14149__14150 = temp__3974__auto____14148;
var e__14151 = cljs.core.nth.call(null,vec__14149__14150,0,null);
var s__14152 = vec__14149__14150;
if(cljs.core.truth_(include__14147.call(null,e__14151)))
{return s__14152;
} else
{return cljs.core.next.call(null,s__14152);
}
} else
{return null;
}
} else
{return cljs.core.take_while.call(null,include__14147,cljs.core._sorted_seq.call(null,sc,true));
}
});
var subseq__5 = (function (sc,start_test,start_key,end_test,end_key){
var temp__3974__auto____14153 = cljs.core._sorted_seq_from.call(null,sc,start_key,true);
if(cljs.core.truth_(temp__3974__auto____14153))
{var vec__14154__14155 = temp__3974__auto____14153;
var e__14156 = cljs.core.nth.call(null,vec__14154__14155,0,null);
var s__14157 = vec__14154__14155;
return cljs.core.take_while.call(null,cljs.core.mk_bound_fn.call(null,sc,end_test,end_key),(cljs.core.truth_(cljs.core.mk_bound_fn.call(null,sc,start_test,start_key).call(null,e__14156))?s__14157:cljs.core.next.call(null,s__14157)));
} else
{return null;
}
});
subseq = function(sc,start_test,start_key,end_test,end_key){
switch(arguments.length){
case 3:
return subseq__3.call(this,sc,start_test,start_key);
case 5:
return subseq__5.call(this,sc,start_test,start_key,end_test,end_key);
}
throw('Invalid arity: ' + arguments.length);
};
subseq.cljs$lang$arity$3 = subseq__3;
subseq.cljs$lang$arity$5 = subseq__5;
return subseq;
})()
;
/**
* sc must be a sorted collection, test(s) one of <, <=, > or
* >=. Returns a reverse seq of those entries with keys ek for
* which (test (.. sc comparator (compare ek key)) 0) is true
*/
cljs.core.rsubseq = (function() {
var rsubseq = null;
var rsubseq__3 = (function (sc,test,key){
var include__14174 = cljs.core.mk_bound_fn.call(null,sc,test,key);
if(cljs.core.truth_(cljs.core.set([cljs.core._LT_,cljs.core._LT__EQ_]).call(null,test)))
{var temp__3974__auto____14175 = cljs.core._sorted_seq_from.call(null,sc,key,false);
if(cljs.core.truth_(temp__3974__auto____14175))
{var vec__14176__14177 = temp__3974__auto____14175;
var e__14178 = cljs.core.nth.call(null,vec__14176__14177,0,null);
var s__14179 = vec__14176__14177;
if(cljs.core.truth_(include__14174.call(null,e__14178)))
{return s__14179;
} else
{return cljs.core.next.call(null,s__14179);
}
} else
{return null;
}
} else
{return cljs.core.take_while.call(null,include__14174,cljs.core._sorted_seq.call(null,sc,false));
}
});
var rsubseq__5 = (function (sc,start_test,start_key,end_test,end_key){
var temp__3974__auto____14180 = cljs.core._sorted_seq_from.call(null,sc,end_key,false);
if(cljs.core.truth_(temp__3974__auto____14180))
{var vec__14181__14182 = temp__3974__auto____14180;
var e__14183 = cljs.core.nth.call(null,vec__14181__14182,0,null);
var s__14184 = vec__14181__14182;
return cljs.core.take_while.call(null,cljs.core.mk_bound_fn.call(null,sc,start_test,start_key),(cljs.core.truth_(cljs.core.mk_bound_fn.call(null,sc,end_test,end_key).call(null,e__14183))?s__14184:cljs.core.next.call(null,s__14184)));
} else
{return null;
}
});
rsubseq = function(sc,start_test,start_key,end_test,end_key){
switch(arguments.length){
case 3:
return rsubseq__3.call(this,sc,start_test,start_key);
case 5:
return rsubseq__5.call(this,sc,start_test,start_key,end_test,end_key);
}
throw('Invalid arity: ' + arguments.length);
};
rsubseq.cljs$lang$arity$3 = rsubseq__3;
rsubseq.cljs$lang$arity$5 = rsubseq__5;
return rsubseq;
})()
;

/**
* @constructor
*/
cljs.core.Range = (function (meta,start,end,step,__hash){
this.meta = meta;
this.start = start;
this.end = end;
this.step = step;
this.__hash = __hash;
this.cljs$lang$protocol_mask$partition1$ = 0;
this.cljs$lang$protocol_mask$partition0$ = 32375006;
})
cljs.core.Range.cljs$lang$type = true;
cljs.core.Range.cljs$lang$ctorPrSeq = (function (this__4682__auto__){
return cljs.core.list.call(null,"cljs.core/Range");
});
cljs.core.Range.prototype.cljs$core$IHash$_hash$arity$1 = (function (rng){
var this__14185 = this;
var h__4565__auto____14186 = this__14185.__hash;
if(!((h__4565__auto____14186 == null)))
{return h__4565__auto____14186;
} else
{var h__4565__auto____14187 = cljs.core.hash_coll.call(null,rng);
this__14185.__hash = h__4565__auto____14187;
return h__4565__auto____14187;
}
});
cljs.core.Range.prototype.cljs$core$INext$_next$arity$1 = (function (rng){
var this__14188 = this;
if((this__14188.step > 0))
{if(((this__14188.start + this__14188.step) < this__14188.end))
{return (new cljs.core.Range(this__14188.meta,(this__14188.start + this__14188.step),this__14188.end,this__14188.step,null));
} else
{return null;
}
} else
{if(((this__14188.start + this__14188.step) > this__14188.end))
{return (new cljs.core.Range(this__14188.meta,(this__14188.start + this__14188.step),this__14188.end,this__14188.step,null));
} else
{return null;
}
}
});
cljs.core.Range.prototype.cljs$core$ICollection$_conj$arity$2 = (function (rng,o){
var this__14189 = this;
return cljs.core.cons.call(null,o,rng);
});
cljs.core.Range.prototype.toString = (function (){
var this__14190 = this;
var this__14191 = this;
return cljs.core.pr_str.call(null,this__14191);
});
cljs.core.Range.prototype.cljs$core$IReduce$_reduce$arity$2 = (function (rng,f){
var this__14192 = this;
return cljs.core.ci_reduce.call(null,rng,f);
});
cljs.core.Range.prototype.cljs$core$IReduce$_reduce$arity$3 = (function (rng,f,s){
var this__14193 = this;
return cljs.core.ci_reduce.call(null,rng,f,s);
});
cljs.core.Range.prototype.cljs$core$ISeqable$_seq$arity$1 = (function (rng){
var this__14194 = this;
if((this__14194.step > 0))
{if((this__14194.start < this__14194.end))
{return rng;
} else
{return null;
}
} else
{if((this__14194.start > this__14194.end))
{return rng;
} else
{return null;
}
}
});
cljs.core.Range.prototype.cljs$core$ICounted$_count$arity$1 = (function (rng){
var this__14195 = this;
if(cljs.core.not.call(null,rng.cljs$core$ISeqable$_seq$arity$1(rng)))
{return 0;
} else
{return Math.ceil(((this__14195.end - this__14195.start) / this__14195.step));
}
});
cljs.core.Range.prototype.cljs$core$ISeq$_first$arity$1 = (function (rng){
var this__14196 = this;
return this__14196.start;
});
cljs.core.Range.prototype.cljs$core$ISeq$_rest$arity$1 = (function (rng){
var this__14197 = this;
if(!((rng.cljs$core$ISeqable$_seq$arity$1(rng) == null)))
{return (new cljs.core.Range(this__14197.meta,(this__14197.start + this__14197.step),this__14197.end,this__14197.step,null));
} else
{return cljs.core.List.EMPTY;
}
});
cljs.core.Range.prototype.cljs$core$IEquiv$_equiv$arity$2 = (function (rng,other){
var this__14198 = this;
return cljs.core.equiv_sequential.call(null,rng,other);
});
cljs.core.Range.prototype.cljs$core$IWithMeta$_with_meta$arity$2 = (function (rng,meta){
var this__14199 = this;
return (new cljs.core.Range(meta,this__14199.start,this__14199.end,this__14199.step,this__14199.__hash));
});
cljs.core.Range.prototype.cljs$core$IMeta$_meta$arity$1 = (function (rng){
var this__14200 = this;
return this__14200.meta;
});
cljs.core.Range.prototype.cljs$core$IIndexed$_nth$arity$2 = (function (rng,n){
var this__14201 = this;
if((n < rng.cljs$core$ICounted$_count$arity$1(rng)))
{return (this__14201.start + (n * this__14201.step));
} else
{if((function (){var and__3822__auto____14202 = (this__14201.start > this__14201.end);
if(and__3822__auto____14202)
{return (this__14201.step === 0);
} else
{return and__3822__auto____14202;
}
})())
{return this__14201.start;
} else
{throw (new Error("Index out of bounds"));
}
}
});
cljs.core.Range.prototype.cljs$core$IIndexed$_nth$arity$3 = (function (rng,n,not_found){
var this__14203 = this;
if((n < rng.cljs$core$ICounted$_count$arity$1(rng)))
{return (this__14203.start + (n * this__14203.step));
} else
{if((function (){var and__3822__auto____14204 = (this__14203.start > this__14203.end);
if(and__3822__auto____14204)
{return (this__14203.step === 0);
} else
{return and__3822__auto____14204;
}
})())
{return this__14203.start;
} else
{return not_found;
}
}
});
cljs.core.Range.prototype.cljs$core$IEmptyableCollection$_empty$arity$1 = (function (rng){
var this__14205 = this;
return cljs.core.with_meta.call(null,cljs.core.List.EMPTY,this__14205.meta);
});
cljs.core.Range;
/**
* Returns a lazy seq of nums from start (inclusive) to end
* (exclusive), by step, where start defaults to 0, step to 1,
* and end to infinity.
*/
cljs.core.range = (function() {
var range = null;
var range__0 = (function (){
return range.call(null,0,Number.MAX_VALUE,1);
});
var range__1 = (function (end){
return range.call(null,0,end,1);
});
var range__2 = (function (start,end){
return range.call(null,start,end,1);
});
var range__3 = (function (start,end,step){
return (new cljs.core.Range(null,start,end,step,null));
});
range = function(start,end,step){
switch(arguments.length){
case 0:
return range__0.call(this);
case 1:
return range__1.call(this,start);
case 2:
return range__2.call(this,start,end);
case 3:
return range__3.call(this,start,end,step);
}
throw('Invalid arity: ' + arguments.length);
};
range.cljs$lang$arity$0 = range__0;
range.cljs$lang$arity$1 = range__1;
range.cljs$lang$arity$2 = range__2;
range.cljs$lang$arity$3 = range__3;
return range;
})()
;
/**
* Returns a lazy seq of every nth item in coll.
*/
cljs.core.take_nth = (function take_nth(n,coll){
return (new cljs.core.LazySeq(null,false,(function (){
var temp__3974__auto____14208 = cljs.core.seq.call(null,coll);
if(temp__3974__auto____14208)
{var s__14209 = temp__3974__auto____14208;
return cljs.core.cons.call(null,cljs.core.first.call(null,s__14209),take_nth.call(null,n,cljs.core.drop.call(null,n,s__14209)));
} else
{return null;
}
}),null));
});
/**
* Returns a vector of [(take-while pred coll) (drop-while pred coll)]
*/
cljs.core.split_with = (function split_with(pred,coll){
return cljs.core.PersistentVector.fromArray([cljs.core.take_while.call(null,pred,coll),cljs.core.drop_while.call(null,pred,coll)], true);
});
/**
* Applies f to each value in coll, splitting it each time f returns
* a new value.  Returns a lazy seq of partitions.
*/
cljs.core.partition_by = (function partition_by(f,coll){
return (new cljs.core.LazySeq(null,false,(function (){
var temp__3974__auto____14216 = cljs.core.seq.call(null,coll);
if(temp__3974__auto____14216)
{var s__14217 = temp__3974__auto____14216;
var fst__14218 = cljs.core.first.call(null,s__14217);
var fv__14219 = f.call(null,fst__14218);
var run__14220 = cljs.core.cons.call(null,fst__14218,cljs.core.take_while.call(null,(function (p1__14210_SHARP_){
return cljs.core._EQ_.call(null,fv__14219,f.call(null,p1__14210_SHARP_));
}),cljs.core.next.call(null,s__14217)));
return cljs.core.cons.call(null,run__14220,partition_by.call(null,f,cljs.core.seq.call(null,cljs.core.drop.call(null,cljs.core.count.call(null,run__14220),s__14217))));
} else
{return null;
}
}),null));
});
/**
* Returns a map from distinct items in coll to the number of times
* they appear.
*/
cljs.core.frequencies = (function frequencies(coll){
return cljs.core.persistent_BANG_.call(null,cljs.core.reduce.call(null,(function (counts,x){
return cljs.core.assoc_BANG_.call(null,counts,x,(cljs.core._lookup.call(null,counts,x,0) + 1));
}),cljs.core.transient$.call(null,cljs.core.ObjMap.EMPTY),coll));
});
/**
* Returns a lazy seq of the intermediate values of the reduction (as
* per reduce) of coll by f, starting with init.
*/
cljs.core.reductions = (function() {
var reductions = null;
var reductions__2 = (function (f,coll){
return (new cljs.core.LazySeq(null,false,(function (){
var temp__3971__auto____14236 = cljs.core.seq.call(null,coll);
if(temp__3971__auto____14236)
{var s__14237 = temp__3971__auto____14236;
return reductions.call(null,f,cljs.core.first.call(null,s__14237),cljs.core.rest.call(null,s__14237));
} else
{return cljs.core.list.call(null,f.call(null));
}
}),null));
});
var reductions__3 = (function (f,init,coll){
return cljs.core.cons.call(null,init,(new cljs.core.LazySeq(null,false,(function (){
var temp__3974__auto____14238 = cljs.core.seq.call(null,coll);
if(temp__3974__auto____14238)
{var s__14239 = temp__3974__auto____14238;
return reductions.call(null,f,f.call(null,init,cljs.core.first.call(null,s__14239)),cljs.core.rest.call(null,s__14239));
} else
{return null;
}
}),null)));
});
reductions = function(f,init,coll){
switch(arguments.length){
case 2:
return reductions__2.call(this,f,init);
case 3:
return reductions__3.call(this,f,init,coll);
}
throw('Invalid arity: ' + arguments.length);
};
reductions.cljs$lang$arity$2 = reductions__2;
reductions.cljs$lang$arity$3 = reductions__3;
return reductions;
})()
;
/**
* Takes a set of functions and returns a fn that is the juxtaposition
* of those fns.  The returned fn takes a variable number of args, and
* returns a vector containing the result of applying each fn to the
* args (left-to-right).
* ((juxt a b c) x) => [(a x) (b x) (c x)]
* @param {...*} var_args
*/
cljs.core.juxt = (function() {
var juxt = null;
var juxt__1 = (function (f){
return (function() {
var G__14249 = null;
var G__14249__0 = (function (){
return cljs.core.vector.call(null,f.call(null));
});
var G__14249__1 = (function (x){
return cljs.core.vector.call(null,f.call(null,x));
});
var G__14249__2 = (function (x,y){
return cljs.core.vector.call(null,f.call(null,x,y));
});
var G__14249__3 = (function (x,y,z){
return cljs.core.vector.call(null,f.call(null,x,y,z));
});
var G__14249__4 = (function() { 
var G__14250__delegate = function (x,y,z,args){
return cljs.core.vector.call(null,cljs.core.apply.call(null,f,x,y,z,args));
};
var G__14250 = function (x,y,z,var_args){
var args = null;
if (goog.isDef(var_args)) {
  args = cljs.core.array_seq(Array.prototype.slice.call(arguments, 3),0);
} 
return G__14250__delegate.call(this, x, y, z, args);
};
G__14250.cljs$lang$maxFixedArity = 3;
G__14250.cljs$lang$applyTo = (function (arglist__14251){
var x = cljs.core.first(arglist__14251);
var y = cljs.core.first(cljs.core.next(arglist__14251));
var z = cljs.core.first(cljs.core.next(cljs.core.next(arglist__14251)));
var args = cljs.core.rest(cljs.core.next(cljs.core.next(arglist__14251)));
return G__14250__delegate(x, y, z, args);
});
G__14250.cljs$lang$arity$variadic = G__14250__delegate;
return G__14250;
})()
;
G__14249 = function(x,y,z,var_args){
var args = var_args;
switch(arguments.length){
case 0:
return G__14249__0.call(this);
case 1:
return G__14249__1.call(this,x);
case 2:
return G__14249__2.call(this,x,y);
case 3:
return G__14249__3.call(this,x,y,z);
default:
return G__14249__4.cljs$lang$arity$variadic(x,y,z, cljs.core.array_seq(arguments, 3));
}
throw('Invalid arity: ' + arguments.length);
};
G__14249.cljs$lang$maxFixedArity = 3;
G__14249.cljs$lang$applyTo = G__14249__4.cljs$lang$applyTo;
return G__14249;
})()
});
var juxt__2 = (function (f,g){
return (function() {
var G__14252 = null;
var G__14252__0 = (function (){
return cljs.core.vector.call(null,f.call(null),g.call(null));
});
var G__14252__1 = (function (x){
return cljs.core.vector.call(null,f.call(null,x),g.call(null,x));
});
var G__14252__2 = (function (x,y){
return cljs.core.vector.call(null,f.call(null,x,y),g.call(null,x,y));
});
var G__14252__3 = (function (x,y,z){
return cljs.core.vector.call(null,f.call(null,x,y,z),g.call(null,x,y,z));
});
var G__14252__4 = (function() { 
var G__14253__delegate = function (x,y,z,args){
return cljs.core.vector.call(null,cljs.core.apply.call(null,f,x,y,z,args),cljs.core.apply.call(null,g,x,y,z,args));
};
var G__14253 = function (x,y,z,var_args){
var args = null;
if (goog.isDef(var_args)) {
  args = cljs.core.array_seq(Array.prototype.slice.call(arguments, 3),0);
} 
return G__14253__delegate.call(this, x, y, z, args);
};
G__14253.cljs$lang$maxFixedArity = 3;
G__14253.cljs$lang$applyTo = (function (arglist__14254){
var x = cljs.core.first(arglist__14254);
var y = cljs.core.first(cljs.core.next(arglist__14254));
var z = cljs.core.first(cljs.core.next(cljs.core.next(arglist__14254)));
var args = cljs.core.rest(cljs.core.next(cljs.core.next(arglist__14254)));
return G__14253__delegate(x, y, z, args);
});
G__14253.cljs$lang$arity$variadic = G__14253__delegate;
return G__14253;
})()
;
G__14252 = function(x,y,z,var_args){
var args = var_args;
switch(arguments.length){
case 0:
return G__14252__0.call(this);
case 1:
return G__14252__1.call(this,x);
case 2:
return G__14252__2.call(this,x,y);
case 3:
return G__14252__3.call(this,x,y,z);
default:
return G__14252__4.cljs$lang$arity$variadic(x,y,z, cljs.core.array_seq(arguments, 3));
}
throw('Invalid arity: ' + arguments.length);
};
G__14252.cljs$lang$maxFixedArity = 3;
G__14252.cljs$lang$applyTo = G__14252__4.cljs$lang$applyTo;
return G__14252;
})()
});
var juxt__3 = (function (f,g,h){
return (function() {
var G__14255 = null;
var G__14255__0 = (function (){
return cljs.core.vector.call(null,f.call(null),g.call(null),h.call(null));
});
var G__14255__1 = (function (x){
return cljs.core.vector.call(null,f.call(null,x),g.call(null,x),h.call(null,x));
});
var G__14255__2 = (function (x,y){
return cljs.core.vector.call(null,f.call(null,x,y),g.call(null,x,y),h.call(null,x,y));
});
var G__14255__3 = (function (x,y,z){
return cljs.core.vector.call(null,f.call(null,x,y,z),g.call(null,x,y,z),h.call(null,x,y,z));
});
var G__14255__4 = (function() { 
var G__14256__delegate = function (x,y,z,args){
return cljs.core.vector.call(null,cljs.core.apply.call(null,f,x,y,z,args),cljs.core.apply.call(null,g,x,y,z,args),cljs.core.apply.call(null,h,x,y,z,args));
};
var G__14256 = function (x,y,z,var_args){
var args = null;
if (goog.isDef(var_args)) {
  args = cljs.core.array_seq(Array.prototype.slice.call(arguments, 3),0);
} 
return G__14256__delegate.call(this, x, y, z, args);
};
G__14256.cljs$lang$maxFixedArity = 3;
G__14256.cljs$lang$applyTo = (function (arglist__14257){
var x = cljs.core.first(arglist__14257);
var y = cljs.core.first(cljs.core.next(arglist__14257));
var z = cljs.core.first(cljs.core.next(cljs.core.next(arglist__14257)));
var args = cljs.core.rest(cljs.core.next(cljs.core.next(arglist__14257)));
return G__14256__delegate(x, y, z, args);
});
G__14256.cljs$lang$arity$variadic = G__14256__delegate;
return G__14256;
})()
;
G__14255 = function(x,y,z,var_args){
var args = var_args;
switch(arguments.length){
case 0:
return G__14255__0.call(this);
case 1:
return G__14255__1.call(this,x);
case 2:
return G__14255__2.call(this,x,y);
case 3:
return G__14255__3.call(this,x,y,z);
default:
return G__14255__4.cljs$lang$arity$variadic(x,y,z, cljs.core.array_seq(arguments, 3));
}
throw('Invalid arity: ' + arguments.length);
};
G__14255.cljs$lang$maxFixedArity = 3;
G__14255.cljs$lang$applyTo = G__14255__4.cljs$lang$applyTo;
return G__14255;
})()
});
var juxt__4 = (function() { 
var G__14258__delegate = function (f,g,h,fs){
var fs__14246 = cljs.core.list_STAR_.call(null,f,g,h,fs);
return (function() {
var G__14259 = null;
var G__14259__0 = (function (){
return cljs.core.reduce.call(null,(function (p1__14221_SHARP_,p2__14222_SHARP_){
return cljs.core.conj.call(null,p1__14221_SHARP_,p2__14222_SHARP_.call(null));
}),cljs.core.PersistentVector.EMPTY,fs__14246);
});
var G__14259__1 = (function (x){
return cljs.core.reduce.call(null,(function (p1__14223_SHARP_,p2__14224_SHARP_){
return cljs.core.conj.call(null,p1__14223_SHARP_,p2__14224_SHARP_.call(null,x));
}),cljs.core.PersistentVector.EMPTY,fs__14246);
});
var G__14259__2 = (function (x,y){
return cljs.core.reduce.call(null,(function (p1__14225_SHARP_,p2__14226_SHARP_){
return cljs.core.conj.call(null,p1__14225_SHARP_,p2__14226_SHARP_.call(null,x,y));
}),cljs.core.PersistentVector.EMPTY,fs__14246);
});
var G__14259__3 = (function (x,y,z){
return cljs.core.reduce.call(null,(function (p1__14227_SHARP_,p2__14228_SHARP_){
return cljs.core.conj.call(null,p1__14227_SHARP_,p2__14228_SHARP_.call(null,x,y,z));
}),cljs.core.PersistentVector.EMPTY,fs__14246);
});
var G__14259__4 = (function() { 
var G__14260__delegate = function (x,y,z,args){
return cljs.core.reduce.call(null,(function (p1__14229_SHARP_,p2__14230_SHARP_){
return cljs.core.conj.call(null,p1__14229_SHARP_,cljs.core.apply.call(null,p2__14230_SHARP_,x,y,z,args));
}),cljs.core.PersistentVector.EMPTY,fs__14246);
};
var G__14260 = function (x,y,z,var_args){
var args = null;
if (goog.isDef(var_args)) {
  args = cljs.core.array_seq(Array.prototype.slice.call(arguments, 3),0);
} 
return G__14260__delegate.call(this, x, y, z, args);
};
G__14260.cljs$lang$maxFixedArity = 3;
G__14260.cljs$lang$applyTo = (function (arglist__14261){
var x = cljs.core.first(arglist__14261);
var y = cljs.core.first(cljs.core.next(arglist__14261));
var z = cljs.core.first(cljs.core.next(cljs.core.next(arglist__14261)));
var args = cljs.core.rest(cljs.core.next(cljs.core.next(arglist__14261)));
return G__14260__delegate(x, y, z, args);
});
G__14260.cljs$lang$arity$variadic = G__14260__delegate;
return G__14260;
})()
;
G__14259 = function(x,y,z,var_args){
var args = var_args;
switch(arguments.length){
case 0:
return G__14259__0.call(this);
case 1:
return G__14259__1.call(this,x);
case 2:
return G__14259__2.call(this,x,y);
case 3:
return G__14259__3.call(this,x,y,z);
default:
return G__14259__4.cljs$lang$arity$variadic(x,y,z, cljs.core.array_seq(arguments, 3));
}
throw('Invalid arity: ' + arguments.length);
};
G__14259.cljs$lang$maxFixedArity = 3;
G__14259.cljs$lang$applyTo = G__14259__4.cljs$lang$applyTo;
return G__14259;
})()
};
var G__14258 = function (f,g,h,var_args){
var fs = null;
if (goog.isDef(var_args)) {
  fs = cljs.core.array_seq(Array.prototype.slice.call(arguments, 3),0);
} 
return G__14258__delegate.call(this, f, g, h, fs);
};
G__14258.cljs$lang$maxFixedArity = 3;
G__14258.cljs$lang$applyTo = (function (arglist__14266){
var f = cljs.core.first(arglist__14266);
var g = cljs.core.first(cljs.core.next(arglist__14266));
var h = cljs.core.first(cljs.core.next(cljs.core.next(arglist__14266)));
var fs = cljs.core.rest(cljs.core.next(cljs.core.next(arglist__14266)));
return G__14258__delegate(f, g, h, fs);
});
G__14258.cljs$lang$arity$variadic = G__14258__delegate;
return G__14258;
})()
;
juxt = function(f,g,h,var_args){
var fs = var_args;
switch(arguments.length){
case 1:
return juxt__1.call(this,f);
case 2:
return juxt__2.call(this,f,g);
case 3:
return juxt__3.call(this,f,g,h);
default:
return juxt__4.cljs$lang$arity$variadic(f,g,h, cljs.core.array_seq(arguments, 3));
}
throw('Invalid arity: ' + arguments.length);
};
juxt.cljs$lang$maxFixedArity = 3;
juxt.cljs$lang$applyTo = juxt__4.cljs$lang$applyTo;
juxt.cljs$lang$arity$1 = juxt__1;
juxt.cljs$lang$arity$2 = juxt__2;
juxt.cljs$lang$arity$3 = juxt__3;
juxt.cljs$lang$arity$variadic = juxt__4.cljs$lang$arity$variadic;
return juxt;
})()
;
/**
* When lazy sequences are produced via functions that have side
* effects, any effects other than those needed to produce the first
* element in the seq do not occur until the seq is consumed. dorun can
* be used to force any effects. Walks through the successive nexts of
* the seq, does not retain the head and returns nil.
*/
cljs.core.dorun = (function() {
var dorun = null;
var dorun__1 = (function (coll){
while(true){
if(cljs.core.seq.call(null,coll))
{{
var G__14274 = cljs.core.next.call(null,coll);
coll = G__14274;
continue;
}
} else
{return null;
}
break;
}
});
var dorun__2 = (function (n,coll){
while(true){
if(cljs.core.truth_((function (){var and__3822__auto____14272 = cljs.core.seq.call(null,coll);
if(and__3822__auto____14272)
{return (n > 0);
} else
{return and__3822__auto____14272;
}
})()))
{{
var G__14275 = (n - 1);
var G__14276 = cljs.core.next.call(null,coll);
n = G__14275;
coll = G__14276;
continue;
}
} else
{return null;
}
break;
}
});
dorun = function(n,coll){
switch(arguments.length){
case 1:
return dorun__1.call(this,n);
case 2:
return dorun__2.call(this,n,coll);
}
throw('Invalid arity: ' + arguments.length);
};
dorun.cljs$lang$arity$1 = dorun__1;
dorun.cljs$lang$arity$2 = dorun__2;
return dorun;
})()
;
/**
* When lazy sequences are produced via functions that have side
* effects, any effects other than those needed to produce the first
* element in the seq do not occur until the seq is consumed. doall can
* be used to force any effects. Walks through the successive nexts of
* the seq, retains the head and returns it, thus causing the entire
* seq to reside in memory at one time.
*/
cljs.core.doall = (function() {
var doall = null;
var doall__1 = (function (coll){
cljs.core.dorun.call(null,coll);
return coll;
});
var doall__2 = (function (n,coll){
cljs.core.dorun.call(null,n,coll);
return coll;
});
doall = function(n,coll){
switch(arguments.length){
case 1:
return doall__1.call(this,n);
case 2:
return doall__2.call(this,n,coll);
}
throw('Invalid arity: ' + arguments.length);
};
doall.cljs$lang$arity$1 = doall__1;
doall.cljs$lang$arity$2 = doall__2;
return doall;
})()
;
cljs.core.regexp_QMARK_ = (function regexp_QMARK_(o){
return o instanceof RegExp;
});
/**
* Returns the result of (re-find re s) if re fully matches s.
*/
cljs.core.re_matches = (function re_matches(re,s){
var matches__14286 = re.exec(s);
if(cljs.core._EQ_.call(null,cljs.core.first.call(null,matches__14286),s))
{if((cljs.core.count.call(null,matches__14286) === 1))
{return cljs.core.first.call(null,matches__14286);
} else
{return cljs.core.vec.call(null,matches__14286);
}
} else
{return null;
}
});
/**
* Returns the first regex match, if any, of s to re, using
* re.exec(s). Returns a vector, containing first the matching
* substring, then any capturing groups if the regular expression contains
* capturing groups.
*/
cljs.core.re_find = (function re_find(re,s){
var matches__14288 = re.exec(s);
if((matches__14288 == null))
{return null;
} else
{if((cljs.core.count.call(null,matches__14288) === 1))
{return cljs.core.first.call(null,matches__14288);
} else
{return cljs.core.vec.call(null,matches__14288);
}
}
});
/**
* Returns a lazy sequence of successive matches of re in s.
*/
cljs.core.re_seq = (function re_seq(re,s){
var match_data__14293 = cljs.core.re_find.call(null,re,s);
var match_idx__14294 = s.search(re);
var match_str__14295 = ((cljs.core.coll_QMARK_.call(null,match_data__14293))?cljs.core.first.call(null,match_data__14293):match_data__14293);
var post_match__14296 = cljs.core.subs.call(null,s,(match_idx__14294 + cljs.core.count.call(null,match_str__14295)));
if(cljs.core.truth_(match_data__14293))
{return (new cljs.core.LazySeq(null,false,(function (){
return cljs.core.cons.call(null,match_data__14293,re_seq.call(null,re,post_match__14296));
}),null));
} else
{return null;
}
});
/**
* Returns an instance of RegExp which has compiled the provided string.
*/
cljs.core.re_pattern = (function re_pattern(s){
var vec__14303__14304 = cljs.core.re_find.call(null,/^(?:\(\?([idmsux]*)\))?(.*)/,s);
var ___14305 = cljs.core.nth.call(null,vec__14303__14304,0,null);
var flags__14306 = cljs.core.nth.call(null,vec__14303__14304,1,null);
var pattern__14307 = cljs.core.nth.call(null,vec__14303__14304,2,null);
return (new RegExp(pattern__14307,flags__14306));
});
cljs.core.pr_sequential = (function pr_sequential(print_one,begin,sep,end,opts,coll){
return cljs.core.concat.call(null,cljs.core.PersistentVector.fromArray([begin], true),cljs.core.flatten1.call(null,cljs.core.interpose.call(null,cljs.core.PersistentVector.fromArray([sep], true),cljs.core.map.call(null,(function (p1__14297_SHARP_){
return print_one.call(null,p1__14297_SHARP_,opts);
}),coll))),cljs.core.PersistentVector.fromArray([end], true));
});
cljs.core.string_print = (function string_print(x){
cljs.core._STAR_print_fn_STAR_.call(null,x);
return null;
});
cljs.core.flush = (function flush(){
return null;
});
cljs.core.pr_seq = (function pr_seq(obj,opts){
if((obj == null))
{return cljs.core.list.call(null,"nil");
} else
{if((void 0 === obj))
{return cljs.core.list.call(null,"#<undefined>");
} else
{if("\uFDD0'else")
{return cljs.core.concat.call(null,(cljs.core.truth_((function (){var and__3822__auto____14321 = cljs.core._lookup.call(null,opts,"\uFDD0'meta",null);
if(cljs.core.truth_(and__3822__auto____14321))
{var and__3822__auto____14325 = (function (){var G__14322__14323 = obj;
if(G__14322__14323)
{if((function (){var or__3824__auto____14324 = (G__14322__14323.cljs$lang$protocol_mask$partition0$ & 131072);
if(or__3824__auto____14324)
{return or__3824__auto____14324;
} else
{return G__14322__14323.cljs$core$IMeta$;
}
})())
{return true;
} else
{if((!G__14322__14323.cljs$lang$protocol_mask$partition0$))
{return cljs.core.type_satisfies_.call(null,cljs.core.IMeta,G__14322__14323);
} else
{return false;
}
}
} else
{return cljs.core.type_satisfies_.call(null,cljs.core.IMeta,G__14322__14323);
}
})();
if(cljs.core.truth_(and__3822__auto____14325))
{return cljs.core.meta.call(null,obj);
} else
{return and__3822__auto____14325;
}
} else
{return and__3822__auto____14321;
}
})())?cljs.core.concat.call(null,cljs.core.PersistentVector.fromArray(["^"], true),pr_seq.call(null,cljs.core.meta.call(null,obj),opts),cljs.core.PersistentVector.fromArray([" "], true)):null),(((function (){var and__3822__auto____14326 = !((obj == null));
if(and__3822__auto____14326)
{return obj.cljs$lang$type;
} else
{return and__3822__auto____14326;
}
})())?obj.cljs$lang$ctorPrSeq(obj):(((function (){var G__14327__14328 = obj;
if(G__14327__14328)
{if((function (){var or__3824__auto____14329 = (G__14327__14328.cljs$lang$protocol_mask$partition0$ & 536870912);
if(or__3824__auto____14329)
{return or__3824__auto____14329;
} else
{return G__14327__14328.cljs$core$IPrintable$;
}
})())
{return true;
} else
{if((!G__14327__14328.cljs$lang$protocol_mask$partition0$))
{return cljs.core.type_satisfies_.call(null,cljs.core.IPrintable,G__14327__14328);
} else
{return false;
}
}
} else
{return cljs.core.type_satisfies_.call(null,cljs.core.IPrintable,G__14327__14328);
}
})())?cljs.core._pr_seq.call(null,obj,opts):(cljs.core.truth_(cljs.core.regexp_QMARK_.call(null,obj))?cljs.core.list.call(null,"#\"",obj.source,"\""):(("\uFDD0'else")?cljs.core.list.call(null,"#<",[cljs.core.str(obj)].join(''),">"):null)))));
} else
{return null;
}
}
}
});
cljs.core.pr_sb = (function pr_sb(objs,opts){
var first_obj__14348 = cljs.core.first.call(null,objs);
var sb__14349 = (new goog.string.StringBuffer());
var G__14350__14351 = cljs.core.seq.call(null,objs);
if(G__14350__14351)
{var obj__14352 = cljs.core.first.call(null,G__14350__14351);
var G__14350__14353 = G__14350__14351;
while(true){
if((obj__14352 === first_obj__14348))
{} else
{sb__14349.append(" ");
}
var G__14354__14355 = cljs.core.seq.call(null,cljs.core.pr_seq.call(null,obj__14352,opts));
if(G__14354__14355)
{var string__14356 = cljs.core.first.call(null,G__14354__14355);
var G__14354__14357 = G__14354__14355;
while(true){
sb__14349.append(string__14356);
var temp__3974__auto____14358 = cljs.core.next.call(null,G__14354__14357);
if(temp__3974__auto____14358)
{var G__14354__14359 = temp__3974__auto____14358;
{
var G__14362 = cljs.core.first.call(null,G__14354__14359);
var G__14363 = G__14354__14359;
string__14356 = G__14362;
G__14354__14357 = G__14363;
continue;
}
} else
{}
break;
}
} else
{}
var temp__3974__auto____14360 = cljs.core.next.call(null,G__14350__14353);
if(temp__3974__auto____14360)
{var G__14350__14361 = temp__3974__auto____14360;
{
var G__14364 = cljs.core.first.call(null,G__14350__14361);
var G__14365 = G__14350__14361;
obj__14352 = G__14364;
G__14350__14353 = G__14365;
continue;
}
} else
{}
break;
}
} else
{}
return sb__14349;
});
/**
* Prints a sequence of objects to a string, observing all the
* options given in opts
*/
cljs.core.pr_str_with_opts = (function pr_str_with_opts(objs,opts){
return [cljs.core.str(cljs.core.pr_sb.call(null,objs,opts))].join('');
});
/**
* Same as pr-str-with-opts followed by (newline)
*/
cljs.core.prn_str_with_opts = (function prn_str_with_opts(objs,opts){
var sb__14367 = cljs.core.pr_sb.call(null,objs,opts);
sb__14367.append("\n");
return [cljs.core.str(sb__14367)].join('');
});
/**
* Prints a sequence of objects using string-print, observing all
* the options given in opts
*/
cljs.core.pr_with_opts = (function pr_with_opts(objs,opts){
var first_obj__14381 = cljs.core.first.call(null,objs);
var G__14382__14383 = cljs.core.seq.call(null,objs);
if(G__14382__14383)
{var obj__14384 = cljs.core.first.call(null,G__14382__14383);
var G__14382__14385 = G__14382__14383;
while(true){
if((obj__14384 === first_obj__14381))
{} else
{cljs.core.string_print.call(null," ");
}
var G__14386__14387 = cljs.core.seq.call(null,cljs.core.pr_seq.call(null,obj__14384,opts));
if(G__14386__14387)
{var string__14388 = cljs.core.first.call(null,G__14386__14387);
var G__14386__14389 = G__14386__14387;
while(true){
cljs.core.string_print.call(null,string__14388);
var temp__3974__auto____14390 = cljs.core.next.call(null,G__14386__14389);
if(temp__3974__auto____14390)
{var G__14386__14391 = temp__3974__auto____14390;
{
var G__14394 = cljs.core.first.call(null,G__14386__14391);
var G__14395 = G__14386__14391;
string__14388 = G__14394;
G__14386__14389 = G__14395;
continue;
}
} else
{}
break;
}
} else
{}
var temp__3974__auto____14392 = cljs.core.next.call(null,G__14382__14385);
if(temp__3974__auto____14392)
{var G__14382__14393 = temp__3974__auto____14392;
{
var G__14396 = cljs.core.first.call(null,G__14382__14393);
var G__14397 = G__14382__14393;
obj__14384 = G__14396;
G__14382__14385 = G__14397;
continue;
}
} else
{return null;
}
break;
}
} else
{return null;
}
});
cljs.core.newline = (function newline(opts){
cljs.core.string_print.call(null,"\n");
if(cljs.core.truth_(cljs.core._lookup.call(null,opts,"\uFDD0'flush-on-newline",null)))
{return cljs.core.flush.call(null);
} else
{return null;
}
});
cljs.core._STAR_flush_on_newline_STAR_ = true;
cljs.core._STAR_print_readably_STAR_ = true;
cljs.core._STAR_print_meta_STAR_ = false;
cljs.core._STAR_print_dup_STAR_ = false;
cljs.core.pr_opts = (function pr_opts(){
return cljs.core.ObjMap.fromObject(["\uFDD0'flush-on-newline","\uFDD0'readably","\uFDD0'meta","\uFDD0'dup"],{"\uFDD0'flush-on-newline":cljs.core._STAR_flush_on_newline_STAR_,"\uFDD0'readably":cljs.core._STAR_print_readably_STAR_,"\uFDD0'meta":cljs.core._STAR_print_meta_STAR_,"\uFDD0'dup":cljs.core._STAR_print_dup_STAR_});
});
/**
* pr to a string, returning it. Fundamental entrypoint to IPrintable.
* @param {...*} var_args
*/
cljs.core.pr_str = (function() { 
var pr_str__delegate = function (objs){
return cljs.core.pr_str_with_opts.call(null,objs,cljs.core.pr_opts.call(null));
};
var pr_str = function (var_args){
var objs = null;
if (goog.isDef(var_args)) {
  objs = cljs.core.array_seq(Array.prototype.slice.call(arguments, 0),0);
} 
return pr_str__delegate.call(this, objs);
};
pr_str.cljs$lang$maxFixedArity = 0;
pr_str.cljs$lang$applyTo = (function (arglist__14398){
var objs = cljs.core.seq(arglist__14398);;
return pr_str__delegate(objs);
});
pr_str.cljs$lang$arity$variadic = pr_str__delegate;
return pr_str;
})()
;
/**
* Same as pr-str followed by (newline)
* @param {...*} var_args
*/
cljs.core.prn_str = (function() { 
var prn_str__delegate = function (objs){
return cljs.core.prn_str_with_opts.call(null,objs,cljs.core.pr_opts.call(null));
};
var prn_str = function (var_args){
var objs = null;
if (goog.isDef(var_args)) {
  objs = cljs.core.array_seq(Array.prototype.slice.call(arguments, 0),0);
} 
return prn_str__delegate.call(this, objs);
};
prn_str.cljs$lang$maxFixedArity = 0;
prn_str.cljs$lang$applyTo = (function (arglist__14399){
var objs = cljs.core.seq(arglist__14399);;
return prn_str__delegate(objs);
});
prn_str.cljs$lang$arity$variadic = prn_str__delegate;
return prn_str;
})()
;
/**
* Prints the object(s) using string-print.  Prints the
* object(s), separated by spaces if there is more than one.
* By default, pr and prn print in a way that objects can be
* read by the reader
* @param {...*} var_args
*/
cljs.core.pr = (function() { 
var pr__delegate = function (objs){
return cljs.core.pr_with_opts.call(null,objs,cljs.core.pr_opts.call(null));
};
var pr = function (var_args){
var objs = null;
if (goog.isDef(var_args)) {
  objs = cljs.core.array_seq(Array.prototype.slice.call(arguments, 0),0);
} 
return pr__delegate.call(this, objs);
};
pr.cljs$lang$maxFixedArity = 0;
pr.cljs$lang$applyTo = (function (arglist__14400){
var objs = cljs.core.seq(arglist__14400);;
return pr__delegate(objs);
});
pr.cljs$lang$arity$variadic = pr__delegate;
return pr;
})()
;
/**
* Prints the object(s) using string-print.
* print and println produce output for human consumption.
* @param {...*} var_args
*/
cljs.core.print = (function() { 
var cljs_core_print__delegate = function (objs){
return cljs.core.pr_with_opts.call(null,objs,cljs.core.assoc.call(null,cljs.core.pr_opts.call(null),"\uFDD0'readably",false));
};
var cljs_core_print = function (var_args){
var objs = null;
if (goog.isDef(var_args)) {
  objs = cljs.core.array_seq(Array.prototype.slice.call(arguments, 0),0);
} 
return cljs_core_print__delegate.call(this, objs);
};
cljs_core_print.cljs$lang$maxFixedArity = 0;
cljs_core_print.cljs$lang$applyTo = (function (arglist__14401){
var objs = cljs.core.seq(arglist__14401);;
return cljs_core_print__delegate(objs);
});
cljs_core_print.cljs$lang$arity$variadic = cljs_core_print__delegate;
return cljs_core_print;
})()
;
/**
* print to a string, returning it
* @param {...*} var_args
*/
cljs.core.print_str = (function() { 
var print_str__delegate = function (objs){
return cljs.core.pr_str_with_opts.call(null,objs,cljs.core.assoc.call(null,cljs.core.pr_opts.call(null),"\uFDD0'readably",false));
};
var print_str = function (var_args){
var objs = null;
if (goog.isDef(var_args)) {
  objs = cljs.core.array_seq(Array.prototype.slice.call(arguments, 0),0);
} 
return print_str__delegate.call(this, objs);
};
print_str.cljs$lang$maxFixedArity = 0;
print_str.cljs$lang$applyTo = (function (arglist__14402){
var objs = cljs.core.seq(arglist__14402);;
return print_str__delegate(objs);
});
print_str.cljs$lang$arity$variadic = print_str__delegate;
return print_str;
})()
;
/**
* Same as print followed by (newline)
* @param {...*} var_args
*/
cljs.core.println = (function() { 
var println__delegate = function (objs){
cljs.core.pr_with_opts.call(null,objs,cljs.core.assoc.call(null,cljs.core.pr_opts.call(null),"\uFDD0'readably",false));
return cljs.core.newline.call(null,cljs.core.pr_opts.call(null));
};
var println = function (var_args){
var objs = null;
if (goog.isDef(var_args)) {
  objs = cljs.core.array_seq(Array.prototype.slice.call(arguments, 0),0);
} 
return println__delegate.call(this, objs);
};
println.cljs$lang$maxFixedArity = 0;
println.cljs$lang$applyTo = (function (arglist__14403){
var objs = cljs.core.seq(arglist__14403);;
return println__delegate(objs);
});
println.cljs$lang$arity$variadic = println__delegate;
return println;
})()
;
/**
* println to a string, returning it
* @param {...*} var_args
*/
cljs.core.println_str = (function() { 
var println_str__delegate = function (objs){
return cljs.core.prn_str_with_opts.call(null,objs,cljs.core.assoc.call(null,cljs.core.pr_opts.call(null),"\uFDD0'readably",false));
};
var println_str = function (var_args){
var objs = null;
if (goog.isDef(var_args)) {
  objs = cljs.core.array_seq(Array.prototype.slice.call(arguments, 0),0);
} 
return println_str__delegate.call(this, objs);
};
println_str.cljs$lang$maxFixedArity = 0;
println_str.cljs$lang$applyTo = (function (arglist__14404){
var objs = cljs.core.seq(arglist__14404);;
return println_str__delegate(objs);
});
println_str.cljs$lang$arity$variadic = println_str__delegate;
return println_str;
})()
;
/**
* Same as pr followed by (newline).
* @param {...*} var_args
*/
cljs.core.prn = (function() { 
var prn__delegate = function (objs){
cljs.core.pr_with_opts.call(null,objs,cljs.core.pr_opts.call(null));
return cljs.core.newline.call(null,cljs.core.pr_opts.call(null));
};
var prn = function (var_args){
var objs = null;
if (goog.isDef(var_args)) {
  objs = cljs.core.array_seq(Array.prototype.slice.call(arguments, 0),0);
} 
return prn__delegate.call(this, objs);
};
prn.cljs$lang$maxFixedArity = 0;
prn.cljs$lang$applyTo = (function (arglist__14405){
var objs = cljs.core.seq(arglist__14405);;
return prn__delegate(objs);
});
prn.cljs$lang$arity$variadic = prn__delegate;
return prn;
})()
;
cljs.core.HashMap.prototype.cljs$core$IPrintable$ = true;
cljs.core.HashMap.prototype.cljs$core$IPrintable$_pr_seq$arity$2 = (function (coll,opts){
var pr_pair__14408 = (function (keyval){
return cljs.core.pr_sequential.call(null,cljs.core.pr_seq,""," ","",opts,keyval);
});
return cljs.core.pr_sequential.call(null,pr_pair__14408,"{",", ","}",opts,coll);
});
(cljs.core.IPrintable["number"] = true);
(cljs.core._pr_seq["number"] = (function (n,opts){
return cljs.core.list.call(null,[cljs.core.str(n)].join(''));
}));
cljs.core.IndexedSeq.prototype.cljs$core$IPrintable$ = true;
cljs.core.IndexedSeq.prototype.cljs$core$IPrintable$_pr_seq$arity$2 = (function (coll,opts){
return cljs.core.pr_sequential.call(null,cljs.core.pr_seq,"("," ",")",opts,coll);
});
cljs.core.Subvec.prototype.cljs$core$IPrintable$ = true;
cljs.core.Subvec.prototype.cljs$core$IPrintable$_pr_seq$arity$2 = (function (coll,opts){
return cljs.core.pr_sequential.call(null,cljs.core.pr_seq,"["," ","]",opts,coll);
});
cljs.core.ChunkedCons.prototype.cljs$core$IPrintable$ = true;
cljs.core.ChunkedCons.prototype.cljs$core$IPrintable$_pr_seq$arity$2 = (function (coll,opts){
return cljs.core.pr_sequential.call(null,cljs.core.pr_seq,"("," ",")",opts,coll);
});
cljs.core.PersistentTreeMap.prototype.cljs$core$IPrintable$ = true;
cljs.core.PersistentTreeMap.prototype.cljs$core$IPrintable$_pr_seq$arity$2 = (function (coll,opts){
var pr_pair__14411 = (function (keyval){
return cljs.core.pr_sequential.call(null,cljs.core.pr_seq,""," ","",opts,keyval);
});
return cljs.core.pr_sequential.call(null,pr_pair__14411,"{",", ","}",opts,coll);
});
cljs.core.PersistentArrayMap.prototype.cljs$core$IPrintable$ = true;
cljs.core.PersistentArrayMap.prototype.cljs$core$IPrintable$_pr_seq$arity$2 = (function (coll,opts){
var pr_pair__14412 = (function (keyval){
return cljs.core.pr_sequential.call(null,cljs.core.pr_seq,""," ","",opts,keyval);
});
return cljs.core.pr_sequential.call(null,pr_pair__14412,"{",", ","}",opts,coll);
});
cljs.core.PersistentQueue.prototype.cljs$core$IPrintable$ = true;
cljs.core.PersistentQueue.prototype.cljs$core$IPrintable$_pr_seq$arity$2 = (function (coll,opts){
return cljs.core.pr_sequential.call(null,cljs.core.pr_seq,"#queue ["," ","]",opts,cljs.core.seq.call(null,coll));
});
cljs.core.LazySeq.prototype.cljs$core$IPrintable$ = true;
cljs.core.LazySeq.prototype.cljs$core$IPrintable$_pr_seq$arity$2 = (function (coll,opts){
return cljs.core.pr_sequential.call(null,cljs.core.pr_seq,"("," ",")",opts,coll);
});
cljs.core.RSeq.prototype.cljs$core$IPrintable$ = true;
cljs.core.RSeq.prototype.cljs$core$IPrintable$_pr_seq$arity$2 = (function (coll,opts){
return cljs.core.pr_sequential.call(null,cljs.core.pr_seq,"("," ",")",opts,coll);
});
cljs.core.PersistentTreeSet.prototype.cljs$core$IPrintable$ = true;
cljs.core.PersistentTreeSet.prototype.cljs$core$IPrintable$_pr_seq$arity$2 = (function (coll,opts){
return cljs.core.pr_sequential.call(null,cljs.core.pr_seq,"#{"," ","}",opts,coll);
});
(cljs.core.IPrintable["boolean"] = true);
(cljs.core._pr_seq["boolean"] = (function (bool,opts){
return cljs.core.list.call(null,[cljs.core.str(bool)].join(''));
}));
(cljs.core.IPrintable["string"] = true);
(cljs.core._pr_seq["string"] = (function (obj,opts){
if(cljs.core.keyword_QMARK_.call(null,obj))
{return cljs.core.list.call(null,[cljs.core.str(":"),cljs.core.str((function (){var temp__3974__auto____14417 = cljs.core.namespace.call(null,obj);
if(cljs.core.truth_(temp__3974__auto____14417))
{var nspc__14418 = temp__3974__auto____14417;
return [cljs.core.str(nspc__14418),cljs.core.str("/")].join('');
} else
{return null;
}
})()),cljs.core.str(cljs.core.name.call(null,obj))].join(''));
} else
{if(cljs.core.symbol_QMARK_.call(null,obj))
{return cljs.core.list.call(null,[cljs.core.str((function (){var temp__3974__auto____14419 = cljs.core.namespace.call(null,obj);
if(cljs.core.truth_(temp__3974__auto____14419))
{var nspc__14420 = temp__3974__auto____14419;
return [cljs.core.str(nspc__14420),cljs.core.str("/")].join('');
} else
{return null;
}
})()),cljs.core.str(cljs.core.name.call(null,obj))].join(''));
} else
{if("\uFDD0'else")
{return cljs.core.list.call(null,(cljs.core.truth_((new cljs.core.Keyword("\uFDD0'readably")).call(null,opts))?goog.string.quote(obj):obj));
} else
{return null;
}
}
}
}));
cljs.core.NodeSeq.prototype.cljs$core$IPrintable$ = true;
cljs.core.NodeSeq.prototype.cljs$core$IPrintable$_pr_seq$arity$2 = (function (coll,opts){
return cljs.core.pr_sequential.call(null,cljs.core.pr_seq,"("," ",")",opts,coll);
});
cljs.core.RedNode.prototype.cljs$core$IPrintable$ = true;
cljs.core.RedNode.prototype.cljs$core$IPrintable$_pr_seq$arity$2 = (function (coll,opts){
return cljs.core.pr_sequential.call(null,cljs.core.pr_seq,"["," ","]",opts,coll);
});
cljs.core.ChunkedSeq.prototype.cljs$core$IPrintable$ = true;
cljs.core.ChunkedSeq.prototype.cljs$core$IPrintable$_pr_seq$arity$2 = (function (coll,opts){
return cljs.core.pr_sequential.call(null,cljs.core.pr_seq,"("," ",")",opts,coll);
});
cljs.core.PersistentHashMap.prototype.cljs$core$IPrintable$ = true;
cljs.core.PersistentHashMap.prototype.cljs$core$IPrintable$_pr_seq$arity$2 = (function (coll,opts){
var pr_pair__14421 = (function (keyval){
return cljs.core.pr_sequential.call(null,cljs.core.pr_seq,""," ","",opts,keyval);
});
return cljs.core.pr_sequential.call(null,pr_pair__14421,"{",", ","}",opts,coll);
});
cljs.core.Vector.prototype.cljs$core$IPrintable$ = true;
cljs.core.Vector.prototype.cljs$core$IPrintable$_pr_seq$arity$2 = (function (coll,opts){
return cljs.core.pr_sequential.call(null,cljs.core.pr_seq,"["," ","]",opts,coll);
});
cljs.core.PersistentHashSet.prototype.cljs$core$IPrintable$ = true;
cljs.core.PersistentHashSet.prototype.cljs$core$IPrintable$_pr_seq$arity$2 = (function (coll,opts){
return cljs.core.pr_sequential.call(null,cljs.core.pr_seq,"#{"," ","}",opts,coll);
});
cljs.core.PersistentVector.prototype.cljs$core$IPrintable$ = true;
cljs.core.PersistentVector.prototype.cljs$core$IPrintable$_pr_seq$arity$2 = (function (coll,opts){
return cljs.core.pr_sequential.call(null,cljs.core.pr_seq,"["," ","]",opts,coll);
});
cljs.core.List.prototype.cljs$core$IPrintable$ = true;
cljs.core.List.prototype.cljs$core$IPrintable$_pr_seq$arity$2 = (function (coll,opts){
return cljs.core.pr_sequential.call(null,cljs.core.pr_seq,"("," ",")",opts,coll);
});
(cljs.core.IPrintable["array"] = true);
(cljs.core._pr_seq["array"] = (function (a,opts){
return cljs.core.pr_sequential.call(null,cljs.core.pr_seq,"#<Array [",", ","]>",opts,a);
}));
(cljs.core.IPrintable["function"] = true);
(cljs.core._pr_seq["function"] = (function (this$){
return cljs.core.list.call(null,"#<",[cljs.core.str(this$)].join(''),">");
}));
cljs.core.EmptyList.prototype.cljs$core$IPrintable$ = true;
cljs.core.EmptyList.prototype.cljs$core$IPrintable$_pr_seq$arity$2 = (function (coll,opts){
return cljs.core.list.call(null,"()");
});
cljs.core.BlackNode.prototype.cljs$core$IPrintable$ = true;
cljs.core.BlackNode.prototype.cljs$core$IPrintable$_pr_seq$arity$2 = (function (coll,opts){
return cljs.core.pr_sequential.call(null,cljs.core.pr_seq,"["," ","]",opts,coll);
});
Date.prototype.cljs$core$IPrintable$ = true;
Date.prototype.cljs$core$IPrintable$_pr_seq$arity$2 = (function (d,_){
var normalize__14423 = (function (n,len){
var ns__14422 = [cljs.core.str(n)].join('');
while(true){
if((cljs.core.count.call(null,ns__14422) < len))
{{
var G__14425 = [cljs.core.str("0"),cljs.core.str(ns__14422)].join('');
ns__14422 = G__14425;
continue;
}
} else
{return ns__14422;
}
break;
}
});
return cljs.core.list.call(null,[cljs.core.str("#inst \""),cljs.core.str(d.getUTCFullYear()),cljs.core.str("-"),cljs.core.str(normalize__14423.call(null,(d.getUTCMonth() + 1),2)),cljs.core.str("-"),cljs.core.str(normalize__14423.call(null,d.getUTCDate(),2)),cljs.core.str("T"),cljs.core.str(normalize__14423.call(null,d.getUTCHours(),2)),cljs.core.str(":"),cljs.core.str(normalize__14423.call(null,d.getUTCMinutes(),2)),cljs.core.str(":"),cljs.core.str(normalize__14423.call(null,d.getUTCSeconds(),2)),cljs.core.str("."),cljs.core.str(normalize__14423.call(null,d.getUTCMilliseconds(),3)),cljs.core.str("-"),cljs.core.str("00:00\"")].join(''));
});
cljs.core.Cons.prototype.cljs$core$IPrintable$ = true;
cljs.core.Cons.prototype.cljs$core$IPrintable$_pr_seq$arity$2 = (function (coll,opts){
return cljs.core.pr_sequential.call(null,cljs.core.pr_seq,"("," ",")",opts,coll);
});
cljs.core.Range.prototype.cljs$core$IPrintable$ = true;
cljs.core.Range.prototype.cljs$core$IPrintable$_pr_seq$arity$2 = (function (coll,opts){
return cljs.core.pr_sequential.call(null,cljs.core.pr_seq,"("," ",")",opts,coll);
});
cljs.core.ArrayNodeSeq.prototype.cljs$core$IPrintable$ = true;
cljs.core.ArrayNodeSeq.prototype.cljs$core$IPrintable$_pr_seq$arity$2 = (function (coll,opts){
return cljs.core.pr_sequential.call(null,cljs.core.pr_seq,"("," ",")",opts,coll);
});
cljs.core.ObjMap.prototype.cljs$core$IPrintable$ = true;
cljs.core.ObjMap.prototype.cljs$core$IPrintable$_pr_seq$arity$2 = (function (coll,opts){
var pr_pair__14424 = (function (keyval){
return cljs.core.pr_sequential.call(null,cljs.core.pr_seq,""," ","",opts,keyval);
});
return cljs.core.pr_sequential.call(null,pr_pair__14424,"{",", ","}",opts,coll);
});
cljs.core.PersistentTreeMapSeq.prototype.cljs$core$IPrintable$ = true;
cljs.core.PersistentTreeMapSeq.prototype.cljs$core$IPrintable$_pr_seq$arity$2 = (function (coll,opts){
return cljs.core.pr_sequential.call(null,cljs.core.pr_seq,"("," ",")",opts,coll);
});
cljs.core.PersistentVector.prototype.cljs$core$IComparable$ = true;
cljs.core.PersistentVector.prototype.cljs$core$IComparable$_compare$arity$2 = (function (x,y){
return cljs.core.compare_indexed.call(null,x,y);
});

/**
* @constructor
*/
cljs.core.Atom = (function (state,meta,validator,watches){
this.state = state;
this.meta = meta;
this.validator = validator;
this.watches = watches;
this.cljs$lang$protocol_mask$partition1$ = 0;
this.cljs$lang$protocol_mask$partition0$ = 2690809856;
})
cljs.core.Atom.cljs$lang$type = true;
cljs.core.Atom.cljs$lang$ctorPrSeq = (function (this__4682__auto__){
return cljs.core.list.call(null,"cljs.core/Atom");
});
cljs.core.Atom.prototype.cljs$core$IHash$_hash$arity$1 = (function (this$){
var this__14426 = this;
return goog.getUid(this$);
});
cljs.core.Atom.prototype.cljs$core$IWatchable$_notify_watches$arity$3 = (function (this$,oldval,newval){
var this__14427 = this;
var G__14428__14429 = cljs.core.seq.call(null,this__14427.watches);
if(G__14428__14429)
{var G__14431__14433 = cljs.core.first.call(null,G__14428__14429);
var vec__14432__14434 = G__14431__14433;
var key__14435 = cljs.core.nth.call(null,vec__14432__14434,0,null);
var f__14436 = cljs.core.nth.call(null,vec__14432__14434,1,null);
var G__14428__14437 = G__14428__14429;
var G__14431__14438 = G__14431__14433;
var G__14428__14439 = G__14428__14437;
while(true){
var vec__14440__14441 = G__14431__14438;
var key__14442 = cljs.core.nth.call(null,vec__14440__14441,0,null);
var f__14443 = cljs.core.nth.call(null,vec__14440__14441,1,null);
var G__14428__14444 = G__14428__14439;
f__14443.call(null,key__14442,this$,oldval,newval);
var temp__3974__auto____14445 = cljs.core.next.call(null,G__14428__14444);
if(temp__3974__auto____14445)
{var G__14428__14446 = temp__3974__auto____14445;
{
var G__14459 = cljs.core.first.call(null,G__14428__14446);
var G__14460 = G__14428__14446;
G__14431__14438 = G__14459;
G__14428__14439 = G__14460;
continue;
}
} else
{return null;
}
break;
}
} else
{return null;
}
});
cljs.core.Atom.prototype.cljs$core$IWatchable$_add_watch$arity$3 = (function (this$,key,f){
var this__14447 = this;
return this$.watches = cljs.core.assoc.call(null,this__14447.watches,key,f);
});
cljs.core.Atom.prototype.cljs$core$IWatchable$_remove_watch$arity$2 = (function (this$,key){
var this__14448 = this;
return this$.watches = cljs.core.dissoc.call(null,this__14448.watches,key);
});
cljs.core.Atom.prototype.cljs$core$IPrintable$_pr_seq$arity$2 = (function (a,opts){
var this__14449 = this;
return cljs.core.concat.call(null,cljs.core.PersistentVector.fromArray(["#<Atom: "], true),cljs.core._pr_seq.call(null,this__14449.state,opts),">");
});
cljs.core.Atom.prototype.cljs$core$IMeta$_meta$arity$1 = (function (_){
var this__14450 = this;
return this__14450.meta;
});
cljs.core.Atom.prototype.cljs$core$IDeref$_deref$arity$1 = (function (_){
var this__14451 = this;
return this__14451.state;
});
cljs.core.Atom.prototype.cljs$core$IEquiv$_equiv$arity$2 = (function (o,other){
var this__14452 = this;
return (o === other);
});
cljs.core.Atom;
/**
* Creates and returns an Atom with an initial value of x and zero or
* more options (in any order):
* 
* :meta metadata-map
* 
* :validator validate-fn
* 
* If metadata-map is supplied, it will be come the metadata on the
* atom. validate-fn must be nil or a side-effect-free fn of one
* argument, which will be passed the intended new state on any state
* change. If the new state is unacceptable, the validate-fn should
* return false or throw an Error.  If either of these error conditions
* occur, then the value of the atom will not change.
* @param {...*} var_args
*/
cljs.core.atom = (function() {
var atom = null;
var atom__1 = (function (x){
return (new cljs.core.Atom(x,null,null,null));
});
var atom__2 = (function() { 
var G__14521__delegate = function (x,p__14473){
var map__14495__14496 = p__14473;
var map__14495__14498 = ((cljs.core.seq_QMARK_.call(null,map__14495__14496))?cljs.core.apply.call(null,cljs.core.hash_map,map__14495__14496):map__14495__14496);
var validator__14500 = cljs.core._lookup.call(null,map__14495__14498,"\uFDD0'validator",null);
var meta__14501 = cljs.core._lookup.call(null,map__14495__14498,"\uFDD0'meta",null);
return (new cljs.core.Atom(x,meta__14501,validator__14500,null));
};
var G__14521 = function (x,var_args){
var p__14473 = null;
if (goog.isDef(var_args)) {
  p__14473 = cljs.core.array_seq(Array.prototype.slice.call(arguments, 1),0);
} 
return G__14521__delegate.call(this, x, p__14473);
};
G__14521.cljs$lang$maxFixedArity = 1;
G__14521.cljs$lang$applyTo = (function (arglist__14523){
var x = cljs.core.first(arglist__14523);
var p__14473 = cljs.core.rest(arglist__14523);
return G__14521__delegate(x, p__14473);
});
G__14521.cljs$lang$arity$variadic = G__14521__delegate;
return G__14521;
})()
;
atom = function(x,var_args){
var p__14473 = var_args;
switch(arguments.length){
case 1:
return atom__1.call(this,x);
default:
return atom__2.cljs$lang$arity$variadic(x, cljs.core.array_seq(arguments, 1));
}
throw('Invalid arity: ' + arguments.length);
};
atom.cljs$lang$maxFixedArity = 1;
atom.cljs$lang$applyTo = atom__2.cljs$lang$applyTo;
atom.cljs$lang$arity$1 = atom__1;
atom.cljs$lang$arity$variadic = atom__2.cljs$lang$arity$variadic;
return atom;
})()
;
/**
* Sets the value of atom to newval without regard for the
* current value. Returns newval.
*/
cljs.core.reset_BANG_ = (function reset_BANG_(a,new_value){
var temp__3974__auto____14529 = a.validator;
if(cljs.core.truth_(temp__3974__auto____14529))
{var validate__14530 = temp__3974__auto____14529;
if(cljs.core.truth_(validate__14530.call(null,new_value)))
{} else
{throw (new Error([cljs.core.str("Assert failed: "),cljs.core.str("Validator rejected reference state"),cljs.core.str("\n"),cljs.core.str(cljs.core.pr_str.call(null,cljs.core.with_meta(cljs.core.list("\uFDD1'validate","\uFDD1'new-value"),cljs.core.hash_map("\uFDD0'line",6409))))].join('')));
}
} else
{}
var old_value__14531 = a.state;
a.state = new_value;
cljs.core._notify_watches.call(null,a,old_value__14531,new_value);
return new_value;
});
/**
* Atomically swaps the value of atom to be:
* (apply f current-value-of-atom args). Note that f may be called
* multiple times, and thus should be free of side effects.  Returns
* the value that was swapped in.
* @param {...*} var_args
*/
cljs.core.swap_BANG_ = (function() {
var swap_BANG_ = null;
var swap_BANG___2 = (function (a,f){
return cljs.core.reset_BANG_.call(null,a,f.call(null,a.state));
});
var swap_BANG___3 = (function (a,f,x){
return cljs.core.reset_BANG_.call(null,a,f.call(null,a.state,x));
});
var swap_BANG___4 = (function (a,f,x,y){
return cljs.core.reset_BANG_.call(null,a,f.call(null,a.state,x,y));
});
var swap_BANG___5 = (function (a,f,x,y,z){
return cljs.core.reset_BANG_.call(null,a,f.call(null,a.state,x,y,z));
});
var swap_BANG___6 = (function() { 
var G__14532__delegate = function (a,f,x,y,z,more){
return cljs.core.reset_BANG_.call(null,a,cljs.core.apply.call(null,f,a.state,x,y,z,more));
};
var G__14532 = function (a,f,x,y,z,var_args){
var more = null;
if (goog.isDef(var_args)) {
  more = cljs.core.array_seq(Array.prototype.slice.call(arguments, 5),0);
} 
return G__14532__delegate.call(this, a, f, x, y, z, more);
};
G__14532.cljs$lang$maxFixedArity = 5;
G__14532.cljs$lang$applyTo = (function (arglist__14533){
var a = cljs.core.first(arglist__14533);
var f = cljs.core.first(cljs.core.next(arglist__14533));
var x = cljs.core.first(cljs.core.next(cljs.core.next(arglist__14533)));
var y = cljs.core.first(cljs.core.next(cljs.core.next(cljs.core.next(arglist__14533))));
var z = cljs.core.first(cljs.core.next(cljs.core.next(cljs.core.next(cljs.core.next(arglist__14533)))));
var more = cljs.core.rest(cljs.core.next(cljs.core.next(cljs.core.next(cljs.core.next(arglist__14533)))));
return G__14532__delegate(a, f, x, y, z, more);
});
G__14532.cljs$lang$arity$variadic = G__14532__delegate;
return G__14532;
})()
;
swap_BANG_ = function(a,f,x,y,z,var_args){
var more = var_args;
switch(arguments.length){
case 2:
return swap_BANG___2.call(this,a,f);
case 3:
return swap_BANG___3.call(this,a,f,x);
case 4:
return swap_BANG___4.call(this,a,f,x,y);
case 5:
return swap_BANG___5.call(this,a,f,x,y,z);
default:
return swap_BANG___6.cljs$lang$arity$variadic(a,f,x,y,z, cljs.core.array_seq(arguments, 5));
}
throw('Invalid arity: ' + arguments.length);
};
swap_BANG_.cljs$lang$maxFixedArity = 5;
swap_BANG_.cljs$lang$applyTo = swap_BANG___6.cljs$lang$applyTo;
swap_BANG_.cljs$lang$arity$2 = swap_BANG___2;
swap_BANG_.cljs$lang$arity$3 = swap_BANG___3;
swap_BANG_.cljs$lang$arity$4 = swap_BANG___4;
swap_BANG_.cljs$lang$arity$5 = swap_BANG___5;
swap_BANG_.cljs$lang$arity$variadic = swap_BANG___6.cljs$lang$arity$variadic;
return swap_BANG_;
})()
;
/**
* Atomically sets the value of atom to newval if and only if the
* current value of the atom is identical to oldval. Returns true if
* set happened, else false.
*/
cljs.core.compare_and_set_BANG_ = (function compare_and_set_BANG_(a,oldval,newval){
if(cljs.core._EQ_.call(null,a.state,oldval))
{cljs.core.reset_BANG_.call(null,a,newval);
return true;
} else
{return false;
}
});
cljs.core.deref = (function deref(o){
return cljs.core._deref.call(null,o);
});
/**
* Sets the validator-fn for an atom. validator-fn must be nil or a
* side-effect-free fn of one argument, which will be passed the intended
* new state on any state change. If the new state is unacceptable, the
* validator-fn should return false or throw an Error. If the current state
* is not acceptable to the new validator, an Error will be thrown and the
* validator will not be changed.
*/
cljs.core.set_validator_BANG_ = (function set_validator_BANG_(iref,val){
return iref.validator = val;
});
/**
* Gets the validator-fn for a var/ref/agent/atom.
*/
cljs.core.get_validator = (function get_validator(iref){
return iref.validator;
});
/**
* Atomically sets the metadata for a namespace/var/ref/agent/atom to be:
* 
* (apply f its-current-meta args)
* 
* f must be free of side-effects
* @param {...*} var_args
*/
cljs.core.alter_meta_BANG_ = (function() { 
var alter_meta_BANG___delegate = function (iref,f,args){
return iref.meta = cljs.core.apply.call(null,f,iref.meta,args);
};
var alter_meta_BANG_ = function (iref,f,var_args){
var args = null;
if (goog.isDef(var_args)) {
  args = cljs.core.array_seq(Array.prototype.slice.call(arguments, 2),0);
} 
return alter_meta_BANG___delegate.call(this, iref, f, args);
};
alter_meta_BANG_.cljs$lang$maxFixedArity = 2;
alter_meta_BANG_.cljs$lang$applyTo = (function (arglist__14534){
var iref = cljs.core.first(arglist__14534);
var f = cljs.core.first(cljs.core.next(arglist__14534));
var args = cljs.core.rest(cljs.core.next(arglist__14534));
return alter_meta_BANG___delegate(iref, f, args);
});
alter_meta_BANG_.cljs$lang$arity$variadic = alter_meta_BANG___delegate;
return alter_meta_BANG_;
})()
;
/**
* Atomically resets the metadata for an atom
*/
cljs.core.reset_meta_BANG_ = (function reset_meta_BANG_(iref,m){
return iref.meta = m;
});
/**
* Alpha - subject to change.
* 
* Adds a watch function to an atom reference. The watch fn must be a
* fn of 4 args: a key, the reference, its old-state, its
* new-state. Whenever the reference's state might have been changed,
* any registered watches will have their functions called. The watch
* fn will be called synchronously. Note that an atom's state
* may have changed again prior to the fn call, so use old/new-state
* rather than derefing the reference. Keys must be unique per
* reference, and can be used to remove the watch with remove-watch,
* but are otherwise considered opaque by the watch mechanism.  Bear in
* mind that regardless of the result or action of the watch fns the
* atom's value will change.  Example:
* 
* (def a (atom 0))
* (add-watch a :inc (fn [k r o n] (assert (== 0 n))))
* (swap! a inc)
* ;; Assertion Error
* (deref a)
* ;=> 1
*/
cljs.core.add_watch = (function add_watch(iref,key,f){
return cljs.core._add_watch.call(null,iref,key,f);
});
/**
* Alpha - subject to change.
* 
* Removes a watch (set by add-watch) from a reference
*/
cljs.core.remove_watch = (function remove_watch(iref,key){
return cljs.core._remove_watch.call(null,iref,key);
});
cljs.core.gensym_counter = null;
/**
* Returns a new symbol with a unique name. If a prefix string is
* supplied, the name is prefix# where # is some unique number. If
* prefix is not supplied, the prefix is 'G__'.
*/
cljs.core.gensym = (function() {
var gensym = null;
var gensym__0 = (function (){
return gensym.call(null,"G__");
});
var gensym__1 = (function (prefix_string){
if((cljs.core.gensym_counter == null))
{cljs.core.gensym_counter = cljs.core.atom.call(null,0);
} else
{}
return cljs.core.symbol.call(null,[cljs.core.str(prefix_string),cljs.core.str(cljs.core.swap_BANG_.call(null,cljs.core.gensym_counter,cljs.core.inc))].join(''));
});
gensym = function(prefix_string){
switch(arguments.length){
case 0:
return gensym__0.call(this);
case 1:
return gensym__1.call(this,prefix_string);
}
throw('Invalid arity: ' + arguments.length);
};
gensym.cljs$lang$arity$0 = gensym__0;
gensym.cljs$lang$arity$1 = gensym__1;
return gensym;
})()
;
cljs.core.fixture1 = 1;
cljs.core.fixture2 = 2;

/**
* @constructor
*/
cljs.core.Delay = (function (state,f){
this.state = state;
this.f = f;
this.cljs$lang$protocol_mask$partition1$ = 0;
this.cljs$lang$protocol_mask$partition0$ = 1073774592;
})
cljs.core.Delay.cljs$lang$type = true;
cljs.core.Delay.cljs$lang$ctorPrSeq = (function (this__4682__auto__){
return cljs.core.list.call(null,"cljs.core/Delay");
});
cljs.core.Delay.prototype.cljs$core$IPending$_realized_QMARK_$arity$1 = (function (d){
var this__14535 = this;
return (new cljs.core.Keyword("\uFDD0'done")).call(null,cljs.core.deref.call(null,this__14535.state));
});
cljs.core.Delay.prototype.cljs$core$IDeref$_deref$arity$1 = (function (_){
var this__14536 = this;
return (new cljs.core.Keyword("\uFDD0'value")).call(null,cljs.core.swap_BANG_.call(null,this__14536.state,(function (p__14537){
var curr_state__14538 = p__14537;
var curr_state__14539 = ((cljs.core.seq_QMARK_.call(null,curr_state__14538))?cljs.core.apply.call(null,cljs.core.hash_map,curr_state__14538):curr_state__14538);
var done__14540 = cljs.core._lookup.call(null,curr_state__14539,"\uFDD0'done",null);
if(cljs.core.truth_(done__14540))
{return curr_state__14539;
} else
{return cljs.core.ObjMap.fromObject(["\uFDD0'done","\uFDD0'value"],{"\uFDD0'done":true,"\uFDD0'value":this__14536.f.call(null)});
}
})));
});
cljs.core.Delay;
/**
* returns true if x is a Delay created with delay
*/
cljs.core.delay_QMARK_ = (function delay_QMARK_(x){
return cljs.core.instance_QMARK_.call(null,cljs.core.Delay,x);
});
/**
* If x is a Delay, returns the (possibly cached) value of its expression, else returns x
*/
cljs.core.force = (function force(x){
if(cljs.core.delay_QMARK_.call(null,x))
{return cljs.core.deref.call(null,x);
} else
{return x;
}
});
/**
* Returns true if a value has been produced for a promise, delay, future or lazy sequence.
*/
cljs.core.realized_QMARK_ = (function realized_QMARK_(d){
return cljs.core._realized_QMARK_.call(null,d);
});
/**
* Recursively transforms JavaScript arrays into ClojureScript
* vectors, and JavaScript objects into ClojureScript maps.  With
* option ':keywordize-keys true' will convert object fields from
* strings to keywords.
* @param {...*} var_args
*/
cljs.core.js__GT_clj = (function() { 
var js__GT_clj__delegate = function (x,options){
var map__14561__14562 = options;
var map__14561__14563 = ((cljs.core.seq_QMARK_.call(null,map__14561__14562))?cljs.core.apply.call(null,cljs.core.hash_map,map__14561__14562):map__14561__14562);
var keywordize_keys__14564 = cljs.core._lookup.call(null,map__14561__14563,"\uFDD0'keywordize-keys",null);
var keyfn__14565 = (cljs.core.truth_(keywordize_keys__14564)?cljs.core.keyword:cljs.core.str);
var f__14581 = (function thisfn(x){
if(cljs.core.seq_QMARK_.call(null,x))
{return cljs.core.doall.call(null,cljs.core.map.call(null,thisfn,x));
} else
{if(cljs.core.coll_QMARK_.call(null,x))
{return cljs.core.into.call(null,cljs.core.empty.call(null,x),cljs.core.map.call(null,thisfn,x));
} else
{if(cljs.core.truth_(goog.isArray(x)))
{return cljs.core.vec.call(null,cljs.core.map.call(null,thisfn,x));
} else
{if((cljs.core.type.call(null,x) === Object))
{return cljs.core.into.call(null,cljs.core.ObjMap.EMPTY,(function (){var iter__4839__auto____14579 = (function iter__14573(s__14574){
return (new cljs.core.LazySeq(null,false,(function (){
var s__14574__14577 = s__14574;
while(true){
if(cljs.core.seq.call(null,s__14574__14577))
{var k__14578 = cljs.core.first.call(null,s__14574__14577);
return cljs.core.cons.call(null,cljs.core.PersistentVector.fromArray([keyfn__14565.call(null,k__14578),thisfn.call(null,(x[k__14578]))], true),iter__14573.call(null,cljs.core.rest.call(null,s__14574__14577)));
} else
{return null;
}
break;
}
}),null));
});
return iter__4839__auto____14579.call(null,cljs.core.js_keys.call(null,x));
})());
} else
{if("\uFDD0'else")
{return x;
} else
{return null;
}
}
}
}
}
});
return f__14581.call(null,x);
};
var js__GT_clj = function (x,var_args){
var options = null;
if (goog.isDef(var_args)) {
  options = cljs.core.array_seq(Array.prototype.slice.call(arguments, 1),0);
} 
return js__GT_clj__delegate.call(this, x, options);
};
js__GT_clj.cljs$lang$maxFixedArity = 1;
js__GT_clj.cljs$lang$applyTo = (function (arglist__14598){
var x = cljs.core.first(arglist__14598);
var options = cljs.core.rest(arglist__14598);
return js__GT_clj__delegate(x, options);
});
js__GT_clj.cljs$lang$arity$variadic = js__GT_clj__delegate;
return js__GT_clj;
})()
;
/**
* Returns a memoized version of a referentially transparent function. The
* memoized version of the function keeps a cache of the mapping from arguments
* to results and, when calls with the same arguments are repeated often, has
* higher performance at the expense of higher memory use.
*/
cljs.core.memoize = (function memoize(f){
var mem__14603 = cljs.core.atom.call(null,cljs.core.ObjMap.EMPTY);
return (function() { 
var G__14607__delegate = function (args){
var temp__3971__auto____14604 = cljs.core._lookup.call(null,cljs.core.deref.call(null,mem__14603),args,null);
if(cljs.core.truth_(temp__3971__auto____14604))
{var v__14605 = temp__3971__auto____14604;
return v__14605;
} else
{var ret__14606 = cljs.core.apply.call(null,f,args);
cljs.core.swap_BANG_.call(null,mem__14603,cljs.core.assoc,args,ret__14606);
return ret__14606;
}
};
var G__14607 = function (var_args){
var args = null;
if (goog.isDef(var_args)) {
  args = cljs.core.array_seq(Array.prototype.slice.call(arguments, 0),0);
} 
return G__14607__delegate.call(this, args);
};
G__14607.cljs$lang$maxFixedArity = 0;
G__14607.cljs$lang$applyTo = (function (arglist__14608){
var args = cljs.core.seq(arglist__14608);;
return G__14607__delegate(args);
});
G__14607.cljs$lang$arity$variadic = G__14607__delegate;
return G__14607;
})()
;
});
/**
* trampoline can be used to convert algorithms requiring mutual
* recursion without stack consumption. Calls f with supplied args, if
* any. If f returns a fn, calls that fn with no arguments, and
* continues to repeat, until the return value is not a fn, then
* returns that non-fn value. Note that if you want to return a fn as a
* final value, you must wrap it in some data structure and unpack it
* after trampoline returns.
* @param {...*} var_args
*/
cljs.core.trampoline = (function() {
var trampoline = null;
var trampoline__1 = (function (f){
while(true){
var ret__14610 = f.call(null);
if(cljs.core.fn_QMARK_.call(null,ret__14610))
{{
var G__14618 = ret__14610;
f = G__14618;
continue;
}
} else
{return ret__14610;
}
break;
}
});
var trampoline__2 = (function() { 
var G__14622__delegate = function (f,args){
return trampoline.call(null,(function (){
return cljs.core.apply.call(null,f,args);
}));
};
var G__14622 = function (f,var_args){
var args = null;
if (goog.isDef(var_args)) {
  args = cljs.core.array_seq(Array.prototype.slice.call(arguments, 1),0);
} 
return G__14622__delegate.call(this, f, args);
};
G__14622.cljs$lang$maxFixedArity = 1;
G__14622.cljs$lang$applyTo = (function (arglist__14625){
var f = cljs.core.first(arglist__14625);
var args = cljs.core.rest(arglist__14625);
return G__14622__delegate(f, args);
});
G__14622.cljs$lang$arity$variadic = G__14622__delegate;
return G__14622;
})()
;
trampoline = function(f,var_args){
var args = var_args;
switch(arguments.length){
case 1:
return trampoline__1.call(this,f);
default:
return trampoline__2.cljs$lang$arity$variadic(f, cljs.core.array_seq(arguments, 1));
}
throw('Invalid arity: ' + arguments.length);
};
trampoline.cljs$lang$maxFixedArity = 1;
trampoline.cljs$lang$applyTo = trampoline__2.cljs$lang$applyTo;
trampoline.cljs$lang$arity$1 = trampoline__1;
trampoline.cljs$lang$arity$variadic = trampoline__2.cljs$lang$arity$variadic;
return trampoline;
})()
;
/**
* Returns a random floating point number between 0 (inclusive) and
* n (default 1) (exclusive).
*/
cljs.core.rand = (function() {
var rand = null;
var rand__0 = (function (){
return rand.call(null,1);
});
var rand__1 = (function (n){
return (Math.random.call(null) * n);
});
rand = function(n){
switch(arguments.length){
case 0:
return rand__0.call(this);
case 1:
return rand__1.call(this,n);
}
throw('Invalid arity: ' + arguments.length);
};
rand.cljs$lang$arity$0 = rand__0;
rand.cljs$lang$arity$1 = rand__1;
return rand;
})()
;
/**
* Returns a random integer between 0 (inclusive) and n (exclusive).
*/
cljs.core.rand_int = (function rand_int(n){
return Math.floor.call(null,(Math.random.call(null) * n));
});
/**
* Return a random element of the (sequential) collection. Will have
* the same performance characteristics as nth for the given
* collection.
*/
cljs.core.rand_nth = (function rand_nth(coll){
return cljs.core.nth.call(null,coll,cljs.core.rand_int.call(null,cljs.core.count.call(null,coll)));
});
/**
* Returns a map of the elements of coll keyed by the result of
* f on each element. The value at each key will be a vector of the
* corresponding elements, in the order they appeared in coll.
*/
cljs.core.group_by = (function group_by(f,coll){
return cljs.core.reduce.call(null,(function (ret,x){
var k__14627 = f.call(null,x);
return cljs.core.assoc.call(null,ret,k__14627,cljs.core.conj.call(null,cljs.core._lookup.call(null,ret,k__14627,cljs.core.PersistentVector.EMPTY),x));
}),cljs.core.ObjMap.EMPTY,coll);
});
/**
* Creates a hierarchy object for use with derive, isa? etc.
*/
cljs.core.make_hierarchy = (function make_hierarchy(){
return cljs.core.ObjMap.fromObject(["\uFDD0'parents","\uFDD0'descendants","\uFDD0'ancestors"],{"\uFDD0'parents":cljs.core.ObjMap.EMPTY,"\uFDD0'descendants":cljs.core.ObjMap.EMPTY,"\uFDD0'ancestors":cljs.core.ObjMap.EMPTY});
});
cljs.core.global_hierarchy = cljs.core.atom.call(null,cljs.core.make_hierarchy.call(null));
/**
* Returns true if (= child parent), or child is directly or indirectly derived from
* parent, either via a JavaScript type inheritance relationship or a
* relationship established via derive. h must be a hierarchy obtained
* from make-hierarchy, if not supplied defaults to the global
* hierarchy
*/
cljs.core.isa_QMARK_ = (function() {
var isa_QMARK_ = null;
var isa_QMARK___2 = (function (child,parent){
return isa_QMARK_.call(null,cljs.core.deref.call(null,cljs.core.global_hierarchy),child,parent);
});
var isa_QMARK___3 = (function (h,child,parent){
var or__3824__auto____14639 = cljs.core._EQ_.call(null,child,parent);
if(or__3824__auto____14639)
{return or__3824__auto____14639;
} else
{var or__3824__auto____14640 = cljs.core.contains_QMARK_.call(null,(new cljs.core.Keyword("\uFDD0'ancestors")).call(null,h).call(null,child),parent);
if(or__3824__auto____14640)
{return or__3824__auto____14640;
} else
{var and__3822__auto____14641 = cljs.core.vector_QMARK_.call(null,parent);
if(and__3822__auto____14641)
{var and__3822__auto____14642 = cljs.core.vector_QMARK_.call(null,child);
if(and__3822__auto____14642)
{var and__3822__auto____14643 = (cljs.core.count.call(null,parent) === cljs.core.count.call(null,child));
if(and__3822__auto____14643)
{var ret__14644 = true;
var i__14645 = 0;
while(true){
if((function (){var or__3824__auto____14646 = cljs.core.not.call(null,ret__14644);
if(or__3824__auto____14646)
{return or__3824__auto____14646;
} else
{return (i__14645 === cljs.core.count.call(null,parent));
}
})())
{return ret__14644;
} else
{{
var G__14652 = isa_QMARK_.call(null,h,child.call(null,i__14645),parent.call(null,i__14645));
var G__14653 = (i__14645 + 1);
ret__14644 = G__14652;
i__14645 = G__14653;
continue;
}
}
break;
}
} else
{return and__3822__auto____14643;
}
} else
{return and__3822__auto____14642;
}
} else
{return and__3822__auto____14641;
}
}
}
});
isa_QMARK_ = function(h,child,parent){
switch(arguments.length){
case 2:
return isa_QMARK___2.call(this,h,child);
case 3:
return isa_QMARK___3.call(this,h,child,parent);
}
throw('Invalid arity: ' + arguments.length);
};
isa_QMARK_.cljs$lang$arity$2 = isa_QMARK___2;
isa_QMARK_.cljs$lang$arity$3 = isa_QMARK___3;
return isa_QMARK_;
})()
;
/**
* Returns the immediate parents of tag, either via a JavaScript type
* inheritance relationship or a relationship established via derive. h
* must be a hierarchy obtained from make-hierarchy, if not supplied
* defaults to the global hierarchy
*/
cljs.core.parents = (function() {
var parents = null;
var parents__1 = (function (tag){
return parents.call(null,cljs.core.deref.call(null,cljs.core.global_hierarchy),tag);
});
var parents__2 = (function (h,tag){
return cljs.core.not_empty.call(null,cljs.core._lookup.call(null,(new cljs.core.Keyword("\uFDD0'parents")).call(null,h),tag,null));
});
parents = function(h,tag){
switch(arguments.length){
case 1:
return parents__1.call(this,h);
case 2:
return parents__2.call(this,h,tag);
}
throw('Invalid arity: ' + arguments.length);
};
parents.cljs$lang$arity$1 = parents__1;
parents.cljs$lang$arity$2 = parents__2;
return parents;
})()
;
/**
* Returns the immediate and indirect parents of tag, either via a JavaScript type
* inheritance relationship or a relationship established via derive. h
* must be a hierarchy obtained from make-hierarchy, if not supplied
* defaults to the global hierarchy
*/
cljs.core.ancestors = (function() {
var ancestors = null;
var ancestors__1 = (function (tag){
return ancestors.call(null,cljs.core.deref.call(null,cljs.core.global_hierarchy),tag);
});
var ancestors__2 = (function (h,tag){
return cljs.core.not_empty.call(null,cljs.core._lookup.call(null,(new cljs.core.Keyword("\uFDD0'ancestors")).call(null,h),tag,null));
});
ancestors = function(h,tag){
switch(arguments.length){
case 1:
return ancestors__1.call(this,h);
case 2:
return ancestors__2.call(this,h,tag);
}
throw('Invalid arity: ' + arguments.length);
};
ancestors.cljs$lang$arity$1 = ancestors__1;
ancestors.cljs$lang$arity$2 = ancestors__2;
return ancestors;
})()
;
/**
* Returns the immediate and indirect children of tag, through a
* relationship established via derive. h must be a hierarchy obtained
* from make-hierarchy, if not supplied defaults to the global
* hierarchy. Note: does not work on JavaScript type inheritance
* relationships.
*/
cljs.core.descendants = (function() {
var descendants = null;
var descendants__1 = (function (tag){
return descendants.call(null,cljs.core.deref.call(null,cljs.core.global_hierarchy),tag);
});
var descendants__2 = (function (h,tag){
return cljs.core.not_empty.call(null,cljs.core._lookup.call(null,(new cljs.core.Keyword("\uFDD0'descendants")).call(null,h),tag,null));
});
descendants = function(h,tag){
switch(arguments.length){
case 1:
return descendants__1.call(this,h);
case 2:
return descendants__2.call(this,h,tag);
}
throw('Invalid arity: ' + arguments.length);
};
descendants.cljs$lang$arity$1 = descendants__1;
descendants.cljs$lang$arity$2 = descendants__2;
return descendants;
})()
;
/**
* Establishes a parent/child relationship between parent and
* tag. Parent must be a namespace-qualified symbol or keyword and
* child can be either a namespace-qualified symbol or keyword or a
* class. h must be a hierarchy obtained from make-hierarchy, if not
* supplied defaults to, and modifies, the global hierarchy.
*/
cljs.core.derive = (function() {
var derive = null;
var derive__2 = (function (tag,parent){
if(cljs.core.truth_(cljs.core.namespace.call(null,parent)))
{} else
{throw (new Error([cljs.core.str("Assert failed: "),cljs.core.str(cljs.core.pr_str.call(null,cljs.core.with_meta(cljs.core.list("\uFDD1'namespace","\uFDD1'parent"),cljs.core.hash_map("\uFDD0'line",6693))))].join('')));
}
cljs.core.swap_BANG_.call(null,cljs.core.global_hierarchy,derive,tag,parent);
return null;
});
var derive__3 = (function (h,tag,parent){
if(cljs.core.not_EQ_.call(null,tag,parent))
{} else
{throw (new Error([cljs.core.str("Assert failed: "),cljs.core.str(cljs.core.pr_str.call(null,cljs.core.with_meta(cljs.core.list("\uFDD1'not=","\uFDD1'tag","\uFDD1'parent"),cljs.core.hash_map("\uFDD0'line",6697))))].join('')));
}
var tp__14664 = (new cljs.core.Keyword("\uFDD0'parents")).call(null,h);
var td__14665 = (new cljs.core.Keyword("\uFDD0'descendants")).call(null,h);
var ta__14666 = (new cljs.core.Keyword("\uFDD0'ancestors")).call(null,h);
var tf__14667 = (function (m,source,sources,target,targets){
return cljs.core.reduce.call(null,(function (ret,k){
return cljs.core.assoc.call(null,ret,k,cljs.core.reduce.call(null,cljs.core.conj,cljs.core._lookup.call(null,targets,k,cljs.core.set([])),cljs.core.cons.call(null,target,targets.call(null,target))));
}),m,cljs.core.cons.call(null,source,sources.call(null,source)));
});
var or__3824__auto____14668 = ((cljs.core.contains_QMARK_.call(null,tp__14664.call(null,tag),parent))?null:(function (){if(cljs.core.contains_QMARK_.call(null,ta__14666.call(null,tag),parent))
{throw (new Error([cljs.core.str(tag),cljs.core.str("already has"),cljs.core.str(parent),cljs.core.str("as ancestor")].join('')));
} else
{}
if(cljs.core.contains_QMARK_.call(null,ta__14666.call(null,parent),tag))
{throw (new Error([cljs.core.str("Cyclic derivation:"),cljs.core.str(parent),cljs.core.str("has"),cljs.core.str(tag),cljs.core.str("as ancestor")].join('')));
} else
{}
return cljs.core.ObjMap.fromObject(["\uFDD0'parents","\uFDD0'ancestors","\uFDD0'descendants"],{"\uFDD0'parents":cljs.core.assoc.call(null,(new cljs.core.Keyword("\uFDD0'parents")).call(null,h),tag,cljs.core.conj.call(null,cljs.core._lookup.call(null,tp__14664,tag,cljs.core.set([])),parent)),"\uFDD0'ancestors":tf__14667.call(null,(new cljs.core.Keyword("\uFDD0'ancestors")).call(null,h),tag,td__14665,parent,ta__14666),"\uFDD0'descendants":tf__14667.call(null,(new cljs.core.Keyword("\uFDD0'descendants")).call(null,h),parent,ta__14666,tag,td__14665)});
})());
if(cljs.core.truth_(or__3824__auto____14668))
{return or__3824__auto____14668;
} else
{return h;
}
});
derive = function(h,tag,parent){
switch(arguments.length){
case 2:
return derive__2.call(this,h,tag);
case 3:
return derive__3.call(this,h,tag,parent);
}
throw('Invalid arity: ' + arguments.length);
};
derive.cljs$lang$arity$2 = derive__2;
derive.cljs$lang$arity$3 = derive__3;
return derive;
})()
;
/**
* Removes a parent/child relationship between parent and
* tag. h must be a hierarchy obtained from make-hierarchy, if not
* supplied defaults to, and modifies, the global hierarchy.
*/
cljs.core.underive = (function() {
var underive = null;
var underive__2 = (function (tag,parent){
cljs.core.swap_BANG_.call(null,cljs.core.global_hierarchy,underive,tag,parent);
return null;
});
var underive__3 = (function (h,tag,parent){
var parentMap__14673 = (new cljs.core.Keyword("\uFDD0'parents")).call(null,h);
var childsParents__14674 = (cljs.core.truth_(parentMap__14673.call(null,tag))?cljs.core.disj.call(null,parentMap__14673.call(null,tag),parent):cljs.core.set([]));
var newParents__14675 = (cljs.core.truth_(cljs.core.not_empty.call(null,childsParents__14674))?cljs.core.assoc.call(null,parentMap__14673,tag,childsParents__14674):cljs.core.dissoc.call(null,parentMap__14673,tag));
var deriv_seq__14676 = cljs.core.flatten.call(null,cljs.core.map.call(null,(function (p1__14656_SHARP_){
return cljs.core.cons.call(null,cljs.core.first.call(null,p1__14656_SHARP_),cljs.core.interpose.call(null,cljs.core.first.call(null,p1__14656_SHARP_),cljs.core.second.call(null,p1__14656_SHARP_)));
}),cljs.core.seq.call(null,newParents__14675)));
if(cljs.core.contains_QMARK_.call(null,parentMap__14673.call(null,tag),parent))
{return cljs.core.reduce.call(null,(function (p1__14657_SHARP_,p2__14658_SHARP_){
return cljs.core.apply.call(null,cljs.core.derive,p1__14657_SHARP_,p2__14658_SHARP_);
}),cljs.core.make_hierarchy.call(null),cljs.core.partition.call(null,2,deriv_seq__14676));
} else
{return h;
}
});
underive = function(h,tag,parent){
switch(arguments.length){
case 2:
return underive__2.call(this,h,tag);
case 3:
return underive__3.call(this,h,tag,parent);
}
throw('Invalid arity: ' + arguments.length);
};
underive.cljs$lang$arity$2 = underive__2;
underive.cljs$lang$arity$3 = underive__3;
return underive;
})()
;
cljs.core.reset_cache = (function reset_cache(method_cache,method_table,cached_hierarchy,hierarchy){
cljs.core.swap_BANG_.call(null,method_cache,(function (_){
return cljs.core.deref.call(null,method_table);
}));
return cljs.core.swap_BANG_.call(null,cached_hierarchy,(function (_){
return cljs.core.deref.call(null,hierarchy);
}));
});
cljs.core.prefers_STAR_ = (function prefers_STAR_(x,y,prefer_table){
var xprefs__14685 = cljs.core.deref.call(null,prefer_table).call(null,x);
var or__3824__auto____14687 = (cljs.core.truth_((function (){var and__3822__auto____14686 = xprefs__14685;
if(cljs.core.truth_(and__3822__auto____14686))
{return xprefs__14685.call(null,y);
} else
{return and__3822__auto____14686;
}
})())?true:null);
if(cljs.core.truth_(or__3824__auto____14687))
{return or__3824__auto____14687;
} else
{var or__3824__auto____14689 = (function (){var ps__14688 = cljs.core.parents.call(null,y);
while(true){
if((cljs.core.count.call(null,ps__14688) > 0))
{if(cljs.core.truth_(prefers_STAR_.call(null,x,cljs.core.first.call(null,ps__14688),prefer_table)))
{} else
{}
{
var G__14699 = cljs.core.rest.call(null,ps__14688);
ps__14688 = G__14699;
continue;
}
} else
{return null;
}
break;
}
})();
if(cljs.core.truth_(or__3824__auto____14689))
{return or__3824__auto____14689;
} else
{var or__3824__auto____14691 = (function (){var ps__14690 = cljs.core.parents.call(null,x);
while(true){
if((cljs.core.count.call(null,ps__14690) > 0))
{if(cljs.core.truth_(prefers_STAR_.call(null,cljs.core.first.call(null,ps__14690),y,prefer_table)))
{} else
{}
{
var G__14707 = cljs.core.rest.call(null,ps__14690);
ps__14690 = G__14707;
continue;
}
} else
{return null;
}
break;
}
})();
if(cljs.core.truth_(or__3824__auto____14691))
{return or__3824__auto____14691;
} else
{return false;
}
}
}
});
cljs.core.dominates = (function dominates(x,y,prefer_table){
var or__3824__auto____14709 = cljs.core.prefers_STAR_.call(null,x,y,prefer_table);
if(cljs.core.truth_(or__3824__auto____14709))
{return or__3824__auto____14709;
} else
{return cljs.core.isa_QMARK_.call(null,x,y);
}
});
cljs.core.find_and_cache_best_method = (function find_and_cache_best_method(name,dispatch_val,hierarchy,method_table,prefer_table,method_cache,cached_hierarchy){
var best_entry__14727 = cljs.core.reduce.call(null,(function (be,p__14719){
var vec__14720__14721 = p__14719;
var k__14722 = cljs.core.nth.call(null,vec__14720__14721,0,null);
var ___14723 = cljs.core.nth.call(null,vec__14720__14721,1,null);
var e__14724 = vec__14720__14721;
if(cljs.core.isa_QMARK_.call(null,dispatch_val,k__14722))
{var be2__14726 = (cljs.core.truth_((function (){var or__3824__auto____14725 = (be == null);
if(or__3824__auto____14725)
{return or__3824__auto____14725;
} else
{return cljs.core.dominates.call(null,k__14722,cljs.core.first.call(null,be),prefer_table);
}
})())?e__14724:be);
if(cljs.core.truth_(cljs.core.dominates.call(null,cljs.core.first.call(null,be2__14726),k__14722,prefer_table)))
{} else
{throw (new Error([cljs.core.str("Multiple methods in multimethod '"),cljs.core.str(name),cljs.core.str("' match dispatch value: "),cljs.core.str(dispatch_val),cljs.core.str(" -> "),cljs.core.str(k__14722),cljs.core.str(" and "),cljs.core.str(cljs.core.first.call(null,be2__14726)),cljs.core.str(", and neither is preferred")].join('')));
}
return be2__14726;
} else
{return be;
}
}),null,cljs.core.deref.call(null,method_table));
if(cljs.core.truth_(best_entry__14727))
{if(cljs.core._EQ_.call(null,cljs.core.deref.call(null,cached_hierarchy),cljs.core.deref.call(null,hierarchy)))
{cljs.core.swap_BANG_.call(null,method_cache,cljs.core.assoc,dispatch_val,cljs.core.second.call(null,best_entry__14727));
return cljs.core.second.call(null,best_entry__14727);
} else
{cljs.core.reset_cache.call(null,method_cache,method_table,cached_hierarchy,hierarchy);
return find_and_cache_best_method.call(null,name,dispatch_val,hierarchy,method_table,prefer_table,method_cache,cached_hierarchy);
}
} else
{return null;
}
});
void 0;cljs.core.IMultiFn = {};
cljs.core._reset = (function _reset(mf){
if((function (){var and__3822__auto____14739 = mf;
if(and__3822__auto____14739)
{return mf.cljs$core$IMultiFn$_reset$arity$1;
} else
{return and__3822__auto____14739;
}
})())
{return mf.cljs$core$IMultiFn$_reset$arity$1(mf);
} else
{return (function (){var or__3824__auto____14740 = (cljs.core._reset[goog.typeOf(mf)]);
if(or__3824__auto____14740)
{return or__3824__auto____14740;
} else
{var or__3824__auto____14741 = (cljs.core._reset["_"]);
if(or__3824__auto____14741)
{return or__3824__auto____14741;
} else
{throw cljs.core.missing_protocol.call(null,"IMultiFn.-reset",mf);
}
}
})().call(null,mf);
}
});
cljs.core._add_method = (function _add_method(mf,dispatch_val,method){
if((function (){var and__3822__auto____14745 = mf;
if(and__3822__auto____14745)
{return mf.cljs$core$IMultiFn$_add_method$arity$3;
} else
{return and__3822__auto____14745;
}
})())
{return mf.cljs$core$IMultiFn$_add_method$arity$3(mf,dispatch_val,method);
} else
{return (function (){var or__3824__auto____14746 = (cljs.core._add_method[goog.typeOf(mf)]);
if(or__3824__auto____14746)
{return or__3824__auto____14746;
} else
{var or__3824__auto____14747 = (cljs.core._add_method["_"]);
if(or__3824__auto____14747)
{return or__3824__auto____14747;
} else
{throw cljs.core.missing_protocol.call(null,"IMultiFn.-add-method",mf);
}
}
})().call(null,mf,dispatch_val,method);
}
});
cljs.core._remove_method = (function _remove_method(mf,dispatch_val){
if((function (){var and__3822__auto____14751 = mf;
if(and__3822__auto____14751)
{return mf.cljs$core$IMultiFn$_remove_method$arity$2;
} else
{return and__3822__auto____14751;
}
})())
{return mf.cljs$core$IMultiFn$_remove_method$arity$2(mf,dispatch_val);
} else
{return (function (){var or__3824__auto____14752 = (cljs.core._remove_method[goog.typeOf(mf)]);
if(or__3824__auto____14752)
{return or__3824__auto____14752;
} else
{var or__3824__auto____14753 = (cljs.core._remove_method["_"]);
if(or__3824__auto____14753)
{return or__3824__auto____14753;
} else
{throw cljs.core.missing_protocol.call(null,"IMultiFn.-remove-method",mf);
}
}
})().call(null,mf,dispatch_val);
}
});
cljs.core._prefer_method = (function _prefer_method(mf,dispatch_val,dispatch_val_y){
if((function (){var and__3822__auto____14757 = mf;
if(and__3822__auto____14757)
{return mf.cljs$core$IMultiFn$_prefer_method$arity$3;
} else
{return and__3822__auto____14757;
}
})())
{return mf.cljs$core$IMultiFn$_prefer_method$arity$3(mf,dispatch_val,dispatch_val_y);
} else
{return (function (){var or__3824__auto____14758 = (cljs.core._prefer_method[goog.typeOf(mf)]);
if(or__3824__auto____14758)
{return or__3824__auto____14758;
} else
{var or__3824__auto____14759 = (cljs.core._prefer_method["_"]);
if(or__3824__auto____14759)
{return or__3824__auto____14759;
} else
{throw cljs.core.missing_protocol.call(null,"IMultiFn.-prefer-method",mf);
}
}
})().call(null,mf,dispatch_val,dispatch_val_y);
}
});
cljs.core._get_method = (function _get_method(mf,dispatch_val){
if((function (){var and__3822__auto____14763 = mf;
if(and__3822__auto____14763)
{return mf.cljs$core$IMultiFn$_get_method$arity$2;
} else
{return and__3822__auto____14763;
}
})())
{return mf.cljs$core$IMultiFn$_get_method$arity$2(mf,dispatch_val);
} else
{return (function (){var or__3824__auto____14764 = (cljs.core._get_method[goog.typeOf(mf)]);
if(or__3824__auto____14764)
{return or__3824__auto____14764;
} else
{var or__3824__auto____14765 = (cljs.core._get_method["_"]);
if(or__3824__auto____14765)
{return or__3824__auto____14765;
} else
{throw cljs.core.missing_protocol.call(null,"IMultiFn.-get-method",mf);
}
}
})().call(null,mf,dispatch_val);
}
});
cljs.core._methods = (function _methods(mf){
if((function (){var and__3822__auto____14769 = mf;
if(and__3822__auto____14769)
{return mf.cljs$core$IMultiFn$_methods$arity$1;
} else
{return and__3822__auto____14769;
}
})())
{return mf.cljs$core$IMultiFn$_methods$arity$1(mf);
} else
{return (function (){var or__3824__auto____14770 = (cljs.core._methods[goog.typeOf(mf)]);
if(or__3824__auto____14770)
{return or__3824__auto____14770;
} else
{var or__3824__auto____14771 = (cljs.core._methods["_"]);
if(or__3824__auto____14771)
{return or__3824__auto____14771;
} else
{throw cljs.core.missing_protocol.call(null,"IMultiFn.-methods",mf);
}
}
})().call(null,mf);
}
});
cljs.core._prefers = (function _prefers(mf){
if((function (){var and__3822__auto____14775 = mf;
if(and__3822__auto____14775)
{return mf.cljs$core$IMultiFn$_prefers$arity$1;
} else
{return and__3822__auto____14775;
}
})())
{return mf.cljs$core$IMultiFn$_prefers$arity$1(mf);
} else
{return (function (){var or__3824__auto____14776 = (cljs.core._prefers[goog.typeOf(mf)]);
if(or__3824__auto____14776)
{return or__3824__auto____14776;
} else
{var or__3824__auto____14777 = (cljs.core._prefers["_"]);
if(or__3824__auto____14777)
{return or__3824__auto____14777;
} else
{throw cljs.core.missing_protocol.call(null,"IMultiFn.-prefers",mf);
}
}
})().call(null,mf);
}
});
cljs.core._dispatch = (function _dispatch(mf,args){
if((function (){var and__3822__auto____14781 = mf;
if(and__3822__auto____14781)
{return mf.cljs$core$IMultiFn$_dispatch$arity$2;
} else
{return and__3822__auto____14781;
}
})())
{return mf.cljs$core$IMultiFn$_dispatch$arity$2(mf,args);
} else
{return (function (){var or__3824__auto____14782 = (cljs.core._dispatch[goog.typeOf(mf)]);
if(or__3824__auto____14782)
{return or__3824__auto____14782;
} else
{var or__3824__auto____14783 = (cljs.core._dispatch["_"]);
if(or__3824__auto____14783)
{return or__3824__auto____14783;
} else
{throw cljs.core.missing_protocol.call(null,"IMultiFn.-dispatch",mf);
}
}
})().call(null,mf,args);
}
});
void 0;cljs.core.do_dispatch = (function do_dispatch(mf,dispatch_fn,args){
var dispatch_val__14793 = cljs.core.apply.call(null,dispatch_fn,args);
var target_fn__14794 = cljs.core._get_method.call(null,mf,dispatch_val__14793);
if(cljs.core.truth_(target_fn__14794))
{} else
{throw (new Error([cljs.core.str("No method in multimethod '"),cljs.core.str(cljs.core.name),cljs.core.str("' for dispatch value: "),cljs.core.str(dispatch_val__14793)].join('')));
}
return cljs.core.apply.call(null,target_fn__14794,args);
});

/**
* @constructor
*/
cljs.core.MultiFn = (function (name,dispatch_fn,default_dispatch_val,hierarchy,method_table,prefer_table,method_cache,cached_hierarchy){
this.name = name;
this.dispatch_fn = dispatch_fn;
this.default_dispatch_val = default_dispatch_val;
this.hierarchy = hierarchy;
this.method_table = method_table;
this.prefer_table = prefer_table;
this.method_cache = method_cache;
this.cached_hierarchy = cached_hierarchy;
this.cljs$lang$protocol_mask$partition0$ = 4194304;
this.cljs$lang$protocol_mask$partition1$ = 64;
})
cljs.core.MultiFn.cljs$lang$type = true;
cljs.core.MultiFn.cljs$lang$ctorPrSeq = (function (this__4682__auto__){
return cljs.core.list.call(null,"cljs.core/MultiFn");
});
cljs.core.MultiFn.prototype.cljs$core$IHash$_hash$arity$1 = (function (this$){
var this__14797 = this;
return goog.getUid(this$);
});
cljs.core.MultiFn.prototype.cljs$core$IMultiFn$_reset$arity$1 = (function (mf){
var this__14798 = this;
cljs.core.swap_BANG_.call(null,this__14798.method_table,(function (mf){
return cljs.core.ObjMap.EMPTY;
}));
cljs.core.swap_BANG_.call(null,this__14798.method_cache,(function (mf){
return cljs.core.ObjMap.EMPTY;
}));
cljs.core.swap_BANG_.call(null,this__14798.prefer_table,(function (mf){
return cljs.core.ObjMap.EMPTY;
}));
cljs.core.swap_BANG_.call(null,this__14798.cached_hierarchy,(function (mf){
return null;
}));
return mf;
});
cljs.core.MultiFn.prototype.cljs$core$IMultiFn$_add_method$arity$3 = (function (mf,dispatch_val,method){
var this__14799 = this;
cljs.core.swap_BANG_.call(null,this__14799.method_table,cljs.core.assoc,dispatch_val,method);
cljs.core.reset_cache.call(null,this__14799.method_cache,this__14799.method_table,this__14799.cached_hierarchy,this__14799.hierarchy);
return mf;
});
cljs.core.MultiFn.prototype.cljs$core$IMultiFn$_remove_method$arity$2 = (function (mf,dispatch_val){
var this__14800 = this;
cljs.core.swap_BANG_.call(null,this__14800.method_table,cljs.core.dissoc,dispatch_val);
cljs.core.reset_cache.call(null,this__14800.method_cache,this__14800.method_table,this__14800.cached_hierarchy,this__14800.hierarchy);
return mf;
});
cljs.core.MultiFn.prototype.cljs$core$IMultiFn$_get_method$arity$2 = (function (mf,dispatch_val){
var this__14801 = this;
if(cljs.core._EQ_.call(null,cljs.core.deref.call(null,this__14801.cached_hierarchy),cljs.core.deref.call(null,this__14801.hierarchy)))
{} else
{cljs.core.reset_cache.call(null,this__14801.method_cache,this__14801.method_table,this__14801.cached_hierarchy,this__14801.hierarchy);
}
var temp__3971__auto____14836 = cljs.core.deref.call(null,this__14801.method_cache).call(null,dispatch_val);
if(cljs.core.truth_(temp__3971__auto____14836))
{var target_fn__14838 = temp__3971__auto____14836;
return target_fn__14838;
} else
{var temp__3971__auto____14840 = cljs.core.find_and_cache_best_method.call(null,this__14801.name,dispatch_val,this__14801.hierarchy,this__14801.method_table,this__14801.prefer_table,this__14801.method_cache,this__14801.cached_hierarchy);
if(cljs.core.truth_(temp__3971__auto____14840))
{var target_fn__14841 = temp__3971__auto____14840;
return target_fn__14841;
} else
{return cljs.core.deref.call(null,this__14801.method_table).call(null,this__14801.default_dispatch_val);
}
}
});
cljs.core.MultiFn.prototype.cljs$core$IMultiFn$_prefer_method$arity$3 = (function (mf,dispatch_val_x,dispatch_val_y){
var this__14844 = this;
if(cljs.core.truth_(cljs.core.prefers_STAR_.call(null,dispatch_val_x,dispatch_val_y,this__14844.prefer_table)))
{throw (new Error([cljs.core.str("Preference conflict in multimethod '"),cljs.core.str(this__14844.name),cljs.core.str("': "),cljs.core.str(dispatch_val_y),cljs.core.str(" is already preferred to "),cljs.core.str(dispatch_val_x)].join('')));
} else
{}
cljs.core.swap_BANG_.call(null,this__14844.prefer_table,(function (old){
return cljs.core.assoc.call(null,old,dispatch_val_x,cljs.core.conj.call(null,cljs.core._lookup.call(null,old,dispatch_val_x,cljs.core.set([])),dispatch_val_y));
}));
return cljs.core.reset_cache.call(null,this__14844.method_cache,this__14844.method_table,this__14844.cached_hierarchy,this__14844.hierarchy);
});
cljs.core.MultiFn.prototype.cljs$core$IMultiFn$_methods$arity$1 = (function (mf){
var this__14846 = this;
return cljs.core.deref.call(null,this__14846.method_table);
});
cljs.core.MultiFn.prototype.cljs$core$IMultiFn$_prefers$arity$1 = (function (mf){
var this__14847 = this;
return cljs.core.deref.call(null,this__14847.prefer_table);
});
cljs.core.MultiFn.prototype.cljs$core$IMultiFn$_dispatch$arity$2 = (function (mf,args){
var this__14848 = this;
return cljs.core.do_dispatch.call(null,mf,this__14848.dispatch_fn,args);
});
cljs.core.MultiFn;
cljs.core.MultiFn.prototype.call = (function() { 
var G__14857__delegate = function (_,args){
var self__14856 = this;
return cljs.core._dispatch.call(null,self__14856,args);
};
var G__14857 = function (_,var_args){
var args = null;
if (goog.isDef(var_args)) {
  args = cljs.core.array_seq(Array.prototype.slice.call(arguments, 1),0);
} 
return G__14857__delegate.call(this, _, args);
};
G__14857.cljs$lang$maxFixedArity = 1;
G__14857.cljs$lang$applyTo = (function (arglist__14858){
var _ = cljs.core.first(arglist__14858);
var args = cljs.core.rest(arglist__14858);
return G__14857__delegate(_, args);
});
G__14857.cljs$lang$arity$variadic = G__14857__delegate;
return G__14857;
})()
;
cljs.core.MultiFn.prototype.apply = (function (_,args){
var self__14859 = this;
return cljs.core._dispatch.call(null,self__14859,args);
});
/**
* Removes all of the methods of multimethod.
*/
cljs.core.remove_all_methods = (function remove_all_methods(multifn){
return cljs.core._reset.call(null,multifn);
});
/**
* Removes the method of multimethod associated with dispatch-value.
*/
cljs.core.remove_method = (function remove_method(multifn,dispatch_val){
return cljs.core._remove_method.call(null,multifn,dispatch_val);
});
/**
* Causes the multimethod to prefer matches of dispatch-val-x over dispatch-val-y
* when there is a conflict
*/
cljs.core.prefer_method = (function prefer_method(multifn,dispatch_val_x,dispatch_val_y){
return cljs.core._prefer_method.call(null,multifn,dispatch_val_x,dispatch_val_y);
});
/**
* Given a multimethod, returns a map of dispatch values -> dispatch fns
*/
cljs.core.methods$ = (function methods$(multifn){
return cljs.core._methods.call(null,multifn);
});
/**
* Given a multimethod and a dispatch value, returns the dispatch fn
* that would apply to that value, or nil if none apply and no default
*/
cljs.core.get_method = (function get_method(multifn,dispatch_val){
return cljs.core._get_method.call(null,multifn,dispatch_val);
});
/**
* Given a multimethod, returns a map of preferred value -> set of other values
*/
cljs.core.prefers = (function prefers(multifn){
return cljs.core._prefers.call(null,multifn);
});

/**
* @constructor
*/
cljs.core.UUID = (function (uuid){
this.uuid = uuid;
this.cljs$lang$protocol_mask$partition1$ = 0;
this.cljs$lang$protocol_mask$partition0$ = 543162368;
})
cljs.core.UUID.cljs$lang$type = true;
cljs.core.UUID.cljs$lang$ctorPrSeq = (function (this__4682__auto__){
return cljs.core.list.call(null,"cljs.core/UUID");
});
cljs.core.UUID.prototype.cljs$core$IHash$_hash$arity$1 = (function (this$){
var this__14870 = this;
return goog.string.hashCode(cljs.core.pr_str.call(null,this$));
});
cljs.core.UUID.prototype.cljs$core$IPrintable$_pr_seq$arity$2 = (function (_14872,_){
var this__14871 = this;
return cljs.core.list.call(null,[cljs.core.str("#uuid \""),cljs.core.str(this__14871.uuid),cljs.core.str("\"")].join(''));
});
cljs.core.UUID.prototype.cljs$core$IEquiv$_equiv$arity$2 = (function (_,other){
var this__14873 = this;
return (this__14873.uuid === other.uuid);
});
cljs.core.UUID.prototype.toString = (function (){
var this__14874 = this;
var this__14875 = this;
return cljs.core.pr_str.call(null,this__14875);
});
cljs.core.UUID;
